# ----------------------------------------------------------------------  
# This model file was automatically created by SARAH version4.6.0 
# SARAH References: arXiv:0806.0538, arXiv:0909.2863, arXiv:1002.0840    
# (c) Florian Staub, 2011  
# ----------------------------------------------------------------------  
# File created at 8:31 on 19.11.2015   
# ----------------------------------------------------------------------  
 
 
from __future__ import division 
from object_library import all_particles,Particle 
import parameters as Param 


go = Particle(pdg_code =1000021, 
	 name = 'go' ,
	 antiname = 'go' ,
	 spin = 2 ,
	 color = 8 ,
	 mass = Param.Mgo ,
	 width = Param.Wgo ,
	 GhostNumber = 0, 
	 line = 'scurly' ,
	 charge = 0 ,
	 texname = 'go' ,
	 antitexname = 'go' ) 
 
d = Particle(pdg_code =1, 
	 name = 'd' ,
	 antiname = 'dbar' ,
	 spin = 2 ,
	 color = 3 ,
	 mass = Param.Md ,
	 width = Param.Wd ,
	 GhostNumber = 0, 
	 line = 'straight' ,
	 charge = -1/3 ,
	 texname = 'd' ,
	 antitexname = 'dbar' ) 
 
dbar = d.anti() 
 
 
s = Particle(pdg_code =3, 
	 name = 's' ,
	 antiname = 'sbar' ,
	 spin = 2 ,
	 color = 3 ,
	 mass = Param.Ms ,
	 width = Param.Ws ,
	 GhostNumber = 0, 
	 line = 'straight' ,
	 charge = -1/3 ,
	 texname = 's' ,
	 antitexname = 'sbar' ) 
 
sbar = s.anti() 
 
 
b = Particle(pdg_code =5, 
	 name = 'b' ,
	 antiname = 'bbar' ,
	 spin = 2 ,
	 color = 3 ,
	 mass = Param.Mb ,
	 width = Param.Wb ,
	 GhostNumber = 0, 
	 line = 'straight' ,
	 charge = -1/3 ,
	 texname = 'b' ,
	 antitexname = 'bbar' ) 
 
bbar = b.anti() 
 
 
u = Particle(pdg_code =2, 
	 name = 'u' ,
	 antiname = 'ubar' ,
	 spin = 2 ,
	 color = 3 ,
	 mass = Param.Mu ,
	 width = Param.ZERO ,
	 GhostNumber = 0, 
	 line = 'straight' ,
	 charge = 2/3 ,
	 texname = 'u' ,
	 antitexname = 'ubar' ) 
 
ubar = u.anti() 
 
 
c = Particle(pdg_code =4, 
	 name = 'c' ,
	 antiname = 'cbar' ,
	 spin = 2 ,
	 color = 3 ,
	 mass = Param.Mc ,
	 width = Param.ZERO ,
	 GhostNumber = 0, 
	 line = 'straight' ,
	 charge = 2/3 ,
	 texname = 'c' ,
	 antitexname = 'cbar' ) 
 
cbar = c.anti() 
 
 
t = Particle(pdg_code =6, 
	 name = 't' ,
	 antiname = 'tbar' ,
	 spin = 2 ,
	 color = 3 ,
	 mass = Param.Mt ,
	 width = Param.Wt ,
	 GhostNumber = 0, 
	 line = 'straight' ,
	 charge = 2/3 ,
	 texname = 't' ,
	 antitexname = 'tbar' ) 
 
tbar = t.anti() 
 
 
ve = Particle(pdg_code =12, 
	 name = 've' ,
	 antiname = 'vebar' ,
	 spin = 2 ,
	 color = 1 ,
	 mass = Param.Mve ,
	 width = Param.ZERO ,
	 GhostNumber = 0, 
	 line = 'straight' ,
	 charge = 0 ,
	 texname = 've' ,
	 antitexname = 'vebar' ) 
 
vebar = ve.anti() 
 
 
vm = Particle(pdg_code =14, 
	 name = 'vm' ,
	 antiname = 'vmbar' ,
	 spin = 2 ,
	 color = 1 ,
	 mass = Param.Mvm ,
	 width = Param.ZERO ,
	 GhostNumber = 0, 
	 line = 'straight' ,
	 charge = 0 ,
	 texname = 'vm' ,
	 antitexname = 'vmbar' ) 
 
vmbar = vm.anti() 
 
 
vt = Particle(pdg_code =16, 
	 name = 'vt' ,
	 antiname = 'vtbar' ,
	 spin = 2 ,
	 color = 1 ,
	 mass = Param.Mvt ,
	 width = Param.ZERO ,
	 GhostNumber = 0, 
	 line = 'straight' ,
	 charge = 0 ,
	 texname = 'vt' ,
	 antitexname = 'vtbar' ) 
 
vtbar = vt.anti() 
 
 
e = Particle(pdg_code =11, 
	 name = 'e' ,
	 antiname = 'ebar' ,
	 spin = 2 ,
	 color = 1 ,
	 mass = Param.Me ,
	 width = Param.We ,
	 GhostNumber = 0, 
	 line = 'straight' ,
	 charge = -1 ,
	 texname = 'e' ,
	 antitexname = 'ebar' ) 
 
ebar = e.anti() 
 
 
m = Particle(pdg_code =13, 
	 name = 'm' ,
	 antiname = 'mbar' ,
	 spin = 2 ,
	 color = 1 ,
	 mass = Param.Mm ,
	 width = Param.Wm ,
	 GhostNumber = 0, 
	 line = 'straight' ,
	 charge = -1 ,
	 texname = 'm' ,
	 antitexname = 'mbar' ) 
 
mbar = m.anti() 
 
 
ta = Particle(pdg_code =15, 
	 name = 'ta' ,
	 antiname = 'tabar' ,
	 spin = 2 ,
	 color = 1 ,
	 mass = Param.Mta ,
	 width = Param.Wta ,
	 GhostNumber = 0, 
	 line = 'straight' ,
	 charge = -1 ,
	 texname = 'ta' ,
	 antitexname = 'tabar' ) 
 
tabar = ta.anti() 
 
 
N1 = Particle(pdg_code =1000022, 
	 name = 'N1' ,
	 antiname = 'N1' ,
	 spin = 2 ,
	 color = 1 ,
	 mass = Param.MN1 ,
	 width = Param.WN1 ,
	 GhostNumber = 0, 
	 line = 'swavy' ,
	 charge = 0 ,
	 texname = 'N1' ,
	 antitexname = 'N1' ) 
 
N2 = Particle(pdg_code =1000023, 
	 name = 'N2' ,
	 antiname = 'N2' ,
	 spin = 2 ,
	 color = 1 ,
	 mass = Param.MN2 ,
	 width = Param.WN2 ,
	 GhostNumber = 0, 
	 line = 'swavy' ,
	 charge = 0 ,
	 texname = 'N2' ,
	 antitexname = 'N2' ) 
 
N3 = Particle(pdg_code =1000025, 
	 name = 'N3' ,
	 antiname = 'N3' ,
	 spin = 2 ,
	 color = 1 ,
	 mass = Param.MN3 ,
	 width = Param.WN3 ,
	 GhostNumber = 0, 
	 line = 'swavy' ,
	 charge = 0 ,
	 texname = 'N3' ,
	 antitexname = 'N3' ) 
 
N4 = Particle(pdg_code =1000035, 
	 name = 'N4' ,
	 antiname = 'N4' ,
	 spin = 2 ,
	 color = 1 ,
	 mass = Param.MN4 ,
	 width = Param.WN4 ,
	 GhostNumber = 0, 
	 line = 'swavy' ,
	 charge = 0 ,
	 texname = 'N4' ,
	 antitexname = 'N4' ) 
 
C1 = Particle(pdg_code =-1000024, 
	 name = 'C1' ,
	 antiname = 'C1bar' ,
	 spin = 2 ,
	 color = 1 ,
	 mass = Param.MC1 ,
	 width = Param.WC1 ,
	 GhostNumber = 0, 
	 line = 'swavy' ,
	 charge = -1 ,
	 texname = 'C1' ,
	 antitexname = 'C1bar' ) 
 
C1bar = C1.anti() 
 
 
C2 = Particle(pdg_code =-1000037, 
	 name = 'C2' ,
	 antiname = 'C2bar' ,
	 spin = 2 ,
	 color = 1 ,
	 mass = Param.MC2 ,
	 width = Param.WC2 ,
	 GhostNumber = 0, 
	 line = 'swavy' ,
	 charge = -1 ,
	 texname = 'C2' ,
	 antitexname = 'C2bar' ) 
 
C2bar = C2.anti() 
 
 
sve = Particle(pdg_code =1000012, 
	 name = 'sve' ,
	 antiname = 'svec' ,
	 spin = 1 ,
	 color = 1 ,
	 mass = Param.Msve ,
	 width = Param.Wsve ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = 0 ,
	 texname = 'sve' ,
	 antitexname = 'svec' ) 
 
svec = sve.anti() 
 
 
svm = Particle(pdg_code =1000014, 
	 name = 'svm' ,
	 antiname = 'svmc' ,
	 spin = 1 ,
	 color = 1 ,
	 mass = Param.Msvm ,
	 width = Param.Wsvm ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = 0 ,
	 texname = 'svm' ,
	 antitexname = 'svmc' ) 
 
svmc = svm.anti() 
 
 
svt = Particle(pdg_code =1000016, 
	 name = 'svt' ,
	 antiname = 'svtc' ,
	 spin = 1 ,
	 color = 1 ,
	 mass = Param.Msvt ,
	 width = Param.Wsvt ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = 0 ,
	 texname = 'svt' ,
	 antitexname = 'svtc' ) 
 
svtc = svt.anti() 
 
 
sd1 = Particle(pdg_code =1000001, 
	 name = 'sd1' ,
	 antiname = 'sd1c' ,
	 spin = 1 ,
	 color = 3 ,
	 mass = Param.Msd1 ,
	 width = Param.Wsd1 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = -1/3 ,
	 texname = 'sd1' ,
	 antitexname = 'sd1c' ) 
 
sd1c = sd1.anti() 
 
 
sd2 = Particle(pdg_code =2000001, 
	 name = 'sd2' ,
	 antiname = 'sd2c' ,
	 spin = 1 ,
	 color = 3 ,
	 mass = Param.Msd2 ,
	 width = Param.Wsd2 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = -1/3 ,
	 texname = 'sd2' ,
	 antitexname = 'sd2c' ) 
 
sd2c = sd2.anti() 
 
 
su1 = Particle(pdg_code =1000002, 
	 name = 'su1' ,
	 antiname = 'su1c' ,
	 spin = 1 ,
	 color = 3 ,
	 mass = Param.Msu1 ,
	 width = Param.Wsu1 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = 2/3 ,
	 texname = 'su1' ,
	 antitexname = 'su1c' ) 
 
su1c = su1.anti() 
 
 
su2 = Particle(pdg_code =2000002, 
	 name = 'su2' ,
	 antiname = 'su2c' ,
	 spin = 1 ,
	 color = 3 ,
	 mass = Param.Msu2 ,
	 width = Param.Wsu2 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = 2/3 ,
	 texname = 'su2' ,
	 antitexname = 'su2c' ) 
 
su2c = su2.anti() 
 
 
se1 = Particle(pdg_code =1000011, 
	 name = 'se1' ,
	 antiname = 'se1c' ,
	 spin = 1 ,
	 color = 1 ,
	 mass = Param.Mse1 ,
	 width = Param.Wse1 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = -1 ,
	 texname = 'se1' ,
	 antitexname = 'se1c' ) 
 
se1c = se1.anti() 
 
 
se2 = Particle(pdg_code =2000011, 
	 name = 'se2' ,
	 antiname = 'se2c' ,
	 spin = 1 ,
	 color = 1 ,
	 mass = Param.Mse2 ,
	 width = Param.Wse2 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = -1 ,
	 texname = 'se2' ,
	 antitexname = 'se2c' ) 
 
se2c = se2.anti() 
 
 
sm1 = Particle(pdg_code =1000013, 
	 name = 'sm1' ,
	 antiname = 'sm1c' ,
	 spin = 1 ,
	 color = 1 ,
	 mass = Param.Msm1 ,
	 width = Param.Wsm1 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = -1 ,
	 texname = 'sm1' ,
	 antitexname = 'sm1c' ) 
 
sm1c = sm1.anti() 
 
 
sm2 = Particle(pdg_code =2000013, 
	 name = 'sm2' ,
	 antiname = 'sm2c' ,
	 spin = 1 ,
	 color = 1 ,
	 mass = Param.Msm2 ,
	 width = Param.Wsm2 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = -1 ,
	 texname = 'sm2' ,
	 antitexname = 'sm2c' ) 
 
sm2c = sm2.anti() 
 
 
sl1 = Particle(pdg_code =1000015, 
	 name = 'sl1' ,
	 antiname = 'sl1c' ,
	 spin = 1 ,
	 color = 1 ,
	 mass = Param.Msl1 ,
	 width = Param.Wsl1 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = -1 ,
	 texname = 'sl1' ,
	 antitexname = 'sl1c' ) 
 
sl1c = sl1.anti() 
 
 
sl2 = Particle(pdg_code =2000015, 
	 name = 'sl2' ,
	 antiname = 'sl2c' ,
	 spin = 1 ,
	 color = 1 ,
	 mass = Param.Msl2 ,
	 width = Param.Wsl2 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = -1 ,
	 texname = 'sl2' ,
	 antitexname = 'sl2c' ) 
 
sl2c = sl2.anti() 
 
 
ss1 = Particle(pdg_code =1000003, 
	 name = 'ss1' ,
	 antiname = 'ss1c' ,
	 spin = 1 ,
	 color = 3 ,
	 mass = Param.Mss1 ,
	 width = Param.Wss1 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = -1/3 ,
	 texname = 'ss1' ,
	 antitexname = 'ss1c' ) 
 
ss1c = ss1.anti() 
 
 
ss2 = Particle(pdg_code =2000003, 
	 name = 'ss2' ,
	 antiname = 'ss2c' ,
	 spin = 1 ,
	 color = 3 ,
	 mass = Param.Mss2 ,
	 width = Param.Wss2 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = -1/3 ,
	 texname = 'ss2' ,
	 antitexname = 'ss2c' ) 
 
ss2c = ss2.anti() 
 
 
sc1 = Particle(pdg_code =1000004, 
	 name = 'sc1' ,
	 antiname = 'sc1c' ,
	 spin = 1 ,
	 color = 3 ,
	 mass = Param.Msc1 ,
	 width = Param.Wsc1 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = 2/3 ,
	 texname = 'sc1' ,
	 antitexname = 'sc1c' ) 
 
sc1c = sc1.anti() 
 
 
sc2 = Particle(pdg_code =2000004, 
	 name = 'sc2' ,
	 antiname = 'sc2c' ,
	 spin = 1 ,
	 color = 3 ,
	 mass = Param.Msc2 ,
	 width = Param.Wsc2 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = 2/3 ,
	 texname = 'sc2' ,
	 antitexname = 'sc2c' ) 
 
sc2c = sc2.anti() 
 
 
sb1 = Particle(pdg_code =1000005, 
	 name = 'sb1' ,
	 antiname = 'sb1c' ,
	 spin = 1 ,
	 color = 3 ,
	 mass = Param.Msb1 ,
	 width = Param.Wsb1 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = -1/3 ,
	 texname = 'sb1' ,
	 antitexname = 'sb1c' ) 
 
sb1c = sb1.anti() 
 
 
sb2 = Particle(pdg_code =2000005, 
	 name = 'sb2' ,
	 antiname = 'sb2c' ,
	 spin = 1 ,
	 color = 3 ,
	 mass = Param.Msb2 ,
	 width = Param.Wsb2 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = -1/3 ,
	 texname = 'sb2' ,
	 antitexname = 'sb2c' ) 
 
sb2c = sb2.anti() 
 
 
st1 = Particle(pdg_code =1000006, 
	 name = 'st1' ,
	 antiname = 'st1c' ,
	 spin = 1 ,
	 color = 3 ,
	 mass = Param.Mst1 ,
	 width = Param.Wst1 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = 2/3 ,
	 texname = 'st1' ,
	 antitexname = 'st1c' ) 
 
st1c = st1.anti() 
 
 
st2 = Particle(pdg_code =2000006, 
	 name = 'st2' ,
	 antiname = 'st2c' ,
	 spin = 1 ,
	 color = 3 ,
	 mass = Param.Mst2 ,
	 width = Param.Wst2 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = 2/3 ,
	 texname = 'st2' ,
	 antitexname = 'st2c' ) 
 
st2c = st2.anti() 
 
 
h1 = Particle(pdg_code =25, 
	 name = 'h1' ,
	 antiname = 'h1' ,
	 spin = 1 ,
	 color = 1 ,
	 mass = Param.Mh1 ,
	 width = Param.Wh1 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = 0 ,
	 texname = 'h1' ,
	 antitexname = 'h1' ) 
 
h2 = Particle(pdg_code =35, 
	 name = 'h2' ,
	 antiname = 'h2' ,
	 spin = 1 ,
	 color = 1 ,
	 mass = Param.Mh2 ,
	 width = Param.Wh2 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = 0 ,
	 texname = 'h2' ,
	 antitexname = 'h2' ) 
 
Ah1 = Particle(pdg_code =999900, 
	 name = 'Ah1' ,
	 antiname = 'Ah1' ,
	 spin = 1 ,
	 color = 1 ,
	 mass = Param.ZERO ,
	 width = Param.ZERO ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = 0 ,
	 GoldstoneBoson = True ,
	 texname = 'Ah1' ,
	 antitexname = 'Ah1' ) 
 
Ah2 = Particle(pdg_code =36, 
	 name = 'Ah2' ,
	 antiname = 'Ah2' ,
	 spin = 1 ,
	 color = 1 ,
	 mass = Param.MAh2 ,
	 width = Param.WAh2 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = 0 ,
	 texname = 'Ah2' ,
	 antitexname = 'Ah2' ) 
 
Hm1 = Particle(pdg_code =999901, 
	 name = 'Hm1' ,
	 antiname = 'Hm1c' ,
	 spin = 1 ,
	 color = 1 ,
	 mass = Param.ZERO ,
	 width = Param.ZERO ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = -1 ,
	 GoldstoneBoson = True ,
	 texname = 'Hm1' ,
	 antitexname = 'Hm1c' ) 
 
Hm1c = Hm1.anti() 
 
 
Hm2 = Particle(pdg_code =-37, 
	 name = 'Hm2' ,
	 antiname = 'Hm2c' ,
	 spin = 1 ,
	 color = 1 ,
	 mass = Param.MHm2 ,
	 width = Param.WHm2 ,
	 GhostNumber = 0, 
	 line = 'dashed' ,
	 charge = -1 ,
	 texname = 'Hm2' ,
	 antitexname = 'Hm2c' ) 
 
Hm2c = Hm2.anti() 
 
 
g = Particle(pdg_code =21, 
	 name = 'g' ,
	 antiname = 'g' ,
	 spin = 3 ,
	 color = 8 ,
	 mass = Param.ZERO ,
	 width = Param.ZERO ,
	 GhostNumber = 0, 
	 line = 'wavy' ,
	 charge = 0 ,
	 texname = 'g' ,
	 antitexname = 'g' ) 
 
A = Particle(pdg_code =22, 
	 name = 'A' ,
	 antiname = 'A' ,
	 spin = 3 ,
	 color = 1 ,
	 mass = Param.ZERO ,
	 width = Param.ZERO ,
	 GhostNumber = 0, 
	 line = 'wavy' ,
	 charge = 0 ,
	 texname = 'A' ,
	 antitexname = 'A' ) 
 
Z = Particle(pdg_code =23, 
	 name = 'Z' ,
	 antiname = 'Z' ,
	 spin = 3 ,
	 color = 1 ,
	 mass = Param.MZ ,
	 width = Param.WZ ,
	 GhostNumber = 0, 
	 line = 'wavy' ,
	 charge = 0 ,
	 texname = 'Z' ,
	 antitexname = 'Z' ) 
 
Wm = Particle(pdg_code =-24, 
	 name = 'Wm' ,
	 antiname = 'Wmc' ,
	 spin = 3 ,
	 color = 1 ,
	 mass = Param.MWm ,
	 width = Param.WWm ,
	 GhostNumber = 0, 
	 line = 'wavy' ,
	 charge = -1 ,
	 texname = 'Wm' ,
	 antitexname = 'Wmc' ) 
 
Wmc = Wm.anti() 
 
 
gG = Particle(pdg_code =999902, 
	 name = 'gG' ,
	 antiname = 'gGc' ,
	 spin = -1 ,
	 color = 8 ,
	 mass = Param.ZERO ,
	 width = Param.ZERO ,
	 GhostNumber = 1, 
	 line = 'dotted' ,
	 charge = 0 ,
	 texname = 'gG' ,
	 antitexname = 'gGc' ) 
 
gGc = gG.anti() 
 
 
gA = Particle(pdg_code =999903, 
	 name = 'gA' ,
	 antiname = 'gAc' ,
	 spin = -1 ,
	 color = 1 ,
	 mass = Param.ZERO ,
	 width = Param.ZERO ,
	 GhostNumber = 1, 
	 line = 'dotted' ,
	 charge = 0 ,
	 texname = 'gA' ,
	 antitexname = 'gAc' ) 
 
gAc = gA.anti() 
 
 
gZ = Particle(pdg_code =999904, 
	 name = 'gZ' ,
	 antiname = 'gZc' ,
	 spin = -1 ,
	 color = 1 ,
	 mass = Param.MZ ,
	 width = Param.WZ ,
	 GhostNumber = 1, 
	 line = 'dotted' ,
	 charge = 0 ,
	 texname = 'gZ' ,
	 antitexname = 'gZc' ) 
 
gZc = gZ.anti() 
 
 
gWm = Particle(pdg_code =999905, 
	 name = 'gWm' ,
	 antiname = 'gWmc' ,
	 spin = -1 ,
	 color = 1 ,
	 mass = Param.MWm ,
	 width = Param.WWm ,
	 GhostNumber = 1, 
	 line = 'dotted' ,
	 charge = -1 ,
	 texname = 'gWm' ,
	 antitexname = 'gWmc' ) 
 
gWmc = gWm.anti() 
 
 
gWpC = Particle(pdg_code =999906, 
	 name = 'gWpC' ,
	 antiname = 'gWpCc' ,
	 spin = -1 ,
	 color = 1 ,
	 mass = Param.MWm ,
	 width = Param.WWm ,
	 GhostNumber = 1, 
	 line = 'dotted' ,
	 charge = 1 ,
	 texname = 'gWpC' ,
	 antitexname = 'gWpCc' ) 
 
gWpCc = gWpC.anti() 
 
 
