from object_library import all_couplings,Coupling 
from cmath import exp 
from function_library import complexconjugate,re,im,csc,sec,acsc,asec 
 
 
GC_1 = Coupling(name = 'GC_1',
	 value = '-1./4.*complex(0,1)*(g1**2 + g2**2)*(ZA11**2 - ZA12**2)*(vd*ZH11 - vu*ZH12)', 
	 order = {'QED':1} ) 
 
GC_2 = Coupling(name = 'GC_2',
	 value = '-1./4.*complex(0,1)*(g1**2 + g2**2)*(ZA11**2 - ZA12**2)*(vd*ZH21 - vu*ZH22)', 
	 order = {'QED':1} ) 
 
GC_3 = Coupling(name = 'GC_3',
	 value = '-1./4.*complex(0,1)*(g1**2 + g2**2)*(ZA11*ZA21 - ZA12*ZA22)*(vd*ZH11 - vu*ZH12)', 
	 order = {'QED':1} ) 
 
GC_4 = Coupling(name = 'GC_4',
	 value = '-1./4.*complex(0,1)*(g1**2 + g2**2)*(ZA11*ZA21 - ZA12*ZA22)*(vd*ZH21 - vu*ZH22)', 
	 order = {'QED':1} ) 
 
GC_5 = Coupling(name = 'GC_5',
	 value = '-1./4.*complex(0,1)*(g1**2 + g2**2)*(ZA21**2 - ZA22**2)*(vd*ZH11 - vu*ZH12)', 
	 order = {'QED':1} ) 
 
GC_6 = Coupling(name = 'GC_6',
	 value = '-1./4.*complex(0,1)*(g1**2 + g2**2)*(ZA21**2 - ZA22**2)*(vd*ZH21 - vu*ZH22)', 
	 order = {'QED':1} ) 
 
GC_7 = Coupling(name = 'GC_7',
	 value = '(g2**2*(vu*ZA11 + vd*ZA12)*(ZP12*ZP21 - ZP11*ZP22))/4.', 
	 order = {'QED':1} ) 
 
GC_8 = Coupling(name = 'GC_8',
	 value = '(g2**2*(vu*ZA11 + vd*ZA12)*(-(ZP12*ZP21) + ZP11*ZP22))/4.', 
	 order = {'QED':1} ) 
 
GC_9 = Coupling(name = 'GC_9',
	 value = '(g2**2*(vu*ZA21 + vd*ZA22)*(ZP12*ZP21 - ZP11*ZP22))/4.', 
	 order = {'QED':1} ) 
 
GC_10 = Coupling(name = 'GC_10',
	 value = '(g2**2*(vu*ZA21 + vd*ZA22)*(-(ZP12*ZP21) + ZP11*ZP22))/4.', 
	 order = {'QED':1} ) 
 
GC_11 = Coupling(name = 'GC_11',
	 value = '-((ZB12*(Td33*ZA11 + Yd33*ZA12*complexconjugate(Mue))*complexconjugate(ZB11) - ZB11*(ZA11*complexconjugate(Td33) + Mue*ZA12*complexconjugate(Yd33))*complexconjugate(ZB12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_12 = Coupling(name = 'GC_12',
	 value = '-((ZB12*(Td33*ZA11 + Yd33*ZA12*complexconjugate(Mue))*complexconjugate(ZB21) - ZB11*(ZA11*complexconjugate(Td33) + Mue*ZA12*complexconjugate(Yd33))*complexconjugate(ZB22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_13 = Coupling(name = 'GC_13',
	 value = '-((ZB22*(Td33*ZA11 + Yd33*ZA12*complexconjugate(Mue))*complexconjugate(ZB11) - ZB21*(ZA11*complexconjugate(Td33) + Mue*ZA12*complexconjugate(Yd33))*complexconjugate(ZB12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_14 = Coupling(name = 'GC_14',
	 value = '-((ZB22*(Td33*ZA11 + Yd33*ZA12*complexconjugate(Mue))*complexconjugate(ZB21) - ZB21*(ZA11*complexconjugate(Td33) + Mue*ZA12*complexconjugate(Yd33))*complexconjugate(ZB22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_15 = Coupling(name = 'GC_15',
	 value = '-((ZB12*(Td33*ZA21 + Yd33*ZA22*complexconjugate(Mue))*complexconjugate(ZB11) - ZB11*(ZA21*complexconjugate(Td33) + Mue*ZA22*complexconjugate(Yd33))*complexconjugate(ZB12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_16 = Coupling(name = 'GC_16',
	 value = '-((ZB12*(Td33*ZA21 + Yd33*ZA22*complexconjugate(Mue))*complexconjugate(ZB21) - ZB11*(ZA21*complexconjugate(Td33) + Mue*ZA22*complexconjugate(Yd33))*complexconjugate(ZB22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_17 = Coupling(name = 'GC_17',
	 value = '-((ZB22*(Td33*ZA21 + Yd33*ZA22*complexconjugate(Mue))*complexconjugate(ZB11) - ZB21*(ZA21*complexconjugate(Td33) + Mue*ZA22*complexconjugate(Yd33))*complexconjugate(ZB12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_18 = Coupling(name = 'GC_18',
	 value = '-((ZB22*(Td33*ZA21 + Yd33*ZA22*complexconjugate(Mue))*complexconjugate(ZB21) - ZB21*(ZA21*complexconjugate(Td33) + Mue*ZA22*complexconjugate(Yd33))*complexconjugate(ZB22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_19 = Coupling(name = 'GC_19',
	 value = '-((Tu22*ZA12*ZC12*complexconjugate(ZC11) + Yu22*ZA11*ZC12*complexconjugate(Mue)*complexconjugate(ZC11) - ZC11*(ZA12*complexconjugate(Tu22) + Mue*ZA11*complexconjugate(Yu22))*complexconjugate(ZC12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_20 = Coupling(name = 'GC_20',
	 value = '-((Tu22*ZA12*ZC12*complexconjugate(ZC21) + Yu22*ZA11*ZC12*complexconjugate(Mue)*complexconjugate(ZC21) - ZC11*(ZA12*complexconjugate(Tu22) + Mue*ZA11*complexconjugate(Yu22))*complexconjugate(ZC22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_21 = Coupling(name = 'GC_21',
	 value = '-((Tu22*ZA12*ZC22*complexconjugate(ZC11) + Yu22*ZA11*ZC22*complexconjugate(Mue)*complexconjugate(ZC11) - ZC21*(ZA12*complexconjugate(Tu22) + Mue*ZA11*complexconjugate(Yu22))*complexconjugate(ZC12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_22 = Coupling(name = 'GC_22',
	 value = '-((Tu22*ZA12*ZC22*complexconjugate(ZC21) + Yu22*ZA11*ZC22*complexconjugate(Mue)*complexconjugate(ZC21) - ZC21*(ZA12*complexconjugate(Tu22) + Mue*ZA11*complexconjugate(Yu22))*complexconjugate(ZC22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_23 = Coupling(name = 'GC_23',
	 value = '-((Tu22*ZA22*ZC12*complexconjugate(ZC11) + Yu22*ZA21*ZC12*complexconjugate(Mue)*complexconjugate(ZC11) - ZC11*(ZA22*complexconjugate(Tu22) + Mue*ZA21*complexconjugate(Yu22))*complexconjugate(ZC12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_24 = Coupling(name = 'GC_24',
	 value = '-((Tu22*ZA22*ZC12*complexconjugate(ZC21) + Yu22*ZA21*ZC12*complexconjugate(Mue)*complexconjugate(ZC21) - ZC11*(ZA22*complexconjugate(Tu22) + Mue*ZA21*complexconjugate(Yu22))*complexconjugate(ZC22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_25 = Coupling(name = 'GC_25',
	 value = '-((Tu22*ZA22*ZC22*complexconjugate(ZC11) + Yu22*ZA21*ZC22*complexconjugate(Mue)*complexconjugate(ZC11) - ZC21*(ZA22*complexconjugate(Tu22) + Mue*ZA21*complexconjugate(Yu22))*complexconjugate(ZC12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_26 = Coupling(name = 'GC_26',
	 value = '-((Tu22*ZA22*ZC22*complexconjugate(ZC21) + Yu22*ZA21*ZC22*complexconjugate(Mue)*complexconjugate(ZC21) - ZC21*(ZA22*complexconjugate(Tu22) + Mue*ZA21*complexconjugate(Yu22))*complexconjugate(ZC22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_27 = Coupling(name = 'GC_27',
	 value = '-((ZD12*(Td11*ZA11 + Yd11*ZA12*complexconjugate(Mue))*complexconjugate(ZD11) - ZD11*(ZA11*complexconjugate(Td11) + Mue*ZA12*complexconjugate(Yd11))*complexconjugate(ZD12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_28 = Coupling(name = 'GC_28',
	 value = '-((ZD12*(Td11*ZA11 + Yd11*ZA12*complexconjugate(Mue))*complexconjugate(ZD21) - ZD11*(ZA11*complexconjugate(Td11) + Mue*ZA12*complexconjugate(Yd11))*complexconjugate(ZD22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_29 = Coupling(name = 'GC_29',
	 value = '-((ZD22*(Td11*ZA11 + Yd11*ZA12*complexconjugate(Mue))*complexconjugate(ZD11) - ZD21*(ZA11*complexconjugate(Td11) + Mue*ZA12*complexconjugate(Yd11))*complexconjugate(ZD12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_30 = Coupling(name = 'GC_30',
	 value = '-((ZD22*(Td11*ZA11 + Yd11*ZA12*complexconjugate(Mue))*complexconjugate(ZD21) - ZD21*(ZA11*complexconjugate(Td11) + Mue*ZA12*complexconjugate(Yd11))*complexconjugate(ZD22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_31 = Coupling(name = 'GC_31',
	 value = '-((ZD12*(Td11*ZA21 + Yd11*ZA22*complexconjugate(Mue))*complexconjugate(ZD11) - ZD11*(ZA21*complexconjugate(Td11) + Mue*ZA22*complexconjugate(Yd11))*complexconjugate(ZD12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_32 = Coupling(name = 'GC_32',
	 value = '-((ZD12*(Td11*ZA21 + Yd11*ZA22*complexconjugate(Mue))*complexconjugate(ZD21) - ZD11*(ZA21*complexconjugate(Td11) + Mue*ZA22*complexconjugate(Yd11))*complexconjugate(ZD22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_33 = Coupling(name = 'GC_33',
	 value = '-((ZD22*(Td11*ZA21 + Yd11*ZA22*complexconjugate(Mue))*complexconjugate(ZD11) - ZD21*(ZA21*complexconjugate(Td11) + Mue*ZA22*complexconjugate(Yd11))*complexconjugate(ZD12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_34 = Coupling(name = 'GC_34',
	 value = '-((ZD22*(Td11*ZA21 + Yd11*ZA22*complexconjugate(Mue))*complexconjugate(ZD21) - ZD21*(ZA21*complexconjugate(Td11) + Mue*ZA22*complexconjugate(Yd11))*complexconjugate(ZD22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_35 = Coupling(name = 'GC_35',
	 value = '-((ZE12*(Te11*ZA11 + Ye11*ZA12*complexconjugate(Mue))*complexconjugate(ZE11) - ZE11*(ZA11*complexconjugate(Te11) + Mue*ZA12*complexconjugate(Ye11))*complexconjugate(ZE12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_36 = Coupling(name = 'GC_36',
	 value = '-((ZE12*(Te11*ZA11 + Ye11*ZA12*complexconjugate(Mue))*complexconjugate(ZE21) - ZE11*(ZA11*complexconjugate(Te11) + Mue*ZA12*complexconjugate(Ye11))*complexconjugate(ZE22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_37 = Coupling(name = 'GC_37',
	 value = '-((ZE22*(Te11*ZA11 + Ye11*ZA12*complexconjugate(Mue))*complexconjugate(ZE11) - ZE21*(ZA11*complexconjugate(Te11) + Mue*ZA12*complexconjugate(Ye11))*complexconjugate(ZE12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_38 = Coupling(name = 'GC_38',
	 value = '-((ZE22*(Te11*ZA11 + Ye11*ZA12*complexconjugate(Mue))*complexconjugate(ZE21) - ZE21*(ZA11*complexconjugate(Te11) + Mue*ZA12*complexconjugate(Ye11))*complexconjugate(ZE22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_39 = Coupling(name = 'GC_39',
	 value = '-((ZE12*(Te11*ZA21 + Ye11*ZA22*complexconjugate(Mue))*complexconjugate(ZE11) - ZE11*(ZA21*complexconjugate(Te11) + Mue*ZA22*complexconjugate(Ye11))*complexconjugate(ZE12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_40 = Coupling(name = 'GC_40',
	 value = '-((ZE12*(Te11*ZA21 + Ye11*ZA22*complexconjugate(Mue))*complexconjugate(ZE21) - ZE11*(ZA21*complexconjugate(Te11) + Mue*ZA22*complexconjugate(Ye11))*complexconjugate(ZE22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_41 = Coupling(name = 'GC_41',
	 value = '-((ZE22*(Te11*ZA21 + Ye11*ZA22*complexconjugate(Mue))*complexconjugate(ZE11) - ZE21*(ZA21*complexconjugate(Te11) + Mue*ZA22*complexconjugate(Ye11))*complexconjugate(ZE12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_42 = Coupling(name = 'GC_42',
	 value = '-((ZE22*(Te11*ZA21 + Ye11*ZA22*complexconjugate(Mue))*complexconjugate(ZE21) - ZE21*(ZA21*complexconjugate(Te11) + Mue*ZA22*complexconjugate(Ye11))*complexconjugate(ZE22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_43 = Coupling(name = 'GC_43',
	 value = '-((ZM12*(Te22*ZA11 + Ye22*ZA12*complexconjugate(Mue))*complexconjugate(ZM11) - ZM11*(ZA11*complexconjugate(Te22) + Mue*ZA12*complexconjugate(Ye22))*complexconjugate(ZM12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_44 = Coupling(name = 'GC_44',
	 value = '-((ZM12*(Te22*ZA11 + Ye22*ZA12*complexconjugate(Mue))*complexconjugate(ZM21) - ZM11*(ZA11*complexconjugate(Te22) + Mue*ZA12*complexconjugate(Ye22))*complexconjugate(ZM22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_45 = Coupling(name = 'GC_45',
	 value = '-((ZM22*(Te22*ZA11 + Ye22*ZA12*complexconjugate(Mue))*complexconjugate(ZM11) - ZM21*(ZA11*complexconjugate(Te22) + Mue*ZA12*complexconjugate(Ye22))*complexconjugate(ZM12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_46 = Coupling(name = 'GC_46',
	 value = '-((ZM22*(Te22*ZA11 + Ye22*ZA12*complexconjugate(Mue))*complexconjugate(ZM21) - ZM21*(ZA11*complexconjugate(Te22) + Mue*ZA12*complexconjugate(Ye22))*complexconjugate(ZM22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_47 = Coupling(name = 'GC_47',
	 value = '-((ZM12*(Te22*ZA21 + Ye22*ZA22*complexconjugate(Mue))*complexconjugate(ZM11) - ZM11*(ZA21*complexconjugate(Te22) + Mue*ZA22*complexconjugate(Ye22))*complexconjugate(ZM12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_48 = Coupling(name = 'GC_48',
	 value = '-((ZM12*(Te22*ZA21 + Ye22*ZA22*complexconjugate(Mue))*complexconjugate(ZM21) - ZM11*(ZA21*complexconjugate(Te22) + Mue*ZA22*complexconjugate(Ye22))*complexconjugate(ZM22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_49 = Coupling(name = 'GC_49',
	 value = '-((ZM22*(Te22*ZA21 + Ye22*ZA22*complexconjugate(Mue))*complexconjugate(ZM11) - ZM21*(ZA21*complexconjugate(Te22) + Mue*ZA22*complexconjugate(Ye22))*complexconjugate(ZM12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_50 = Coupling(name = 'GC_50',
	 value = '-((ZM22*(Te22*ZA21 + Ye22*ZA22*complexconjugate(Mue))*complexconjugate(ZM21) - ZM21*(ZA21*complexconjugate(Te22) + Mue*ZA22*complexconjugate(Ye22))*complexconjugate(ZM22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_51 = Coupling(name = 'GC_51',
	 value = '-((ZS12*(Td22*ZA11 + Yd22*ZA12*complexconjugate(Mue))*complexconjugate(ZS11) - ZS11*(ZA11*complexconjugate(Td22) + Mue*ZA12*complexconjugate(Yd22))*complexconjugate(ZS12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_52 = Coupling(name = 'GC_52',
	 value = '-((ZS12*(Td22*ZA11 + Yd22*ZA12*complexconjugate(Mue))*complexconjugate(ZS21) - ZS11*(ZA11*complexconjugate(Td22) + Mue*ZA12*complexconjugate(Yd22))*complexconjugate(ZS22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_53 = Coupling(name = 'GC_53',
	 value = '-((ZS22*(Td22*ZA11 + Yd22*ZA12*complexconjugate(Mue))*complexconjugate(ZS11) - ZS21*(ZA11*complexconjugate(Td22) + Mue*ZA12*complexconjugate(Yd22))*complexconjugate(ZS12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_54 = Coupling(name = 'GC_54',
	 value = '-((ZS22*(Td22*ZA11 + Yd22*ZA12*complexconjugate(Mue))*complexconjugate(ZS21) - ZS21*(ZA11*complexconjugate(Td22) + Mue*ZA12*complexconjugate(Yd22))*complexconjugate(ZS22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_55 = Coupling(name = 'GC_55',
	 value = '-((ZS12*(Td22*ZA21 + Yd22*ZA22*complexconjugate(Mue))*complexconjugate(ZS11) - ZS11*(ZA21*complexconjugate(Td22) + Mue*ZA22*complexconjugate(Yd22))*complexconjugate(ZS12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_56 = Coupling(name = 'GC_56',
	 value = '-((ZS12*(Td22*ZA21 + Yd22*ZA22*complexconjugate(Mue))*complexconjugate(ZS21) - ZS11*(ZA21*complexconjugate(Td22) + Mue*ZA22*complexconjugate(Yd22))*complexconjugate(ZS22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_57 = Coupling(name = 'GC_57',
	 value = '-((ZS22*(Td22*ZA21 + Yd22*ZA22*complexconjugate(Mue))*complexconjugate(ZS11) - ZS21*(ZA21*complexconjugate(Td22) + Mue*ZA22*complexconjugate(Yd22))*complexconjugate(ZS12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_58 = Coupling(name = 'GC_58',
	 value = '-((ZS22*(Td22*ZA21 + Yd22*ZA22*complexconjugate(Mue))*complexconjugate(ZS21) - ZS21*(ZA21*complexconjugate(Td22) + Mue*ZA22*complexconjugate(Yd22))*complexconjugate(ZS22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_59 = Coupling(name = 'GC_59',
	 value = '-((Tu33*ZA12*ZT12*complexconjugate(ZT11) + Yu33*ZA11*ZT12*complexconjugate(Mue)*complexconjugate(ZT11) - ZT11*(ZA12*complexconjugate(Tu33) + Mue*ZA11*complexconjugate(Yu33))*complexconjugate(ZT12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_60 = Coupling(name = 'GC_60',
	 value = '-((Tu33*ZA12*ZT12*complexconjugate(ZT21) + Yu33*ZA11*ZT12*complexconjugate(Mue)*complexconjugate(ZT21) - ZT11*(ZA12*complexconjugate(Tu33) + Mue*ZA11*complexconjugate(Yu33))*complexconjugate(ZT22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_61 = Coupling(name = 'GC_61',
	 value = '-((Tu33*ZA12*ZT22*complexconjugate(ZT11) + Yu33*ZA11*ZT22*complexconjugate(Mue)*complexconjugate(ZT11) - ZT21*(ZA12*complexconjugate(Tu33) + Mue*ZA11*complexconjugate(Yu33))*complexconjugate(ZT12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_62 = Coupling(name = 'GC_62',
	 value = '-((Tu33*ZA12*ZT22*complexconjugate(ZT21) + Yu33*ZA11*ZT22*complexconjugate(Mue)*complexconjugate(ZT21) - ZT21*(ZA12*complexconjugate(Tu33) + Mue*ZA11*complexconjugate(Yu33))*complexconjugate(ZT22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_63 = Coupling(name = 'GC_63',
	 value = '-((Tu33*ZA22*ZT12*complexconjugate(ZT11) + Yu33*ZA21*ZT12*complexconjugate(Mue)*complexconjugate(ZT11) - ZT11*(ZA22*complexconjugate(Tu33) + Mue*ZA21*complexconjugate(Yu33))*complexconjugate(ZT12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_64 = Coupling(name = 'GC_64',
	 value = '-((Tu33*ZA22*ZT12*complexconjugate(ZT21) + Yu33*ZA21*ZT12*complexconjugate(Mue)*complexconjugate(ZT21) - ZT11*(ZA22*complexconjugate(Tu33) + Mue*ZA21*complexconjugate(Yu33))*complexconjugate(ZT22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_65 = Coupling(name = 'GC_65',
	 value = '-((Tu33*ZA22*ZT22*complexconjugate(ZT11) + Yu33*ZA21*ZT22*complexconjugate(Mue)*complexconjugate(ZT11) - ZT21*(ZA22*complexconjugate(Tu33) + Mue*ZA21*complexconjugate(Yu33))*complexconjugate(ZT12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_66 = Coupling(name = 'GC_66',
	 value = '-((Tu33*ZA22*ZT22*complexconjugate(ZT21) + Yu33*ZA21*ZT22*complexconjugate(Mue)*complexconjugate(ZT21) - ZT21*(ZA22*complexconjugate(Tu33) + Mue*ZA21*complexconjugate(Yu33))*complexconjugate(ZT22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_67 = Coupling(name = 'GC_67',
	 value = '-((ZTau12*(Te33*ZA11 + Ye33*ZA12*complexconjugate(Mue))*complexconjugate(ZTau11) - ZTau11*(ZA11*complexconjugate(Te33) + Mue*ZA12*complexconjugate(Ye33))*complexconjugate(ZTau12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_68 = Coupling(name = 'GC_68',
	 value = '-((ZTau12*(Te33*ZA11 + Ye33*ZA12*complexconjugate(Mue))*complexconjugate(ZTau21) - ZTau11*(ZA11*complexconjugate(Te33) + Mue*ZA12*complexconjugate(Ye33))*complexconjugate(ZTau22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_69 = Coupling(name = 'GC_69',
	 value = '-((ZTau22*(Te33*ZA11 + Ye33*ZA12*complexconjugate(Mue))*complexconjugate(ZTau11) - ZTau21*(ZA11*complexconjugate(Te33) + Mue*ZA12*complexconjugate(Ye33))*complexconjugate(ZTau12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_70 = Coupling(name = 'GC_70',
	 value = '-((ZTau22*(Te33*ZA11 + Ye33*ZA12*complexconjugate(Mue))*complexconjugate(ZTau21) - ZTau21*(ZA11*complexconjugate(Te33) + Mue*ZA12*complexconjugate(Ye33))*complexconjugate(ZTau22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_71 = Coupling(name = 'GC_71',
	 value = '-((ZTau12*(Te33*ZA21 + Ye33*ZA22*complexconjugate(Mue))*complexconjugate(ZTau11) - ZTau11*(ZA21*complexconjugate(Te33) + Mue*ZA22*complexconjugate(Ye33))*complexconjugate(ZTau12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_72 = Coupling(name = 'GC_72',
	 value = '-((ZTau12*(Te33*ZA21 + Ye33*ZA22*complexconjugate(Mue))*complexconjugate(ZTau21) - ZTau11*(ZA21*complexconjugate(Te33) + Mue*ZA22*complexconjugate(Ye33))*complexconjugate(ZTau22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_73 = Coupling(name = 'GC_73',
	 value = '-((ZTau22*(Te33*ZA21 + Ye33*ZA22*complexconjugate(Mue))*complexconjugate(ZTau11) - ZTau21*(ZA21*complexconjugate(Te33) + Mue*ZA22*complexconjugate(Ye33))*complexconjugate(ZTau12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_74 = Coupling(name = 'GC_74',
	 value = '-((ZTau22*(Te33*ZA21 + Ye33*ZA22*complexconjugate(Mue))*complexconjugate(ZTau21) - ZTau21*(ZA21*complexconjugate(Te33) + Mue*ZA22*complexconjugate(Ye33))*complexconjugate(ZTau22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_75 = Coupling(name = 'GC_75',
	 value = '-((Tu11*ZA12*ZU12*complexconjugate(ZU11) + Yu11*ZA11*ZU12*complexconjugate(Mue)*complexconjugate(ZU11) - ZU11*(ZA12*complexconjugate(Tu11) + Mue*ZA11*complexconjugate(Yu11))*complexconjugate(ZU12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_76 = Coupling(name = 'GC_76',
	 value = '-((Tu11*ZA12*ZU12*complexconjugate(ZU21) + Yu11*ZA11*ZU12*complexconjugate(Mue)*complexconjugate(ZU21) - ZU11*(ZA12*complexconjugate(Tu11) + Mue*ZA11*complexconjugate(Yu11))*complexconjugate(ZU22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_77 = Coupling(name = 'GC_77',
	 value = '-((Tu11*ZA12*ZU22*complexconjugate(ZU11) + Yu11*ZA11*ZU22*complexconjugate(Mue)*complexconjugate(ZU11) - ZU21*(ZA12*complexconjugate(Tu11) + Mue*ZA11*complexconjugate(Yu11))*complexconjugate(ZU12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_78 = Coupling(name = 'GC_78',
	 value = '-((Tu11*ZA12*ZU22*complexconjugate(ZU21) + Yu11*ZA11*ZU22*complexconjugate(Mue)*complexconjugate(ZU21) - ZU21*(ZA12*complexconjugate(Tu11) + Mue*ZA11*complexconjugate(Yu11))*complexconjugate(ZU22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_79 = Coupling(name = 'GC_79',
	 value = '-((Tu11*ZA22*ZU12*complexconjugate(ZU11) + Yu11*ZA21*ZU12*complexconjugate(Mue)*complexconjugate(ZU11) - ZU11*(ZA22*complexconjugate(Tu11) + Mue*ZA21*complexconjugate(Yu11))*complexconjugate(ZU12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_80 = Coupling(name = 'GC_80',
	 value = '-((Tu11*ZA22*ZU12*complexconjugate(ZU21) + Yu11*ZA21*ZU12*complexconjugate(Mue)*complexconjugate(ZU21) - ZU11*(ZA22*complexconjugate(Tu11) + Mue*ZA21*complexconjugate(Yu11))*complexconjugate(ZU22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_81 = Coupling(name = 'GC_81',
	 value = '-((Tu11*ZA22*ZU22*complexconjugate(ZU11) + Yu11*ZA21*ZU22*complexconjugate(Mue)*complexconjugate(ZU11) - ZU21*(ZA22*complexconjugate(Tu11) + Mue*ZA21*complexconjugate(Yu11))*complexconjugate(ZU12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_82 = Coupling(name = 'GC_82',
	 value = '-((Tu11*ZA22*ZU22*complexconjugate(ZU21) + Yu11*ZA21*ZU22*complexconjugate(Mue)*complexconjugate(ZU21) - ZU21*(ZA22*complexconjugate(Tu11) + Mue*ZA21*complexconjugate(Yu11))*complexconjugate(ZU22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_83 = Coupling(name = 'GC_83',
	 value = '1./4.*complex(0,1)*(g1**2 + g2**2)*(ZH12*(ZH11*(vu*ZH11 + vd*ZH12) + ZH12*(vd*ZH11 - 3*vu*ZH12)) + ZH11*(ZH12*(vu*ZH11 + vd*ZH12) + ZH11*(-3*vd*ZH11 + vu*ZH12)))', 
	 order = {'QED':1} ) 
 
GC_84 = Coupling(name = 'GC_84',
	 value = '1./4.*complex(0,1)*(g1**2 + g2**2)*(ZH12*(ZH11*(vu*ZH21 + vd*ZH22) + ZH12*(vd*ZH21 - 3*vu*ZH22)) + ZH11*(ZH12*(vu*ZH21 + vd*ZH22) + ZH11*(-3*vd*ZH21 + vu*ZH22)))', 
	 order = {'QED':1} ) 
 
GC_85 = Coupling(name = 'GC_85',
	 value = '1./4.*complex(0,1)*(g1**2 + g2**2)*(ZH12*(ZH21*(vu*ZH21 + vd*ZH22) + ZH22*(vd*ZH21 - 3*vu*ZH22)) + ZH11*(ZH22*(vu*ZH21 + vd*ZH22) + ZH21*(-3*vd*ZH21 + vu*ZH22)))', 
	 order = {'QED':1} ) 
 
GC_86 = Coupling(name = 'GC_86',
	 value = '1./4.*complex(0,1)*(g1**2 + g2**2)*(ZH22*(ZH21*(vu*ZH21 + vd*ZH22) + ZH22*(vd*ZH21 - 3*vu*ZH22)) + ZH21*(ZH22*(vu*ZH21 + vd*ZH22) + ZH21*(-3*vd*ZH21 + vu*ZH22)))', 
	 order = {'QED':1} ) 
 
GC_87 = Coupling(name = 'GC_87',
	 value = '1./4.*complex(0,1)*(-(ZH11*(ZP12*(g2**2*vu*ZP11 + (-g1**2 + g2**2)*vd*ZP12) + ZP11*((g1**2 + g2**2)*vd*ZP11 + g2**2*vu*ZP12))) + ZH12*(ZP11*((g1**2 - g2**2)*vu*ZP11 - g2**2*vd*ZP12) - ZP12*(g2**2*vd*ZP11 + (g1**2 + g2**2)*vu*ZP12)))', 
	 order = {'QED':1} ) 
 
GC_88 = Coupling(name = 'GC_88',
	 value = '1./4.*complex(0,1)*(-(ZH11*(ZP12*(g2**2*vu*ZP21 + (-g1**2 + g2**2)*vd*ZP22) + ZP11*((g1**2 + g2**2)*vd*ZP21 + g2**2*vu*ZP22))) + ZH12*(ZP11*((g1**2 - g2**2)*vu*ZP21 - g2**2*vd*ZP22) - ZP12*(g2**2*vd*ZP21 + (g1**2 + g2**2)*vu*ZP22)))', 
	 order = {'QED':1} ) 
 
GC_89 = Coupling(name = 'GC_89',
	 value = '1./4.*complex(0,1)*(-(ZH11*(((g1**2 + g2**2)*vd*ZP11 + g2**2*vu*ZP12)*ZP21 + (g2**2*vu*ZP11 + (-g1**2 + g2**2)*vd*ZP12)*ZP22)) + ZH12*(((g1**2 - g2**2)*vu*ZP11 - g2**2*vd*ZP12)*ZP21 - (g2**2*vd*ZP11 + (g1**2 + g2**2)*vu*ZP12)*ZP22))', 
	 order = {'QED':1} ) 
 
GC_90 = Coupling(name = 'GC_90',
	 value = '1./4.*complex(0,1)*(-(ZH11*(ZP22*(g2**2*vu*ZP21 + (-g1**2 + g2**2)*vd*ZP22) + ZP21*((g1**2 + g2**2)*vd*ZP21 + g2**2*vu*ZP22))) + ZH12*(ZP21*((g1**2 - g2**2)*vu*ZP21 - g2**2*vd*ZP22) - ZP22*(g2**2*vd*ZP21 + (g1**2 + g2**2)*vu*ZP22)))', 
	 order = {'QED':1} ) 
 
GC_91 = Coupling(name = 'GC_91',
	 value = '1./4.*complex(0,1)*(-(ZH21*(ZP12*(g2**2*vu*ZP11 + (-g1**2 + g2**2)*vd*ZP12) + ZP11*((g1**2 + g2**2)*vd*ZP11 + g2**2*vu*ZP12))) + ZH22*(ZP11*((g1**2 - g2**2)*vu*ZP11 - g2**2*vd*ZP12) - ZP12*(g2**2*vd*ZP11 + (g1**2 + g2**2)*vu*ZP12)))', 
	 order = {'QED':1} ) 
 
GC_92 = Coupling(name = 'GC_92',
	 value = '1./4.*complex(0,1)*(-(ZH21*(ZP12*(g2**2*vu*ZP21 + (-g1**2 + g2**2)*vd*ZP22) + ZP11*((g1**2 + g2**2)*vd*ZP21 + g2**2*vu*ZP22))) + ZH22*(ZP11*((g1**2 - g2**2)*vu*ZP21 - g2**2*vd*ZP22) - ZP12*(g2**2*vd*ZP21 + (g1**2 + g2**2)*vu*ZP22)))', 
	 order = {'QED':1} ) 
 
GC_93 = Coupling(name = 'GC_93',
	 value = '1./4.*complex(0,1)*(-(ZH21*(((g1**2 + g2**2)*vd*ZP11 + g2**2*vu*ZP12)*ZP21 + (g2**2*vu*ZP11 + (-g1**2 + g2**2)*vd*ZP12)*ZP22)) + ZH22*(((g1**2 - g2**2)*vu*ZP11 - g2**2*vd*ZP12)*ZP21 - (g2**2*vd*ZP11 + (g1**2 + g2**2)*vu*ZP12)*ZP22))', 
	 order = {'QED':1} ) 
 
GC_94 = Coupling(name = 'GC_94',
	 value = '1./4.*complex(0,1)*(-(ZH21*(ZP22*(g2**2*vu*ZP21 + (-g1**2 + g2**2)*vd*ZP22) + ZP21*((g1**2 + g2**2)*vd*ZP21 + g2**2*vu*ZP22))) + ZH22*(ZP21*((g1**2 - g2**2)*vu*ZP21 - g2**2*vd*ZP22) - ZP22*(g2**2*vd*ZP21 + (g1**2 + g2**2)*vu*ZP22)))', 
	 order = {'QED':1} ) 
 
GC_95 = Coupling(name = 'GC_95',
	 value = '1./12.*complex(0,1)*(ZB11*((-((g1**2 + 3*g2**2)*vu*ZH12) + vd*ZH11*(g1**2 + 3*g2**2 - 12*Yd33*complexconjugate(Yd33)))*complexconjugate(ZB11) + 6*cmath.sqrt(2)*(-(ZH11*complexconjugate(Td33)) + Mue*ZH12*complexconjugate(Yd33))*complexconjugate(ZB12)) - 2*ZB12*(3*cmath.sqrt(2)*Td33*ZH11*complexconjugate(ZB11) - 3*cmath.sqrt(2)*Yd33*ZH12*complexconjugate(Mue)*complexconjugate(ZB11) + (g1**2*vu*ZH12 - vd*ZH11*(g1**2 - 6*Yd33*complexconjugate(Yd33)))*complexconjugate(ZB12)))', 
	 order = {'QED':1} ) 
 
GC_96 = Coupling(name = 'GC_96',
	 value = '1./12.*complex(0,1)*(ZB11*((-((g1**2 + 3*g2**2)*vu*ZH12) + vd*ZH11*(g1**2 + 3*g2**2 - 12*Yd33*complexconjugate(Yd33)))*complexconjugate(ZB21) + 6*cmath.sqrt(2)*(-(ZH11*complexconjugate(Td33)) + Mue*ZH12*complexconjugate(Yd33))*complexconjugate(ZB22)) - 2*ZB12*(3*cmath.sqrt(2)*Td33*ZH11*complexconjugate(ZB21) - 3*cmath.sqrt(2)*Yd33*ZH12*complexconjugate(Mue)*complexconjugate(ZB21) + (g1**2*vu*ZH12 - vd*ZH11*(g1**2 - 6*Yd33*complexconjugate(Yd33)))*complexconjugate(ZB22)))', 
	 order = {'QED':1} ) 
 
GC_97 = Coupling(name = 'GC_97',
	 value = '1./12.*complex(0,1)*(ZB21*((-((g1**2 + 3*g2**2)*vu*ZH12) + vd*ZH11*(g1**2 + 3*g2**2 - 12*Yd33*complexconjugate(Yd33)))*complexconjugate(ZB11) + 6*cmath.sqrt(2)*(-(ZH11*complexconjugate(Td33)) + Mue*ZH12*complexconjugate(Yd33))*complexconjugate(ZB12)) - 2*ZB22*(3*cmath.sqrt(2)*Td33*ZH11*complexconjugate(ZB11) - 3*cmath.sqrt(2)*Yd33*ZH12*complexconjugate(Mue)*complexconjugate(ZB11) + (g1**2*vu*ZH12 - vd*ZH11*(g1**2 - 6*Yd33*complexconjugate(Yd33)))*complexconjugate(ZB12)))', 
	 order = {'QED':1} ) 
 
GC_98 = Coupling(name = 'GC_98',
	 value = '1./12.*complex(0,1)*(ZB21*((-((g1**2 + 3*g2**2)*vu*ZH12) + vd*ZH11*(g1**2 + 3*g2**2 - 12*Yd33*complexconjugate(Yd33)))*complexconjugate(ZB21) + 6*cmath.sqrt(2)*(-(ZH11*complexconjugate(Td33)) + Mue*ZH12*complexconjugate(Yd33))*complexconjugate(ZB22)) - 2*ZB22*(3*cmath.sqrt(2)*Td33*ZH11*complexconjugate(ZB21) - 3*cmath.sqrt(2)*Yd33*ZH12*complexconjugate(Mue)*complexconjugate(ZB21) + (g1**2*vu*ZH12 - vd*ZH11*(g1**2 - 6*Yd33*complexconjugate(Yd33)))*complexconjugate(ZB22)))', 
	 order = {'QED':1} ) 
 
GC_99 = Coupling(name = 'GC_99',
	 value = '1./12.*complex(0,1)*(ZB11*((-((g1**2 + 3*g2**2)*vu*ZH22) + vd*ZH21*(g1**2 + 3*g2**2 - 12*Yd33*complexconjugate(Yd33)))*complexconjugate(ZB11) + 6*cmath.sqrt(2)*(-(ZH21*complexconjugate(Td33)) + Mue*ZH22*complexconjugate(Yd33))*complexconjugate(ZB12)) - 2*ZB12*(3*cmath.sqrt(2)*Td33*ZH21*complexconjugate(ZB11) - 3*cmath.sqrt(2)*Yd33*ZH22*complexconjugate(Mue)*complexconjugate(ZB11) + (g1**2*vu*ZH22 - vd*ZH21*(g1**2 - 6*Yd33*complexconjugate(Yd33)))*complexconjugate(ZB12)))', 
	 order = {'QED':1} ) 
 
GC_100 = Coupling(name = 'GC_100',
	 value = '1./12.*complex(0,1)*(ZB11*((-((g1**2 + 3*g2**2)*vu*ZH22) + vd*ZH21*(g1**2 + 3*g2**2 - 12*Yd33*complexconjugate(Yd33)))*complexconjugate(ZB21) + 6*cmath.sqrt(2)*(-(ZH21*complexconjugate(Td33)) + Mue*ZH22*complexconjugate(Yd33))*complexconjugate(ZB22)) - 2*ZB12*(3*cmath.sqrt(2)*Td33*ZH21*complexconjugate(ZB21) - 3*cmath.sqrt(2)*Yd33*ZH22*complexconjugate(Mue)*complexconjugate(ZB21) + (g1**2*vu*ZH22 - vd*ZH21*(g1**2 - 6*Yd33*complexconjugate(Yd33)))*complexconjugate(ZB22)))', 
	 order = {'QED':1} ) 
 
GC_101 = Coupling(name = 'GC_101',
	 value = '1./12.*complex(0,1)*(ZB21*((-((g1**2 + 3*g2**2)*vu*ZH22) + vd*ZH21*(g1**2 + 3*g2**2 - 12*Yd33*complexconjugate(Yd33)))*complexconjugate(ZB11) + 6*cmath.sqrt(2)*(-(ZH21*complexconjugate(Td33)) + Mue*ZH22*complexconjugate(Yd33))*complexconjugate(ZB12)) - 2*ZB22*(3*cmath.sqrt(2)*Td33*ZH21*complexconjugate(ZB11) - 3*cmath.sqrt(2)*Yd33*ZH22*complexconjugate(Mue)*complexconjugate(ZB11) + (g1**2*vu*ZH22 - vd*ZH21*(g1**2 - 6*Yd33*complexconjugate(Yd33)))*complexconjugate(ZB12)))', 
	 order = {'QED':1} ) 
 
GC_102 = Coupling(name = 'GC_102',
	 value = '1./12.*complex(0,1)*(ZB21*((-((g1**2 + 3*g2**2)*vu*ZH22) + vd*ZH21*(g1**2 + 3*g2**2 - 12*Yd33*complexconjugate(Yd33)))*complexconjugate(ZB21) + 6*cmath.sqrt(2)*(-(ZH21*complexconjugate(Td33)) + Mue*ZH22*complexconjugate(Yd33))*complexconjugate(ZB22)) - 2*ZB22*(3*cmath.sqrt(2)*Td33*ZH21*complexconjugate(ZB21) - 3*cmath.sqrt(2)*Yd33*ZH22*complexconjugate(Mue)*complexconjugate(ZB21) + (g1**2*vu*ZH22 - vd*ZH21*(g1**2 - 6*Yd33*complexconjugate(Yd33)))*complexconjugate(ZB22)))', 
	 order = {'QED':1} ) 
 
GC_103 = Coupling(name = 'GC_103',
	 value = '1./12.*complex(0,1)*(ZC11*(((g1**2 - 3*g2**2)*vd*ZH11 - vu*ZH12*(g1**2 - 3*g2**2 + 12*Yu22*complexconjugate(Yu22)))*complexconjugate(ZC11) + 6*cmath.sqrt(2)*(-(ZH12*complexconjugate(Tu22)) + Mue*ZH11*complexconjugate(Yu22))*complexconjugate(ZC12)) + 2*ZC12*(-3*cmath.sqrt(2)*Tu22*ZH12*complexconjugate(ZC11) + 2*g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZC12) + 3*Yu22*(cmath.sqrt(2)*ZH11*complexconjugate(Mue)*complexconjugate(ZC11) - 2*vu*ZH12*complexconjugate(Yu22)*complexconjugate(ZC12))))', 
	 order = {'QED':1} ) 
 
GC_104 = Coupling(name = 'GC_104',
	 value = '1./12.*complex(0,1)*(ZC11*(((g1**2 - 3*g2**2)*vd*ZH11 - vu*ZH12*(g1**2 - 3*g2**2 + 12*Yu22*complexconjugate(Yu22)))*complexconjugate(ZC21) + 6*cmath.sqrt(2)*(-(ZH12*complexconjugate(Tu22)) + Mue*ZH11*complexconjugate(Yu22))*complexconjugate(ZC22)) + 2*ZC12*(-3*cmath.sqrt(2)*Tu22*ZH12*complexconjugate(ZC21) + 2*g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZC22) + 3*Yu22*(cmath.sqrt(2)*ZH11*complexconjugate(Mue)*complexconjugate(ZC21) - 2*vu*ZH12*complexconjugate(Yu22)*complexconjugate(ZC22))))', 
	 order = {'QED':1} ) 
 
GC_105 = Coupling(name = 'GC_105',
	 value = '1./12.*complex(0,1)*(ZC21*(((g1**2 - 3*g2**2)*vd*ZH11 - vu*ZH12*(g1**2 - 3*g2**2 + 12*Yu22*complexconjugate(Yu22)))*complexconjugate(ZC11) + 6*cmath.sqrt(2)*(-(ZH12*complexconjugate(Tu22)) + Mue*ZH11*complexconjugate(Yu22))*complexconjugate(ZC12)) + 2*ZC22*(-3*cmath.sqrt(2)*Tu22*ZH12*complexconjugate(ZC11) + 2*g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZC12) + 3*Yu22*(cmath.sqrt(2)*ZH11*complexconjugate(Mue)*complexconjugate(ZC11) - 2*vu*ZH12*complexconjugate(Yu22)*complexconjugate(ZC12))))', 
	 order = {'QED':1} ) 
 
GC_106 = Coupling(name = 'GC_106',
	 value = '1./12.*complex(0,1)*(ZC21*(((g1**2 - 3*g2**2)*vd*ZH11 - vu*ZH12*(g1**2 - 3*g2**2 + 12*Yu22*complexconjugate(Yu22)))*complexconjugate(ZC21) + 6*cmath.sqrt(2)*(-(ZH12*complexconjugate(Tu22)) + Mue*ZH11*complexconjugate(Yu22))*complexconjugate(ZC22)) + 2*ZC22*(-3*cmath.sqrt(2)*Tu22*ZH12*complexconjugate(ZC21) + 2*g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZC22) + 3*Yu22*(cmath.sqrt(2)*ZH11*complexconjugate(Mue)*complexconjugate(ZC21) - 2*vu*ZH12*complexconjugate(Yu22)*complexconjugate(ZC22))))', 
	 order = {'QED':1} ) 
 
GC_107 = Coupling(name = 'GC_107',
	 value = '1./12.*complex(0,1)*(ZC11*(((g1**2 - 3*g2**2)*vd*ZH21 - vu*ZH22*(g1**2 - 3*g2**2 + 12*Yu22*complexconjugate(Yu22)))*complexconjugate(ZC11) + 6*cmath.sqrt(2)*(-(ZH22*complexconjugate(Tu22)) + Mue*ZH21*complexconjugate(Yu22))*complexconjugate(ZC12)) + 2*ZC12*(-3*cmath.sqrt(2)*Tu22*ZH22*complexconjugate(ZC11) + 2*g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZC12) + 3*Yu22*(cmath.sqrt(2)*ZH21*complexconjugate(Mue)*complexconjugate(ZC11) - 2*vu*ZH22*complexconjugate(Yu22)*complexconjugate(ZC12))))', 
	 order = {'QED':1} ) 
 
GC_108 = Coupling(name = 'GC_108',
	 value = '1./12.*complex(0,1)*(ZC11*(((g1**2 - 3*g2**2)*vd*ZH21 - vu*ZH22*(g1**2 - 3*g2**2 + 12*Yu22*complexconjugate(Yu22)))*complexconjugate(ZC21) + 6*cmath.sqrt(2)*(-(ZH22*complexconjugate(Tu22)) + Mue*ZH21*complexconjugate(Yu22))*complexconjugate(ZC22)) + 2*ZC12*(-3*cmath.sqrt(2)*Tu22*ZH22*complexconjugate(ZC21) + 2*g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZC22) + 3*Yu22*(cmath.sqrt(2)*ZH21*complexconjugate(Mue)*complexconjugate(ZC21) - 2*vu*ZH22*complexconjugate(Yu22)*complexconjugate(ZC22))))', 
	 order = {'QED':1} ) 
 
GC_109 = Coupling(name = 'GC_109',
	 value = '1./12.*complex(0,1)*(ZC21*(((g1**2 - 3*g2**2)*vd*ZH21 - vu*ZH22*(g1**2 - 3*g2**2 + 12*Yu22*complexconjugate(Yu22)))*complexconjugate(ZC11) + 6*cmath.sqrt(2)*(-(ZH22*complexconjugate(Tu22)) + Mue*ZH21*complexconjugate(Yu22))*complexconjugate(ZC12)) + 2*ZC22*(-3*cmath.sqrt(2)*Tu22*ZH22*complexconjugate(ZC11) + 2*g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZC12) + 3*Yu22*(cmath.sqrt(2)*ZH21*complexconjugate(Mue)*complexconjugate(ZC11) - 2*vu*ZH22*complexconjugate(Yu22)*complexconjugate(ZC12))))', 
	 order = {'QED':1} ) 
 
GC_110 = Coupling(name = 'GC_110',
	 value = '1./12.*complex(0,1)*(ZC21*(((g1**2 - 3*g2**2)*vd*ZH21 - vu*ZH22*(g1**2 - 3*g2**2 + 12*Yu22*complexconjugate(Yu22)))*complexconjugate(ZC21) + 6*cmath.sqrt(2)*(-(ZH22*complexconjugate(Tu22)) + Mue*ZH21*complexconjugate(Yu22))*complexconjugate(ZC22)) + 2*ZC22*(-3*cmath.sqrt(2)*Tu22*ZH22*complexconjugate(ZC21) + 2*g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZC22) + 3*Yu22*(cmath.sqrt(2)*ZH21*complexconjugate(Mue)*complexconjugate(ZC21) - 2*vu*ZH22*complexconjugate(Yu22)*complexconjugate(ZC22))))', 
	 order = {'QED':1} ) 
 
GC_111 = Coupling(name = 'GC_111',
	 value = '1./12.*complex(0,1)*(ZD11*((-((g1**2 + 3*g2**2)*vu*ZH12) + vd*ZH11*(g1**2 + 3*g2**2 - 12*Yd11*complexconjugate(Yd11)))*complexconjugate(ZD11) + 6*cmath.sqrt(2)*(-(ZH11*complexconjugate(Td11)) + Mue*ZH12*complexconjugate(Yd11))*complexconjugate(ZD12)) - 2*ZD12*(3*cmath.sqrt(2)*Td11*ZH11*complexconjugate(ZD11) - 3*cmath.sqrt(2)*Yd11*ZH12*complexconjugate(Mue)*complexconjugate(ZD11) + (g1**2*vu*ZH12 - vd*ZH11*(g1**2 - 6*Yd11*complexconjugate(Yd11)))*complexconjugate(ZD12)))', 
	 order = {'QED':1} ) 
 
GC_112 = Coupling(name = 'GC_112',
	 value = '1./12.*complex(0,1)*(ZD11*((-((g1**2 + 3*g2**2)*vu*ZH12) + vd*ZH11*(g1**2 + 3*g2**2 - 12*Yd11*complexconjugate(Yd11)))*complexconjugate(ZD21) + 6*cmath.sqrt(2)*(-(ZH11*complexconjugate(Td11)) + Mue*ZH12*complexconjugate(Yd11))*complexconjugate(ZD22)) - 2*ZD12*(3*cmath.sqrt(2)*Td11*ZH11*complexconjugate(ZD21) - 3*cmath.sqrt(2)*Yd11*ZH12*complexconjugate(Mue)*complexconjugate(ZD21) + (g1**2*vu*ZH12 - vd*ZH11*(g1**2 - 6*Yd11*complexconjugate(Yd11)))*complexconjugate(ZD22)))', 
	 order = {'QED':1} ) 
 
GC_113 = Coupling(name = 'GC_113',
	 value = '1./12.*complex(0,1)*(ZD21*((-((g1**2 + 3*g2**2)*vu*ZH12) + vd*ZH11*(g1**2 + 3*g2**2 - 12*Yd11*complexconjugate(Yd11)))*complexconjugate(ZD11) + 6*cmath.sqrt(2)*(-(ZH11*complexconjugate(Td11)) + Mue*ZH12*complexconjugate(Yd11))*complexconjugate(ZD12)) - 2*ZD22*(3*cmath.sqrt(2)*Td11*ZH11*complexconjugate(ZD11) - 3*cmath.sqrt(2)*Yd11*ZH12*complexconjugate(Mue)*complexconjugate(ZD11) + (g1**2*vu*ZH12 - vd*ZH11*(g1**2 - 6*Yd11*complexconjugate(Yd11)))*complexconjugate(ZD12)))', 
	 order = {'QED':1} ) 
 
GC_114 = Coupling(name = 'GC_114',
	 value = '1./12.*complex(0,1)*(ZD21*((-((g1**2 + 3*g2**2)*vu*ZH12) + vd*ZH11*(g1**2 + 3*g2**2 - 12*Yd11*complexconjugate(Yd11)))*complexconjugate(ZD21) + 6*cmath.sqrt(2)*(-(ZH11*complexconjugate(Td11)) + Mue*ZH12*complexconjugate(Yd11))*complexconjugate(ZD22)) - 2*ZD22*(3*cmath.sqrt(2)*Td11*ZH11*complexconjugate(ZD21) - 3*cmath.sqrt(2)*Yd11*ZH12*complexconjugate(Mue)*complexconjugate(ZD21) + (g1**2*vu*ZH12 - vd*ZH11*(g1**2 - 6*Yd11*complexconjugate(Yd11)))*complexconjugate(ZD22)))', 
	 order = {'QED':1} ) 
 
GC_115 = Coupling(name = 'GC_115',
	 value = '1./12.*complex(0,1)*(ZD11*((-((g1**2 + 3*g2**2)*vu*ZH22) + vd*ZH21*(g1**2 + 3*g2**2 - 12*Yd11*complexconjugate(Yd11)))*complexconjugate(ZD11) + 6*cmath.sqrt(2)*(-(ZH21*complexconjugate(Td11)) + Mue*ZH22*complexconjugate(Yd11))*complexconjugate(ZD12)) - 2*ZD12*(3*cmath.sqrt(2)*Td11*ZH21*complexconjugate(ZD11) - 3*cmath.sqrt(2)*Yd11*ZH22*complexconjugate(Mue)*complexconjugate(ZD11) + (g1**2*vu*ZH22 - vd*ZH21*(g1**2 - 6*Yd11*complexconjugate(Yd11)))*complexconjugate(ZD12)))', 
	 order = {'QED':1} ) 
 
GC_116 = Coupling(name = 'GC_116',
	 value = '1./12.*complex(0,1)*(ZD11*((-((g1**2 + 3*g2**2)*vu*ZH22) + vd*ZH21*(g1**2 + 3*g2**2 - 12*Yd11*complexconjugate(Yd11)))*complexconjugate(ZD21) + 6*cmath.sqrt(2)*(-(ZH21*complexconjugate(Td11)) + Mue*ZH22*complexconjugate(Yd11))*complexconjugate(ZD22)) - 2*ZD12*(3*cmath.sqrt(2)*Td11*ZH21*complexconjugate(ZD21) - 3*cmath.sqrt(2)*Yd11*ZH22*complexconjugate(Mue)*complexconjugate(ZD21) + (g1**2*vu*ZH22 - vd*ZH21*(g1**2 - 6*Yd11*complexconjugate(Yd11)))*complexconjugate(ZD22)))', 
	 order = {'QED':1} ) 
 
GC_117 = Coupling(name = 'GC_117',
	 value = '1./12.*complex(0,1)*(ZD21*((-((g1**2 + 3*g2**2)*vu*ZH22) + vd*ZH21*(g1**2 + 3*g2**2 - 12*Yd11*complexconjugate(Yd11)))*complexconjugate(ZD11) + 6*cmath.sqrt(2)*(-(ZH21*complexconjugate(Td11)) + Mue*ZH22*complexconjugate(Yd11))*complexconjugate(ZD12)) - 2*ZD22*(3*cmath.sqrt(2)*Td11*ZH21*complexconjugate(ZD11) - 3*cmath.sqrt(2)*Yd11*ZH22*complexconjugate(Mue)*complexconjugate(ZD11) + (g1**2*vu*ZH22 - vd*ZH21*(g1**2 - 6*Yd11*complexconjugate(Yd11)))*complexconjugate(ZD12)))', 
	 order = {'QED':1} ) 
 
GC_118 = Coupling(name = 'GC_118',
	 value = '1./12.*complex(0,1)*(ZD21*((-((g1**2 + 3*g2**2)*vu*ZH22) + vd*ZH21*(g1**2 + 3*g2**2 - 12*Yd11*complexconjugate(Yd11)))*complexconjugate(ZD21) + 6*cmath.sqrt(2)*(-(ZH21*complexconjugate(Td11)) + Mue*ZH22*complexconjugate(Yd11))*complexconjugate(ZD22)) - 2*ZD22*(3*cmath.sqrt(2)*Td11*ZH21*complexconjugate(ZD21) - 3*cmath.sqrt(2)*Yd11*ZH22*complexconjugate(Mue)*complexconjugate(ZD21) + (g1**2*vu*ZH22 - vd*ZH21*(g1**2 - 6*Yd11*complexconjugate(Yd11)))*complexconjugate(ZD22)))', 
	 order = {'QED':1} ) 
 
GC_119 = Coupling(name = 'GC_119',
	 value = '1./4.*complex(0,1)*(ZE11*(((g1**2 - g2**2)*vu*ZH12 + vd*ZH11*(-g1**2 + g2**2 - 4*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE11) + 2*cmath.sqrt(2)*(-(ZH11*complexconjugate(Te11)) + Mue*ZH12*complexconjugate(Ye11))*complexconjugate(ZE12)) - 2*ZE12*(cmath.sqrt(2)*Te11*ZH11*complexconjugate(ZE11) - cmath.sqrt(2)*Ye11*ZH12*complexconjugate(Mue)*complexconjugate(ZE11) + (g1**2*vu*ZH12 - vd*ZH11*(g1**2 - 2*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE12)))', 
	 order = {'QED':1} ) 
 
GC_120 = Coupling(name = 'GC_120',
	 value = '1./4.*complex(0,1)*(ZE11*(((g1**2 - g2**2)*vu*ZH12 + vd*ZH11*(-g1**2 + g2**2 - 4*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE21) + 2*cmath.sqrt(2)*(-(ZH11*complexconjugate(Te11)) + Mue*ZH12*complexconjugate(Ye11))*complexconjugate(ZE22)) - 2*ZE12*(cmath.sqrt(2)*Te11*ZH11*complexconjugate(ZE21) - cmath.sqrt(2)*Ye11*ZH12*complexconjugate(Mue)*complexconjugate(ZE21) + (g1**2*vu*ZH12 - vd*ZH11*(g1**2 - 2*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE22)))', 
	 order = {'QED':1} ) 
 
GC_121 = Coupling(name = 'GC_121',
	 value = '1./4.*complex(0,1)*(ZE21*(((g1**2 - g2**2)*vu*ZH12 + vd*ZH11*(-g1**2 + g2**2 - 4*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE11) + 2*cmath.sqrt(2)*(-(ZH11*complexconjugate(Te11)) + Mue*ZH12*complexconjugate(Ye11))*complexconjugate(ZE12)) - 2*ZE22*(cmath.sqrt(2)*Te11*ZH11*complexconjugate(ZE11) - cmath.sqrt(2)*Ye11*ZH12*complexconjugate(Mue)*complexconjugate(ZE11) + (g1**2*vu*ZH12 - vd*ZH11*(g1**2 - 2*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE12)))', 
	 order = {'QED':1} ) 
 
GC_122 = Coupling(name = 'GC_122',
	 value = '1./4.*complex(0,1)*(ZE21*(((g1**2 - g2**2)*vu*ZH12 + vd*ZH11*(-g1**2 + g2**2 - 4*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE21) + 2*cmath.sqrt(2)*(-(ZH11*complexconjugate(Te11)) + Mue*ZH12*complexconjugate(Ye11))*complexconjugate(ZE22)) - 2*ZE22*(cmath.sqrt(2)*Te11*ZH11*complexconjugate(ZE21) - cmath.sqrt(2)*Ye11*ZH12*complexconjugate(Mue)*complexconjugate(ZE21) + (g1**2*vu*ZH12 - vd*ZH11*(g1**2 - 2*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE22)))', 
	 order = {'QED':1} ) 
 
GC_123 = Coupling(name = 'GC_123',
	 value = '1./4.*complex(0,1)*(ZE11*(((g1**2 - g2**2)*vu*ZH22 + vd*ZH21*(-g1**2 + g2**2 - 4*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE11) + 2*cmath.sqrt(2)*(-(ZH21*complexconjugate(Te11)) + Mue*ZH22*complexconjugate(Ye11))*complexconjugate(ZE12)) - 2*ZE12*(cmath.sqrt(2)*Te11*ZH21*complexconjugate(ZE11) - cmath.sqrt(2)*Ye11*ZH22*complexconjugate(Mue)*complexconjugate(ZE11) + (g1**2*vu*ZH22 - vd*ZH21*(g1**2 - 2*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE12)))', 
	 order = {'QED':1} ) 
 
GC_124 = Coupling(name = 'GC_124',
	 value = '1./4.*complex(0,1)*(ZE11*(((g1**2 - g2**2)*vu*ZH22 + vd*ZH21*(-g1**2 + g2**2 - 4*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE21) + 2*cmath.sqrt(2)*(-(ZH21*complexconjugate(Te11)) + Mue*ZH22*complexconjugate(Ye11))*complexconjugate(ZE22)) - 2*ZE12*(cmath.sqrt(2)*Te11*ZH21*complexconjugate(ZE21) - cmath.sqrt(2)*Ye11*ZH22*complexconjugate(Mue)*complexconjugate(ZE21) + (g1**2*vu*ZH22 - vd*ZH21*(g1**2 - 2*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE22)))', 
	 order = {'QED':1} ) 
 
GC_125 = Coupling(name = 'GC_125',
	 value = '1./4.*complex(0,1)*(ZE21*(((g1**2 - g2**2)*vu*ZH22 + vd*ZH21*(-g1**2 + g2**2 - 4*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE11) + 2*cmath.sqrt(2)*(-(ZH21*complexconjugate(Te11)) + Mue*ZH22*complexconjugate(Ye11))*complexconjugate(ZE12)) - 2*ZE22*(cmath.sqrt(2)*Te11*ZH21*complexconjugate(ZE11) - cmath.sqrt(2)*Ye11*ZH22*complexconjugate(Mue)*complexconjugate(ZE11) + (g1**2*vu*ZH22 - vd*ZH21*(g1**2 - 2*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE12)))', 
	 order = {'QED':1} ) 
 
GC_126 = Coupling(name = 'GC_126',
	 value = '1./4.*complex(0,1)*(ZE21*(((g1**2 - g2**2)*vu*ZH22 + vd*ZH21*(-g1**2 + g2**2 - 4*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE21) + 2*cmath.sqrt(2)*(-(ZH21*complexconjugate(Te11)) + Mue*ZH22*complexconjugate(Ye11))*complexconjugate(ZE22)) - 2*ZE22*(cmath.sqrt(2)*Te11*ZH21*complexconjugate(ZE21) - cmath.sqrt(2)*Ye11*ZH22*complexconjugate(Mue)*complexconjugate(ZE21) + (g1**2*vu*ZH22 - vd*ZH21*(g1**2 - 2*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE22)))', 
	 order = {'QED':1} ) 
 
GC_127 = Coupling(name = 'GC_127',
	 value = '1./4.*complex(0,1)*(ZM11*(-(ZH11*(vd*(g1**2 - g2**2 + 4*Ye22*complexconjugate(Ye22))*complexconjugate(ZM11) + 2*cmath.sqrt(2)*complexconjugate(Te22)*complexconjugate(ZM12))) + ZH12*((g1**2 - g2**2)*vu*complexconjugate(ZM11) + 2*cmath.sqrt(2)*Mue*complexconjugate(Ye22)*complexconjugate(ZM12))) - 2*ZM12*(cmath.sqrt(2)*Te22*ZH11*complexconjugate(ZM11) + g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZM12) + Ye22*(-(cmath.sqrt(2)*ZH12*complexconjugate(Mue)*complexconjugate(ZM11)) + 2*vd*ZH11*complexconjugate(Ye22)*complexconjugate(ZM12))))', 
	 order = {'QED':1} ) 
 
GC_128 = Coupling(name = 'GC_128',
	 value = '1./4.*complex(0,1)*(ZM11*(-(ZH11*(vd*(g1**2 - g2**2 + 4*Ye22*complexconjugate(Ye22))*complexconjugate(ZM21) + 2*cmath.sqrt(2)*complexconjugate(Te22)*complexconjugate(ZM22))) + ZH12*((g1**2 - g2**2)*vu*complexconjugate(ZM21) + 2*cmath.sqrt(2)*Mue*complexconjugate(Ye22)*complexconjugate(ZM22))) - 2*ZM12*(cmath.sqrt(2)*Te22*ZH11*complexconjugate(ZM21) + g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZM22) + Ye22*(-(cmath.sqrt(2)*ZH12*complexconjugate(Mue)*complexconjugate(ZM21)) + 2*vd*ZH11*complexconjugate(Ye22)*complexconjugate(ZM22))))', 
	 order = {'QED':1} ) 
 
GC_129 = Coupling(name = 'GC_129',
	 value = '1./4.*complex(0,1)*(ZM21*(-(ZH11*(vd*(g1**2 - g2**2 + 4*Ye22*complexconjugate(Ye22))*complexconjugate(ZM11) + 2*cmath.sqrt(2)*complexconjugate(Te22)*complexconjugate(ZM12))) + ZH12*((g1**2 - g2**2)*vu*complexconjugate(ZM11) + 2*cmath.sqrt(2)*Mue*complexconjugate(Ye22)*complexconjugate(ZM12))) - 2*ZM22*(cmath.sqrt(2)*Te22*ZH11*complexconjugate(ZM11) + g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZM12) + Ye22*(-(cmath.sqrt(2)*ZH12*complexconjugate(Mue)*complexconjugate(ZM11)) + 2*vd*ZH11*complexconjugate(Ye22)*complexconjugate(ZM12))))', 
	 order = {'QED':1} ) 
 
GC_130 = Coupling(name = 'GC_130',
	 value = '1./4.*complex(0,1)*(ZM21*(-(ZH11*(vd*(g1**2 - g2**2 + 4*Ye22*complexconjugate(Ye22))*complexconjugate(ZM21) + 2*cmath.sqrt(2)*complexconjugate(Te22)*complexconjugate(ZM22))) + ZH12*((g1**2 - g2**2)*vu*complexconjugate(ZM21) + 2*cmath.sqrt(2)*Mue*complexconjugate(Ye22)*complexconjugate(ZM22))) - 2*ZM22*(cmath.sqrt(2)*Te22*ZH11*complexconjugate(ZM21) + g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZM22) + Ye22*(-(cmath.sqrt(2)*ZH12*complexconjugate(Mue)*complexconjugate(ZM21)) + 2*vd*ZH11*complexconjugate(Ye22)*complexconjugate(ZM22))))', 
	 order = {'QED':1} ) 
 
GC_131 = Coupling(name = 'GC_131',
	 value = '1./4.*complex(0,1)*(ZM11*(-(ZH21*(vd*(g1**2 - g2**2 + 4*Ye22*complexconjugate(Ye22))*complexconjugate(ZM11) + 2*cmath.sqrt(2)*complexconjugate(Te22)*complexconjugate(ZM12))) + ZH22*((g1**2 - g2**2)*vu*complexconjugate(ZM11) + 2*cmath.sqrt(2)*Mue*complexconjugate(Ye22)*complexconjugate(ZM12))) - 2*ZM12*(cmath.sqrt(2)*Te22*ZH21*complexconjugate(ZM11) + g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZM12) + Ye22*(-(cmath.sqrt(2)*ZH22*complexconjugate(Mue)*complexconjugate(ZM11)) + 2*vd*ZH21*complexconjugate(Ye22)*complexconjugate(ZM12))))', 
	 order = {'QED':1} ) 
 
GC_132 = Coupling(name = 'GC_132',
	 value = '1./4.*complex(0,1)*(ZM11*(-(ZH21*(vd*(g1**2 - g2**2 + 4*Ye22*complexconjugate(Ye22))*complexconjugate(ZM21) + 2*cmath.sqrt(2)*complexconjugate(Te22)*complexconjugate(ZM22))) + ZH22*((g1**2 - g2**2)*vu*complexconjugate(ZM21) + 2*cmath.sqrt(2)*Mue*complexconjugate(Ye22)*complexconjugate(ZM22))) - 2*ZM12*(cmath.sqrt(2)*Te22*ZH21*complexconjugate(ZM21) + g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZM22) + Ye22*(-(cmath.sqrt(2)*ZH22*complexconjugate(Mue)*complexconjugate(ZM21)) + 2*vd*ZH21*complexconjugate(Ye22)*complexconjugate(ZM22))))', 
	 order = {'QED':1} ) 
 
GC_133 = Coupling(name = 'GC_133',
	 value = '1./4.*complex(0,1)*(ZM21*(-(ZH21*(vd*(g1**2 - g2**2 + 4*Ye22*complexconjugate(Ye22))*complexconjugate(ZM11) + 2*cmath.sqrt(2)*complexconjugate(Te22)*complexconjugate(ZM12))) + ZH22*((g1**2 - g2**2)*vu*complexconjugate(ZM11) + 2*cmath.sqrt(2)*Mue*complexconjugate(Ye22)*complexconjugate(ZM12))) - 2*ZM22*(cmath.sqrt(2)*Te22*ZH21*complexconjugate(ZM11) + g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZM12) + Ye22*(-(cmath.sqrt(2)*ZH22*complexconjugate(Mue)*complexconjugate(ZM11)) + 2*vd*ZH21*complexconjugate(Ye22)*complexconjugate(ZM12))))', 
	 order = {'QED':1} ) 
 
GC_134 = Coupling(name = 'GC_134',
	 value = '1./4.*complex(0,1)*(ZM21*(-(ZH21*(vd*(g1**2 - g2**2 + 4*Ye22*complexconjugate(Ye22))*complexconjugate(ZM21) + 2*cmath.sqrt(2)*complexconjugate(Te22)*complexconjugate(ZM22))) + ZH22*((g1**2 - g2**2)*vu*complexconjugate(ZM21) + 2*cmath.sqrt(2)*Mue*complexconjugate(Ye22)*complexconjugate(ZM22))) - 2*ZM22*(cmath.sqrt(2)*Te22*ZH21*complexconjugate(ZM21) + g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZM22) + Ye22*(-(cmath.sqrt(2)*ZH22*complexconjugate(Mue)*complexconjugate(ZM21)) + 2*vd*ZH21*complexconjugate(Ye22)*complexconjugate(ZM22))))', 
	 order = {'QED':1} ) 
 
GC_135 = Coupling(name = 'GC_135',
	 value = '1./12.*complex(0,1)*(ZS11*(ZH11*(vd*(g1**2 + 3*g2**2 - 12*Yd22*complexconjugate(Yd22))*complexconjugate(ZS11) - 6*cmath.sqrt(2)*complexconjugate(Td22)*complexconjugate(ZS12)) - ZH12*((g1**2 + 3*g2**2)*vu*complexconjugate(ZS11) - 6*cmath.sqrt(2)*Mue*complexconjugate(Yd22)*complexconjugate(ZS12))) - 2*ZS12*(3*cmath.sqrt(2)*Td22*ZH11*complexconjugate(ZS11) + g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZS12) + Yd22*(-3*cmath.sqrt(2)*ZH12*complexconjugate(Mue)*complexconjugate(ZS11) + 6*vd*ZH11*complexconjugate(Yd22)*complexconjugate(ZS12))))', 
	 order = {'QED':1} ) 
 
GC_136 = Coupling(name = 'GC_136',
	 value = '1./12.*complex(0,1)*(ZS11*(ZH11*(vd*(g1**2 + 3*g2**2 - 12*Yd22*complexconjugate(Yd22))*complexconjugate(ZS21) - 6*cmath.sqrt(2)*complexconjugate(Td22)*complexconjugate(ZS22)) - ZH12*((g1**2 + 3*g2**2)*vu*complexconjugate(ZS21) - 6*cmath.sqrt(2)*Mue*complexconjugate(Yd22)*complexconjugate(ZS22))) - 2*ZS12*(3*cmath.sqrt(2)*Td22*ZH11*complexconjugate(ZS21) + g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZS22) + Yd22*(-3*cmath.sqrt(2)*ZH12*complexconjugate(Mue)*complexconjugate(ZS21) + 6*vd*ZH11*complexconjugate(Yd22)*complexconjugate(ZS22))))', 
	 order = {'QED':1} ) 
 
GC_137 = Coupling(name = 'GC_137',
	 value = '1./12.*complex(0,1)*(ZS21*(ZH11*(vd*(g1**2 + 3*g2**2 - 12*Yd22*complexconjugate(Yd22))*complexconjugate(ZS11) - 6*cmath.sqrt(2)*complexconjugate(Td22)*complexconjugate(ZS12)) - ZH12*((g1**2 + 3*g2**2)*vu*complexconjugate(ZS11) - 6*cmath.sqrt(2)*Mue*complexconjugate(Yd22)*complexconjugate(ZS12))) - 2*ZS22*(3*cmath.sqrt(2)*Td22*ZH11*complexconjugate(ZS11) + g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZS12) + Yd22*(-3*cmath.sqrt(2)*ZH12*complexconjugate(Mue)*complexconjugate(ZS11) + 6*vd*ZH11*complexconjugate(Yd22)*complexconjugate(ZS12))))', 
	 order = {'QED':1} ) 
 
GC_138 = Coupling(name = 'GC_138',
	 value = '1./12.*complex(0,1)*(ZS21*(ZH11*(vd*(g1**2 + 3*g2**2 - 12*Yd22*complexconjugate(Yd22))*complexconjugate(ZS21) - 6*cmath.sqrt(2)*complexconjugate(Td22)*complexconjugate(ZS22)) - ZH12*((g1**2 + 3*g2**2)*vu*complexconjugate(ZS21) - 6*cmath.sqrt(2)*Mue*complexconjugate(Yd22)*complexconjugate(ZS22))) - 2*ZS22*(3*cmath.sqrt(2)*Td22*ZH11*complexconjugate(ZS21) + g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZS22) + Yd22*(-3*cmath.sqrt(2)*ZH12*complexconjugate(Mue)*complexconjugate(ZS21) + 6*vd*ZH11*complexconjugate(Yd22)*complexconjugate(ZS22))))', 
	 order = {'QED':1} ) 
 
GC_139 = Coupling(name = 'GC_139',
	 value = '1./12.*complex(0,1)*(ZS11*(ZH21*(vd*(g1**2 + 3*g2**2 - 12*Yd22*complexconjugate(Yd22))*complexconjugate(ZS11) - 6*cmath.sqrt(2)*complexconjugate(Td22)*complexconjugate(ZS12)) - ZH22*((g1**2 + 3*g2**2)*vu*complexconjugate(ZS11) - 6*cmath.sqrt(2)*Mue*complexconjugate(Yd22)*complexconjugate(ZS12))) - 2*ZS12*(3*cmath.sqrt(2)*Td22*ZH21*complexconjugate(ZS11) + g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZS12) + Yd22*(-3*cmath.sqrt(2)*ZH22*complexconjugate(Mue)*complexconjugate(ZS11) + 6*vd*ZH21*complexconjugate(Yd22)*complexconjugate(ZS12))))', 
	 order = {'QED':1} ) 
 
GC_140 = Coupling(name = 'GC_140',
	 value = '1./12.*complex(0,1)*(ZS11*(ZH21*(vd*(g1**2 + 3*g2**2 - 12*Yd22*complexconjugate(Yd22))*complexconjugate(ZS21) - 6*cmath.sqrt(2)*complexconjugate(Td22)*complexconjugate(ZS22)) - ZH22*((g1**2 + 3*g2**2)*vu*complexconjugate(ZS21) - 6*cmath.sqrt(2)*Mue*complexconjugate(Yd22)*complexconjugate(ZS22))) - 2*ZS12*(3*cmath.sqrt(2)*Td22*ZH21*complexconjugate(ZS21) + g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZS22) + Yd22*(-3*cmath.sqrt(2)*ZH22*complexconjugate(Mue)*complexconjugate(ZS21) + 6*vd*ZH21*complexconjugate(Yd22)*complexconjugate(ZS22))))', 
	 order = {'QED':1} ) 
 
GC_141 = Coupling(name = 'GC_141',
	 value = '1./12.*complex(0,1)*(ZS21*(ZH21*(vd*(g1**2 + 3*g2**2 - 12*Yd22*complexconjugate(Yd22))*complexconjugate(ZS11) - 6*cmath.sqrt(2)*complexconjugate(Td22)*complexconjugate(ZS12)) - ZH22*((g1**2 + 3*g2**2)*vu*complexconjugate(ZS11) - 6*cmath.sqrt(2)*Mue*complexconjugate(Yd22)*complexconjugate(ZS12))) - 2*ZS22*(3*cmath.sqrt(2)*Td22*ZH21*complexconjugate(ZS11) + g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZS12) + Yd22*(-3*cmath.sqrt(2)*ZH22*complexconjugate(Mue)*complexconjugate(ZS11) + 6*vd*ZH21*complexconjugate(Yd22)*complexconjugate(ZS12))))', 
	 order = {'QED':1} ) 
 
GC_142 = Coupling(name = 'GC_142',
	 value = '1./12.*complex(0,1)*(ZS21*(ZH21*(vd*(g1**2 + 3*g2**2 - 12*Yd22*complexconjugate(Yd22))*complexconjugate(ZS21) - 6*cmath.sqrt(2)*complexconjugate(Td22)*complexconjugate(ZS22)) - ZH22*((g1**2 + 3*g2**2)*vu*complexconjugate(ZS21) - 6*cmath.sqrt(2)*Mue*complexconjugate(Yd22)*complexconjugate(ZS22))) - 2*ZS22*(3*cmath.sqrt(2)*Td22*ZH21*complexconjugate(ZS21) + g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZS22) + Yd22*(-3*cmath.sqrt(2)*ZH22*complexconjugate(Mue)*complexconjugate(ZS21) + 6*vd*ZH21*complexconjugate(Yd22)*complexconjugate(ZS22))))', 
	 order = {'QED':1} ) 
 
GC_143 = Coupling(name = 'GC_143',
	 value = '1./12.*complex(0,1)*(ZT11*(-(ZH12*(vu*(g1**2 - 3*g2**2 + 12*Yu33*complexconjugate(Yu33))*complexconjugate(ZT11) + 6*cmath.sqrt(2)*complexconjugate(Tu33)*complexconjugate(ZT12))) + ZH11*((g1**2 - 3*g2**2)*vd*complexconjugate(ZT11) + 6*cmath.sqrt(2)*Mue*complexconjugate(Yu33)*complexconjugate(ZT12))) + 2*ZT12*(-3*cmath.sqrt(2)*Tu33*ZH12*complexconjugate(ZT11) + 2*g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZT12) + 3*Yu33*(cmath.sqrt(2)*ZH11*complexconjugate(Mue)*complexconjugate(ZT11) - 2*vu*ZH12*complexconjugate(Yu33)*complexconjugate(ZT12))))', 
	 order = {'QED':1} ) 
 
GC_144 = Coupling(name = 'GC_144',
	 value = '1./12.*complex(0,1)*(ZT11*(-(ZH12*(vu*(g1**2 - 3*g2**2 + 12*Yu33*complexconjugate(Yu33))*complexconjugate(ZT21) + 6*cmath.sqrt(2)*complexconjugate(Tu33)*complexconjugate(ZT22))) + ZH11*((g1**2 - 3*g2**2)*vd*complexconjugate(ZT21) + 6*cmath.sqrt(2)*Mue*complexconjugate(Yu33)*complexconjugate(ZT22))) + 2*ZT12*(-3*cmath.sqrt(2)*Tu33*ZH12*complexconjugate(ZT21) + 2*g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZT22) + 3*Yu33*(cmath.sqrt(2)*ZH11*complexconjugate(Mue)*complexconjugate(ZT21) - 2*vu*ZH12*complexconjugate(Yu33)*complexconjugate(ZT22))))', 
	 order = {'QED':1} ) 
 
GC_145 = Coupling(name = 'GC_145',
	 value = '1./12.*complex(0,1)*(ZT21*(-(ZH12*(vu*(g1**2 - 3*g2**2 + 12*Yu33*complexconjugate(Yu33))*complexconjugate(ZT11) + 6*cmath.sqrt(2)*complexconjugate(Tu33)*complexconjugate(ZT12))) + ZH11*((g1**2 - 3*g2**2)*vd*complexconjugate(ZT11) + 6*cmath.sqrt(2)*Mue*complexconjugate(Yu33)*complexconjugate(ZT12))) + 2*ZT22*(-3*cmath.sqrt(2)*Tu33*ZH12*complexconjugate(ZT11) + 2*g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZT12) + 3*Yu33*(cmath.sqrt(2)*ZH11*complexconjugate(Mue)*complexconjugate(ZT11) - 2*vu*ZH12*complexconjugate(Yu33)*complexconjugate(ZT12))))', 
	 order = {'QED':1} ) 
 
GC_146 = Coupling(name = 'GC_146',
	 value = '1./12.*complex(0,1)*(ZT21*(-(ZH12*(vu*(g1**2 - 3*g2**2 + 12*Yu33*complexconjugate(Yu33))*complexconjugate(ZT21) + 6*cmath.sqrt(2)*complexconjugate(Tu33)*complexconjugate(ZT22))) + ZH11*((g1**2 - 3*g2**2)*vd*complexconjugate(ZT21) + 6*cmath.sqrt(2)*Mue*complexconjugate(Yu33)*complexconjugate(ZT22))) + 2*ZT22*(-3*cmath.sqrt(2)*Tu33*ZH12*complexconjugate(ZT21) + 2*g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZT22) + 3*Yu33*(cmath.sqrt(2)*ZH11*complexconjugate(Mue)*complexconjugate(ZT21) - 2*vu*ZH12*complexconjugate(Yu33)*complexconjugate(ZT22))))', 
	 order = {'QED':1} ) 
 
GC_147 = Coupling(name = 'GC_147',
	 value = '1./12.*complex(0,1)*(ZT11*(-(ZH22*(vu*(g1**2 - 3*g2**2 + 12*Yu33*complexconjugate(Yu33))*complexconjugate(ZT11) + 6*cmath.sqrt(2)*complexconjugate(Tu33)*complexconjugate(ZT12))) + ZH21*((g1**2 - 3*g2**2)*vd*complexconjugate(ZT11) + 6*cmath.sqrt(2)*Mue*complexconjugate(Yu33)*complexconjugate(ZT12))) + 2*ZT12*(-3*cmath.sqrt(2)*Tu33*ZH22*complexconjugate(ZT11) + 2*g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZT12) + 3*Yu33*(cmath.sqrt(2)*ZH21*complexconjugate(Mue)*complexconjugate(ZT11) - 2*vu*ZH22*complexconjugate(Yu33)*complexconjugate(ZT12))))', 
	 order = {'QED':1} ) 
 
GC_148 = Coupling(name = 'GC_148',
	 value = '1./12.*complex(0,1)*(ZT11*(-(ZH22*(vu*(g1**2 - 3*g2**2 + 12*Yu33*complexconjugate(Yu33))*complexconjugate(ZT21) + 6*cmath.sqrt(2)*complexconjugate(Tu33)*complexconjugate(ZT22))) + ZH21*((g1**2 - 3*g2**2)*vd*complexconjugate(ZT21) + 6*cmath.sqrt(2)*Mue*complexconjugate(Yu33)*complexconjugate(ZT22))) + 2*ZT12*(-3*cmath.sqrt(2)*Tu33*ZH22*complexconjugate(ZT21) + 2*g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZT22) + 3*Yu33*(cmath.sqrt(2)*ZH21*complexconjugate(Mue)*complexconjugate(ZT21) - 2*vu*ZH22*complexconjugate(Yu33)*complexconjugate(ZT22))))', 
	 order = {'QED':1} ) 
 
GC_149 = Coupling(name = 'GC_149',
	 value = '1./12.*complex(0,1)*(ZT21*(-(ZH22*(vu*(g1**2 - 3*g2**2 + 12*Yu33*complexconjugate(Yu33))*complexconjugate(ZT11) + 6*cmath.sqrt(2)*complexconjugate(Tu33)*complexconjugate(ZT12))) + ZH21*((g1**2 - 3*g2**2)*vd*complexconjugate(ZT11) + 6*cmath.sqrt(2)*Mue*complexconjugate(Yu33)*complexconjugate(ZT12))) + 2*ZT22*(-3*cmath.sqrt(2)*Tu33*ZH22*complexconjugate(ZT11) + 2*g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZT12) + 3*Yu33*(cmath.sqrt(2)*ZH21*complexconjugate(Mue)*complexconjugate(ZT11) - 2*vu*ZH22*complexconjugate(Yu33)*complexconjugate(ZT12))))', 
	 order = {'QED':1} ) 
 
GC_150 = Coupling(name = 'GC_150',
	 value = '1./12.*complex(0,1)*(ZT21*(-(ZH22*(vu*(g1**2 - 3*g2**2 + 12*Yu33*complexconjugate(Yu33))*complexconjugate(ZT21) + 6*cmath.sqrt(2)*complexconjugate(Tu33)*complexconjugate(ZT22))) + ZH21*((g1**2 - 3*g2**2)*vd*complexconjugate(ZT21) + 6*cmath.sqrt(2)*Mue*complexconjugate(Yu33)*complexconjugate(ZT22))) + 2*ZT22*(-3*cmath.sqrt(2)*Tu33*ZH22*complexconjugate(ZT21) + 2*g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZT22) + 3*Yu33*(cmath.sqrt(2)*ZH21*complexconjugate(Mue)*complexconjugate(ZT21) - 2*vu*ZH22*complexconjugate(Yu33)*complexconjugate(ZT22))))', 
	 order = {'QED':1} ) 
 
GC_151 = Coupling(name = 'GC_151',
	 value = '1./4.*complex(0,1)*(ZTau11*(-(ZH11*(vd*(g1**2 - g2**2 + 4*Ye33*complexconjugate(Ye33))*complexconjugate(ZTau11) + 2*cmath.sqrt(2)*complexconjugate(Te33)*complexconjugate(ZTau12))) + ZH12*((g1**2 - g2**2)*vu*complexconjugate(ZTau11) + 2*cmath.sqrt(2)*Mue*complexconjugate(Ye33)*complexconjugate(ZTau12))) - 2*ZTau12*(cmath.sqrt(2)*Te33*ZH11*complexconjugate(ZTau11) + g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZTau12) + Ye33*(-(cmath.sqrt(2)*ZH12*complexconjugate(Mue)*complexconjugate(ZTau11)) + 2*vd*ZH11*complexconjugate(Ye33)*complexconjugate(ZTau12))))', 
	 order = {'QED':1} ) 
 
GC_152 = Coupling(name = 'GC_152',
	 value = '1./4.*complex(0,1)*(ZTau11*(-(ZH11*(vd*(g1**2 - g2**2 + 4*Ye33*complexconjugate(Ye33))*complexconjugate(ZTau21) + 2*cmath.sqrt(2)*complexconjugate(Te33)*complexconjugate(ZTau22))) + ZH12*((g1**2 - g2**2)*vu*complexconjugate(ZTau21) + 2*cmath.sqrt(2)*Mue*complexconjugate(Ye33)*complexconjugate(ZTau22))) - 2*ZTau12*(cmath.sqrt(2)*Te33*ZH11*complexconjugate(ZTau21) + g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZTau22) + Ye33*(-(cmath.sqrt(2)*ZH12*complexconjugate(Mue)*complexconjugate(ZTau21)) + 2*vd*ZH11*complexconjugate(Ye33)*complexconjugate(ZTau22))))', 
	 order = {'QED':1} ) 
 
GC_153 = Coupling(name = 'GC_153',
	 value = '1./4.*complex(0,1)*(ZTau21*(-(ZH11*(vd*(g1**2 - g2**2 + 4*Ye33*complexconjugate(Ye33))*complexconjugate(ZTau11) + 2*cmath.sqrt(2)*complexconjugate(Te33)*complexconjugate(ZTau12))) + ZH12*((g1**2 - g2**2)*vu*complexconjugate(ZTau11) + 2*cmath.sqrt(2)*Mue*complexconjugate(Ye33)*complexconjugate(ZTau12))) - 2*ZTau22*(cmath.sqrt(2)*Te33*ZH11*complexconjugate(ZTau11) + g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZTau12) + Ye33*(-(cmath.sqrt(2)*ZH12*complexconjugate(Mue)*complexconjugate(ZTau11)) + 2*vd*ZH11*complexconjugate(Ye33)*complexconjugate(ZTau12))))', 
	 order = {'QED':1} ) 
 
GC_154 = Coupling(name = 'GC_154',
	 value = '1./4.*complex(0,1)*(ZTau21*(-(ZH11*(vd*(g1**2 - g2**2 + 4*Ye33*complexconjugate(Ye33))*complexconjugate(ZTau21) + 2*cmath.sqrt(2)*complexconjugate(Te33)*complexconjugate(ZTau22))) + ZH12*((g1**2 - g2**2)*vu*complexconjugate(ZTau21) + 2*cmath.sqrt(2)*Mue*complexconjugate(Ye33)*complexconjugate(ZTau22))) - 2*ZTau22*(cmath.sqrt(2)*Te33*ZH11*complexconjugate(ZTau21) + g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZTau22) + Ye33*(-(cmath.sqrt(2)*ZH12*complexconjugate(Mue)*complexconjugate(ZTau21)) + 2*vd*ZH11*complexconjugate(Ye33)*complexconjugate(ZTau22))))', 
	 order = {'QED':1} ) 
 
GC_155 = Coupling(name = 'GC_155',
	 value = '1./4.*complex(0,1)*(ZTau11*(-(ZH21*(vd*(g1**2 - g2**2 + 4*Ye33*complexconjugate(Ye33))*complexconjugate(ZTau11) + 2*cmath.sqrt(2)*complexconjugate(Te33)*complexconjugate(ZTau12))) + ZH22*((g1**2 - g2**2)*vu*complexconjugate(ZTau11) + 2*cmath.sqrt(2)*Mue*complexconjugate(Ye33)*complexconjugate(ZTau12))) - 2*ZTau12*(cmath.sqrt(2)*Te33*ZH21*complexconjugate(ZTau11) + g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZTau12) + Ye33*(-(cmath.sqrt(2)*ZH22*complexconjugate(Mue)*complexconjugate(ZTau11)) + 2*vd*ZH21*complexconjugate(Ye33)*complexconjugate(ZTau12))))', 
	 order = {'QED':1} ) 
 
GC_156 = Coupling(name = 'GC_156',
	 value = '1./4.*complex(0,1)*(ZTau11*(-(ZH21*(vd*(g1**2 - g2**2 + 4*Ye33*complexconjugate(Ye33))*complexconjugate(ZTau21) + 2*cmath.sqrt(2)*complexconjugate(Te33)*complexconjugate(ZTau22))) + ZH22*((g1**2 - g2**2)*vu*complexconjugate(ZTau21) + 2*cmath.sqrt(2)*Mue*complexconjugate(Ye33)*complexconjugate(ZTau22))) - 2*ZTau12*(cmath.sqrt(2)*Te33*ZH21*complexconjugate(ZTau21) + g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZTau22) + Ye33*(-(cmath.sqrt(2)*ZH22*complexconjugate(Mue)*complexconjugate(ZTau21)) + 2*vd*ZH21*complexconjugate(Ye33)*complexconjugate(ZTau22))))', 
	 order = {'QED':1} ) 
 
GC_157 = Coupling(name = 'GC_157',
	 value = '1./4.*complex(0,1)*(ZTau21*(-(ZH21*(vd*(g1**2 - g2**2 + 4*Ye33*complexconjugate(Ye33))*complexconjugate(ZTau11) + 2*cmath.sqrt(2)*complexconjugate(Te33)*complexconjugate(ZTau12))) + ZH22*((g1**2 - g2**2)*vu*complexconjugate(ZTau11) + 2*cmath.sqrt(2)*Mue*complexconjugate(Ye33)*complexconjugate(ZTau12))) - 2*ZTau22*(cmath.sqrt(2)*Te33*ZH21*complexconjugate(ZTau11) + g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZTau12) + Ye33*(-(cmath.sqrt(2)*ZH22*complexconjugate(Mue)*complexconjugate(ZTau11)) + 2*vd*ZH21*complexconjugate(Ye33)*complexconjugate(ZTau12))))', 
	 order = {'QED':1} ) 
 
GC_158 = Coupling(name = 'GC_158',
	 value = '1./4.*complex(0,1)*(ZTau21*(-(ZH21*(vd*(g1**2 - g2**2 + 4*Ye33*complexconjugate(Ye33))*complexconjugate(ZTau21) + 2*cmath.sqrt(2)*complexconjugate(Te33)*complexconjugate(ZTau22))) + ZH22*((g1**2 - g2**2)*vu*complexconjugate(ZTau21) + 2*cmath.sqrt(2)*Mue*complexconjugate(Ye33)*complexconjugate(ZTau22))) - 2*ZTau22*(cmath.sqrt(2)*Te33*ZH21*complexconjugate(ZTau21) + g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZTau22) + Ye33*(-(cmath.sqrt(2)*ZH22*complexconjugate(Mue)*complexconjugate(ZTau21)) + 2*vd*ZH21*complexconjugate(Ye33)*complexconjugate(ZTau22))))', 
	 order = {'QED':1} ) 
 
GC_159 = Coupling(name = 'GC_159',
	 value = '1./12.*complex(0,1)*(ZU11*(-(ZH12*(vu*(g1**2 - 3*g2**2 + 12*Yu11*complexconjugate(Yu11))*complexconjugate(ZU11) + 6*cmath.sqrt(2)*complexconjugate(Tu11)*complexconjugate(ZU12))) + ZH11*((g1**2 - 3*g2**2)*vd*complexconjugate(ZU11) + 6*cmath.sqrt(2)*Mue*complexconjugate(Yu11)*complexconjugate(ZU12))) + 2*ZU12*(-3*cmath.sqrt(2)*Tu11*ZH12*complexconjugate(ZU11) + 2*g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZU12) + 3*Yu11*(cmath.sqrt(2)*ZH11*complexconjugate(Mue)*complexconjugate(ZU11) - 2*vu*ZH12*complexconjugate(Yu11)*complexconjugate(ZU12))))', 
	 order = {'QED':1} ) 
 
GC_160 = Coupling(name = 'GC_160',
	 value = '1./12.*complex(0,1)*(ZU11*(-(ZH12*(vu*(g1**2 - 3*g2**2 + 12*Yu11*complexconjugate(Yu11))*complexconjugate(ZU21) + 6*cmath.sqrt(2)*complexconjugate(Tu11)*complexconjugate(ZU22))) + ZH11*((g1**2 - 3*g2**2)*vd*complexconjugate(ZU21) + 6*cmath.sqrt(2)*Mue*complexconjugate(Yu11)*complexconjugate(ZU22))) + 2*ZU12*(-3*cmath.sqrt(2)*Tu11*ZH12*complexconjugate(ZU21) + 2*g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZU22) + 3*Yu11*(cmath.sqrt(2)*ZH11*complexconjugate(Mue)*complexconjugate(ZU21) - 2*vu*ZH12*complexconjugate(Yu11)*complexconjugate(ZU22))))', 
	 order = {'QED':1} ) 
 
GC_161 = Coupling(name = 'GC_161',
	 value = '1./12.*complex(0,1)*(ZU21*(-(ZH12*(vu*(g1**2 - 3*g2**2 + 12*Yu11*complexconjugate(Yu11))*complexconjugate(ZU11) + 6*cmath.sqrt(2)*complexconjugate(Tu11)*complexconjugate(ZU12))) + ZH11*((g1**2 - 3*g2**2)*vd*complexconjugate(ZU11) + 6*cmath.sqrt(2)*Mue*complexconjugate(Yu11)*complexconjugate(ZU12))) + 2*ZU22*(-3*cmath.sqrt(2)*Tu11*ZH12*complexconjugate(ZU11) + 2*g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZU12) + 3*Yu11*(cmath.sqrt(2)*ZH11*complexconjugate(Mue)*complexconjugate(ZU11) - 2*vu*ZH12*complexconjugate(Yu11)*complexconjugate(ZU12))))', 
	 order = {'QED':1} ) 
 
GC_162 = Coupling(name = 'GC_162',
	 value = '1./12.*complex(0,1)*(ZU21*(-(ZH12*(vu*(g1**2 - 3*g2**2 + 12*Yu11*complexconjugate(Yu11))*complexconjugate(ZU21) + 6*cmath.sqrt(2)*complexconjugate(Tu11)*complexconjugate(ZU22))) + ZH11*((g1**2 - 3*g2**2)*vd*complexconjugate(ZU21) + 6*cmath.sqrt(2)*Mue*complexconjugate(Yu11)*complexconjugate(ZU22))) + 2*ZU22*(-3*cmath.sqrt(2)*Tu11*ZH12*complexconjugate(ZU21) + 2*g1**2*(-(vd*ZH11) + vu*ZH12)*complexconjugate(ZU22) + 3*Yu11*(cmath.sqrt(2)*ZH11*complexconjugate(Mue)*complexconjugate(ZU21) - 2*vu*ZH12*complexconjugate(Yu11)*complexconjugate(ZU22))))', 
	 order = {'QED':1} ) 
 
GC_163 = Coupling(name = 'GC_163',
	 value = '1./12.*complex(0,1)*(ZU11*(-(ZH22*(vu*(g1**2 - 3*g2**2 + 12*Yu11*complexconjugate(Yu11))*complexconjugate(ZU11) + 6*cmath.sqrt(2)*complexconjugate(Tu11)*complexconjugate(ZU12))) + ZH21*((g1**2 - 3*g2**2)*vd*complexconjugate(ZU11) + 6*cmath.sqrt(2)*Mue*complexconjugate(Yu11)*complexconjugate(ZU12))) + 2*ZU12*(-3*cmath.sqrt(2)*Tu11*ZH22*complexconjugate(ZU11) + 2*g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZU12) + 3*Yu11*(cmath.sqrt(2)*ZH21*complexconjugate(Mue)*complexconjugate(ZU11) - 2*vu*ZH22*complexconjugate(Yu11)*complexconjugate(ZU12))))', 
	 order = {'QED':1} ) 
 
GC_164 = Coupling(name = 'GC_164',
	 value = '1./12.*complex(0,1)*(ZU11*(-(ZH22*(vu*(g1**2 - 3*g2**2 + 12*Yu11*complexconjugate(Yu11))*complexconjugate(ZU21) + 6*cmath.sqrt(2)*complexconjugate(Tu11)*complexconjugate(ZU22))) + ZH21*((g1**2 - 3*g2**2)*vd*complexconjugate(ZU21) + 6*cmath.sqrt(2)*Mue*complexconjugate(Yu11)*complexconjugate(ZU22))) + 2*ZU12*(-3*cmath.sqrt(2)*Tu11*ZH22*complexconjugate(ZU21) + 2*g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZU22) + 3*Yu11*(cmath.sqrt(2)*ZH21*complexconjugate(Mue)*complexconjugate(ZU21) - 2*vu*ZH22*complexconjugate(Yu11)*complexconjugate(ZU22))))', 
	 order = {'QED':1} ) 
 
GC_165 = Coupling(name = 'GC_165',
	 value = '1./12.*complex(0,1)*(ZU21*(-(ZH22*(vu*(g1**2 - 3*g2**2 + 12*Yu11*complexconjugate(Yu11))*complexconjugate(ZU11) + 6*cmath.sqrt(2)*complexconjugate(Tu11)*complexconjugate(ZU12))) + ZH21*((g1**2 - 3*g2**2)*vd*complexconjugate(ZU11) + 6*cmath.sqrt(2)*Mue*complexconjugate(Yu11)*complexconjugate(ZU12))) + 2*ZU22*(-3*cmath.sqrt(2)*Tu11*ZH22*complexconjugate(ZU11) + 2*g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZU12) + 3*Yu11*(cmath.sqrt(2)*ZH21*complexconjugate(Mue)*complexconjugate(ZU11) - 2*vu*ZH22*complexconjugate(Yu11)*complexconjugate(ZU12))))', 
	 order = {'QED':1} ) 
 
GC_166 = Coupling(name = 'GC_166',
	 value = '1./12.*complex(0,1)*(ZU21*(-(ZH22*(vu*(g1**2 - 3*g2**2 + 12*Yu11*complexconjugate(Yu11))*complexconjugate(ZU21) + 6*cmath.sqrt(2)*complexconjugate(Tu11)*complexconjugate(ZU22))) + ZH21*((g1**2 - 3*g2**2)*vd*complexconjugate(ZU21) + 6*cmath.sqrt(2)*Mue*complexconjugate(Yu11)*complexconjugate(ZU22))) + 2*ZU22*(-3*cmath.sqrt(2)*Tu11*ZH22*complexconjugate(ZU21) + 2*g1**2*(-(vd*ZH21) + vu*ZH22)*complexconjugate(ZU22) + 3*Yu11*(cmath.sqrt(2)*ZH21*complexconjugate(Mue)*complexconjugate(ZU21) - 2*vu*ZH22*complexconjugate(Yu11)*complexconjugate(ZU22))))', 
	 order = {'QED':1} ) 
 
GC_167 = Coupling(name = 'GC_167',
	 value = '-1./4.*complex(0,1)*(g1**2 + g2**2)*(vd*ZH11 - vu*ZH12)', 
	 order = {'QED':1} ) 
 
GC_168 = Coupling(name = 'GC_168',
	 value = '-1./4.*complex(0,1)*(g1**2 + g2**2)*(vd*ZH21 - vu*ZH22)', 
	 order = {'QED':1} ) 
 
GC_169 = Coupling(name = 'GC_169',
	 value = '-1./4.*complex(0,1)*(g1**2 + g2**2)*(vd*ZH11 - vu*ZH12)', 
	 order = {'QED':1} ) 
 
GC_170 = Coupling(name = 'GC_170',
	 value = '-1./4.*complex(0,1)*(g1**2 + g2**2)*(vd*ZH21 - vu*ZH22)', 
	 order = {'QED':1} ) 
 
GC_171 = Coupling(name = 'GC_171',
	 value = '-1./4.*complex(0,1)*(g1**2 + g2**2)*(vd*ZH11 - vu*ZH12)', 
	 order = {'QED':1} ) 
 
GC_172 = Coupling(name = 'GC_172',
	 value = '-1./4.*complex(0,1)*(g1**2 + g2**2)*(vd*ZH21 - vu*ZH22)', 
	 order = {'QED':1} ) 
 
GC_173 = Coupling(name = 'GC_173',
	 value = '-1./4.*complex(0,1)*(ZC11*(ZP11*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd22*complexconjugate(Yd22))*complexconjugate(ZS11) - 4*complexconjugate(Td22)*complexconjugate(ZS12)) + ZP12*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu22*complexconjugate(Yu22))*complexconjugate(ZS11) - 4*Mue*complexconjugate(Yd22)*complexconjugate(ZS12))) - 2*ZC12*(2*Tu22*ZP12*complexconjugate(ZS11) + Yu22*(cmath.sqrt(2)*vd*ZP12*complexconjugate(Yd22)*complexconjugate(ZS12) + ZP11*(2*complexconjugate(Mue)*complexconjugate(ZS11) + cmath.sqrt(2)*vu*complexconjugate(Yd22)*complexconjugate(ZS12)))))', 
	 order = {'QED':1} ) 
 
GC_174 = Coupling(name = 'GC_174',
	 value = '-1./4.*complex(0,1)*(ZC11*(ZP11*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd22*complexconjugate(Yd22))*complexconjugate(ZS21) - 4*complexconjugate(Td22)*complexconjugate(ZS22)) + ZP12*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu22*complexconjugate(Yu22))*complexconjugate(ZS21) - 4*Mue*complexconjugate(Yd22)*complexconjugate(ZS22))) - 2*ZC12*(2*Tu22*ZP12*complexconjugate(ZS21) + Yu22*(cmath.sqrt(2)*vd*ZP12*complexconjugate(Yd22)*complexconjugate(ZS22) + ZP11*(2*complexconjugate(Mue)*complexconjugate(ZS21) + cmath.sqrt(2)*vu*complexconjugate(Yd22)*complexconjugate(ZS22)))))', 
	 order = {'QED':1} ) 
 
GC_175 = Coupling(name = 'GC_175',
	 value = '-1./4.*complex(0,1)*(ZC21*(ZP11*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd22*complexconjugate(Yd22))*complexconjugate(ZS11) - 4*complexconjugate(Td22)*complexconjugate(ZS12)) + ZP12*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu22*complexconjugate(Yu22))*complexconjugate(ZS11) - 4*Mue*complexconjugate(Yd22)*complexconjugate(ZS12))) - 2*ZC22*(2*Tu22*ZP12*complexconjugate(ZS11) + Yu22*(cmath.sqrt(2)*vd*ZP12*complexconjugate(Yd22)*complexconjugate(ZS12) + ZP11*(2*complexconjugate(Mue)*complexconjugate(ZS11) + cmath.sqrt(2)*vu*complexconjugate(Yd22)*complexconjugate(ZS12)))))', 
	 order = {'QED':1} ) 
 
GC_176 = Coupling(name = 'GC_176',
	 value = '-1./4.*complex(0,1)*(ZC21*(ZP11*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd22*complexconjugate(Yd22))*complexconjugate(ZS21) - 4*complexconjugate(Td22)*complexconjugate(ZS22)) + ZP12*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu22*complexconjugate(Yu22))*complexconjugate(ZS21) - 4*Mue*complexconjugate(Yd22)*complexconjugate(ZS22))) - 2*ZC22*(2*Tu22*ZP12*complexconjugate(ZS21) + Yu22*(cmath.sqrt(2)*vd*ZP12*complexconjugate(Yd22)*complexconjugate(ZS22) + ZP11*(2*complexconjugate(Mue)*complexconjugate(ZS21) + cmath.sqrt(2)*vu*complexconjugate(Yd22)*complexconjugate(ZS22)))))', 
	 order = {'QED':1} ) 
 
GC_177 = Coupling(name = 'GC_177',
	 value = '-1./4.*complex(0,1)*(ZC11*(ZP21*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd22*complexconjugate(Yd22))*complexconjugate(ZS11) - 4*complexconjugate(Td22)*complexconjugate(ZS12)) + ZP22*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu22*complexconjugate(Yu22))*complexconjugate(ZS11) - 4*Mue*complexconjugate(Yd22)*complexconjugate(ZS12))) - 2*ZC12*(2*Tu22*ZP22*complexconjugate(ZS11) + Yu22*(cmath.sqrt(2)*vd*ZP22*complexconjugate(Yd22)*complexconjugate(ZS12) + ZP21*(2*complexconjugate(Mue)*complexconjugate(ZS11) + cmath.sqrt(2)*vu*complexconjugate(Yd22)*complexconjugate(ZS12)))))', 
	 order = {'QED':1} ) 
 
GC_178 = Coupling(name = 'GC_178',
	 value = '-1./4.*complex(0,1)*(ZC11*(ZP21*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd22*complexconjugate(Yd22))*complexconjugate(ZS21) - 4*complexconjugate(Td22)*complexconjugate(ZS22)) + ZP22*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu22*complexconjugate(Yu22))*complexconjugate(ZS21) - 4*Mue*complexconjugate(Yd22)*complexconjugate(ZS22))) - 2*ZC12*(2*Tu22*ZP22*complexconjugate(ZS21) + Yu22*(cmath.sqrt(2)*vd*ZP22*complexconjugate(Yd22)*complexconjugate(ZS22) + ZP21*(2*complexconjugate(Mue)*complexconjugate(ZS21) + cmath.sqrt(2)*vu*complexconjugate(Yd22)*complexconjugate(ZS22)))))', 
	 order = {'QED':1} ) 
 
GC_179 = Coupling(name = 'GC_179',
	 value = '-1./4.*complex(0,1)*(ZC21*(ZP21*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd22*complexconjugate(Yd22))*complexconjugate(ZS11) - 4*complexconjugate(Td22)*complexconjugate(ZS12)) + ZP22*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu22*complexconjugate(Yu22))*complexconjugate(ZS11) - 4*Mue*complexconjugate(Yd22)*complexconjugate(ZS12))) - 2*ZC22*(2*Tu22*ZP22*complexconjugate(ZS11) + Yu22*(cmath.sqrt(2)*vd*ZP22*complexconjugate(Yd22)*complexconjugate(ZS12) + ZP21*(2*complexconjugate(Mue)*complexconjugate(ZS11) + cmath.sqrt(2)*vu*complexconjugate(Yd22)*complexconjugate(ZS12)))))', 
	 order = {'QED':1} ) 
 
GC_180 = Coupling(name = 'GC_180',
	 value = '-1./4.*complex(0,1)*(ZC21*(ZP21*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd22*complexconjugate(Yd22))*complexconjugate(ZS21) - 4*complexconjugate(Td22)*complexconjugate(ZS22)) + ZP22*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu22*complexconjugate(Yu22))*complexconjugate(ZS21) - 4*Mue*complexconjugate(Yd22)*complexconjugate(ZS22))) - 2*ZC22*(2*Tu22*ZP22*complexconjugate(ZS21) + Yu22*(cmath.sqrt(2)*vd*ZP22*complexconjugate(Yd22)*complexconjugate(ZS22) + ZP21*(2*complexconjugate(Mue)*complexconjugate(ZS21) + cmath.sqrt(2)*vu*complexconjugate(Yd22)*complexconjugate(ZS22)))))', 
	 order = {'QED':1} ) 
 
GC_181 = Coupling(name = 'GC_181',
	 value = '1./4.*complex(0,1)*(ZT11*(-(cmath.sqrt(2)*(vd*ZP11*(g2**2 - 2*Yd33*complexconjugate(Yd33)) + vu*ZP12*(g2**2 - 2*Yu33*complexconjugate(Yu33)))*complexconjugate(ZB11)) + 4*(ZP11*complexconjugate(Td33) + Mue*ZP12*complexconjugate(Yd33))*complexconjugate(ZB12)) + 2*ZT12*(2*Tu33*ZP12*complexconjugate(ZB11) + Yu33*(2*ZP11*complexconjugate(Mue)*complexconjugate(ZB11) + cmath.sqrt(2)*(vu*ZP11 + vd*ZP12)*complexconjugate(Yd33)*complexconjugate(ZB12))))', 
	 order = {'QED':1} ) 
 
GC_182 = Coupling(name = 'GC_182',
	 value = '1./4.*complex(0,1)*(ZT11*(-(cmath.sqrt(2)*(vd*ZP11*(g2**2 - 2*Yd33*complexconjugate(Yd33)) + vu*ZP12*(g2**2 - 2*Yu33*complexconjugate(Yu33)))*complexconjugate(ZB21)) + 4*(ZP11*complexconjugate(Td33) + Mue*ZP12*complexconjugate(Yd33))*complexconjugate(ZB22)) + 2*ZT12*(2*Tu33*ZP12*complexconjugate(ZB21) + Yu33*(2*ZP11*complexconjugate(Mue)*complexconjugate(ZB21) + cmath.sqrt(2)*(vu*ZP11 + vd*ZP12)*complexconjugate(Yd33)*complexconjugate(ZB22))))', 
	 order = {'QED':1} ) 
 
GC_183 = Coupling(name = 'GC_183',
	 value = '1./4.*complex(0,1)*(ZT21*(-(cmath.sqrt(2)*(vd*ZP11*(g2**2 - 2*Yd33*complexconjugate(Yd33)) + vu*ZP12*(g2**2 - 2*Yu33*complexconjugate(Yu33)))*complexconjugate(ZB11)) + 4*(ZP11*complexconjugate(Td33) + Mue*ZP12*complexconjugate(Yd33))*complexconjugate(ZB12)) + 2*ZT22*(2*Tu33*ZP12*complexconjugate(ZB11) + Yu33*(2*ZP11*complexconjugate(Mue)*complexconjugate(ZB11) + cmath.sqrt(2)*(vu*ZP11 + vd*ZP12)*complexconjugate(Yd33)*complexconjugate(ZB12))))', 
	 order = {'QED':1} ) 
 
GC_184 = Coupling(name = 'GC_184',
	 value = '1./4.*complex(0,1)*(ZT21*(-(cmath.sqrt(2)*(vd*ZP11*(g2**2 - 2*Yd33*complexconjugate(Yd33)) + vu*ZP12*(g2**2 - 2*Yu33*complexconjugate(Yu33)))*complexconjugate(ZB21)) + 4*(ZP11*complexconjugate(Td33) + Mue*ZP12*complexconjugate(Yd33))*complexconjugate(ZB22)) + 2*ZT22*(2*Tu33*ZP12*complexconjugate(ZB21) + Yu33*(2*ZP11*complexconjugate(Mue)*complexconjugate(ZB21) + cmath.sqrt(2)*(vu*ZP11 + vd*ZP12)*complexconjugate(Yd33)*complexconjugate(ZB22))))', 
	 order = {'QED':1} ) 
 
GC_185 = Coupling(name = 'GC_185',
	 value = '1./4.*complex(0,1)*(ZT11*(-(cmath.sqrt(2)*(vd*ZP21*(g2**2 - 2*Yd33*complexconjugate(Yd33)) + vu*ZP22*(g2**2 - 2*Yu33*complexconjugate(Yu33)))*complexconjugate(ZB11)) + 4*(ZP21*complexconjugate(Td33) + Mue*ZP22*complexconjugate(Yd33))*complexconjugate(ZB12)) + 2*ZT12*(2*Tu33*ZP22*complexconjugate(ZB11) + Yu33*(2*ZP21*complexconjugate(Mue)*complexconjugate(ZB11) + cmath.sqrt(2)*(vu*ZP21 + vd*ZP22)*complexconjugate(Yd33)*complexconjugate(ZB12))))', 
	 order = {'QED':1} ) 
 
GC_186 = Coupling(name = 'GC_186',
	 value = '1./4.*complex(0,1)*(ZT11*(-(cmath.sqrt(2)*(vd*ZP21*(g2**2 - 2*Yd33*complexconjugate(Yd33)) + vu*ZP22*(g2**2 - 2*Yu33*complexconjugate(Yu33)))*complexconjugate(ZB21)) + 4*(ZP21*complexconjugate(Td33) + Mue*ZP22*complexconjugate(Yd33))*complexconjugate(ZB22)) + 2*ZT12*(2*Tu33*ZP22*complexconjugate(ZB21) + Yu33*(2*ZP21*complexconjugate(Mue)*complexconjugate(ZB21) + cmath.sqrt(2)*(vu*ZP21 + vd*ZP22)*complexconjugate(Yd33)*complexconjugate(ZB22))))', 
	 order = {'QED':1} ) 
 
GC_187 = Coupling(name = 'GC_187',
	 value = '1./4.*complex(0,1)*(ZT21*(-(cmath.sqrt(2)*(vd*ZP21*(g2**2 - 2*Yd33*complexconjugate(Yd33)) + vu*ZP22*(g2**2 - 2*Yu33*complexconjugate(Yu33)))*complexconjugate(ZB11)) + 4*(ZP21*complexconjugate(Td33) + Mue*ZP22*complexconjugate(Yd33))*complexconjugate(ZB12)) + 2*ZT22*(2*Tu33*ZP22*complexconjugate(ZB11) + Yu33*(2*ZP21*complexconjugate(Mue)*complexconjugate(ZB11) + cmath.sqrt(2)*(vu*ZP21 + vd*ZP22)*complexconjugate(Yd33)*complexconjugate(ZB12))))', 
	 order = {'QED':1} ) 
 
GC_188 = Coupling(name = 'GC_188',
	 value = '1./4.*complex(0,1)*(ZT21*(-(cmath.sqrt(2)*(vd*ZP21*(g2**2 - 2*Yd33*complexconjugate(Yd33)) + vu*ZP22*(g2**2 - 2*Yu33*complexconjugate(Yu33)))*complexconjugate(ZB21)) + 4*(ZP21*complexconjugate(Td33) + Mue*ZP22*complexconjugate(Yd33))*complexconjugate(ZB22)) + 2*ZT22*(2*Tu33*ZP22*complexconjugate(ZB21) + Yu33*(2*ZP21*complexconjugate(Mue)*complexconjugate(ZB21) + cmath.sqrt(2)*(vu*ZP21 + vd*ZP22)*complexconjugate(Yd33)*complexconjugate(ZB22))))', 
	 order = {'QED':1} ) 
 
GC_189 = Coupling(name = 'GC_189',
	 value = '1./4.*complex(0,1)*(ZU11*(-(cmath.sqrt(2)*(vd*ZP11*(g2**2 - 2*Yd11*complexconjugate(Yd11)) + vu*ZP12*(g2**2 - 2*Yu11*complexconjugate(Yu11)))*complexconjugate(ZD11)) + 4*(ZP11*complexconjugate(Td11) + Mue*ZP12*complexconjugate(Yd11))*complexconjugate(ZD12)) + 2*ZU12*(2*Tu11*ZP12*complexconjugate(ZD11) + Yu11*(2*ZP11*complexconjugate(Mue)*complexconjugate(ZD11) + cmath.sqrt(2)*(vu*ZP11 + vd*ZP12)*complexconjugate(Yd11)*complexconjugate(ZD12))))', 
	 order = {'QED':1} ) 
 
GC_190 = Coupling(name = 'GC_190',
	 value = '1./4.*complex(0,1)*(ZU11*(-(cmath.sqrt(2)*(vd*ZP11*(g2**2 - 2*Yd11*complexconjugate(Yd11)) + vu*ZP12*(g2**2 - 2*Yu11*complexconjugate(Yu11)))*complexconjugate(ZD21)) + 4*(ZP11*complexconjugate(Td11) + Mue*ZP12*complexconjugate(Yd11))*complexconjugate(ZD22)) + 2*ZU12*(2*Tu11*ZP12*complexconjugate(ZD21) + Yu11*(2*ZP11*complexconjugate(Mue)*complexconjugate(ZD21) + cmath.sqrt(2)*(vu*ZP11 + vd*ZP12)*complexconjugate(Yd11)*complexconjugate(ZD22))))', 
	 order = {'QED':1} ) 
 
GC_191 = Coupling(name = 'GC_191',
	 value = '1./4.*complex(0,1)*(ZU21*(-(cmath.sqrt(2)*(vd*ZP11*(g2**2 - 2*Yd11*complexconjugate(Yd11)) + vu*ZP12*(g2**2 - 2*Yu11*complexconjugate(Yu11)))*complexconjugate(ZD11)) + 4*(ZP11*complexconjugate(Td11) + Mue*ZP12*complexconjugate(Yd11))*complexconjugate(ZD12)) + 2*ZU22*(2*Tu11*ZP12*complexconjugate(ZD11) + Yu11*(2*ZP11*complexconjugate(Mue)*complexconjugate(ZD11) + cmath.sqrt(2)*(vu*ZP11 + vd*ZP12)*complexconjugate(Yd11)*complexconjugate(ZD12))))', 
	 order = {'QED':1} ) 
 
GC_192 = Coupling(name = 'GC_192',
	 value = '1./4.*complex(0,1)*(ZU21*(-(cmath.sqrt(2)*(vd*ZP11*(g2**2 - 2*Yd11*complexconjugate(Yd11)) + vu*ZP12*(g2**2 - 2*Yu11*complexconjugate(Yu11)))*complexconjugate(ZD21)) + 4*(ZP11*complexconjugate(Td11) + Mue*ZP12*complexconjugate(Yd11))*complexconjugate(ZD22)) + 2*ZU22*(2*Tu11*ZP12*complexconjugate(ZD21) + Yu11*(2*ZP11*complexconjugate(Mue)*complexconjugate(ZD21) + cmath.sqrt(2)*(vu*ZP11 + vd*ZP12)*complexconjugate(Yd11)*complexconjugate(ZD22))))', 
	 order = {'QED':1} ) 
 
GC_193 = Coupling(name = 'GC_193',
	 value = '1./4.*complex(0,1)*(ZU11*(-(cmath.sqrt(2)*(vd*ZP21*(g2**2 - 2*Yd11*complexconjugate(Yd11)) + vu*ZP22*(g2**2 - 2*Yu11*complexconjugate(Yu11)))*complexconjugate(ZD11)) + 4*(ZP21*complexconjugate(Td11) + Mue*ZP22*complexconjugate(Yd11))*complexconjugate(ZD12)) + 2*ZU12*(2*Tu11*ZP22*complexconjugate(ZD11) + Yu11*(2*ZP21*complexconjugate(Mue)*complexconjugate(ZD11) + cmath.sqrt(2)*(vu*ZP21 + vd*ZP22)*complexconjugate(Yd11)*complexconjugate(ZD12))))', 
	 order = {'QED':1} ) 
 
GC_194 = Coupling(name = 'GC_194',
	 value = '1./4.*complex(0,1)*(ZU11*(-(cmath.sqrt(2)*(vd*ZP21*(g2**2 - 2*Yd11*complexconjugate(Yd11)) + vu*ZP22*(g2**2 - 2*Yu11*complexconjugate(Yu11)))*complexconjugate(ZD21)) + 4*(ZP21*complexconjugate(Td11) + Mue*ZP22*complexconjugate(Yd11))*complexconjugate(ZD22)) + 2*ZU12*(2*Tu11*ZP22*complexconjugate(ZD21) + Yu11*(2*ZP21*complexconjugate(Mue)*complexconjugate(ZD21) + cmath.sqrt(2)*(vu*ZP21 + vd*ZP22)*complexconjugate(Yd11)*complexconjugate(ZD22))))', 
	 order = {'QED':1} ) 
 
GC_195 = Coupling(name = 'GC_195',
	 value = '1./4.*complex(0,1)*(ZU21*(-(cmath.sqrt(2)*(vd*ZP21*(g2**2 - 2*Yd11*complexconjugate(Yd11)) + vu*ZP22*(g2**2 - 2*Yu11*complexconjugate(Yu11)))*complexconjugate(ZD11)) + 4*(ZP21*complexconjugate(Td11) + Mue*ZP22*complexconjugate(Yd11))*complexconjugate(ZD12)) + 2*ZU22*(2*Tu11*ZP22*complexconjugate(ZD11) + Yu11*(2*ZP21*complexconjugate(Mue)*complexconjugate(ZD11) + cmath.sqrt(2)*(vu*ZP21 + vd*ZP22)*complexconjugate(Yd11)*complexconjugate(ZD12))))', 
	 order = {'QED':1} ) 
 
GC_196 = Coupling(name = 'GC_196',
	 value = '1./4.*complex(0,1)*(ZU21*(-(cmath.sqrt(2)*(vd*ZP21*(g2**2 - 2*Yd11*complexconjugate(Yd11)) + vu*ZP22*(g2**2 - 2*Yu11*complexconjugate(Yu11)))*complexconjugate(ZD21)) + 4*(ZP21*complexconjugate(Td11) + Mue*ZP22*complexconjugate(Yd11))*complexconjugate(ZD22)) + 2*ZU22*(2*Tu11*ZP22*complexconjugate(ZD21) + Yu11*(2*ZP21*complexconjugate(Mue)*complexconjugate(ZD21) + cmath.sqrt(2)*(vu*ZP21 + vd*ZP22)*complexconjugate(Yd11)*complexconjugate(ZD22))))', 
	 order = {'QED':1} ) 
 
GC_197 = Coupling(name = 'GC_197',
	 value = '1./4.*complex(0,1)*(-(cmath.sqrt(2)*(g2**2*vu*ZP12 + vd*ZP11*(g2**2 - 2*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE11)) + 4*(ZP11*complexconjugate(Te11) + Mue*ZP12*complexconjugate(Ye11))*complexconjugate(ZE12))', 
	 order = {'QED':1} ) 
 
GC_198 = Coupling(name = 'GC_198',
	 value = '1./4.*complex(0,1)*(-(cmath.sqrt(2)*(g2**2*vu*ZP12 + vd*ZP11*(g2**2 - 2*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE21)) + 4*(ZP11*complexconjugate(Te11) + Mue*ZP12*complexconjugate(Ye11))*complexconjugate(ZE22))', 
	 order = {'QED':1} ) 
 
GC_199 = Coupling(name = 'GC_199',
	 value = '1./4.*complex(0,1)*(-(cmath.sqrt(2)*(g2**2*vu*ZP22 + vd*ZP21*(g2**2 - 2*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE11)) + 4*(ZP21*complexconjugate(Te11) + Mue*ZP22*complexconjugate(Ye11))*complexconjugate(ZE12))', 
	 order = {'QED':1} ) 
 
GC_200 = Coupling(name = 'GC_200',
	 value = '1./4.*complex(0,1)*(-(cmath.sqrt(2)*(g2**2*vu*ZP22 + vd*ZP21*(g2**2 - 2*Ye11*complexconjugate(Ye11)))*complexconjugate(ZE21)) + 4*(ZP21*complexconjugate(Te11) + Mue*ZP22*complexconjugate(Ye11))*complexconjugate(ZE22))', 
	 order = {'QED':1} ) 
 
GC_201 = Coupling(name = 'GC_201',
	 value = '1./4.*complex(0,1)*(-(cmath.sqrt(2)*(g2**2*vu*ZP12 + vd*ZP11*(g2**2 - 2*Ye22*complexconjugate(Ye22)))*complexconjugate(ZM11)) + 4*(ZP11*complexconjugate(Te22) + Mue*ZP12*complexconjugate(Ye22))*complexconjugate(ZM12))', 
	 order = {'QED':1} ) 
 
GC_202 = Coupling(name = 'GC_202',
	 value = '1./4.*complex(0,1)*(-(cmath.sqrt(2)*(g2**2*vu*ZP12 + vd*ZP11*(g2**2 - 2*Ye22*complexconjugate(Ye22)))*complexconjugate(ZM21)) + 4*(ZP11*complexconjugate(Te22) + Mue*ZP12*complexconjugate(Ye22))*complexconjugate(ZM22))', 
	 order = {'QED':1} ) 
 
GC_203 = Coupling(name = 'GC_203',
	 value = '1./4.*complex(0,1)*(-(cmath.sqrt(2)*(g2**2*vu*ZP22 + vd*ZP21*(g2**2 - 2*Ye22*complexconjugate(Ye22)))*complexconjugate(ZM11)) + 4*(ZP21*complexconjugate(Te22) + Mue*ZP22*complexconjugate(Ye22))*complexconjugate(ZM12))', 
	 order = {'QED':1} ) 
 
GC_204 = Coupling(name = 'GC_204',
	 value = '1./4.*complex(0,1)*(-(cmath.sqrt(2)*(g2**2*vu*ZP22 + vd*ZP21*(g2**2 - 2*Ye22*complexconjugate(Ye22)))*complexconjugate(ZM21)) + 4*(ZP21*complexconjugate(Te22) + Mue*ZP22*complexconjugate(Ye22))*complexconjugate(ZM22))', 
	 order = {'QED':1} ) 
 
GC_205 = Coupling(name = 'GC_205',
	 value = '1./4.*complex(0,1)*(ZP11*(-(cmath.sqrt(2)*vd*(g2**2 - 2*Ye33*complexconjugate(Ye33))*complexconjugate(ZTau11)) + 4*complexconjugate(Te33)*complexconjugate(ZTau12)) + ZP12*(-(cmath.sqrt(2)*g2**2*vu*complexconjugate(ZTau11)) + 4*Mue*complexconjugate(Ye33)*complexconjugate(ZTau12)))', 
	 order = {'QED':1} ) 
 
GC_206 = Coupling(name = 'GC_206',
	 value = '1./4.*complex(0,1)*(ZP11*(-(cmath.sqrt(2)*vd*(g2**2 - 2*Ye33*complexconjugate(Ye33))*complexconjugate(ZTau21)) + 4*complexconjugate(Te33)*complexconjugate(ZTau22)) + ZP12*(-(cmath.sqrt(2)*g2**2*vu*complexconjugate(ZTau21)) + 4*Mue*complexconjugate(Ye33)*complexconjugate(ZTau22)))', 
	 order = {'QED':1} ) 
 
GC_207 = Coupling(name = 'GC_207',
	 value = '1./4.*complex(0,1)*(ZP21*(-(cmath.sqrt(2)*vd*(g2**2 - 2*Ye33*complexconjugate(Ye33))*complexconjugate(ZTau11)) + 4*complexconjugate(Te33)*complexconjugate(ZTau12)) + ZP22*(-(cmath.sqrt(2)*g2**2*vu*complexconjugate(ZTau11)) + 4*Mue*complexconjugate(Ye33)*complexconjugate(ZTau12)))', 
	 order = {'QED':1} ) 
 
GC_208 = Coupling(name = 'GC_208',
	 value = '1./4.*complex(0,1)*(ZP21*(-(cmath.sqrt(2)*vd*(g2**2 - 2*Ye33*complexconjugate(Ye33))*complexconjugate(ZTau21)) + 4*complexconjugate(Te33)*complexconjugate(ZTau22)) + ZP22*(-(cmath.sqrt(2)*g2**2*vu*complexconjugate(ZTau21)) + 4*Mue*complexconjugate(Ye33)*complexconjugate(ZTau22)))', 
	 order = {'QED':1} ) 
 
GC_209 = Coupling(name = 'GC_209',
	 value = '-1./4.*complex(0,1)*(ZB11*(ZP12*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu33*complexconjugate(Yu33))*complexconjugate(ZT11) - 4*complexconjugate(Tu33)*complexconjugate(ZT12)) + ZP11*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd33*complexconjugate(Yd33))*complexconjugate(ZT11) - 4*Mue*complexconjugate(Yu33)*complexconjugate(ZT12))) - 2*ZB12*(2*Td33*ZP11*complexconjugate(ZT11) + Yd33*(cmath.sqrt(2)*vu*ZP11*complexconjugate(Yu33)*complexconjugate(ZT12) + ZP12*(2*complexconjugate(Mue)*complexconjugate(ZT11) + cmath.sqrt(2)*vd*complexconjugate(Yu33)*complexconjugate(ZT12)))))', 
	 order = {'QED':1} ) 
 
GC_210 = Coupling(name = 'GC_210',
	 value = '-1./4.*complex(0,1)*(ZB11*(ZP12*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu33*complexconjugate(Yu33))*complexconjugate(ZT21) - 4*complexconjugate(Tu33)*complexconjugate(ZT22)) + ZP11*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd33*complexconjugate(Yd33))*complexconjugate(ZT21) - 4*Mue*complexconjugate(Yu33)*complexconjugate(ZT22))) - 2*ZB12*(2*Td33*ZP11*complexconjugate(ZT21) + Yd33*(cmath.sqrt(2)*vu*ZP11*complexconjugate(Yu33)*complexconjugate(ZT22) + ZP12*(2*complexconjugate(Mue)*complexconjugate(ZT21) + cmath.sqrt(2)*vd*complexconjugate(Yu33)*complexconjugate(ZT22)))))', 
	 order = {'QED':1} ) 
 
GC_211 = Coupling(name = 'GC_211',
	 value = '-1./4.*complex(0,1)*(ZB11*(ZP22*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu33*complexconjugate(Yu33))*complexconjugate(ZT11) - 4*complexconjugate(Tu33)*complexconjugate(ZT12)) + ZP21*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd33*complexconjugate(Yd33))*complexconjugate(ZT11) - 4*Mue*complexconjugate(Yu33)*complexconjugate(ZT12))) - 2*ZB12*(2*Td33*ZP21*complexconjugate(ZT11) + Yd33*(cmath.sqrt(2)*vu*ZP21*complexconjugate(Yu33)*complexconjugate(ZT12) + ZP22*(2*complexconjugate(Mue)*complexconjugate(ZT11) + cmath.sqrt(2)*vd*complexconjugate(Yu33)*complexconjugate(ZT12)))))', 
	 order = {'QED':1} ) 
 
GC_212 = Coupling(name = 'GC_212',
	 value = '-1./4.*complex(0,1)*(ZB11*(ZP22*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu33*complexconjugate(Yu33))*complexconjugate(ZT21) - 4*complexconjugate(Tu33)*complexconjugate(ZT22)) + ZP21*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd33*complexconjugate(Yd33))*complexconjugate(ZT21) - 4*Mue*complexconjugate(Yu33)*complexconjugate(ZT22))) - 2*ZB12*(2*Td33*ZP21*complexconjugate(ZT21) + Yd33*(cmath.sqrt(2)*vu*ZP21*complexconjugate(Yu33)*complexconjugate(ZT22) + ZP22*(2*complexconjugate(Mue)*complexconjugate(ZT21) + cmath.sqrt(2)*vd*complexconjugate(Yu33)*complexconjugate(ZT22)))))', 
	 order = {'QED':1} ) 
 
GC_213 = Coupling(name = 'GC_213',
	 value = '-1./4.*complex(0,1)*(ZB21*(ZP12*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu33*complexconjugate(Yu33))*complexconjugate(ZT11) - 4*complexconjugate(Tu33)*complexconjugate(ZT12)) + ZP11*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd33*complexconjugate(Yd33))*complexconjugate(ZT11) - 4*Mue*complexconjugate(Yu33)*complexconjugate(ZT12))) - 2*ZB22*(2*Td33*ZP11*complexconjugate(ZT11) + Yd33*(cmath.sqrt(2)*vu*ZP11*complexconjugate(Yu33)*complexconjugate(ZT12) + ZP12*(2*complexconjugate(Mue)*complexconjugate(ZT11) + cmath.sqrt(2)*vd*complexconjugate(Yu33)*complexconjugate(ZT12)))))', 
	 order = {'QED':1} ) 
 
GC_214 = Coupling(name = 'GC_214',
	 value = '-1./4.*complex(0,1)*(ZB21*(ZP12*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu33*complexconjugate(Yu33))*complexconjugate(ZT21) - 4*complexconjugate(Tu33)*complexconjugate(ZT22)) + ZP11*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd33*complexconjugate(Yd33))*complexconjugate(ZT21) - 4*Mue*complexconjugate(Yu33)*complexconjugate(ZT22))) - 2*ZB22*(2*Td33*ZP11*complexconjugate(ZT21) + Yd33*(cmath.sqrt(2)*vu*ZP11*complexconjugate(Yu33)*complexconjugate(ZT22) + ZP12*(2*complexconjugate(Mue)*complexconjugate(ZT21) + cmath.sqrt(2)*vd*complexconjugate(Yu33)*complexconjugate(ZT22)))))', 
	 order = {'QED':1} ) 
 
GC_215 = Coupling(name = 'GC_215',
	 value = '-1./4.*complex(0,1)*(ZB21*(ZP22*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu33*complexconjugate(Yu33))*complexconjugate(ZT11) - 4*complexconjugate(Tu33)*complexconjugate(ZT12)) + ZP21*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd33*complexconjugate(Yd33))*complexconjugate(ZT11) - 4*Mue*complexconjugate(Yu33)*complexconjugate(ZT12))) - 2*ZB22*(2*Td33*ZP21*complexconjugate(ZT11) + Yd33*(cmath.sqrt(2)*vu*ZP21*complexconjugate(Yu33)*complexconjugate(ZT12) + ZP22*(2*complexconjugate(Mue)*complexconjugate(ZT11) + cmath.sqrt(2)*vd*complexconjugate(Yu33)*complexconjugate(ZT12)))))', 
	 order = {'QED':1} ) 
 
GC_216 = Coupling(name = 'GC_216',
	 value = '-1./4.*complex(0,1)*(ZB21*(ZP22*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu33*complexconjugate(Yu33))*complexconjugate(ZT21) - 4*complexconjugate(Tu33)*complexconjugate(ZT22)) + ZP21*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd33*complexconjugate(Yd33))*complexconjugate(ZT21) - 4*Mue*complexconjugate(Yu33)*complexconjugate(ZT22))) - 2*ZB22*(2*Td33*ZP21*complexconjugate(ZT21) + Yd33*(cmath.sqrt(2)*vu*ZP21*complexconjugate(Yu33)*complexconjugate(ZT22) + ZP22*(2*complexconjugate(Mue)*complexconjugate(ZT21) + cmath.sqrt(2)*vd*complexconjugate(Yu33)*complexconjugate(ZT22)))))', 
	 order = {'QED':1} ) 
 
GC_217 = Coupling(name = 'GC_217',
	 value = '-1./4.*complex(0,1)*(ZD11*(ZP12*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu11*complexconjugate(Yu11))*complexconjugate(ZU11) - 4*complexconjugate(Tu11)*complexconjugate(ZU12)) + ZP11*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd11*complexconjugate(Yd11))*complexconjugate(ZU11) - 4*Mue*complexconjugate(Yu11)*complexconjugate(ZU12))) - 2*ZD12*(2*Td11*ZP11*complexconjugate(ZU11) + Yd11*(cmath.sqrt(2)*vu*ZP11*complexconjugate(Yu11)*complexconjugate(ZU12) + ZP12*(2*complexconjugate(Mue)*complexconjugate(ZU11) + cmath.sqrt(2)*vd*complexconjugate(Yu11)*complexconjugate(ZU12)))))', 
	 order = {'QED':1} ) 
 
GC_218 = Coupling(name = 'GC_218',
	 value = '-1./4.*complex(0,1)*(ZD11*(ZP12*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu11*complexconjugate(Yu11))*complexconjugate(ZU21) - 4*complexconjugate(Tu11)*complexconjugate(ZU22)) + ZP11*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd11*complexconjugate(Yd11))*complexconjugate(ZU21) - 4*Mue*complexconjugate(Yu11)*complexconjugate(ZU22))) - 2*ZD12*(2*Td11*ZP11*complexconjugate(ZU21) + Yd11*(cmath.sqrt(2)*vu*ZP11*complexconjugate(Yu11)*complexconjugate(ZU22) + ZP12*(2*complexconjugate(Mue)*complexconjugate(ZU21) + cmath.sqrt(2)*vd*complexconjugate(Yu11)*complexconjugate(ZU22)))))', 
	 order = {'QED':1} ) 
 
GC_219 = Coupling(name = 'GC_219',
	 value = '-1./4.*complex(0,1)*(ZD11*(ZP22*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu11*complexconjugate(Yu11))*complexconjugate(ZU11) - 4*complexconjugate(Tu11)*complexconjugate(ZU12)) + ZP21*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd11*complexconjugate(Yd11))*complexconjugate(ZU11) - 4*Mue*complexconjugate(Yu11)*complexconjugate(ZU12))) - 2*ZD12*(2*Td11*ZP21*complexconjugate(ZU11) + Yd11*(cmath.sqrt(2)*vu*ZP21*complexconjugate(Yu11)*complexconjugate(ZU12) + ZP22*(2*complexconjugate(Mue)*complexconjugate(ZU11) + cmath.sqrt(2)*vd*complexconjugate(Yu11)*complexconjugate(ZU12)))))', 
	 order = {'QED':1} ) 
 
GC_220 = Coupling(name = 'GC_220',
	 value = '-1./4.*complex(0,1)*(ZD11*(ZP22*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu11*complexconjugate(Yu11))*complexconjugate(ZU21) - 4*complexconjugate(Tu11)*complexconjugate(ZU22)) + ZP21*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd11*complexconjugate(Yd11))*complexconjugate(ZU21) - 4*Mue*complexconjugate(Yu11)*complexconjugate(ZU22))) - 2*ZD12*(2*Td11*ZP21*complexconjugate(ZU21) + Yd11*(cmath.sqrt(2)*vu*ZP21*complexconjugate(Yu11)*complexconjugate(ZU22) + ZP22*(2*complexconjugate(Mue)*complexconjugate(ZU21) + cmath.sqrt(2)*vd*complexconjugate(Yu11)*complexconjugate(ZU22)))))', 
	 order = {'QED':1} ) 
 
GC_221 = Coupling(name = 'GC_221',
	 value = '-1./4.*complex(0,1)*(ZD21*(ZP12*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu11*complexconjugate(Yu11))*complexconjugate(ZU11) - 4*complexconjugate(Tu11)*complexconjugate(ZU12)) + ZP11*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd11*complexconjugate(Yd11))*complexconjugate(ZU11) - 4*Mue*complexconjugate(Yu11)*complexconjugate(ZU12))) - 2*ZD22*(2*Td11*ZP11*complexconjugate(ZU11) + Yd11*(cmath.sqrt(2)*vu*ZP11*complexconjugate(Yu11)*complexconjugate(ZU12) + ZP12*(2*complexconjugate(Mue)*complexconjugate(ZU11) + cmath.sqrt(2)*vd*complexconjugate(Yu11)*complexconjugate(ZU12)))))', 
	 order = {'QED':1} ) 
 
GC_222 = Coupling(name = 'GC_222',
	 value = '-1./4.*complex(0,1)*(ZD21*(ZP12*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu11*complexconjugate(Yu11))*complexconjugate(ZU21) - 4*complexconjugate(Tu11)*complexconjugate(ZU22)) + ZP11*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd11*complexconjugate(Yd11))*complexconjugate(ZU21) - 4*Mue*complexconjugate(Yu11)*complexconjugate(ZU22))) - 2*ZD22*(2*Td11*ZP11*complexconjugate(ZU21) + Yd11*(cmath.sqrt(2)*vu*ZP11*complexconjugate(Yu11)*complexconjugate(ZU22) + ZP12*(2*complexconjugate(Mue)*complexconjugate(ZU21) + cmath.sqrt(2)*vd*complexconjugate(Yu11)*complexconjugate(ZU22)))))', 
	 order = {'QED':1} ) 
 
GC_223 = Coupling(name = 'GC_223',
	 value = '-1./4.*complex(0,1)*(ZD21*(ZP22*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu11*complexconjugate(Yu11))*complexconjugate(ZU11) - 4*complexconjugate(Tu11)*complexconjugate(ZU12)) + ZP21*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd11*complexconjugate(Yd11))*complexconjugate(ZU11) - 4*Mue*complexconjugate(Yu11)*complexconjugate(ZU12))) - 2*ZD22*(2*Td11*ZP21*complexconjugate(ZU11) + Yd11*(cmath.sqrt(2)*vu*ZP21*complexconjugate(Yu11)*complexconjugate(ZU12) + ZP22*(2*complexconjugate(Mue)*complexconjugate(ZU11) + cmath.sqrt(2)*vd*complexconjugate(Yu11)*complexconjugate(ZU12)))))', 
	 order = {'QED':1} ) 
 
GC_224 = Coupling(name = 'GC_224',
	 value = '-1./4.*complex(0,1)*(ZD21*(ZP22*(cmath.sqrt(2)*vu*(g2**2 - 2*Yu11*complexconjugate(Yu11))*complexconjugate(ZU21) - 4*complexconjugate(Tu11)*complexconjugate(ZU22)) + ZP21*(cmath.sqrt(2)*vd*(g2**2 - 2*Yd11*complexconjugate(Yd11))*complexconjugate(ZU21) - 4*Mue*complexconjugate(Yu11)*complexconjugate(ZU22))) - 2*ZD22*(2*Td11*ZP21*complexconjugate(ZU21) + Yd11*(cmath.sqrt(2)*vu*ZP21*complexconjugate(Yu11)*complexconjugate(ZU22) + ZP22*(2*complexconjugate(Mue)*complexconjugate(ZU21) + cmath.sqrt(2)*vd*complexconjugate(Yu11)*complexconjugate(ZU22)))))', 
	 order = {'QED':1} ) 
 
GC_225 = Coupling(name = 'GC_225',
	 value = '1./4.*complex(0,1)*(4*ZE12*(Te11*ZP11 + Ye11*ZP12*complexconjugate(Mue)) - cmath.sqrt(2)*ZE11*(g2**2*vu*ZP12 + vd*ZP11*(g2**2 - 2*Ye11*complexconjugate(Ye11))))', 
	 order = {'QED':1} ) 
 
GC_226 = Coupling(name = 'GC_226',
	 value = '1./4.*complex(0,1)*(4*ZE12*(Te11*ZP21 + Ye11*ZP22*complexconjugate(Mue)) - cmath.sqrt(2)*ZE11*(g2**2*vu*ZP22 + vd*ZP21*(g2**2 - 2*Ye11*complexconjugate(Ye11))))', 
	 order = {'QED':1} ) 
 
GC_227 = Coupling(name = 'GC_227',
	 value = '1./4.*complex(0,1)*(4*ZE22*(Te11*ZP11 + Ye11*ZP12*complexconjugate(Mue)) - cmath.sqrt(2)*ZE21*(g2**2*vu*ZP12 + vd*ZP11*(g2**2 - 2*Ye11*complexconjugate(Ye11))))', 
	 order = {'QED':1} ) 
 
GC_228 = Coupling(name = 'GC_228',
	 value = '1./4.*complex(0,1)*(4*ZE22*(Te11*ZP21 + Ye11*ZP22*complexconjugate(Mue)) - cmath.sqrt(2)*ZE21*(g2**2*vu*ZP22 + vd*ZP21*(g2**2 - 2*Ye11*complexconjugate(Ye11))))', 
	 order = {'QED':1} ) 
 
GC_229 = Coupling(name = 'GC_229',
	 value = '1./4.*complex(0,1)*(4*ZM12*(Te22*ZP11 + Ye22*ZP12*complexconjugate(Mue)) - cmath.sqrt(2)*ZM11*(g2**2*vu*ZP12 + vd*ZP11*(g2**2 - 2*Ye22*complexconjugate(Ye22))))', 
	 order = {'QED':1} ) 
 
GC_230 = Coupling(name = 'GC_230',
	 value = '1./4.*complex(0,1)*(4*ZM12*(Te22*ZP21 + Ye22*ZP22*complexconjugate(Mue)) - cmath.sqrt(2)*ZM11*(g2**2*vu*ZP22 + vd*ZP21*(g2**2 - 2*Ye22*complexconjugate(Ye22))))', 
	 order = {'QED':1} ) 
 
GC_231 = Coupling(name = 'GC_231',
	 value = '1./4.*complex(0,1)*(4*ZM22*(Te22*ZP11 + Ye22*ZP12*complexconjugate(Mue)) - cmath.sqrt(2)*ZM21*(g2**2*vu*ZP12 + vd*ZP11*(g2**2 - 2*Ye22*complexconjugate(Ye22))))', 
	 order = {'QED':1} ) 
 
GC_232 = Coupling(name = 'GC_232',
	 value = '1./4.*complex(0,1)*(4*ZM22*(Te22*ZP21 + Ye22*ZP22*complexconjugate(Mue)) - cmath.sqrt(2)*ZM21*(g2**2*vu*ZP22 + vd*ZP21*(g2**2 - 2*Ye22*complexconjugate(Ye22))))', 
	 order = {'QED':1} ) 
 
GC_233 = Coupling(name = 'GC_233',
	 value = '1./4.*complex(0,1)*(ZS11*(-(cmath.sqrt(2)*(vd*ZP11*(g2**2 - 2*Yd22*complexconjugate(Yd22)) + vu*ZP12*(g2**2 - 2*Yu22*complexconjugate(Yu22)))*complexconjugate(ZC11)) + 4*(ZP12*complexconjugate(Tu22) + Mue*ZP11*complexconjugate(Yu22))*complexconjugate(ZC12)) + 2*ZS12*(2*Td22*ZP11*complexconjugate(ZC11) + Yd22*(2*ZP12*complexconjugate(Mue)*complexconjugate(ZC11) + cmath.sqrt(2)*(vu*ZP11 + vd*ZP12)*complexconjugate(Yu22)*complexconjugate(ZC12))))', 
	 order = {'QED':1} ) 
 
GC_234 = Coupling(name = 'GC_234',
	 value = '1./4.*complex(0,1)*(ZS11*(-(cmath.sqrt(2)*(vd*ZP11*(g2**2 - 2*Yd22*complexconjugate(Yd22)) + vu*ZP12*(g2**2 - 2*Yu22*complexconjugate(Yu22)))*complexconjugate(ZC21)) + 4*(ZP12*complexconjugate(Tu22) + Mue*ZP11*complexconjugate(Yu22))*complexconjugate(ZC22)) + 2*ZS12*(2*Td22*ZP11*complexconjugate(ZC21) + Yd22*(2*ZP12*complexconjugate(Mue)*complexconjugate(ZC21) + cmath.sqrt(2)*(vu*ZP11 + vd*ZP12)*complexconjugate(Yu22)*complexconjugate(ZC22))))', 
	 order = {'QED':1} ) 
 
GC_235 = Coupling(name = 'GC_235',
	 value = '1./4.*complex(0,1)*(ZS11*(-(cmath.sqrt(2)*(vd*ZP21*(g2**2 - 2*Yd22*complexconjugate(Yd22)) + vu*ZP22*(g2**2 - 2*Yu22*complexconjugate(Yu22)))*complexconjugate(ZC11)) + 4*(ZP22*complexconjugate(Tu22) + Mue*ZP21*complexconjugate(Yu22))*complexconjugate(ZC12)) + 2*ZS12*(2*Td22*ZP21*complexconjugate(ZC11) + Yd22*(2*ZP22*complexconjugate(Mue)*complexconjugate(ZC11) + cmath.sqrt(2)*(vu*ZP21 + vd*ZP22)*complexconjugate(Yu22)*complexconjugate(ZC12))))', 
	 order = {'QED':1} ) 
 
GC_236 = Coupling(name = 'GC_236',
	 value = '1./4.*complex(0,1)*(ZS11*(-(cmath.sqrt(2)*(vd*ZP21*(g2**2 - 2*Yd22*complexconjugate(Yd22)) + vu*ZP22*(g2**2 - 2*Yu22*complexconjugate(Yu22)))*complexconjugate(ZC21)) + 4*(ZP22*complexconjugate(Tu22) + Mue*ZP21*complexconjugate(Yu22))*complexconjugate(ZC22)) + 2*ZS12*(2*Td22*ZP21*complexconjugate(ZC21) + Yd22*(2*ZP22*complexconjugate(Mue)*complexconjugate(ZC21) + cmath.sqrt(2)*(vu*ZP21 + vd*ZP22)*complexconjugate(Yu22)*complexconjugate(ZC22))))', 
	 order = {'QED':1} ) 
 
GC_237 = Coupling(name = 'GC_237',
	 value = '1./4.*complex(0,1)*(ZS21*(-(cmath.sqrt(2)*(vd*ZP11*(g2**2 - 2*Yd22*complexconjugate(Yd22)) + vu*ZP12*(g2**2 - 2*Yu22*complexconjugate(Yu22)))*complexconjugate(ZC11)) + 4*(ZP12*complexconjugate(Tu22) + Mue*ZP11*complexconjugate(Yu22))*complexconjugate(ZC12)) + 2*ZS22*(2*Td22*ZP11*complexconjugate(ZC11) + Yd22*(2*ZP12*complexconjugate(Mue)*complexconjugate(ZC11) + cmath.sqrt(2)*(vu*ZP11 + vd*ZP12)*complexconjugate(Yu22)*complexconjugate(ZC12))))', 
	 order = {'QED':1} ) 
 
GC_238 = Coupling(name = 'GC_238',
	 value = '1./4.*complex(0,1)*(ZS21*(-(cmath.sqrt(2)*(vd*ZP11*(g2**2 - 2*Yd22*complexconjugate(Yd22)) + vu*ZP12*(g2**2 - 2*Yu22*complexconjugate(Yu22)))*complexconjugate(ZC21)) + 4*(ZP12*complexconjugate(Tu22) + Mue*ZP11*complexconjugate(Yu22))*complexconjugate(ZC22)) + 2*ZS22*(2*Td22*ZP11*complexconjugate(ZC21) + Yd22*(2*ZP12*complexconjugate(Mue)*complexconjugate(ZC21) + cmath.sqrt(2)*(vu*ZP11 + vd*ZP12)*complexconjugate(Yu22)*complexconjugate(ZC22))))', 
	 order = {'QED':1} ) 
 
GC_239 = Coupling(name = 'GC_239',
	 value = '1./4.*complex(0,1)*(ZS21*(-(cmath.sqrt(2)*(vd*ZP21*(g2**2 - 2*Yd22*complexconjugate(Yd22)) + vu*ZP22*(g2**2 - 2*Yu22*complexconjugate(Yu22)))*complexconjugate(ZC11)) + 4*(ZP22*complexconjugate(Tu22) + Mue*ZP21*complexconjugate(Yu22))*complexconjugate(ZC12)) + 2*ZS22*(2*Td22*ZP21*complexconjugate(ZC11) + Yd22*(2*ZP22*complexconjugate(Mue)*complexconjugate(ZC11) + cmath.sqrt(2)*(vu*ZP21 + vd*ZP22)*complexconjugate(Yu22)*complexconjugate(ZC12))))', 
	 order = {'QED':1} ) 
 
GC_240 = Coupling(name = 'GC_240',
	 value = '1./4.*complex(0,1)*(ZS21*(-(cmath.sqrt(2)*(vd*ZP21*(g2**2 - 2*Yd22*complexconjugate(Yd22)) + vu*ZP22*(g2**2 - 2*Yu22*complexconjugate(Yu22)))*complexconjugate(ZC21)) + 4*(ZP22*complexconjugate(Tu22) + Mue*ZP21*complexconjugate(Yu22))*complexconjugate(ZC22)) + 2*ZS22*(2*Td22*ZP21*complexconjugate(ZC21) + Yd22*(2*ZP22*complexconjugate(Mue)*complexconjugate(ZC21) + cmath.sqrt(2)*(vu*ZP21 + vd*ZP22)*complexconjugate(Yu22)*complexconjugate(ZC22))))', 
	 order = {'QED':1} ) 
 
GC_241 = Coupling(name = 'GC_241',
	 value = '1./4.*complex(0,1)*(4*ZTau12*(Te33*ZP11 + Ye33*ZP12*complexconjugate(Mue)) - cmath.sqrt(2)*ZTau11*(g2**2*vu*ZP12 + vd*ZP11*(g2**2 - 2*Ye33*complexconjugate(Ye33))))', 
	 order = {'QED':1} ) 
 
GC_242 = Coupling(name = 'GC_242',
	 value = '1./4.*complex(0,1)*(4*ZTau12*(Te33*ZP21 + Ye33*ZP22*complexconjugate(Mue)) - cmath.sqrt(2)*ZTau11*(g2**2*vu*ZP22 + vd*ZP21*(g2**2 - 2*Ye33*complexconjugate(Ye33))))', 
	 order = {'QED':1} ) 
 
GC_243 = Coupling(name = 'GC_243',
	 value = '1./4.*complex(0,1)*(4*ZTau22*(Te33*ZP11 + Ye33*ZP12*complexconjugate(Mue)) - cmath.sqrt(2)*ZTau21*(g2**2*vu*ZP12 + vd*ZP11*(g2**2 - 2*Ye33*complexconjugate(Ye33))))', 
	 order = {'QED':1} ) 
 
GC_244 = Coupling(name = 'GC_244',
	 value = '1./4.*complex(0,1)*(4*ZTau22*(Te33*ZP21 + Ye33*ZP22*complexconjugate(Mue)) - cmath.sqrt(2)*ZTau21*(g2**2*vu*ZP22 + vd*ZP21*(g2**2 - 2*Ye33*complexconjugate(Ye33))))', 
	 order = {'QED':1} ) 
 
GC_245 = Coupling(name = 'GC_245',
	 value = '1./2.*complex(0,1)*g2**2*ZA11**2 + 1./2.*complex(0,1)*g2**2*ZA12**2', 
	 order = {'QED':2} ) 
 
GC_246 = Coupling(name = 'GC_246',
	 value = '1./2.*complex(0,1)*g2**2*ZA11*ZA21 + 1./2.*complex(0,1)*g2**2*ZA12*ZA22', 
	 order = {'QED':2} ) 
 
GC_247 = Coupling(name = 'GC_247',
	 value = '1./2.*complex(0,1)*g2**2*ZA21**2 + 1./2.*complex(0,1)*g2**2*ZA22**2', 
	 order = {'QED':2} ) 
 
GC_248 = Coupling(name = 'GC_248',
	 value = '1./2.*complex(0,1)*g2**2*ZA11**2*cmath.cos(TW)**2 + 1./2.*complex(0,1)*g2**2*ZA12**2*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZA11**2*cmath.cos(TW)*cmath.sin(TW) + 1*complex(0,1)*g1*g2*ZA12**2*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZA11**2*cmath.sin(TW)**2 + 1./2.*complex(0,1)*g1**2*ZA12**2*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_249 = Coupling(name = 'GC_249',
	 value = '1./2.*complex(0,1)*g2**2*ZA11*ZA21*cmath.cos(TW)**2 + 1./2.*complex(0,1)*g2**2*ZA12*ZA22*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZA11*ZA21*cmath.cos(TW)*cmath.sin(TW) + 1*complex(0,1)*g1*g2*ZA12*ZA22*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZA11*ZA21*cmath.sin(TW)**2 + 1./2.*complex(0,1)*g1**2*ZA12*ZA22*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_250 = Coupling(name = 'GC_250',
	 value = '1./2.*complex(0,1)*g2**2*ZA21**2*cmath.cos(TW)**2 + 1./2.*complex(0,1)*g2**2*ZA22**2*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZA21**2*cmath.cos(TW)*cmath.sin(TW) + 1*complex(0,1)*g1*g2*ZA22**2*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZA21**2*cmath.sin(TW)**2 + 1./2.*complex(0,1)*g1**2*ZA22**2*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_251 = Coupling(name = 'GC_251',
	 value = '-(g1*g2*ZA11*ZP11*cmath.cos(TW))/2. - (g1*g2*ZA12*ZP12*cmath.cos(TW))/2.', 
	 order = {'QED':2} ) 
 
GC_252 = Coupling(name = 'GC_252',
	 value = '-(g1*g2*ZA11*ZP21*cmath.cos(TW))/2. - (g1*g2*ZA12*ZP22*cmath.cos(TW))/2.', 
	 order = {'QED':2} ) 
 
GC_253 = Coupling(name = 'GC_253',
	 value = '-(g1*g2*ZA21*ZP11*cmath.cos(TW))/2. - (g1*g2*ZA22*ZP12*cmath.cos(TW))/2.', 
	 order = {'QED':2} ) 
 
GC_254 = Coupling(name = 'GC_254',
	 value = '-(g1*g2*ZA21*ZP21*cmath.cos(TW))/2. - (g1*g2*ZA22*ZP22*cmath.cos(TW))/2.', 
	 order = {'QED':2} ) 
 
GC_255 = Coupling(name = 'GC_255',
	 value = '(g1*g2*ZA11*ZP11*cmath.sin(TW))/2. + (g1*g2*ZA12*ZP12*cmath.sin(TW))/2.', 
	 order = {'QED':2} ) 
 
GC_256 = Coupling(name = 'GC_256',
	 value = '(g1*g2*ZA11*ZP21*cmath.sin(TW))/2. + (g1*g2*ZA12*ZP22*cmath.sin(TW))/2.', 
	 order = {'QED':2} ) 
 
GC_257 = Coupling(name = 'GC_257',
	 value = '(g1*g2*ZA21*ZP11*cmath.sin(TW))/2. + (g1*g2*ZA22*ZP12*cmath.sin(TW))/2.', 
	 order = {'QED':2} ) 
 
GC_258 = Coupling(name = 'GC_258',
	 value = '(g1*g2*ZA21*ZP21*cmath.sin(TW))/2. + (g1*g2*ZA22*ZP22*cmath.sin(TW))/2.', 
	 order = {'QED':2} ) 
 
GC_259 = Coupling(name = 'GC_259',
	 value = '(g1*g2*ZA11*ZP11*cmath.cos(TW))/2. + (g1*g2*ZA12*ZP12*cmath.cos(TW))/2.', 
	 order = {'QED':2} ) 
 
GC_260 = Coupling(name = 'GC_260',
	 value = '(g1*g2*ZA11*ZP21*cmath.cos(TW))/2. + (g1*g2*ZA12*ZP22*cmath.cos(TW))/2.', 
	 order = {'QED':2} ) 
 
GC_261 = Coupling(name = 'GC_261',
	 value = '(g1*g2*ZA21*ZP11*cmath.cos(TW))/2. + (g1*g2*ZA22*ZP12*cmath.cos(TW))/2.', 
	 order = {'QED':2} ) 
 
GC_262 = Coupling(name = 'GC_262',
	 value = '(g1*g2*ZA21*ZP21*cmath.cos(TW))/2. + (g1*g2*ZA22*ZP22*cmath.cos(TW))/2.', 
	 order = {'QED':2} ) 
 
GC_263 = Coupling(name = 'GC_263',
	 value = '-(g1*g2*ZA11*ZP11*cmath.sin(TW))/2. - (g1*g2*ZA12*ZP12*cmath.sin(TW))/2.', 
	 order = {'QED':2} ) 
 
GC_264 = Coupling(name = 'GC_264',
	 value = '-(g1*g2*ZA11*ZP21*cmath.sin(TW))/2. - (g1*g2*ZA12*ZP22*cmath.sin(TW))/2.', 
	 order = {'QED':2} ) 
 
GC_265 = Coupling(name = 'GC_265',
	 value = '-(g1*g2*ZA21*ZP11*cmath.sin(TW))/2. - (g1*g2*ZA22*ZP12*cmath.sin(TW))/2.', 
	 order = {'QED':2} ) 
 
GC_266 = Coupling(name = 'GC_266',
	 value = '-(g1*g2*ZA21*ZP21*cmath.sin(TW))/2. - (g1*g2*ZA22*ZP22*cmath.sin(TW))/2.', 
	 order = {'QED':2} ) 
 
GC_267 = Coupling(name = 'GC_267',
	 value = '1./2.*complex(0,1)*g2**2*ZH11**2 + 1./2.*complex(0,1)*g2**2*ZH12**2', 
	 order = {'QED':2} ) 
 
GC_268 = Coupling(name = 'GC_268',
	 value = '1./2.*complex(0,1)*g2**2*ZH11*ZH21 + 1./2.*complex(0,1)*g2**2*ZH12*ZH22', 
	 order = {'QED':2} ) 
 
GC_269 = Coupling(name = 'GC_269',
	 value = '1./2.*complex(0,1)*g2**2*ZH21**2 + 1./2.*complex(0,1)*g2**2*ZH22**2', 
	 order = {'QED':2} ) 
 
GC_270 = Coupling(name = 'GC_270',
	 value = '1./2.*complex(0,1)*g2**2*ZH11**2*cmath.cos(TW)**2 + 1./2.*complex(0,1)*g2**2*ZH12**2*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZH11**2*cmath.cos(TW)*cmath.sin(TW) + 1*complex(0,1)*g1*g2*ZH12**2*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZH11**2*cmath.sin(TW)**2 + 1./2.*complex(0,1)*g1**2*ZH12**2*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_271 = Coupling(name = 'GC_271',
	 value = '1./2.*complex(0,1)*g2**2*ZH11*ZH21*cmath.cos(TW)**2 + 1./2.*complex(0,1)*g2**2*ZH12*ZH22*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZH11*ZH21*cmath.cos(TW)*cmath.sin(TW) + 1*complex(0,1)*g1*g2*ZH12*ZH22*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZH11*ZH21*cmath.sin(TW)**2 + 1./2.*complex(0,1)*g1**2*ZH12*ZH22*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_272 = Coupling(name = 'GC_272',
	 value = '1./2.*complex(0,1)*g2**2*ZH21**2*cmath.cos(TW)**2 + 1./2.*complex(0,1)*g2**2*ZH22**2*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZH21**2*cmath.cos(TW)*cmath.sin(TW) + 1*complex(0,1)*g1*g2*ZH22**2*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZH21**2*cmath.sin(TW)**2 + 1./2.*complex(0,1)*g1**2*ZH22**2*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_273 = Coupling(name = 'GC_273',
	 value = '-1./2.*complex(0,1)*g1*g2*ZH11*ZP11*cmath.cos(TW) + 1./2.*complex(0,1)*g1*g2*ZH12*ZP12*cmath.cos(TW)', 
	 order = {'QED':2} ) 
 
GC_274 = Coupling(name = 'GC_274',
	 value = '-1./2.*complex(0,1)*g1*g2*ZH11*ZP21*cmath.cos(TW) + 1./2.*complex(0,1)*g1*g2*ZH12*ZP22*cmath.cos(TW)', 
	 order = {'QED':2} ) 
 
GC_275 = Coupling(name = 'GC_275',
	 value = '-1./2.*complex(0,1)*g1*g2*ZH21*ZP11*cmath.cos(TW) + 1./2.*complex(0,1)*g1*g2*ZH22*ZP12*cmath.cos(TW)', 
	 order = {'QED':2} ) 
 
GC_276 = Coupling(name = 'GC_276',
	 value = '-1./2.*complex(0,1)*g1*g2*ZH21*ZP21*cmath.cos(TW) + 1./2.*complex(0,1)*g1*g2*ZH22*ZP22*cmath.cos(TW)', 
	 order = {'QED':2} ) 
 
GC_277 = Coupling(name = 'GC_277',
	 value = '1./2.*complex(0,1)*g1*g2*ZH11*ZP11*cmath.sin(TW) - 1./2.*complex(0,1)*g1*g2*ZH12*ZP12*cmath.sin(TW)', 
	 order = {'QED':2} ) 
 
GC_278 = Coupling(name = 'GC_278',
	 value = '1./2.*complex(0,1)*g1*g2*ZH11*ZP21*cmath.sin(TW) - 1./2.*complex(0,1)*g1*g2*ZH12*ZP22*cmath.sin(TW)', 
	 order = {'QED':2} ) 
 
GC_279 = Coupling(name = 'GC_279',
	 value = '1./2.*complex(0,1)*g1*g2*ZH21*ZP11*cmath.sin(TW) - 1./2.*complex(0,1)*g1*g2*ZH22*ZP12*cmath.sin(TW)', 
	 order = {'QED':2} ) 
 
GC_280 = Coupling(name = 'GC_280',
	 value = '1./2.*complex(0,1)*g1*g2*ZH21*ZP21*cmath.sin(TW) - 1./2.*complex(0,1)*g1*g2*ZH22*ZP22*cmath.sin(TW)', 
	 order = {'QED':2} ) 
 
GC_281 = Coupling(name = 'GC_281',
	 value = '-1./2.*complex(0,1)*g1*g2*ZH11*ZP11*cmath.cos(TW) + 1./2.*complex(0,1)*g1*g2*ZH12*ZP12*cmath.cos(TW)', 
	 order = {'QED':2} ) 
 
GC_282 = Coupling(name = 'GC_282',
	 value = '-1./2.*complex(0,1)*g1*g2*ZH11*ZP21*cmath.cos(TW) + 1./2.*complex(0,1)*g1*g2*ZH12*ZP22*cmath.cos(TW)', 
	 order = {'QED':2} ) 
 
GC_283 = Coupling(name = 'GC_283',
	 value = '-1./2.*complex(0,1)*g1*g2*ZH21*ZP11*cmath.cos(TW) + 1./2.*complex(0,1)*g1*g2*ZH22*ZP12*cmath.cos(TW)', 
	 order = {'QED':2} ) 
 
GC_284 = Coupling(name = 'GC_284',
	 value = '-1./2.*complex(0,1)*g1*g2*ZH21*ZP21*cmath.cos(TW) + 1./2.*complex(0,1)*g1*g2*ZH22*ZP22*cmath.cos(TW)', 
	 order = {'QED':2} ) 
 
GC_285 = Coupling(name = 'GC_285',
	 value = '1./2.*complex(0,1)*g1*g2*ZH11*ZP11*cmath.sin(TW) - 1./2.*complex(0,1)*g1*g2*ZH12*ZP12*cmath.sin(TW)', 
	 order = {'QED':2} ) 
 
GC_286 = Coupling(name = 'GC_286',
	 value = '1./2.*complex(0,1)*g1*g2*ZH11*ZP21*cmath.sin(TW) - 1./2.*complex(0,1)*g1*g2*ZH12*ZP22*cmath.sin(TW)', 
	 order = {'QED':2} ) 
 
GC_287 = Coupling(name = 'GC_287',
	 value = '1./2.*complex(0,1)*g1*g2*ZH21*ZP11*cmath.sin(TW) - 1./2.*complex(0,1)*g1*g2*ZH22*ZP12*cmath.sin(TW)', 
	 order = {'QED':2} ) 
 
GC_288 = Coupling(name = 'GC_288',
	 value = '1./2.*complex(0,1)*g1*g2*ZH21*ZP21*cmath.sin(TW) - 1./2.*complex(0,1)*g1*g2*ZH22*ZP22*cmath.sin(TW)', 
	 order = {'QED':2} ) 
 
GC_289 = Coupling(name = 'GC_289',
	 value = '1./2.*complex(0,1)*g1**2*ZP11**2*cmath.cos(TW)**2 + 1./2.*complex(0,1)*g1**2*ZP12**2*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZP11**2*cmath.cos(TW)*cmath.sin(TW) + 1*complex(0,1)*g1*g2*ZP12**2*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZP11**2*cmath.sin(TW)**2 + 1./2.*complex(0,1)*g2**2*ZP12**2*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_290 = Coupling(name = 'GC_290',
	 value = '1./2.*complex(0,1)*g1**2*ZP11*ZP21*cmath.cos(TW)**2 + 1./2.*complex(0,1)*g1**2*ZP12*ZP22*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZP11*ZP21*cmath.cos(TW)*cmath.sin(TW) + 1*complex(0,1)*g1*g2*ZP12*ZP22*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZP11*ZP21*cmath.sin(TW)**2 + 1./2.*complex(0,1)*g2**2*ZP12*ZP22*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_291 = Coupling(name = 'GC_291',
	 value = '1./2.*complex(0,1)*g1**2*ZP11*ZP21*cmath.cos(TW)**2 + 1./2.*complex(0,1)*g1**2*ZP12*ZP22*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZP11*ZP21*cmath.cos(TW)*cmath.sin(TW) + 1*complex(0,1)*g1*g2*ZP12*ZP22*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZP11*ZP21*cmath.sin(TW)**2 + 1./2.*complex(0,1)*g2**2*ZP12*ZP22*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_292 = Coupling(name = 'GC_292',
	 value = '1./2.*complex(0,1)*g1**2*ZP21**2*cmath.cos(TW)**2 + 1./2.*complex(0,1)*g1**2*ZP22**2*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZP21**2*cmath.cos(TW)*cmath.sin(TW) + 1*complex(0,1)*g1*g2*ZP22**2*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZP21**2*cmath.sin(TW)**2 + 1./2.*complex(0,1)*g2**2*ZP22**2*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_293 = Coupling(name = 'GC_293',
	 value = '1./2.*complex(0,1)*g1*g2*ZP11**2*cmath.cos(2*TW) + 1./2.*complex(0,1)*g1*g2*ZP12**2*cmath.cos(2*TW) - 1./4.*complex(0,1)*g1**2*ZP11**2*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZP11**2*cmath.sin(2*TW) - 1./4.*complex(0,1)*g1**2*ZP12**2*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZP12**2*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_294 = Coupling(name = 'GC_294',
	 value = '1./2.*complex(0,1)*g1*g2*ZP11*ZP21*cmath.cos(2*TW) + 1./2.*complex(0,1)*g1*g2*ZP12*ZP22*cmath.cos(2*TW) - 1./4.*complex(0,1)*g1**2*ZP11*ZP21*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZP11*ZP21*cmath.sin(2*TW) - 1./4.*complex(0,1)*g1**2*ZP12*ZP22*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZP12*ZP22*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_295 = Coupling(name = 'GC_295',
	 value = '1./2.*complex(0,1)*g1*g2*ZP11*ZP21*cmath.cos(2*TW) + 1./2.*complex(0,1)*g1*g2*ZP12*ZP22*cmath.cos(2*TW) - 1./4.*complex(0,1)*g1**2*ZP11*ZP21*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZP11*ZP21*cmath.sin(2*TW) - 1./4.*complex(0,1)*g1**2*ZP12*ZP22*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZP12*ZP22*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_296 = Coupling(name = 'GC_296',
	 value = '1./2.*complex(0,1)*g1*g2*ZP21**2*cmath.cos(2*TW) + 1./2.*complex(0,1)*g1*g2*ZP22**2*cmath.cos(2*TW) - 1./4.*complex(0,1)*g1**2*ZP21**2*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZP21**2*cmath.sin(2*TW) - 1./4.*complex(0,1)*g1**2*ZP22**2*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZP22**2*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_297 = Coupling(name = 'GC_297',
	 value = '1./2.*complex(0,1)*g2**2*ZP11**2 + 1./2.*complex(0,1)*g2**2*ZP12**2', 
	 order = {'QED':2} ) 
 
GC_298 = Coupling(name = 'GC_298',
	 value = '1./2.*complex(0,1)*g2**2*ZP11*ZP21 + 1./2.*complex(0,1)*g2**2*ZP12*ZP22', 
	 order = {'QED':2} ) 
 
GC_299 = Coupling(name = 'GC_299',
	 value = '1./2.*complex(0,1)*g2**2*ZP11*ZP21 + 1./2.*complex(0,1)*g2**2*ZP12*ZP22', 
	 order = {'QED':2} ) 
 
GC_300 = Coupling(name = 'GC_300',
	 value = '1./2.*complex(0,1)*g2**2*ZP21**2 + 1./2.*complex(0,1)*g2**2*ZP22**2', 
	 order = {'QED':2} ) 
 
GC_301 = Coupling(name = 'GC_301',
	 value = '1./2.*complex(0,1)*g2**2*ZP11**2*cmath.cos(TW)**2 + 1./2.*complex(0,1)*g2**2*ZP12**2*cmath.cos(TW)**2 - 1*complex(0,1)*g1*g2*ZP11**2*cmath.cos(TW)*cmath.sin(TW) - 1*complex(0,1)*g1*g2*ZP12**2*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZP11**2*cmath.sin(TW)**2 + 1./2.*complex(0,1)*g1**2*ZP12**2*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_302 = Coupling(name = 'GC_302',
	 value = '1./2.*complex(0,1)*g2**2*ZP11*ZP21*cmath.cos(TW)**2 + 1./2.*complex(0,1)*g2**2*ZP12*ZP22*cmath.cos(TW)**2 - 1*complex(0,1)*g1*g2*ZP11*ZP21*cmath.cos(TW)*cmath.sin(TW) - 1*complex(0,1)*g1*g2*ZP12*ZP22*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZP11*ZP21*cmath.sin(TW)**2 + 1./2.*complex(0,1)*g1**2*ZP12*ZP22*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_303 = Coupling(name = 'GC_303',
	 value = '1./2.*complex(0,1)*g2**2*ZP11*ZP21*cmath.cos(TW)**2 + 1./2.*complex(0,1)*g2**2*ZP12*ZP22*cmath.cos(TW)**2 - 1*complex(0,1)*g1*g2*ZP11*ZP21*cmath.cos(TW)*cmath.sin(TW) - 1*complex(0,1)*g1*g2*ZP12*ZP22*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZP11*ZP21*cmath.sin(TW)**2 + 1./2.*complex(0,1)*g1**2*ZP12*ZP22*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_304 = Coupling(name = 'GC_304',
	 value = '1./2.*complex(0,1)*g2**2*ZP21**2*cmath.cos(TW)**2 + 1./2.*complex(0,1)*g2**2*ZP22**2*cmath.cos(TW)**2 - 1*complex(0,1)*g1*g2*ZP21**2*cmath.cos(TW)*cmath.sin(TW) - 1*complex(0,1)*g1*g2*ZP22**2*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZP21**2*cmath.sin(TW)**2 + 1./2.*complex(0,1)*g1**2*ZP22**2*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_305 = Coupling(name = 'GC_305',
	 value = '1*complex(0,1)*G**2*ZB11*complexconjugate(ZB11) + 1*complex(0,1)*G**2*ZB12*complexconjugate(ZB12)', 
	 order = {'QCD':2} ) 
 
GC_306 = Coupling(name = 'GC_306',
	 value = '1*complex(0,1)*G**2*ZB11*complexconjugate(ZB11) + 1*complex(0,1)*G**2*ZB12*complexconjugate(ZB12)', 
	 order = {'QCD':2} ) 
 
GC_307 = Coupling(name = 'GC_307',
	 value = '1*complex(0,1)*G**2*ZB11*complexconjugate(ZB21) + 1*complex(0,1)*G**2*ZB12*complexconjugate(ZB22)', 
	 order = {'QCD':2} ) 
 
GC_308 = Coupling(name = 'GC_308',
	 value = '1*complex(0,1)*G**2*ZB11*complexconjugate(ZB21) + 1*complex(0,1)*G**2*ZB12*complexconjugate(ZB22)', 
	 order = {'QCD':2} ) 
 
GC_309 = Coupling(name = 'GC_309',
	 value = '1*complex(0,1)*G**2*ZB21*complexconjugate(ZB11) + 1*complex(0,1)*G**2*ZB22*complexconjugate(ZB12)', 
	 order = {'QCD':2} ) 
 
GC_310 = Coupling(name = 'GC_310',
	 value = '1*complex(0,1)*G**2*ZB21*complexconjugate(ZB11) + 1*complex(0,1)*G**2*ZB22*complexconjugate(ZB12)', 
	 order = {'QCD':2} ) 
 
GC_311 = Coupling(name = 'GC_311',
	 value = '1*complex(0,1)*G**2*ZB21*complexconjugate(ZB21) + 1*complex(0,1)*G**2*ZB22*complexconjugate(ZB22)', 
	 order = {'QCD':2} ) 
 
GC_312 = Coupling(name = 'GC_312',
	 value = '1*complex(0,1)*G**2*ZB21*complexconjugate(ZB21) + 1*complex(0,1)*G**2*ZB22*complexconjugate(ZB22)', 
	 order = {'QCD':2} ) 
 
GC_313 = Coupling(name = 'GC_313',
	 value = '1./3.*complex(0,1)*G*g1*ZB11*complexconjugate(ZB11)*cmath.cos(TW) - 2./3.*complex(0,1)*G*g1*ZB12*complexconjugate(ZB12)*cmath.cos(TW) - 1*complex(0,1)*G*g2*ZB11*complexconjugate(ZB11)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_314 = Coupling(name = 'GC_314',
	 value = '1./3.*complex(0,1)*G*g1*ZB11*complexconjugate(ZB21)*cmath.cos(TW) - 2./3.*complex(0,1)*G*g1*ZB12*complexconjugate(ZB22)*cmath.cos(TW) - 1*complex(0,1)*G*g2*ZB11*complexconjugate(ZB21)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_315 = Coupling(name = 'GC_315',
	 value = '1./3.*complex(0,1)*G*g1*ZB21*complexconjugate(ZB11)*cmath.cos(TW) - 2./3.*complex(0,1)*G*g1*ZB22*complexconjugate(ZB12)*cmath.cos(TW) - 1*complex(0,1)*G*g2*ZB21*complexconjugate(ZB11)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_316 = Coupling(name = 'GC_316',
	 value = '1./3.*complex(0,1)*G*g1*ZB21*complexconjugate(ZB21)*cmath.cos(TW) - 2./3.*complex(0,1)*G*g1*ZB22*complexconjugate(ZB22)*cmath.cos(TW) - 1*complex(0,1)*G*g2*ZB21*complexconjugate(ZB21)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_317 = Coupling(name = 'GC_317',
	 value = '-1*complex(0,1)*G*g2*ZB11*complexconjugate(ZB11)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZB11*complexconjugate(ZB11)*cmath.sin(TW) + 2./3.*complex(0,1)*G*g1*ZB12*complexconjugate(ZB12)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_318 = Coupling(name = 'GC_318',
	 value = '-1*complex(0,1)*G*g2*ZB11*complexconjugate(ZB21)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZB11*complexconjugate(ZB21)*cmath.sin(TW) + 2./3.*complex(0,1)*G*g1*ZB12*complexconjugate(ZB22)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_319 = Coupling(name = 'GC_319',
	 value = '-1*complex(0,1)*G*g2*ZB21*complexconjugate(ZB11)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZB21*complexconjugate(ZB11)*cmath.sin(TW) + 2./3.*complex(0,1)*G*g1*ZB22*complexconjugate(ZB12)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_320 = Coupling(name = 'GC_320',
	 value = '-1*complex(0,1)*G*g2*ZB21*complexconjugate(ZB21)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZB21*complexconjugate(ZB21)*cmath.sin(TW) + 2./3.*complex(0,1)*G*g1*ZB22*complexconjugate(ZB22)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_321 = Coupling(name = 'GC_321',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZB11*complexconjugate(ZT11)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_322 = Coupling(name = 'GC_322',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZB11*complexconjugate(ZT21)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_323 = Coupling(name = 'GC_323',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZB21*complexconjugate(ZT11)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_324 = Coupling(name = 'GC_324',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZB21*complexconjugate(ZT21)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_325 = Coupling(name = 'GC_325',
	 value = '1./18.*complex(0,1)*g1**2*ZB11*complexconjugate(ZB11)*cmath.cos(TW)**2 + 2./9.*complex(0,1)*g1**2*ZB12*complexconjugate(ZB12)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZB11*complexconjugate(ZB11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZB11*complexconjugate(ZB11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_326 = Coupling(name = 'GC_326',
	 value = '1./18.*complex(0,1)*g1**2*ZB11*complexconjugate(ZB21)*cmath.cos(TW)**2 + 2./9.*complex(0,1)*g1**2*ZB12*complexconjugate(ZB22)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZB11*complexconjugate(ZB21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZB11*complexconjugate(ZB21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_327 = Coupling(name = 'GC_327',
	 value = '1./18.*complex(0,1)*g1**2*ZB21*complexconjugate(ZB11)*cmath.cos(TW)**2 + 2./9.*complex(0,1)*g1**2*ZB22*complexconjugate(ZB12)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZB21*complexconjugate(ZB11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZB21*complexconjugate(ZB11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_328 = Coupling(name = 'GC_328',
	 value = '1./18.*complex(0,1)*g1**2*ZB21*complexconjugate(ZB21)*cmath.cos(TW)**2 + 2./9.*complex(0,1)*g1**2*ZB22*complexconjugate(ZB22)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZB21*complexconjugate(ZB21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZB21*complexconjugate(ZB21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_329 = Coupling(name = 'GC_329',
	 value = '-1./6.*complex(0,1)*g1*g2*ZB11*complexconjugate(ZB11)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZB11*complexconjugate(ZB11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZB11*complexconjugate(ZB11)*cmath.sin(2*TW) - 1./9.*complex(0,1)*g1**2*ZB12*complexconjugate(ZB12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_330 = Coupling(name = 'GC_330',
	 value = '-1./6.*complex(0,1)*g1*g2*ZB11*complexconjugate(ZB21)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZB11*complexconjugate(ZB21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZB11*complexconjugate(ZB21)*cmath.sin(2*TW) - 1./9.*complex(0,1)*g1**2*ZB12*complexconjugate(ZB22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_331 = Coupling(name = 'GC_331',
	 value = '-1./6.*complex(0,1)*g1*g2*ZB21*complexconjugate(ZB11)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZB21*complexconjugate(ZB11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZB21*complexconjugate(ZB11)*cmath.sin(2*TW) - 1./9.*complex(0,1)*g1**2*ZB22*complexconjugate(ZB12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_332 = Coupling(name = 'GC_332',
	 value = '-1./6.*complex(0,1)*g1*g2*ZB21*complexconjugate(ZB21)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZB21*complexconjugate(ZB21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZB21*complexconjugate(ZB21)*cmath.sin(2*TW) - 1./9.*complex(0,1)*g1**2*ZB22*complexconjugate(ZB22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_333 = Coupling(name = 'GC_333',
	 value = '(1./3.*complex(0,1)*g1*g2*ZB11*complexconjugate(ZT11)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_334 = Coupling(name = 'GC_334',
	 value = '(1./3.*complex(0,1)*g1*g2*ZB11*complexconjugate(ZT21)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_335 = Coupling(name = 'GC_335',
	 value = '(1./3.*complex(0,1)*g1*g2*ZB21*complexconjugate(ZT11)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_336 = Coupling(name = 'GC_336',
	 value = '(1./3.*complex(0,1)*g1*g2*ZB21*complexconjugate(ZT21)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_337 = Coupling(name = 'GC_337',
	 value = '1./2.*complex(0,1)*g2**2*ZB11*complexconjugate(ZB11)', 
	 order = {'QED':2} ) 
 
GC_338 = Coupling(name = 'GC_338',
	 value = '1./2.*complex(0,1)*g2**2*ZB11*complexconjugate(ZB21)', 
	 order = {'QED':2} ) 
 
GC_339 = Coupling(name = 'GC_339',
	 value = '1./2.*complex(0,1)*g2**2*ZB21*complexconjugate(ZB11)', 
	 order = {'QED':2} ) 
 
GC_340 = Coupling(name = 'GC_340',
	 value = '1./2.*complex(0,1)*g2**2*ZB21*complexconjugate(ZB21)', 
	 order = {'QED':2} ) 
 
GC_341 = Coupling(name = 'GC_341',
	 value = '1./2.*complex(0,1)*g2**2*ZB11*complexconjugate(ZB11)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZB11*complexconjugate(ZB11)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZB11*complexconjugate(ZB11)*cmath.sin(TW)**2 + 2./9.*complex(0,1)*g1**2*ZB12*complexconjugate(ZB12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_342 = Coupling(name = 'GC_342',
	 value = '1./2.*complex(0,1)*g2**2*ZB11*complexconjugate(ZB21)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZB11*complexconjugate(ZB21)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZB11*complexconjugate(ZB21)*cmath.sin(TW)**2 + 2./9.*complex(0,1)*g1**2*ZB12*complexconjugate(ZB22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_343 = Coupling(name = 'GC_343',
	 value = '1./2.*complex(0,1)*g2**2*ZB21*complexconjugate(ZB11)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZB21*complexconjugate(ZB11)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZB21*complexconjugate(ZB11)*cmath.sin(TW)**2 + 2./9.*complex(0,1)*g1**2*ZB22*complexconjugate(ZB12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_344 = Coupling(name = 'GC_344',
	 value = '1./2.*complex(0,1)*g2**2*ZB21*complexconjugate(ZB21)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZB21*complexconjugate(ZB21)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZB21*complexconjugate(ZB21)*cmath.sin(TW)**2 + 2./9.*complex(0,1)*g1**2*ZB22*complexconjugate(ZB22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_345 = Coupling(name = 'GC_345',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZB11*complexconjugate(ZT11)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_346 = Coupling(name = 'GC_346',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZB11*complexconjugate(ZT21)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_347 = Coupling(name = 'GC_347',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZB21*complexconjugate(ZT11)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_348 = Coupling(name = 'GC_348',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZB21*complexconjugate(ZT21)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_349 = Coupling(name = 'GC_349',
	 value = '1*complex(0,1)*G**2*ZC11*complexconjugate(ZC11) + 1*complex(0,1)*G**2*ZC12*complexconjugate(ZC12)', 
	 order = {'QCD':2} ) 
 
GC_350 = Coupling(name = 'GC_350',
	 value = '1*complex(0,1)*G**2*ZC11*complexconjugate(ZC11) + 1*complex(0,1)*G**2*ZC12*complexconjugate(ZC12)', 
	 order = {'QCD':2} ) 
 
GC_351 = Coupling(name = 'GC_351',
	 value = '1*complex(0,1)*G**2*ZC11*complexconjugate(ZC21) + 1*complex(0,1)*G**2*ZC12*complexconjugate(ZC22)', 
	 order = {'QCD':2} ) 
 
GC_352 = Coupling(name = 'GC_352',
	 value = '1*complex(0,1)*G**2*ZC11*complexconjugate(ZC21) + 1*complex(0,1)*G**2*ZC12*complexconjugate(ZC22)', 
	 order = {'QCD':2} ) 
 
GC_353 = Coupling(name = 'GC_353',
	 value = '1*complex(0,1)*G**2*ZC21*complexconjugate(ZC11) + 1*complex(0,1)*G**2*ZC22*complexconjugate(ZC12)', 
	 order = {'QCD':2} ) 
 
GC_354 = Coupling(name = 'GC_354',
	 value = '1*complex(0,1)*G**2*ZC21*complexconjugate(ZC11) + 1*complex(0,1)*G**2*ZC22*complexconjugate(ZC12)', 
	 order = {'QCD':2} ) 
 
GC_355 = Coupling(name = 'GC_355',
	 value = '1*complex(0,1)*G**2*ZC21*complexconjugate(ZC21) + 1*complex(0,1)*G**2*ZC22*complexconjugate(ZC22)', 
	 order = {'QCD':2} ) 
 
GC_356 = Coupling(name = 'GC_356',
	 value = '1*complex(0,1)*G**2*ZC21*complexconjugate(ZC21) + 1*complex(0,1)*G**2*ZC22*complexconjugate(ZC22)', 
	 order = {'QCD':2} ) 
 
GC_357 = Coupling(name = 'GC_357',
	 value = '1./3.*complex(0,1)*G*g1*ZC11*complexconjugate(ZC11)*cmath.cos(TW) + 4./3.*complex(0,1)*G*g1*ZC12*complexconjugate(ZC12)*cmath.cos(TW) + 1*complex(0,1)*G*g2*ZC11*complexconjugate(ZC11)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_358 = Coupling(name = 'GC_358',
	 value = '1./3.*complex(0,1)*G*g1*ZC11*complexconjugate(ZC21)*cmath.cos(TW) + 4./3.*complex(0,1)*G*g1*ZC12*complexconjugate(ZC22)*cmath.cos(TW) + 1*complex(0,1)*G*g2*ZC11*complexconjugate(ZC21)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_359 = Coupling(name = 'GC_359',
	 value = '1./3.*complex(0,1)*G*g1*ZC21*complexconjugate(ZC11)*cmath.cos(TW) + 4./3.*complex(0,1)*G*g1*ZC22*complexconjugate(ZC12)*cmath.cos(TW) + 1*complex(0,1)*G*g2*ZC21*complexconjugate(ZC11)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_360 = Coupling(name = 'GC_360',
	 value = '1./3.*complex(0,1)*G*g1*ZC21*complexconjugate(ZC21)*cmath.cos(TW) + 4./3.*complex(0,1)*G*g1*ZC22*complexconjugate(ZC22)*cmath.cos(TW) + 1*complex(0,1)*G*g2*ZC21*complexconjugate(ZC21)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_361 = Coupling(name = 'GC_361',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZC11*complexconjugate(ZS11)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_362 = Coupling(name = 'GC_362',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZC11*complexconjugate(ZS21)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_363 = Coupling(name = 'GC_363',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZC21*complexconjugate(ZS11)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_364 = Coupling(name = 'GC_364',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZC21*complexconjugate(ZS21)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_365 = Coupling(name = 'GC_365',
	 value = '1*complex(0,1)*G*g2*ZC11*complexconjugate(ZC11)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZC11*complexconjugate(ZC11)*cmath.sin(TW) - 4./3.*complex(0,1)*G*g1*ZC12*complexconjugate(ZC12)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_366 = Coupling(name = 'GC_366',
	 value = '1*complex(0,1)*G*g2*ZC11*complexconjugate(ZC21)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZC11*complexconjugate(ZC21)*cmath.sin(TW) - 4./3.*complex(0,1)*G*g1*ZC12*complexconjugate(ZC22)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_367 = Coupling(name = 'GC_367',
	 value = '1*complex(0,1)*G*g2*ZC21*complexconjugate(ZC11)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZC21*complexconjugate(ZC11)*cmath.sin(TW) - 4./3.*complex(0,1)*G*g1*ZC22*complexconjugate(ZC12)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_368 = Coupling(name = 'GC_368',
	 value = '1*complex(0,1)*G*g2*ZC21*complexconjugate(ZC21)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZC21*complexconjugate(ZC21)*cmath.sin(TW) - 4./3.*complex(0,1)*G*g1*ZC22*complexconjugate(ZC22)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_369 = Coupling(name = 'GC_369',
	 value = '1./18.*complex(0,1)*g1**2*ZC11*complexconjugate(ZC11)*cmath.cos(TW)**2 + 8./9.*complex(0,1)*g1**2*ZC12*complexconjugate(ZC12)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZC11*complexconjugate(ZC11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZC11*complexconjugate(ZC11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_370 = Coupling(name = 'GC_370',
	 value = '1./18.*complex(0,1)*g1**2*ZC11*complexconjugate(ZC21)*cmath.cos(TW)**2 + 8./9.*complex(0,1)*g1**2*ZC12*complexconjugate(ZC22)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZC11*complexconjugate(ZC21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZC11*complexconjugate(ZC21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_371 = Coupling(name = 'GC_371',
	 value = '1./18.*complex(0,1)*g1**2*ZC21*complexconjugate(ZC11)*cmath.cos(TW)**2 + 8./9.*complex(0,1)*g1**2*ZC22*complexconjugate(ZC12)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZC21*complexconjugate(ZC11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZC21*complexconjugate(ZC11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_372 = Coupling(name = 'GC_372',
	 value = '1./18.*complex(0,1)*g1**2*ZC21*complexconjugate(ZC21)*cmath.cos(TW)**2 + 8./9.*complex(0,1)*g1**2*ZC22*complexconjugate(ZC22)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZC21*complexconjugate(ZC21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZC21*complexconjugate(ZC21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_373 = Coupling(name = 'GC_373',
	 value = '(1./3.*complex(0,1)*g1*g2*ZC11*complexconjugate(ZS11)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_374 = Coupling(name = 'GC_374',
	 value = '(1./3.*complex(0,1)*g1*g2*ZC11*complexconjugate(ZS21)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_375 = Coupling(name = 'GC_375',
	 value = '(1./3.*complex(0,1)*g1*g2*ZC21*complexconjugate(ZS11)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_376 = Coupling(name = 'GC_376',
	 value = '(1./3.*complex(0,1)*g1*g2*ZC21*complexconjugate(ZS21)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_377 = Coupling(name = 'GC_377',
	 value = '1./6.*complex(0,1)*g1*g2*ZC11*complexconjugate(ZC11)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZC11*complexconjugate(ZC11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZC11*complexconjugate(ZC11)*cmath.sin(2*TW) - 4./9.*complex(0,1)*g1**2*ZC12*complexconjugate(ZC12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_378 = Coupling(name = 'GC_378',
	 value = '1./6.*complex(0,1)*g1*g2*ZC11*complexconjugate(ZC21)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZC11*complexconjugate(ZC21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZC11*complexconjugate(ZC21)*cmath.sin(2*TW) - 4./9.*complex(0,1)*g1**2*ZC12*complexconjugate(ZC22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_379 = Coupling(name = 'GC_379',
	 value = '1./6.*complex(0,1)*g1*g2*ZC21*complexconjugate(ZC11)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZC21*complexconjugate(ZC11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZC21*complexconjugate(ZC11)*cmath.sin(2*TW) - 4./9.*complex(0,1)*g1**2*ZC22*complexconjugate(ZC12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_380 = Coupling(name = 'GC_380',
	 value = '1./6.*complex(0,1)*g1*g2*ZC21*complexconjugate(ZC21)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZC21*complexconjugate(ZC21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZC21*complexconjugate(ZC21)*cmath.sin(2*TW) - 4./9.*complex(0,1)*g1**2*ZC22*complexconjugate(ZC22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_381 = Coupling(name = 'GC_381',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZC11*complexconjugate(ZS11)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_382 = Coupling(name = 'GC_382',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZC11*complexconjugate(ZS21)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_383 = Coupling(name = 'GC_383',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZC21*complexconjugate(ZS11)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_384 = Coupling(name = 'GC_384',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZC21*complexconjugate(ZS21)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_385 = Coupling(name = 'GC_385',
	 value = '1./2.*complex(0,1)*g2**2*ZC11*complexconjugate(ZC11)', 
	 order = {'QED':2} ) 
 
GC_386 = Coupling(name = 'GC_386',
	 value = '1./2.*complex(0,1)*g2**2*ZC11*complexconjugate(ZC21)', 
	 order = {'QED':2} ) 
 
GC_387 = Coupling(name = 'GC_387',
	 value = '1./2.*complex(0,1)*g2**2*ZC21*complexconjugate(ZC11)', 
	 order = {'QED':2} ) 
 
GC_388 = Coupling(name = 'GC_388',
	 value = '1./2.*complex(0,1)*g2**2*ZC21*complexconjugate(ZC21)', 
	 order = {'QED':2} ) 
 
GC_389 = Coupling(name = 'GC_389',
	 value = '1./2.*complex(0,1)*g2**2*ZC11*complexconjugate(ZC11)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZC11*complexconjugate(ZC11)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZC11*complexconjugate(ZC11)*cmath.sin(TW)**2 + 8./9.*complex(0,1)*g1**2*ZC12*complexconjugate(ZC12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_390 = Coupling(name = 'GC_390',
	 value = '1./2.*complex(0,1)*g2**2*ZC11*complexconjugate(ZC21)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZC11*complexconjugate(ZC21)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZC11*complexconjugate(ZC21)*cmath.sin(TW)**2 + 8./9.*complex(0,1)*g1**2*ZC12*complexconjugate(ZC22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_391 = Coupling(name = 'GC_391',
	 value = '1./2.*complex(0,1)*g2**2*ZC21*complexconjugate(ZC11)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZC21*complexconjugate(ZC11)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZC21*complexconjugate(ZC11)*cmath.sin(TW)**2 + 8./9.*complex(0,1)*g1**2*ZC22*complexconjugate(ZC12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_392 = Coupling(name = 'GC_392',
	 value = '1./2.*complex(0,1)*g2**2*ZC21*complexconjugate(ZC21)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZC21*complexconjugate(ZC21)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZC21*complexconjugate(ZC21)*cmath.sin(TW)**2 + 8./9.*complex(0,1)*g1**2*ZC22*complexconjugate(ZC22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_393 = Coupling(name = 'GC_393',
	 value = '1*complex(0,1)*G**2*ZD11*complexconjugate(ZD11) + 1*complex(0,1)*G**2*ZD12*complexconjugate(ZD12)', 
	 order = {'QCD':2} ) 
 
GC_394 = Coupling(name = 'GC_394',
	 value = '1*complex(0,1)*G**2*ZD11*complexconjugate(ZD11) + 1*complex(0,1)*G**2*ZD12*complexconjugate(ZD12)', 
	 order = {'QCD':2} ) 
 
GC_395 = Coupling(name = 'GC_395',
	 value = '1*complex(0,1)*G**2*ZD11*complexconjugate(ZD21) + 1*complex(0,1)*G**2*ZD12*complexconjugate(ZD22)', 
	 order = {'QCD':2} ) 
 
GC_396 = Coupling(name = 'GC_396',
	 value = '1*complex(0,1)*G**2*ZD11*complexconjugate(ZD21) + 1*complex(0,1)*G**2*ZD12*complexconjugate(ZD22)', 
	 order = {'QCD':2} ) 
 
GC_397 = Coupling(name = 'GC_397',
	 value = '1*complex(0,1)*G**2*ZD21*complexconjugate(ZD11) + 1*complex(0,1)*G**2*ZD22*complexconjugate(ZD12)', 
	 order = {'QCD':2} ) 
 
GC_398 = Coupling(name = 'GC_398',
	 value = '1*complex(0,1)*G**2*ZD21*complexconjugate(ZD11) + 1*complex(0,1)*G**2*ZD22*complexconjugate(ZD12)', 
	 order = {'QCD':2} ) 
 
GC_399 = Coupling(name = 'GC_399',
	 value = '1*complex(0,1)*G**2*ZD21*complexconjugate(ZD21) + 1*complex(0,1)*G**2*ZD22*complexconjugate(ZD22)', 
	 order = {'QCD':2} ) 
 
GC_400 = Coupling(name = 'GC_400',
	 value = '1*complex(0,1)*G**2*ZD21*complexconjugate(ZD21) + 1*complex(0,1)*G**2*ZD22*complexconjugate(ZD22)', 
	 order = {'QCD':2} ) 
 
GC_401 = Coupling(name = 'GC_401',
	 value = '1./3.*complex(0,1)*G*g1*ZD11*complexconjugate(ZD11)*cmath.cos(TW) - 2./3.*complex(0,1)*G*g1*ZD12*complexconjugate(ZD12)*cmath.cos(TW) - 1*complex(0,1)*G*g2*ZD11*complexconjugate(ZD11)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_402 = Coupling(name = 'GC_402',
	 value = '1./3.*complex(0,1)*G*g1*ZD11*complexconjugate(ZD21)*cmath.cos(TW) - 2./3.*complex(0,1)*G*g1*ZD12*complexconjugate(ZD22)*cmath.cos(TW) - 1*complex(0,1)*G*g2*ZD11*complexconjugate(ZD21)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_403 = Coupling(name = 'GC_403',
	 value = '1./3.*complex(0,1)*G*g1*ZD21*complexconjugate(ZD11)*cmath.cos(TW) - 2./3.*complex(0,1)*G*g1*ZD22*complexconjugate(ZD12)*cmath.cos(TW) - 1*complex(0,1)*G*g2*ZD21*complexconjugate(ZD11)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_404 = Coupling(name = 'GC_404',
	 value = '1./3.*complex(0,1)*G*g1*ZD21*complexconjugate(ZD21)*cmath.cos(TW) - 2./3.*complex(0,1)*G*g1*ZD22*complexconjugate(ZD22)*cmath.cos(TW) - 1*complex(0,1)*G*g2*ZD21*complexconjugate(ZD21)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_405 = Coupling(name = 'GC_405',
	 value = '-1*complex(0,1)*G*g2*ZD11*complexconjugate(ZD11)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZD11*complexconjugate(ZD11)*cmath.sin(TW) + 2./3.*complex(0,1)*G*g1*ZD12*complexconjugate(ZD12)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_406 = Coupling(name = 'GC_406',
	 value = '-1*complex(0,1)*G*g2*ZD11*complexconjugate(ZD21)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZD11*complexconjugate(ZD21)*cmath.sin(TW) + 2./3.*complex(0,1)*G*g1*ZD12*complexconjugate(ZD22)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_407 = Coupling(name = 'GC_407',
	 value = '-1*complex(0,1)*G*g2*ZD21*complexconjugate(ZD11)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZD21*complexconjugate(ZD11)*cmath.sin(TW) + 2./3.*complex(0,1)*G*g1*ZD22*complexconjugate(ZD12)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_408 = Coupling(name = 'GC_408',
	 value = '-1*complex(0,1)*G*g2*ZD21*complexconjugate(ZD21)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZD21*complexconjugate(ZD21)*cmath.sin(TW) + 2./3.*complex(0,1)*G*g1*ZD22*complexconjugate(ZD22)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_409 = Coupling(name = 'GC_409',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZD11*complexconjugate(ZU11)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_410 = Coupling(name = 'GC_410',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZD11*complexconjugate(ZU21)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_411 = Coupling(name = 'GC_411',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZD21*complexconjugate(ZU11)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_412 = Coupling(name = 'GC_412',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZD21*complexconjugate(ZU21)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_413 = Coupling(name = 'GC_413',
	 value = '1./18.*complex(0,1)*g1**2*ZD11*complexconjugate(ZD11)*cmath.cos(TW)**2 + 2./9.*complex(0,1)*g1**2*ZD12*complexconjugate(ZD12)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZD11*complexconjugate(ZD11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZD11*complexconjugate(ZD11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_414 = Coupling(name = 'GC_414',
	 value = '1./18.*complex(0,1)*g1**2*ZD11*complexconjugate(ZD21)*cmath.cos(TW)**2 + 2./9.*complex(0,1)*g1**2*ZD12*complexconjugate(ZD22)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZD11*complexconjugate(ZD21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZD11*complexconjugate(ZD21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_415 = Coupling(name = 'GC_415',
	 value = '1./18.*complex(0,1)*g1**2*ZD21*complexconjugate(ZD11)*cmath.cos(TW)**2 + 2./9.*complex(0,1)*g1**2*ZD22*complexconjugate(ZD12)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZD21*complexconjugate(ZD11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZD21*complexconjugate(ZD11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_416 = Coupling(name = 'GC_416',
	 value = '1./18.*complex(0,1)*g1**2*ZD21*complexconjugate(ZD21)*cmath.cos(TW)**2 + 2./9.*complex(0,1)*g1**2*ZD22*complexconjugate(ZD22)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZD21*complexconjugate(ZD21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZD21*complexconjugate(ZD21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_417 = Coupling(name = 'GC_417',
	 value = '-1./6.*complex(0,1)*g1*g2*ZD11*complexconjugate(ZD11)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZD11*complexconjugate(ZD11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZD11*complexconjugate(ZD11)*cmath.sin(2*TW) - 1./9.*complex(0,1)*g1**2*ZD12*complexconjugate(ZD12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_418 = Coupling(name = 'GC_418',
	 value = '-1./6.*complex(0,1)*g1*g2*ZD11*complexconjugate(ZD21)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZD11*complexconjugate(ZD21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZD11*complexconjugate(ZD21)*cmath.sin(2*TW) - 1./9.*complex(0,1)*g1**2*ZD12*complexconjugate(ZD22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_419 = Coupling(name = 'GC_419',
	 value = '-1./6.*complex(0,1)*g1*g2*ZD21*complexconjugate(ZD11)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZD21*complexconjugate(ZD11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZD21*complexconjugate(ZD11)*cmath.sin(2*TW) - 1./9.*complex(0,1)*g1**2*ZD22*complexconjugate(ZD12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_420 = Coupling(name = 'GC_420',
	 value = '-1./6.*complex(0,1)*g1*g2*ZD21*complexconjugate(ZD21)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZD21*complexconjugate(ZD21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZD21*complexconjugate(ZD21)*cmath.sin(2*TW) - 1./9.*complex(0,1)*g1**2*ZD22*complexconjugate(ZD22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_421 = Coupling(name = 'GC_421',
	 value = '(1./3.*complex(0,1)*g1*g2*ZD11*complexconjugate(ZU11)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_422 = Coupling(name = 'GC_422',
	 value = '(1./3.*complex(0,1)*g1*g2*ZD11*complexconjugate(ZU21)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_423 = Coupling(name = 'GC_423',
	 value = '(1./3.*complex(0,1)*g1*g2*ZD21*complexconjugate(ZU11)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_424 = Coupling(name = 'GC_424',
	 value = '(1./3.*complex(0,1)*g1*g2*ZD21*complexconjugate(ZU21)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_425 = Coupling(name = 'GC_425',
	 value = '1./2.*complex(0,1)*g2**2*ZD11*complexconjugate(ZD11)', 
	 order = {'QED':2} ) 
 
GC_426 = Coupling(name = 'GC_426',
	 value = '1./2.*complex(0,1)*g2**2*ZD11*complexconjugate(ZD21)', 
	 order = {'QED':2} ) 
 
GC_427 = Coupling(name = 'GC_427',
	 value = '1./2.*complex(0,1)*g2**2*ZD21*complexconjugate(ZD11)', 
	 order = {'QED':2} ) 
 
GC_428 = Coupling(name = 'GC_428',
	 value = '1./2.*complex(0,1)*g2**2*ZD21*complexconjugate(ZD21)', 
	 order = {'QED':2} ) 
 
GC_429 = Coupling(name = 'GC_429',
	 value = '1./2.*complex(0,1)*g2**2*ZD11*complexconjugate(ZD11)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZD11*complexconjugate(ZD11)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZD11*complexconjugate(ZD11)*cmath.sin(TW)**2 + 2./9.*complex(0,1)*g1**2*ZD12*complexconjugate(ZD12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_430 = Coupling(name = 'GC_430',
	 value = '1./2.*complex(0,1)*g2**2*ZD11*complexconjugate(ZD21)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZD11*complexconjugate(ZD21)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZD11*complexconjugate(ZD21)*cmath.sin(TW)**2 + 2./9.*complex(0,1)*g1**2*ZD12*complexconjugate(ZD22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_431 = Coupling(name = 'GC_431',
	 value = '1./2.*complex(0,1)*g2**2*ZD21*complexconjugate(ZD11)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZD21*complexconjugate(ZD11)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZD21*complexconjugate(ZD11)*cmath.sin(TW)**2 + 2./9.*complex(0,1)*g1**2*ZD22*complexconjugate(ZD12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_432 = Coupling(name = 'GC_432',
	 value = '1./2.*complex(0,1)*g2**2*ZD21*complexconjugate(ZD21)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZD21*complexconjugate(ZD21)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZD21*complexconjugate(ZD21)*cmath.sin(TW)**2 + 2./9.*complex(0,1)*g1**2*ZD22*complexconjugate(ZD22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_433 = Coupling(name = 'GC_433',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZD11*complexconjugate(ZU11)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_434 = Coupling(name = 'GC_434',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZD11*complexconjugate(ZU21)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_435 = Coupling(name = 'GC_435',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZD21*complexconjugate(ZU11)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_436 = Coupling(name = 'GC_436',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZD21*complexconjugate(ZU21)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_437 = Coupling(name = 'GC_437',
	 value = '1./2.*complex(0,1)*g1**2*ZE11*complexconjugate(ZE11)*cmath.cos(TW)**2 + 2*complex(0,1)*g1**2*ZE12*complexconjugate(ZE12)*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZE11*complexconjugate(ZE11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZE11*complexconjugate(ZE11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_438 = Coupling(name = 'GC_438',
	 value = '1./2.*complex(0,1)*g1**2*ZE11*complexconjugate(ZE21)*cmath.cos(TW)**2 + 2*complex(0,1)*g1**2*ZE12*complexconjugate(ZE22)*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZE11*complexconjugate(ZE21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZE11*complexconjugate(ZE21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_439 = Coupling(name = 'GC_439',
	 value = '1./2.*complex(0,1)*g1**2*ZE21*complexconjugate(ZE11)*cmath.cos(TW)**2 + 2*complex(0,1)*g1**2*ZE22*complexconjugate(ZE12)*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZE21*complexconjugate(ZE11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZE21*complexconjugate(ZE11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_440 = Coupling(name = 'GC_440',
	 value = '1./2.*complex(0,1)*g1**2*ZE21*complexconjugate(ZE21)*cmath.cos(TW)**2 + 2*complex(0,1)*g1**2*ZE22*complexconjugate(ZE22)*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZE21*complexconjugate(ZE21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZE21*complexconjugate(ZE21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_441 = Coupling(name = 'GC_441',
	 value = '1./2.*complex(0,1)*g1*g2*ZE11*complexconjugate(ZE11)*cmath.cos(2*TW) - 1./4.*complex(0,1)*g1**2*ZE11*complexconjugate(ZE11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZE11*complexconjugate(ZE11)*cmath.sin(2*TW) - 1*complex(0,1)*g1**2*ZE12*complexconjugate(ZE12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_442 = Coupling(name = 'GC_442',
	 value = '1./2.*complex(0,1)*g1*g2*ZE11*complexconjugate(ZE21)*cmath.cos(2*TW) - 1./4.*complex(0,1)*g1**2*ZE11*complexconjugate(ZE21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZE11*complexconjugate(ZE21)*cmath.sin(2*TW) - 1*complex(0,1)*g1**2*ZE12*complexconjugate(ZE22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_443 = Coupling(name = 'GC_443',
	 value = '1./2.*complex(0,1)*g1*g2*ZE21*complexconjugate(ZE11)*cmath.cos(2*TW) - 1./4.*complex(0,1)*g1**2*ZE21*complexconjugate(ZE11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZE21*complexconjugate(ZE11)*cmath.sin(2*TW) - 1*complex(0,1)*g1**2*ZE22*complexconjugate(ZE12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_444 = Coupling(name = 'GC_444',
	 value = '1./2.*complex(0,1)*g1*g2*ZE21*complexconjugate(ZE21)*cmath.cos(2*TW) - 1./4.*complex(0,1)*g1**2*ZE21*complexconjugate(ZE21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZE21*complexconjugate(ZE21)*cmath.sin(2*TW) - 1*complex(0,1)*g1**2*ZE22*complexconjugate(ZE22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_445 = Coupling(name = 'GC_445',
	 value = '(-1*complex(0,1)*g1*g2*ZE11*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_446 = Coupling(name = 'GC_446',
	 value = '(-1*complex(0,1)*g1*g2*ZE21*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_447 = Coupling(name = 'GC_447',
	 value = '1./2.*complex(0,1)*g2**2*ZE11*complexconjugate(ZE11)', 
	 order = {'QED':2} ) 
 
GC_448 = Coupling(name = 'GC_448',
	 value = '1./2.*complex(0,1)*g2**2*ZE11*complexconjugate(ZE21)', 
	 order = {'QED':2} ) 
 
GC_449 = Coupling(name = 'GC_449',
	 value = '1./2.*complex(0,1)*g2**2*ZE21*complexconjugate(ZE11)', 
	 order = {'QED':2} ) 
 
GC_450 = Coupling(name = 'GC_450',
	 value = '1./2.*complex(0,1)*g2**2*ZE21*complexconjugate(ZE21)', 
	 order = {'QED':2} ) 
 
GC_451 = Coupling(name = 'GC_451',
	 value = '1./2.*complex(0,1)*g2**2*ZE11*complexconjugate(ZE11)*cmath.cos(TW)**2 - 1*complex(0,1)*g1*g2*ZE11*complexconjugate(ZE11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZE11*complexconjugate(ZE11)*cmath.sin(TW)**2 + 2*complex(0,1)*g1**2*ZE12*complexconjugate(ZE12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_452 = Coupling(name = 'GC_452',
	 value = '1./2.*complex(0,1)*g2**2*ZE11*complexconjugate(ZE21)*cmath.cos(TW)**2 - 1*complex(0,1)*g1*g2*ZE11*complexconjugate(ZE21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZE11*complexconjugate(ZE21)*cmath.sin(TW)**2 + 2*complex(0,1)*g1**2*ZE12*complexconjugate(ZE22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_453 = Coupling(name = 'GC_453',
	 value = '1./2.*complex(0,1)*g2**2*ZE21*complexconjugate(ZE11)*cmath.cos(TW)**2 - 1*complex(0,1)*g1*g2*ZE21*complexconjugate(ZE11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZE21*complexconjugate(ZE11)*cmath.sin(TW)**2 + 2*complex(0,1)*g1**2*ZE22*complexconjugate(ZE12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_454 = Coupling(name = 'GC_454',
	 value = '1./2.*complex(0,1)*g2**2*ZE21*complexconjugate(ZE21)*cmath.cos(TW)**2 - 1*complex(0,1)*g1*g2*ZE21*complexconjugate(ZE21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZE21*complexconjugate(ZE21)*cmath.sin(TW)**2 + 2*complex(0,1)*g1**2*ZE22*complexconjugate(ZE22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_455 = Coupling(name = 'GC_455',
	 value = '(1*complex(0,1)*g1*g2*ZE11*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_456 = Coupling(name = 'GC_456',
	 value = '(1*complex(0,1)*g1*g2*ZE21*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_457 = Coupling(name = 'GC_457',
	 value = '1./2.*complex(0,1)*g1**2*ZM11*complexconjugate(ZM11)*cmath.cos(TW)**2 + 2*complex(0,1)*g1**2*ZM12*complexconjugate(ZM12)*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZM11*complexconjugate(ZM11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZM11*complexconjugate(ZM11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_458 = Coupling(name = 'GC_458',
	 value = '1./2.*complex(0,1)*g1**2*ZM11*complexconjugate(ZM21)*cmath.cos(TW)**2 + 2*complex(0,1)*g1**2*ZM12*complexconjugate(ZM22)*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZM11*complexconjugate(ZM21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZM11*complexconjugate(ZM21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_459 = Coupling(name = 'GC_459',
	 value = '1./2.*complex(0,1)*g1**2*ZM21*complexconjugate(ZM11)*cmath.cos(TW)**2 + 2*complex(0,1)*g1**2*ZM22*complexconjugate(ZM12)*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZM21*complexconjugate(ZM11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZM21*complexconjugate(ZM11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_460 = Coupling(name = 'GC_460',
	 value = '1./2.*complex(0,1)*g1**2*ZM21*complexconjugate(ZM21)*cmath.cos(TW)**2 + 2*complex(0,1)*g1**2*ZM22*complexconjugate(ZM22)*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZM21*complexconjugate(ZM21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZM21*complexconjugate(ZM21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_461 = Coupling(name = 'GC_461',
	 value = '1./2.*complex(0,1)*g1*g2*ZM11*complexconjugate(ZM11)*cmath.cos(2*TW) - 1./4.*complex(0,1)*g1**2*ZM11*complexconjugate(ZM11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZM11*complexconjugate(ZM11)*cmath.sin(2*TW) - 1*complex(0,1)*g1**2*ZM12*complexconjugate(ZM12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_462 = Coupling(name = 'GC_462',
	 value = '1./2.*complex(0,1)*g1*g2*ZM11*complexconjugate(ZM21)*cmath.cos(2*TW) - 1./4.*complex(0,1)*g1**2*ZM11*complexconjugate(ZM21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZM11*complexconjugate(ZM21)*cmath.sin(2*TW) - 1*complex(0,1)*g1**2*ZM12*complexconjugate(ZM22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_463 = Coupling(name = 'GC_463',
	 value = '1./2.*complex(0,1)*g1*g2*ZM21*complexconjugate(ZM11)*cmath.cos(2*TW) - 1./4.*complex(0,1)*g1**2*ZM21*complexconjugate(ZM11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZM21*complexconjugate(ZM11)*cmath.sin(2*TW) - 1*complex(0,1)*g1**2*ZM22*complexconjugate(ZM12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_464 = Coupling(name = 'GC_464',
	 value = '1./2.*complex(0,1)*g1*g2*ZM21*complexconjugate(ZM21)*cmath.cos(2*TW) - 1./4.*complex(0,1)*g1**2*ZM21*complexconjugate(ZM21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZM21*complexconjugate(ZM21)*cmath.sin(2*TW) - 1*complex(0,1)*g1**2*ZM22*complexconjugate(ZM22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_465 = Coupling(name = 'GC_465',
	 value = '(-1*complex(0,1)*g1*g2*ZM11*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_466 = Coupling(name = 'GC_466',
	 value = '(-1*complex(0,1)*g1*g2*ZM21*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_467 = Coupling(name = 'GC_467',
	 value = '1./2.*complex(0,1)*g2**2*ZM11*complexconjugate(ZM11)', 
	 order = {'QED':2} ) 
 
GC_468 = Coupling(name = 'GC_468',
	 value = '1./2.*complex(0,1)*g2**2*ZM11*complexconjugate(ZM21)', 
	 order = {'QED':2} ) 
 
GC_469 = Coupling(name = 'GC_469',
	 value = '1./2.*complex(0,1)*g2**2*ZM21*complexconjugate(ZM11)', 
	 order = {'QED':2} ) 
 
GC_470 = Coupling(name = 'GC_470',
	 value = '1./2.*complex(0,1)*g2**2*ZM21*complexconjugate(ZM21)', 
	 order = {'QED':2} ) 
 
GC_471 = Coupling(name = 'GC_471',
	 value = '1./2.*complex(0,1)*g2**2*ZM11*complexconjugate(ZM11)*cmath.cos(TW)**2 - 1*complex(0,1)*g1*g2*ZM11*complexconjugate(ZM11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZM11*complexconjugate(ZM11)*cmath.sin(TW)**2 + 2*complex(0,1)*g1**2*ZM12*complexconjugate(ZM12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_472 = Coupling(name = 'GC_472',
	 value = '1./2.*complex(0,1)*g2**2*ZM11*complexconjugate(ZM21)*cmath.cos(TW)**2 - 1*complex(0,1)*g1*g2*ZM11*complexconjugate(ZM21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZM11*complexconjugate(ZM21)*cmath.sin(TW)**2 + 2*complex(0,1)*g1**2*ZM12*complexconjugate(ZM22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_473 = Coupling(name = 'GC_473',
	 value = '1./2.*complex(0,1)*g2**2*ZM21*complexconjugate(ZM11)*cmath.cos(TW)**2 - 1*complex(0,1)*g1*g2*ZM21*complexconjugate(ZM11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZM21*complexconjugate(ZM11)*cmath.sin(TW)**2 + 2*complex(0,1)*g1**2*ZM22*complexconjugate(ZM12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_474 = Coupling(name = 'GC_474',
	 value = '1./2.*complex(0,1)*g2**2*ZM21*complexconjugate(ZM21)*cmath.cos(TW)**2 - 1*complex(0,1)*g1*g2*ZM21*complexconjugate(ZM21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZM21*complexconjugate(ZM21)*cmath.sin(TW)**2 + 2*complex(0,1)*g1**2*ZM22*complexconjugate(ZM22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_475 = Coupling(name = 'GC_475',
	 value = '(1*complex(0,1)*g1*g2*ZM11*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_476 = Coupling(name = 'GC_476',
	 value = '(1*complex(0,1)*g1*g2*ZM21*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_477 = Coupling(name = 'GC_477',
	 value = '1*complex(0,1)*G**2*ZS11*complexconjugate(ZS11) + 1*complex(0,1)*G**2*ZS12*complexconjugate(ZS12)', 
	 order = {'QCD':2} ) 
 
GC_478 = Coupling(name = 'GC_478',
	 value = '1*complex(0,1)*G**2*ZS11*complexconjugate(ZS11) + 1*complex(0,1)*G**2*ZS12*complexconjugate(ZS12)', 
	 order = {'QCD':2} ) 
 
GC_479 = Coupling(name = 'GC_479',
	 value = '1*complex(0,1)*G**2*ZS11*complexconjugate(ZS21) + 1*complex(0,1)*G**2*ZS12*complexconjugate(ZS22)', 
	 order = {'QCD':2} ) 
 
GC_480 = Coupling(name = 'GC_480',
	 value = '1*complex(0,1)*G**2*ZS11*complexconjugate(ZS21) + 1*complex(0,1)*G**2*ZS12*complexconjugate(ZS22)', 
	 order = {'QCD':2} ) 
 
GC_481 = Coupling(name = 'GC_481',
	 value = '1*complex(0,1)*G**2*ZS21*complexconjugate(ZS11) + 1*complex(0,1)*G**2*ZS22*complexconjugate(ZS12)', 
	 order = {'QCD':2} ) 
 
GC_482 = Coupling(name = 'GC_482',
	 value = '1*complex(0,1)*G**2*ZS21*complexconjugate(ZS11) + 1*complex(0,1)*G**2*ZS22*complexconjugate(ZS12)', 
	 order = {'QCD':2} ) 
 
GC_483 = Coupling(name = 'GC_483',
	 value = '1*complex(0,1)*G**2*ZS21*complexconjugate(ZS21) + 1*complex(0,1)*G**2*ZS22*complexconjugate(ZS22)', 
	 order = {'QCD':2} ) 
 
GC_484 = Coupling(name = 'GC_484',
	 value = '1*complex(0,1)*G**2*ZS21*complexconjugate(ZS21) + 1*complex(0,1)*G**2*ZS22*complexconjugate(ZS22)', 
	 order = {'QCD':2} ) 
 
GC_485 = Coupling(name = 'GC_485',
	 value = '1./3.*complex(0,1)*G*g1*ZS11*complexconjugate(ZS11)*cmath.cos(TW) - 2./3.*complex(0,1)*G*g1*ZS12*complexconjugate(ZS12)*cmath.cos(TW) - 1*complex(0,1)*G*g2*ZS11*complexconjugate(ZS11)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_486 = Coupling(name = 'GC_486',
	 value = '1./3.*complex(0,1)*G*g1*ZS11*complexconjugate(ZS21)*cmath.cos(TW) - 2./3.*complex(0,1)*G*g1*ZS12*complexconjugate(ZS22)*cmath.cos(TW) - 1*complex(0,1)*G*g2*ZS11*complexconjugate(ZS21)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_487 = Coupling(name = 'GC_487',
	 value = '1./3.*complex(0,1)*G*g1*ZS21*complexconjugate(ZS11)*cmath.cos(TW) - 2./3.*complex(0,1)*G*g1*ZS22*complexconjugate(ZS12)*cmath.cos(TW) - 1*complex(0,1)*G*g2*ZS21*complexconjugate(ZS11)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_488 = Coupling(name = 'GC_488',
	 value = '1./3.*complex(0,1)*G*g1*ZS21*complexconjugate(ZS21)*cmath.cos(TW) - 2./3.*complex(0,1)*G*g1*ZS22*complexconjugate(ZS22)*cmath.cos(TW) - 1*complex(0,1)*G*g2*ZS21*complexconjugate(ZS21)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_489 = Coupling(name = 'GC_489',
	 value = '-1*complex(0,1)*G*g2*ZS11*complexconjugate(ZS11)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZS11*complexconjugate(ZS11)*cmath.sin(TW) + 2./3.*complex(0,1)*G*g1*ZS12*complexconjugate(ZS12)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_490 = Coupling(name = 'GC_490',
	 value = '-1*complex(0,1)*G*g2*ZS11*complexconjugate(ZS21)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZS11*complexconjugate(ZS21)*cmath.sin(TW) + 2./3.*complex(0,1)*G*g1*ZS12*complexconjugate(ZS22)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_491 = Coupling(name = 'GC_491',
	 value = '-1*complex(0,1)*G*g2*ZS21*complexconjugate(ZS11)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZS21*complexconjugate(ZS11)*cmath.sin(TW) + 2./3.*complex(0,1)*G*g1*ZS22*complexconjugate(ZS12)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_492 = Coupling(name = 'GC_492',
	 value = '-1*complex(0,1)*G*g2*ZS21*complexconjugate(ZS21)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZS21*complexconjugate(ZS21)*cmath.sin(TW) + 2./3.*complex(0,1)*G*g1*ZS22*complexconjugate(ZS22)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_493 = Coupling(name = 'GC_493',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZS11*complexconjugate(ZC11)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_494 = Coupling(name = 'GC_494',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZS11*complexconjugate(ZC21)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_495 = Coupling(name = 'GC_495',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZS21*complexconjugate(ZC11)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_496 = Coupling(name = 'GC_496',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZS21*complexconjugate(ZC21)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_497 = Coupling(name = 'GC_497',
	 value = '1./18.*complex(0,1)*g1**2*ZS11*complexconjugate(ZS11)*cmath.cos(TW)**2 + 2./9.*complex(0,1)*g1**2*ZS12*complexconjugate(ZS12)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZS11*complexconjugate(ZS11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZS11*complexconjugate(ZS11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_498 = Coupling(name = 'GC_498',
	 value = '1./18.*complex(0,1)*g1**2*ZS11*complexconjugate(ZS21)*cmath.cos(TW)**2 + 2./9.*complex(0,1)*g1**2*ZS12*complexconjugate(ZS22)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZS11*complexconjugate(ZS21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZS11*complexconjugate(ZS21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_499 = Coupling(name = 'GC_499',
	 value = '1./18.*complex(0,1)*g1**2*ZS21*complexconjugate(ZS11)*cmath.cos(TW)**2 + 2./9.*complex(0,1)*g1**2*ZS22*complexconjugate(ZS12)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZS21*complexconjugate(ZS11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZS21*complexconjugate(ZS11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_500 = Coupling(name = 'GC_500',
	 value = '1./18.*complex(0,1)*g1**2*ZS21*complexconjugate(ZS21)*cmath.cos(TW)**2 + 2./9.*complex(0,1)*g1**2*ZS22*complexconjugate(ZS22)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZS21*complexconjugate(ZS21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZS21*complexconjugate(ZS21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_501 = Coupling(name = 'GC_501',
	 value = '-1./6.*complex(0,1)*g1*g2*ZS11*complexconjugate(ZS11)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZS11*complexconjugate(ZS11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZS11*complexconjugate(ZS11)*cmath.sin(2*TW) - 1./9.*complex(0,1)*g1**2*ZS12*complexconjugate(ZS12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_502 = Coupling(name = 'GC_502',
	 value = '-1./6.*complex(0,1)*g1*g2*ZS11*complexconjugate(ZS21)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZS11*complexconjugate(ZS21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZS11*complexconjugate(ZS21)*cmath.sin(2*TW) - 1./9.*complex(0,1)*g1**2*ZS12*complexconjugate(ZS22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_503 = Coupling(name = 'GC_503',
	 value = '-1./6.*complex(0,1)*g1*g2*ZS21*complexconjugate(ZS11)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZS21*complexconjugate(ZS11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZS21*complexconjugate(ZS11)*cmath.sin(2*TW) - 1./9.*complex(0,1)*g1**2*ZS22*complexconjugate(ZS12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_504 = Coupling(name = 'GC_504',
	 value = '-1./6.*complex(0,1)*g1*g2*ZS21*complexconjugate(ZS21)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZS21*complexconjugate(ZS21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZS21*complexconjugate(ZS21)*cmath.sin(2*TW) - 1./9.*complex(0,1)*g1**2*ZS22*complexconjugate(ZS22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_505 = Coupling(name = 'GC_505',
	 value = '(1./3.*complex(0,1)*g1*g2*ZS11*complexconjugate(ZC11)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_506 = Coupling(name = 'GC_506',
	 value = '(1./3.*complex(0,1)*g1*g2*ZS11*complexconjugate(ZC21)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_507 = Coupling(name = 'GC_507',
	 value = '(1./3.*complex(0,1)*g1*g2*ZS21*complexconjugate(ZC11)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_508 = Coupling(name = 'GC_508',
	 value = '(1./3.*complex(0,1)*g1*g2*ZS21*complexconjugate(ZC21)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_509 = Coupling(name = 'GC_509',
	 value = '1./2.*complex(0,1)*g2**2*ZS11*complexconjugate(ZS11)', 
	 order = {'QED':2} ) 
 
GC_510 = Coupling(name = 'GC_510',
	 value = '1./2.*complex(0,1)*g2**2*ZS11*complexconjugate(ZS21)', 
	 order = {'QED':2} ) 
 
GC_511 = Coupling(name = 'GC_511',
	 value = '1./2.*complex(0,1)*g2**2*ZS21*complexconjugate(ZS11)', 
	 order = {'QED':2} ) 
 
GC_512 = Coupling(name = 'GC_512',
	 value = '1./2.*complex(0,1)*g2**2*ZS21*complexconjugate(ZS21)', 
	 order = {'QED':2} ) 
 
GC_513 = Coupling(name = 'GC_513',
	 value = '1./2.*complex(0,1)*g2**2*ZS11*complexconjugate(ZS11)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZS11*complexconjugate(ZS11)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZS11*complexconjugate(ZS11)*cmath.sin(TW)**2 + 2./9.*complex(0,1)*g1**2*ZS12*complexconjugate(ZS12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_514 = Coupling(name = 'GC_514',
	 value = '1./2.*complex(0,1)*g2**2*ZS11*complexconjugate(ZS21)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZS11*complexconjugate(ZS21)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZS11*complexconjugate(ZS21)*cmath.sin(TW)**2 + 2./9.*complex(0,1)*g1**2*ZS12*complexconjugate(ZS22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_515 = Coupling(name = 'GC_515',
	 value = '1./2.*complex(0,1)*g2**2*ZS21*complexconjugate(ZS11)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZS21*complexconjugate(ZS11)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZS21*complexconjugate(ZS11)*cmath.sin(TW)**2 + 2./9.*complex(0,1)*g1**2*ZS22*complexconjugate(ZS12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_516 = Coupling(name = 'GC_516',
	 value = '1./2.*complex(0,1)*g2**2*ZS21*complexconjugate(ZS21)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZS21*complexconjugate(ZS21)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZS21*complexconjugate(ZS21)*cmath.sin(TW)**2 + 2./9.*complex(0,1)*g1**2*ZS22*complexconjugate(ZS22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_517 = Coupling(name = 'GC_517',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZS11*complexconjugate(ZC11)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_518 = Coupling(name = 'GC_518',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZS11*complexconjugate(ZC21)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_519 = Coupling(name = 'GC_519',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZS21*complexconjugate(ZC11)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_520 = Coupling(name = 'GC_520',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZS21*complexconjugate(ZC21)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_521 = Coupling(name = 'GC_521',
	 value = '1*complex(0,1)*G**2*ZT11*complexconjugate(ZT11) + 1*complex(0,1)*G**2*ZT12*complexconjugate(ZT12)', 
	 order = {'QCD':2} ) 
 
GC_522 = Coupling(name = 'GC_522',
	 value = '1*complex(0,1)*G**2*ZT11*complexconjugate(ZT11) + 1*complex(0,1)*G**2*ZT12*complexconjugate(ZT12)', 
	 order = {'QCD':2} ) 
 
GC_523 = Coupling(name = 'GC_523',
	 value = '1*complex(0,1)*G**2*ZT11*complexconjugate(ZT21) + 1*complex(0,1)*G**2*ZT12*complexconjugate(ZT22)', 
	 order = {'QCD':2} ) 
 
GC_524 = Coupling(name = 'GC_524',
	 value = '1*complex(0,1)*G**2*ZT11*complexconjugate(ZT21) + 1*complex(0,1)*G**2*ZT12*complexconjugate(ZT22)', 
	 order = {'QCD':2} ) 
 
GC_525 = Coupling(name = 'GC_525',
	 value = '1*complex(0,1)*G**2*ZT21*complexconjugate(ZT11) + 1*complex(0,1)*G**2*ZT22*complexconjugate(ZT12)', 
	 order = {'QCD':2} ) 
 
GC_526 = Coupling(name = 'GC_526',
	 value = '1*complex(0,1)*G**2*ZT21*complexconjugate(ZT11) + 1*complex(0,1)*G**2*ZT22*complexconjugate(ZT12)', 
	 order = {'QCD':2} ) 
 
GC_527 = Coupling(name = 'GC_527',
	 value = '1*complex(0,1)*G**2*ZT21*complexconjugate(ZT21) + 1*complex(0,1)*G**2*ZT22*complexconjugate(ZT22)', 
	 order = {'QCD':2} ) 
 
GC_528 = Coupling(name = 'GC_528',
	 value = '1*complex(0,1)*G**2*ZT21*complexconjugate(ZT21) + 1*complex(0,1)*G**2*ZT22*complexconjugate(ZT22)', 
	 order = {'QCD':2} ) 
 
GC_529 = Coupling(name = 'GC_529',
	 value = '1./3.*complex(0,1)*G*g1*ZT11*complexconjugate(ZT11)*cmath.cos(TW) + 4./3.*complex(0,1)*G*g1*ZT12*complexconjugate(ZT12)*cmath.cos(TW) + 1*complex(0,1)*G*g2*ZT11*complexconjugate(ZT11)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_530 = Coupling(name = 'GC_530',
	 value = '1./3.*complex(0,1)*G*g1*ZT11*complexconjugate(ZT21)*cmath.cos(TW) + 4./3.*complex(0,1)*G*g1*ZT12*complexconjugate(ZT22)*cmath.cos(TW) + 1*complex(0,1)*G*g2*ZT11*complexconjugate(ZT21)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_531 = Coupling(name = 'GC_531',
	 value = '1./3.*complex(0,1)*G*g1*ZT21*complexconjugate(ZT11)*cmath.cos(TW) + 4./3.*complex(0,1)*G*g1*ZT22*complexconjugate(ZT12)*cmath.cos(TW) + 1*complex(0,1)*G*g2*ZT21*complexconjugate(ZT11)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_532 = Coupling(name = 'GC_532',
	 value = '1./3.*complex(0,1)*G*g1*ZT21*complexconjugate(ZT21)*cmath.cos(TW) + 4./3.*complex(0,1)*G*g1*ZT22*complexconjugate(ZT22)*cmath.cos(TW) + 1*complex(0,1)*G*g2*ZT21*complexconjugate(ZT21)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_533 = Coupling(name = 'GC_533',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZT11*complexconjugate(ZB11)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_534 = Coupling(name = 'GC_534',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZT11*complexconjugate(ZB21)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_535 = Coupling(name = 'GC_535',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZT21*complexconjugate(ZB11)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_536 = Coupling(name = 'GC_536',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZT21*complexconjugate(ZB21)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_537 = Coupling(name = 'GC_537',
	 value = '1*complex(0,1)*G*g2*ZT11*complexconjugate(ZT11)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZT11*complexconjugate(ZT11)*cmath.sin(TW) - 4./3.*complex(0,1)*G*g1*ZT12*complexconjugate(ZT12)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_538 = Coupling(name = 'GC_538',
	 value = '1*complex(0,1)*G*g2*ZT11*complexconjugate(ZT21)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZT11*complexconjugate(ZT21)*cmath.sin(TW) - 4./3.*complex(0,1)*G*g1*ZT12*complexconjugate(ZT22)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_539 = Coupling(name = 'GC_539',
	 value = '1*complex(0,1)*G*g2*ZT21*complexconjugate(ZT11)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZT21*complexconjugate(ZT11)*cmath.sin(TW) - 4./3.*complex(0,1)*G*g1*ZT22*complexconjugate(ZT12)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_540 = Coupling(name = 'GC_540',
	 value = '1*complex(0,1)*G*g2*ZT21*complexconjugate(ZT21)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZT21*complexconjugate(ZT21)*cmath.sin(TW) - 4./3.*complex(0,1)*G*g1*ZT22*complexconjugate(ZT22)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_541 = Coupling(name = 'GC_541',
	 value = '1./18.*complex(0,1)*g1**2*ZT11*complexconjugate(ZT11)*cmath.cos(TW)**2 + 8./9.*complex(0,1)*g1**2*ZT12*complexconjugate(ZT12)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZT11*complexconjugate(ZT11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZT11*complexconjugate(ZT11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_542 = Coupling(name = 'GC_542',
	 value = '1./18.*complex(0,1)*g1**2*ZT11*complexconjugate(ZT21)*cmath.cos(TW)**2 + 8./9.*complex(0,1)*g1**2*ZT12*complexconjugate(ZT22)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZT11*complexconjugate(ZT21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZT11*complexconjugate(ZT21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_543 = Coupling(name = 'GC_543',
	 value = '1./18.*complex(0,1)*g1**2*ZT21*complexconjugate(ZT11)*cmath.cos(TW)**2 + 8./9.*complex(0,1)*g1**2*ZT22*complexconjugate(ZT12)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZT21*complexconjugate(ZT11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZT21*complexconjugate(ZT11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_544 = Coupling(name = 'GC_544',
	 value = '1./18.*complex(0,1)*g1**2*ZT21*complexconjugate(ZT21)*cmath.cos(TW)**2 + 8./9.*complex(0,1)*g1**2*ZT22*complexconjugate(ZT22)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZT21*complexconjugate(ZT21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZT21*complexconjugate(ZT21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_545 = Coupling(name = 'GC_545',
	 value = '(1./3.*complex(0,1)*g1*g2*ZT11*complexconjugate(ZB11)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_546 = Coupling(name = 'GC_546',
	 value = '(1./3.*complex(0,1)*g1*g2*ZT11*complexconjugate(ZB21)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_547 = Coupling(name = 'GC_547',
	 value = '(1./3.*complex(0,1)*g1*g2*ZT21*complexconjugate(ZB11)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_548 = Coupling(name = 'GC_548',
	 value = '(1./3.*complex(0,1)*g1*g2*ZT21*complexconjugate(ZB21)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_549 = Coupling(name = 'GC_549',
	 value = '1./6.*complex(0,1)*g1*g2*ZT11*complexconjugate(ZT11)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZT11*complexconjugate(ZT11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZT11*complexconjugate(ZT11)*cmath.sin(2*TW) - 4./9.*complex(0,1)*g1**2*ZT12*complexconjugate(ZT12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_550 = Coupling(name = 'GC_550',
	 value = '1./6.*complex(0,1)*g1*g2*ZT11*complexconjugate(ZT21)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZT11*complexconjugate(ZT21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZT11*complexconjugate(ZT21)*cmath.sin(2*TW) - 4./9.*complex(0,1)*g1**2*ZT12*complexconjugate(ZT22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_551 = Coupling(name = 'GC_551',
	 value = '1./6.*complex(0,1)*g1*g2*ZT21*complexconjugate(ZT11)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZT21*complexconjugate(ZT11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZT21*complexconjugate(ZT11)*cmath.sin(2*TW) - 4./9.*complex(0,1)*g1**2*ZT22*complexconjugate(ZT12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_552 = Coupling(name = 'GC_552',
	 value = '1./6.*complex(0,1)*g1*g2*ZT21*complexconjugate(ZT21)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZT21*complexconjugate(ZT21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZT21*complexconjugate(ZT21)*cmath.sin(2*TW) - 4./9.*complex(0,1)*g1**2*ZT22*complexconjugate(ZT22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_553 = Coupling(name = 'GC_553',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZT11*complexconjugate(ZB11)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_554 = Coupling(name = 'GC_554',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZT11*complexconjugate(ZB21)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_555 = Coupling(name = 'GC_555',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZT21*complexconjugate(ZB11)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_556 = Coupling(name = 'GC_556',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZT21*complexconjugate(ZB21)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_557 = Coupling(name = 'GC_557',
	 value = '1./2.*complex(0,1)*g2**2*ZT11*complexconjugate(ZT11)', 
	 order = {'QED':2} ) 
 
GC_558 = Coupling(name = 'GC_558',
	 value = '1./2.*complex(0,1)*g2**2*ZT11*complexconjugate(ZT21)', 
	 order = {'QED':2} ) 
 
GC_559 = Coupling(name = 'GC_559',
	 value = '1./2.*complex(0,1)*g2**2*ZT21*complexconjugate(ZT11)', 
	 order = {'QED':2} ) 
 
GC_560 = Coupling(name = 'GC_560',
	 value = '1./2.*complex(0,1)*g2**2*ZT21*complexconjugate(ZT21)', 
	 order = {'QED':2} ) 
 
GC_561 = Coupling(name = 'GC_561',
	 value = '1./2.*complex(0,1)*g2**2*ZT11*complexconjugate(ZT11)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZT11*complexconjugate(ZT11)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZT11*complexconjugate(ZT11)*cmath.sin(TW)**2 + 8./9.*complex(0,1)*g1**2*ZT12*complexconjugate(ZT12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_562 = Coupling(name = 'GC_562',
	 value = '1./2.*complex(0,1)*g2**2*ZT11*complexconjugate(ZT21)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZT11*complexconjugate(ZT21)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZT11*complexconjugate(ZT21)*cmath.sin(TW)**2 + 8./9.*complex(0,1)*g1**2*ZT12*complexconjugate(ZT22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_563 = Coupling(name = 'GC_563',
	 value = '1./2.*complex(0,1)*g2**2*ZT21*complexconjugate(ZT11)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZT21*complexconjugate(ZT11)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZT21*complexconjugate(ZT11)*cmath.sin(TW)**2 + 8./9.*complex(0,1)*g1**2*ZT22*complexconjugate(ZT12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_564 = Coupling(name = 'GC_564',
	 value = '1./2.*complex(0,1)*g2**2*ZT21*complexconjugate(ZT21)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZT21*complexconjugate(ZT21)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZT21*complexconjugate(ZT21)*cmath.sin(TW)**2 + 8./9.*complex(0,1)*g1**2*ZT22*complexconjugate(ZT22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_565 = Coupling(name = 'GC_565',
	 value = '1./2.*complex(0,1)*g1**2*ZTau11*complexconjugate(ZTau11)*cmath.cos(TW)**2 + 2*complex(0,1)*g1**2*ZTau12*complexconjugate(ZTau12)*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZTau11*complexconjugate(ZTau11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZTau11*complexconjugate(ZTau11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_566 = Coupling(name = 'GC_566',
	 value = '1./2.*complex(0,1)*g1**2*ZTau11*complexconjugate(ZTau21)*cmath.cos(TW)**2 + 2*complex(0,1)*g1**2*ZTau12*complexconjugate(ZTau22)*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZTau11*complexconjugate(ZTau21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZTau11*complexconjugate(ZTau21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_567 = Coupling(name = 'GC_567',
	 value = '1./2.*complex(0,1)*g1**2*ZTau21*complexconjugate(ZTau11)*cmath.cos(TW)**2 + 2*complex(0,1)*g1**2*ZTau22*complexconjugate(ZTau12)*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZTau21*complexconjugate(ZTau11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZTau21*complexconjugate(ZTau11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_568 = Coupling(name = 'GC_568',
	 value = '1./2.*complex(0,1)*g1**2*ZTau21*complexconjugate(ZTau21)*cmath.cos(TW)**2 + 2*complex(0,1)*g1**2*ZTau22*complexconjugate(ZTau22)*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*ZTau21*complexconjugate(ZTau21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZTau21*complexconjugate(ZTau21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_569 = Coupling(name = 'GC_569',
	 value = '1./2.*complex(0,1)*g1*g2*ZTau11*complexconjugate(ZTau11)*cmath.cos(2*TW) - 1./4.*complex(0,1)*g1**2*ZTau11*complexconjugate(ZTau11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZTau11*complexconjugate(ZTau11)*cmath.sin(2*TW) - 1*complex(0,1)*g1**2*ZTau12*complexconjugate(ZTau12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_570 = Coupling(name = 'GC_570',
	 value = '1./2.*complex(0,1)*g1*g2*ZTau11*complexconjugate(ZTau21)*cmath.cos(2*TW) - 1./4.*complex(0,1)*g1**2*ZTau11*complexconjugate(ZTau21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZTau11*complexconjugate(ZTau21)*cmath.sin(2*TW) - 1*complex(0,1)*g1**2*ZTau12*complexconjugate(ZTau22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_571 = Coupling(name = 'GC_571',
	 value = '1./2.*complex(0,1)*g1*g2*ZTau21*complexconjugate(ZTau11)*cmath.cos(2*TW) - 1./4.*complex(0,1)*g1**2*ZTau21*complexconjugate(ZTau11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZTau21*complexconjugate(ZTau11)*cmath.sin(2*TW) - 1*complex(0,1)*g1**2*ZTau22*complexconjugate(ZTau12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_572 = Coupling(name = 'GC_572',
	 value = '1./2.*complex(0,1)*g1*g2*ZTau21*complexconjugate(ZTau21)*cmath.cos(2*TW) - 1./4.*complex(0,1)*g1**2*ZTau21*complexconjugate(ZTau21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZTau21*complexconjugate(ZTau21)*cmath.sin(2*TW) - 1*complex(0,1)*g1**2*ZTau22*complexconjugate(ZTau22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_573 = Coupling(name = 'GC_573',
	 value = '(-1*complex(0,1)*g1*g2*ZTau11*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_574 = Coupling(name = 'GC_574',
	 value = '(-1*complex(0,1)*g1*g2*ZTau21*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_575 = Coupling(name = 'GC_575',
	 value = '1./2.*complex(0,1)*g2**2*ZTau11*complexconjugate(ZTau11)', 
	 order = {'QED':2} ) 
 
GC_576 = Coupling(name = 'GC_576',
	 value = '1./2.*complex(0,1)*g2**2*ZTau11*complexconjugate(ZTau21)', 
	 order = {'QED':2} ) 
 
GC_577 = Coupling(name = 'GC_577',
	 value = '1./2.*complex(0,1)*g2**2*ZTau21*complexconjugate(ZTau11)', 
	 order = {'QED':2} ) 
 
GC_578 = Coupling(name = 'GC_578',
	 value = '1./2.*complex(0,1)*g2**2*ZTau21*complexconjugate(ZTau21)', 
	 order = {'QED':2} ) 
 
GC_579 = Coupling(name = 'GC_579',
	 value = '1./2.*complex(0,1)*g2**2*ZTau11*complexconjugate(ZTau11)*cmath.cos(TW)**2 - 1*complex(0,1)*g1*g2*ZTau11*complexconjugate(ZTau11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZTau11*complexconjugate(ZTau11)*cmath.sin(TW)**2 + 2*complex(0,1)*g1**2*ZTau12*complexconjugate(ZTau12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_580 = Coupling(name = 'GC_580',
	 value = '1./2.*complex(0,1)*g2**2*ZTau11*complexconjugate(ZTau21)*cmath.cos(TW)**2 - 1*complex(0,1)*g1*g2*ZTau11*complexconjugate(ZTau21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZTau11*complexconjugate(ZTau21)*cmath.sin(TW)**2 + 2*complex(0,1)*g1**2*ZTau12*complexconjugate(ZTau22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_581 = Coupling(name = 'GC_581',
	 value = '1./2.*complex(0,1)*g2**2*ZTau21*complexconjugate(ZTau11)*cmath.cos(TW)**2 - 1*complex(0,1)*g1*g2*ZTau21*complexconjugate(ZTau11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZTau21*complexconjugate(ZTau11)*cmath.sin(TW)**2 + 2*complex(0,1)*g1**2*ZTau22*complexconjugate(ZTau12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_582 = Coupling(name = 'GC_582',
	 value = '1./2.*complex(0,1)*g2**2*ZTau21*complexconjugate(ZTau21)*cmath.cos(TW)**2 - 1*complex(0,1)*g1*g2*ZTau21*complexconjugate(ZTau21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*ZTau21*complexconjugate(ZTau21)*cmath.sin(TW)**2 + 2*complex(0,1)*g1**2*ZTau22*complexconjugate(ZTau22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_583 = Coupling(name = 'GC_583',
	 value = '(1*complex(0,1)*g1*g2*ZTau11*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_584 = Coupling(name = 'GC_584',
	 value = '(1*complex(0,1)*g1*g2*ZTau21*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_585 = Coupling(name = 'GC_585',
	 value = '1*complex(0,1)*G**2*ZU11*complexconjugate(ZU11) + 1*complex(0,1)*G**2*ZU12*complexconjugate(ZU12)', 
	 order = {'QCD':2} ) 
 
GC_586 = Coupling(name = 'GC_586',
	 value = '1*complex(0,1)*G**2*ZU11*complexconjugate(ZU11) + 1*complex(0,1)*G**2*ZU12*complexconjugate(ZU12)', 
	 order = {'QCD':2} ) 
 
GC_587 = Coupling(name = 'GC_587',
	 value = '1*complex(0,1)*G**2*ZU11*complexconjugate(ZU21) + 1*complex(0,1)*G**2*ZU12*complexconjugate(ZU22)', 
	 order = {'QCD':2} ) 
 
GC_588 = Coupling(name = 'GC_588',
	 value = '1*complex(0,1)*G**2*ZU11*complexconjugate(ZU21) + 1*complex(0,1)*G**2*ZU12*complexconjugate(ZU22)', 
	 order = {'QCD':2} ) 
 
GC_589 = Coupling(name = 'GC_589',
	 value = '1*complex(0,1)*G**2*ZU21*complexconjugate(ZU11) + 1*complex(0,1)*G**2*ZU22*complexconjugate(ZU12)', 
	 order = {'QCD':2} ) 
 
GC_590 = Coupling(name = 'GC_590',
	 value = '1*complex(0,1)*G**2*ZU21*complexconjugate(ZU11) + 1*complex(0,1)*G**2*ZU22*complexconjugate(ZU12)', 
	 order = {'QCD':2} ) 
 
GC_591 = Coupling(name = 'GC_591',
	 value = '1*complex(0,1)*G**2*ZU21*complexconjugate(ZU21) + 1*complex(0,1)*G**2*ZU22*complexconjugate(ZU22)', 
	 order = {'QCD':2} ) 
 
GC_592 = Coupling(name = 'GC_592',
	 value = '1*complex(0,1)*G**2*ZU21*complexconjugate(ZU21) + 1*complex(0,1)*G**2*ZU22*complexconjugate(ZU22)', 
	 order = {'QCD':2} ) 
 
GC_593 = Coupling(name = 'GC_593',
	 value = '1./3.*complex(0,1)*G*g1*ZU11*complexconjugate(ZU11)*cmath.cos(TW) + 4./3.*complex(0,1)*G*g1*ZU12*complexconjugate(ZU12)*cmath.cos(TW) + 1*complex(0,1)*G*g2*ZU11*complexconjugate(ZU11)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_594 = Coupling(name = 'GC_594',
	 value = '1./3.*complex(0,1)*G*g1*ZU11*complexconjugate(ZU21)*cmath.cos(TW) + 4./3.*complex(0,1)*G*g1*ZU12*complexconjugate(ZU22)*cmath.cos(TW) + 1*complex(0,1)*G*g2*ZU11*complexconjugate(ZU21)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_595 = Coupling(name = 'GC_595',
	 value = '1./3.*complex(0,1)*G*g1*ZU21*complexconjugate(ZU11)*cmath.cos(TW) + 4./3.*complex(0,1)*G*g1*ZU22*complexconjugate(ZU12)*cmath.cos(TW) + 1*complex(0,1)*G*g2*ZU21*complexconjugate(ZU11)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_596 = Coupling(name = 'GC_596',
	 value = '1./3.*complex(0,1)*G*g1*ZU21*complexconjugate(ZU21)*cmath.cos(TW) + 4./3.*complex(0,1)*G*g1*ZU22*complexconjugate(ZU22)*cmath.cos(TW) + 1*complex(0,1)*G*g2*ZU21*complexconjugate(ZU21)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_597 = Coupling(name = 'GC_597',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZU11*complexconjugate(ZD11)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_598 = Coupling(name = 'GC_598',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZU11*complexconjugate(ZD21)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_599 = Coupling(name = 'GC_599',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZU21*complexconjugate(ZD11)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_600 = Coupling(name = 'GC_600',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*g2*ZU21*complexconjugate(ZD21)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_601 = Coupling(name = 'GC_601',
	 value = '1*complex(0,1)*G*g2*ZU11*complexconjugate(ZU11)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZU11*complexconjugate(ZU11)*cmath.sin(TW) - 4./3.*complex(0,1)*G*g1*ZU12*complexconjugate(ZU12)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_602 = Coupling(name = 'GC_602',
	 value = '1*complex(0,1)*G*g2*ZU11*complexconjugate(ZU21)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZU11*complexconjugate(ZU21)*cmath.sin(TW) - 4./3.*complex(0,1)*G*g1*ZU12*complexconjugate(ZU22)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_603 = Coupling(name = 'GC_603',
	 value = '1*complex(0,1)*G*g2*ZU21*complexconjugate(ZU11)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZU21*complexconjugate(ZU11)*cmath.sin(TW) - 4./3.*complex(0,1)*G*g1*ZU22*complexconjugate(ZU12)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_604 = Coupling(name = 'GC_604',
	 value = '1*complex(0,1)*G*g2*ZU21*complexconjugate(ZU21)*cmath.cos(TW) - 1./3.*complex(0,1)*G*g1*ZU21*complexconjugate(ZU21)*cmath.sin(TW) - 4./3.*complex(0,1)*G*g1*ZU22*complexconjugate(ZU22)*cmath.sin(TW)', 
	 order = {'QED':1, 'QCD':1} ) 
 
GC_605 = Coupling(name = 'GC_605',
	 value = '1./18.*complex(0,1)*g1**2*ZU11*complexconjugate(ZU11)*cmath.cos(TW)**2 + 8./9.*complex(0,1)*g1**2*ZU12*complexconjugate(ZU12)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZU11*complexconjugate(ZU11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZU11*complexconjugate(ZU11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_606 = Coupling(name = 'GC_606',
	 value = '1./18.*complex(0,1)*g1**2*ZU11*complexconjugate(ZU21)*cmath.cos(TW)**2 + 8./9.*complex(0,1)*g1**2*ZU12*complexconjugate(ZU22)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZU11*complexconjugate(ZU21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZU11*complexconjugate(ZU21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_607 = Coupling(name = 'GC_607',
	 value = '1./18.*complex(0,1)*g1**2*ZU21*complexconjugate(ZU11)*cmath.cos(TW)**2 + 8./9.*complex(0,1)*g1**2*ZU22*complexconjugate(ZU12)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZU21*complexconjugate(ZU11)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZU21*complexconjugate(ZU11)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_608 = Coupling(name = 'GC_608',
	 value = '1./18.*complex(0,1)*g1**2*ZU21*complexconjugate(ZU21)*cmath.cos(TW)**2 + 8./9.*complex(0,1)*g1**2*ZU22*complexconjugate(ZU22)*cmath.cos(TW)**2 + 1./3.*complex(0,1)*g1*g2*ZU21*complexconjugate(ZU21)*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g2**2*ZU21*complexconjugate(ZU21)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_609 = Coupling(name = 'GC_609',
	 value = '(1./3.*complex(0,1)*g1*g2*ZU11*complexconjugate(ZD11)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_610 = Coupling(name = 'GC_610',
	 value = '(1./3.*complex(0,1)*g1*g2*ZU11*complexconjugate(ZD21)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_611 = Coupling(name = 'GC_611',
	 value = '(1./3.*complex(0,1)*g1*g2*ZU21*complexconjugate(ZD11)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_612 = Coupling(name = 'GC_612',
	 value = '(1./3.*complex(0,1)*g1*g2*ZU21*complexconjugate(ZD21)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_613 = Coupling(name = 'GC_613',
	 value = '1./6.*complex(0,1)*g1*g2*ZU11*complexconjugate(ZU11)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZU11*complexconjugate(ZU11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZU11*complexconjugate(ZU11)*cmath.sin(2*TW) - 4./9.*complex(0,1)*g1**2*ZU12*complexconjugate(ZU12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_614 = Coupling(name = 'GC_614',
	 value = '1./6.*complex(0,1)*g1*g2*ZU11*complexconjugate(ZU21)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZU11*complexconjugate(ZU21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZU11*complexconjugate(ZU21)*cmath.sin(2*TW) - 4./9.*complex(0,1)*g1**2*ZU12*complexconjugate(ZU22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_615 = Coupling(name = 'GC_615',
	 value = '1./6.*complex(0,1)*g1*g2*ZU21*complexconjugate(ZU11)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZU21*complexconjugate(ZU11)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZU21*complexconjugate(ZU11)*cmath.sin(2*TW) - 4./9.*complex(0,1)*g1**2*ZU22*complexconjugate(ZU12)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_616 = Coupling(name = 'GC_616',
	 value = '1./6.*complex(0,1)*g1*g2*ZU21*complexconjugate(ZU21)*cmath.cos(2*TW) - 1./36.*complex(0,1)*g1**2*ZU21*complexconjugate(ZU21)*cmath.sin(2*TW) + 1./4.*complex(0,1)*g2**2*ZU21*complexconjugate(ZU21)*cmath.sin(2*TW) - 4./9.*complex(0,1)*g1**2*ZU22*complexconjugate(ZU22)*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_617 = Coupling(name = 'GC_617',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZU11*complexconjugate(ZD11)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_618 = Coupling(name = 'GC_618',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZU11*complexconjugate(ZD21)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_619 = Coupling(name = 'GC_619',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZU21*complexconjugate(ZD11)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_620 = Coupling(name = 'GC_620',
	 value = '(-1./3.*complex(0,1)*g1*g2*ZU21*complexconjugate(ZD21)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_621 = Coupling(name = 'GC_621',
	 value = '1./2.*complex(0,1)*g2**2*ZU11*complexconjugate(ZU11)', 
	 order = {'QED':2} ) 
 
GC_622 = Coupling(name = 'GC_622',
	 value = '1./2.*complex(0,1)*g2**2*ZU11*complexconjugate(ZU21)', 
	 order = {'QED':2} ) 
 
GC_623 = Coupling(name = 'GC_623',
	 value = '1./2.*complex(0,1)*g2**2*ZU21*complexconjugate(ZU11)', 
	 order = {'QED':2} ) 
 
GC_624 = Coupling(name = 'GC_624',
	 value = '1./2.*complex(0,1)*g2**2*ZU21*complexconjugate(ZU21)', 
	 order = {'QED':2} ) 
 
GC_625 = Coupling(name = 'GC_625',
	 value = '1./2.*complex(0,1)*g2**2*ZU11*complexconjugate(ZU11)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZU11*complexconjugate(ZU11)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZU11*complexconjugate(ZU11)*cmath.sin(TW)**2 + 8./9.*complex(0,1)*g1**2*ZU12*complexconjugate(ZU12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_626 = Coupling(name = 'GC_626',
	 value = '1./2.*complex(0,1)*g2**2*ZU11*complexconjugate(ZU21)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZU11*complexconjugate(ZU21)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZU11*complexconjugate(ZU21)*cmath.sin(TW)**2 + 8./9.*complex(0,1)*g1**2*ZU12*complexconjugate(ZU22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_627 = Coupling(name = 'GC_627',
	 value = '1./2.*complex(0,1)*g2**2*ZU21*complexconjugate(ZU11)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZU21*complexconjugate(ZU11)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZU21*complexconjugate(ZU11)*cmath.sin(TW)**2 + 8./9.*complex(0,1)*g1**2*ZU22*complexconjugate(ZU12)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_628 = Coupling(name = 'GC_628',
	 value = '1./2.*complex(0,1)*g2**2*ZU21*complexconjugate(ZU21)*cmath.cos(TW)**2 - 1./3.*complex(0,1)*g1*g2*ZU21*complexconjugate(ZU21)*cmath.cos(TW)*cmath.sin(TW) + 1./18.*complex(0,1)*g1**2*ZU21*complexconjugate(ZU21)*cmath.sin(TW)**2 + 8./9.*complex(0,1)*g1**2*ZU22*complexconjugate(ZU22)*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_629 = Coupling(name = 'GC_629',
	 value = '(-1*complex(0,1)*g1*g2*complexconjugate(ZE11)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_630 = Coupling(name = 'GC_630',
	 value = '(-1*complex(0,1)*g1*g2*complexconjugate(ZE21)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_631 = Coupling(name = 'GC_631',
	 value = '(1*complex(0,1)*g1*g2*complexconjugate(ZE11)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_632 = Coupling(name = 'GC_632',
	 value = '(1*complex(0,1)*g1*g2*complexconjugate(ZE21)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_633 = Coupling(name = 'GC_633',
	 value = '1./2.*complex(0,1)*g2**2', 
	 order = {'QED':2} ) 
 
GC_634 = Coupling(name = 'GC_634',
	 value = '1./2.*complex(0,1)*g2**2*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_635 = Coupling(name = 'GC_635',
	 value = '(-1*complex(0,1)*g1*g2*complexconjugate(ZM11)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_636 = Coupling(name = 'GC_636',
	 value = '(-1*complex(0,1)*g1*g2*complexconjugate(ZM21)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_637 = Coupling(name = 'GC_637',
	 value = '(1*complex(0,1)*g1*g2*complexconjugate(ZM11)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_638 = Coupling(name = 'GC_638',
	 value = '(1*complex(0,1)*g1*g2*complexconjugate(ZM21)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_639 = Coupling(name = 'GC_639',
	 value = '1./2.*complex(0,1)*g2**2', 
	 order = {'QED':2} ) 
 
GC_640 = Coupling(name = 'GC_640',
	 value = '1./2.*complex(0,1)*g2**2*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_641 = Coupling(name = 'GC_641',
	 value = '(-1*complex(0,1)*g1*g2*complexconjugate(ZTau11)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_642 = Coupling(name = 'GC_642',
	 value = '(-1*complex(0,1)*g1*g2*complexconjugate(ZTau21)*cmath.cos(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_643 = Coupling(name = 'GC_643',
	 value = '(1*complex(0,1)*g1*g2*complexconjugate(ZTau11)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_644 = Coupling(name = 'GC_644',
	 value = '(1*complex(0,1)*g1*g2*complexconjugate(ZTau21)*cmath.sin(TW))/cmath.sqrt(2)', 
	 order = {'QED':2} ) 
 
GC_645 = Coupling(name = 'GC_645',
	 value = '1./2.*complex(0,1)*g2**2', 
	 order = {'QED':2} ) 
 
GC_646 = Coupling(name = 'GC_646',
	 value = '1./2.*complex(0,1)*g2**2*cmath.cos(TW)**2 + 1*complex(0,1)*g1*g2*cmath.cos(TW)*cmath.sin(TW) + 1./2.*complex(0,1)*g1**2*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_647 = Coupling(name = 'GC_647',
	 value = '-((ZA11*ZH11 - ZA12*ZH12)*(g2*cmath.cos(TW) + g1*cmath.sin(TW)))/2.', 
	 order = {'QED':1} ) 
 
GC_648 = Coupling(name = 'GC_648',
	 value = '-((ZA11*ZH21 - ZA12*ZH22)*(g2*cmath.cos(TW) + g1*cmath.sin(TW)))/2.', 
	 order = {'QED':1} ) 
 
GC_649 = Coupling(name = 'GC_649',
	 value = '-((ZA21*ZH11 - ZA22*ZH12)*(g2*cmath.cos(TW) + g1*cmath.sin(TW)))/2.', 
	 order = {'QED':1} ) 
 
GC_650 = Coupling(name = 'GC_650',
	 value = '-((ZA21*ZH21 - ZA22*ZH22)*(g2*cmath.cos(TW) + g1*cmath.sin(TW)))/2.', 
	 order = {'QED':1} ) 
 
GC_651 = Coupling(name = 'GC_651',
	 value = '-(g2*(ZA11*ZP11 + ZA12*ZP12))/2.', 
	 order = {'QED':1} ) 
 
GC_652 = Coupling(name = 'GC_652',
	 value = '-(g2*(ZA11*ZP21 + ZA12*ZP22))/2.', 
	 order = {'QED':1} ) 
 
GC_653 = Coupling(name = 'GC_653',
	 value = '-(g2*(ZA21*ZP11 + ZA22*ZP12))/2.', 
	 order = {'QED':1} ) 
 
GC_654 = Coupling(name = 'GC_654',
	 value = '-(g2*(ZA21*ZP21 + ZA22*ZP22))/2.', 
	 order = {'QED':1} ) 
 
GC_655 = Coupling(name = 'GC_655',
	 value = '-(g2*(ZA11*ZP11 + ZA12*ZP12))/2.', 
	 order = {'QED':1} ) 
 
GC_656 = Coupling(name = 'GC_656',
	 value = '-(g2*(ZA11*ZP21 + ZA12*ZP22))/2.', 
	 order = {'QED':1} ) 
 
GC_657 = Coupling(name = 'GC_657',
	 value = '-(g2*(ZA21*ZP11 + ZA22*ZP12))/2.', 
	 order = {'QED':1} ) 
 
GC_658 = Coupling(name = 'GC_658',
	 value = '-(g2*(ZA21*ZP21 + ZA22*ZP22))/2.', 
	 order = {'QED':1} ) 
 
GC_659 = Coupling(name = 'GC_659',
	 value = '-1./2.*complex(0,1)*g2*(ZH11*ZP11 - ZH12*ZP12)', 
	 order = {'QED':1} ) 
 
GC_660 = Coupling(name = 'GC_660',
	 value = '-1./2.*complex(0,1)*g2*(ZH11*ZP21 - ZH12*ZP22)', 
	 order = {'QED':1} ) 
 
GC_661 = Coupling(name = 'GC_661',
	 value = '-1./2.*complex(0,1)*g2*(ZH21*ZP11 - ZH22*ZP12)', 
	 order = {'QED':1} ) 
 
GC_662 = Coupling(name = 'GC_662',
	 value = '-1./2.*complex(0,1)*g2*(ZH21*ZP21 - ZH22*ZP22)', 
	 order = {'QED':1} ) 
 
GC_663 = Coupling(name = 'GC_663',
	 value = '1./2.*complex(0,1)*g2*(ZH11*ZP11 - ZH12*ZP12)', 
	 order = {'QED':1} ) 
 
GC_664 = Coupling(name = 'GC_664',
	 value = '1./2.*complex(0,1)*g2*(ZH11*ZP21 - ZH12*ZP22)', 
	 order = {'QED':1} ) 
 
GC_665 = Coupling(name = 'GC_665',
	 value = '1./2.*complex(0,1)*g2*(ZH21*ZP11 - ZH22*ZP12)', 
	 order = {'QED':1} ) 
 
GC_666 = Coupling(name = 'GC_666',
	 value = '1./2.*complex(0,1)*g2*(ZH21*ZP21 - ZH22*ZP22)', 
	 order = {'QED':1} ) 
 
GC_667 = Coupling(name = 'GC_667',
	 value = '-1./2.*complex(0,1)*(g1*cmath.cos(TW) + g2*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_668 = Coupling(name = 'GC_668',
	 value = '-1./2.*complex(0,1)*(g1*cmath.cos(TW) + g2*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_669 = Coupling(name = 'GC_669',
	 value = '-1./2.*complex(0,1)*(g2*cmath.cos(TW) - g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_670 = Coupling(name = 'GC_670',
	 value = '-1./2.*complex(0,1)*(g2*cmath.cos(TW) - g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_671 = Coupling(name = 'GC_671',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_672 = Coupling(name = 'GC_672',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_673 = Coupling(name = 'GC_673',
	 value = '1./6.*complex(0,1)*(-2*g1*ZB12*complexconjugate(ZB12)*cmath.cos(TW) + ZB11*complexconjugate(ZB11)*(g1*cmath.cos(TW) - 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_674 = Coupling(name = 'GC_674',
	 value = '1./6.*complex(0,1)*(-2*g1*ZB12*complexconjugate(ZB22)*cmath.cos(TW) + ZB11*complexconjugate(ZB21)*(g1*cmath.cos(TW) - 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_675 = Coupling(name = 'GC_675',
	 value = '1./6.*complex(0,1)*(-2*g1*ZB22*complexconjugate(ZB12)*cmath.cos(TW) + ZB21*complexconjugate(ZB11)*(g1*cmath.cos(TW) - 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_676 = Coupling(name = 'GC_676',
	 value = '1./6.*complex(0,1)*(-2*g1*ZB22*complexconjugate(ZB22)*cmath.cos(TW) + ZB21*complexconjugate(ZB21)*(g1*cmath.cos(TW) - 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_677 = Coupling(name = 'GC_677',
	 value = '-1./6.*complex(0,1)*(-2*g1*ZB12*complexconjugate(ZB12)*cmath.sin(TW) + ZB11*complexconjugate(ZB11)*(3*g2*cmath.cos(TW) + g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_678 = Coupling(name = 'GC_678',
	 value = '-1./6.*complex(0,1)*(-2*g1*ZB12*complexconjugate(ZB22)*cmath.sin(TW) + ZB11*complexconjugate(ZB21)*(3*g2*cmath.cos(TW) + g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_679 = Coupling(name = 'GC_679',
	 value = '-1./6.*complex(0,1)*(-2*g1*ZB22*complexconjugate(ZB12)*cmath.sin(TW) + ZB21*complexconjugate(ZB11)*(3*g2*cmath.cos(TW) + g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_680 = Coupling(name = 'GC_680',
	 value = '-1./6.*complex(0,1)*(-2*g1*ZB22*complexconjugate(ZB22)*cmath.sin(TW) + ZB21*complexconjugate(ZB21)*(3*g2*cmath.cos(TW) + g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_681 = Coupling(name = 'GC_681',
	 value = '(1*complex(0,1)*g2*ZB11*complexconjugate(ZT11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_682 = Coupling(name = 'GC_682',
	 value = '(1*complex(0,1)*g2*ZB11*complexconjugate(ZT21))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_683 = Coupling(name = 'GC_683',
	 value = '(1*complex(0,1)*g2*ZB21*complexconjugate(ZT11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_684 = Coupling(name = 'GC_684',
	 value = '(1*complex(0,1)*g2*ZB21*complexconjugate(ZT21))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_685 = Coupling(name = 'GC_685',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_686 = Coupling(name = 'GC_686',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_687 = Coupling(name = 'GC_687',
	 value = '1./6.*complex(0,1)*(4*g1*ZC12*complexconjugate(ZC12)*cmath.cos(TW) + ZC11*complexconjugate(ZC11)*(g1*cmath.cos(TW) + 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_688 = Coupling(name = 'GC_688',
	 value = '1./6.*complex(0,1)*(4*g1*ZC12*complexconjugate(ZC22)*cmath.cos(TW) + ZC11*complexconjugate(ZC21)*(g1*cmath.cos(TW) + 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_689 = Coupling(name = 'GC_689',
	 value = '1./6.*complex(0,1)*(4*g1*ZC22*complexconjugate(ZC12)*cmath.cos(TW) + ZC21*complexconjugate(ZC11)*(g1*cmath.cos(TW) + 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_690 = Coupling(name = 'GC_690',
	 value = '1./6.*complex(0,1)*(4*g1*ZC22*complexconjugate(ZC22)*cmath.cos(TW) + ZC21*complexconjugate(ZC21)*(g1*cmath.cos(TW) + 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_691 = Coupling(name = 'GC_691',
	 value = '(1*complex(0,1)*g2*ZC11*complexconjugate(ZS11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_692 = Coupling(name = 'GC_692',
	 value = '(1*complex(0,1)*g2*ZC11*complexconjugate(ZS21))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_693 = Coupling(name = 'GC_693',
	 value = '(1*complex(0,1)*g2*ZC21*complexconjugate(ZS11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_694 = Coupling(name = 'GC_694',
	 value = '(1*complex(0,1)*g2*ZC21*complexconjugate(ZS21))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_695 = Coupling(name = 'GC_695',
	 value = '1./6.*complex(0,1)*(-4*g1*ZC12*complexconjugate(ZC12)*cmath.sin(TW) + ZC11*complexconjugate(ZC11)*(3*g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_696 = Coupling(name = 'GC_696',
	 value = '1./6.*complex(0,1)*(-4*g1*ZC12*complexconjugate(ZC22)*cmath.sin(TW) + ZC11*complexconjugate(ZC21)*(3*g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_697 = Coupling(name = 'GC_697',
	 value = '1./6.*complex(0,1)*(-4*g1*ZC22*complexconjugate(ZC12)*cmath.sin(TW) + ZC21*complexconjugate(ZC11)*(3*g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_698 = Coupling(name = 'GC_698',
	 value = '1./6.*complex(0,1)*(-4*g1*ZC22*complexconjugate(ZC22)*cmath.sin(TW) + ZC21*complexconjugate(ZC21)*(3*g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_699 = Coupling(name = 'GC_699',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_700 = Coupling(name = 'GC_700',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_701 = Coupling(name = 'GC_701',
	 value = '1./6.*complex(0,1)*(-2*g1*ZD12*complexconjugate(ZD12)*cmath.cos(TW) + ZD11*complexconjugate(ZD11)*(g1*cmath.cos(TW) - 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_702 = Coupling(name = 'GC_702',
	 value = '1./6.*complex(0,1)*(-2*g1*ZD12*complexconjugate(ZD22)*cmath.cos(TW) + ZD11*complexconjugate(ZD21)*(g1*cmath.cos(TW) - 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_703 = Coupling(name = 'GC_703',
	 value = '1./6.*complex(0,1)*(-2*g1*ZD22*complexconjugate(ZD12)*cmath.cos(TW) + ZD21*complexconjugate(ZD11)*(g1*cmath.cos(TW) - 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_704 = Coupling(name = 'GC_704',
	 value = '1./6.*complex(0,1)*(-2*g1*ZD22*complexconjugate(ZD22)*cmath.cos(TW) + ZD21*complexconjugate(ZD21)*(g1*cmath.cos(TW) - 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_705 = Coupling(name = 'GC_705',
	 value = '-1./6.*complex(0,1)*(-2*g1*ZD12*complexconjugate(ZD12)*cmath.sin(TW) + ZD11*complexconjugate(ZD11)*(3*g2*cmath.cos(TW) + g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_706 = Coupling(name = 'GC_706',
	 value = '-1./6.*complex(0,1)*(-2*g1*ZD12*complexconjugate(ZD22)*cmath.sin(TW) + ZD11*complexconjugate(ZD21)*(3*g2*cmath.cos(TW) + g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_707 = Coupling(name = 'GC_707',
	 value = '-1./6.*complex(0,1)*(-2*g1*ZD22*complexconjugate(ZD12)*cmath.sin(TW) + ZD21*complexconjugate(ZD11)*(3*g2*cmath.cos(TW) + g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_708 = Coupling(name = 'GC_708',
	 value = '-1./6.*complex(0,1)*(-2*g1*ZD22*complexconjugate(ZD22)*cmath.sin(TW) + ZD21*complexconjugate(ZD21)*(3*g2*cmath.cos(TW) + g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_709 = Coupling(name = 'GC_709',
	 value = '(1*complex(0,1)*g2*ZD11*complexconjugate(ZU11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_710 = Coupling(name = 'GC_710',
	 value = '(1*complex(0,1)*g2*ZD11*complexconjugate(ZU21))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_711 = Coupling(name = 'GC_711',
	 value = '(1*complex(0,1)*g2*ZD21*complexconjugate(ZU11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_712 = Coupling(name = 'GC_712',
	 value = '(1*complex(0,1)*g2*ZD21*complexconjugate(ZU21))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_713 = Coupling(name = 'GC_713',
	 value = '-1./2.*complex(0,1)*(2*g1*ZE12*complexconjugate(ZE12)*cmath.cos(TW) + ZE11*complexconjugate(ZE11)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_714 = Coupling(name = 'GC_714',
	 value = '-1./2.*complex(0,1)*(2*g1*ZE12*complexconjugate(ZE22)*cmath.cos(TW) + ZE11*complexconjugate(ZE21)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_715 = Coupling(name = 'GC_715',
	 value = '-1./2.*complex(0,1)*(2*g1*ZE22*complexconjugate(ZE12)*cmath.cos(TW) + ZE21*complexconjugate(ZE11)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_716 = Coupling(name = 'GC_716',
	 value = '-1./2.*complex(0,1)*(2*g1*ZE22*complexconjugate(ZE22)*cmath.cos(TW) + ZE21*complexconjugate(ZE21)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_717 = Coupling(name = 'GC_717',
	 value = '-1./2.*complex(0,1)*(-2*g1*ZE12*complexconjugate(ZE12)*cmath.sin(TW) + ZE11*complexconjugate(ZE11)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_718 = Coupling(name = 'GC_718',
	 value = '-1./2.*complex(0,1)*(-2*g1*ZE12*complexconjugate(ZE22)*cmath.sin(TW) + ZE11*complexconjugate(ZE21)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_719 = Coupling(name = 'GC_719',
	 value = '-1./2.*complex(0,1)*(-2*g1*ZE22*complexconjugate(ZE12)*cmath.sin(TW) + ZE21*complexconjugate(ZE11)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_720 = Coupling(name = 'GC_720',
	 value = '-1./2.*complex(0,1)*(-2*g1*ZE22*complexconjugate(ZE22)*cmath.sin(TW) + ZE21*complexconjugate(ZE21)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_721 = Coupling(name = 'GC_721',
	 value = '(1*complex(0,1)*g2*ZE11)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_722 = Coupling(name = 'GC_722',
	 value = '(1*complex(0,1)*g2*ZE21)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_723 = Coupling(name = 'GC_723',
	 value = '-1./2.*complex(0,1)*(2*g1*ZM12*complexconjugate(ZM12)*cmath.cos(TW) + ZM11*complexconjugate(ZM11)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_724 = Coupling(name = 'GC_724',
	 value = '-1./2.*complex(0,1)*(2*g1*ZM12*complexconjugate(ZM22)*cmath.cos(TW) + ZM11*complexconjugate(ZM21)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_725 = Coupling(name = 'GC_725',
	 value = '-1./2.*complex(0,1)*(2*g1*ZM22*complexconjugate(ZM12)*cmath.cos(TW) + ZM21*complexconjugate(ZM11)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_726 = Coupling(name = 'GC_726',
	 value = '-1./2.*complex(0,1)*(2*g1*ZM22*complexconjugate(ZM22)*cmath.cos(TW) + ZM21*complexconjugate(ZM21)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_727 = Coupling(name = 'GC_727',
	 value = '-1./2.*complex(0,1)*(-2*g1*ZM12*complexconjugate(ZM12)*cmath.sin(TW) + ZM11*complexconjugate(ZM11)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_728 = Coupling(name = 'GC_728',
	 value = '-1./2.*complex(0,1)*(-2*g1*ZM12*complexconjugate(ZM22)*cmath.sin(TW) + ZM11*complexconjugate(ZM21)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_729 = Coupling(name = 'GC_729',
	 value = '-1./2.*complex(0,1)*(-2*g1*ZM22*complexconjugate(ZM12)*cmath.sin(TW) + ZM21*complexconjugate(ZM11)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_730 = Coupling(name = 'GC_730',
	 value = '-1./2.*complex(0,1)*(-2*g1*ZM22*complexconjugate(ZM22)*cmath.sin(TW) + ZM21*complexconjugate(ZM21)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_731 = Coupling(name = 'GC_731',
	 value = '(1*complex(0,1)*g2*ZM11)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_732 = Coupling(name = 'GC_732',
	 value = '(1*complex(0,1)*g2*ZM21)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_733 = Coupling(name = 'GC_733',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_734 = Coupling(name = 'GC_734',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_735 = Coupling(name = 'GC_735',
	 value = '1./6.*complex(0,1)*(-2*g1*ZS12*complexconjugate(ZS12)*cmath.cos(TW) + ZS11*complexconjugate(ZS11)*(g1*cmath.cos(TW) - 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_736 = Coupling(name = 'GC_736',
	 value = '1./6.*complex(0,1)*(-2*g1*ZS12*complexconjugate(ZS22)*cmath.cos(TW) + ZS11*complexconjugate(ZS21)*(g1*cmath.cos(TW) - 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_737 = Coupling(name = 'GC_737',
	 value = '1./6.*complex(0,1)*(-2*g1*ZS22*complexconjugate(ZS12)*cmath.cos(TW) + ZS21*complexconjugate(ZS11)*(g1*cmath.cos(TW) - 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_738 = Coupling(name = 'GC_738',
	 value = '1./6.*complex(0,1)*(-2*g1*ZS22*complexconjugate(ZS22)*cmath.cos(TW) + ZS21*complexconjugate(ZS21)*(g1*cmath.cos(TW) - 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_739 = Coupling(name = 'GC_739',
	 value = '-1./6.*complex(0,1)*(-2*g1*ZS12*complexconjugate(ZS12)*cmath.sin(TW) + ZS11*complexconjugate(ZS11)*(3*g2*cmath.cos(TW) + g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_740 = Coupling(name = 'GC_740',
	 value = '-1./6.*complex(0,1)*(-2*g1*ZS12*complexconjugate(ZS22)*cmath.sin(TW) + ZS11*complexconjugate(ZS21)*(3*g2*cmath.cos(TW) + g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_741 = Coupling(name = 'GC_741',
	 value = '-1./6.*complex(0,1)*(-2*g1*ZS22*complexconjugate(ZS12)*cmath.sin(TW) + ZS21*complexconjugate(ZS11)*(3*g2*cmath.cos(TW) + g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_742 = Coupling(name = 'GC_742',
	 value = '-1./6.*complex(0,1)*(-2*g1*ZS22*complexconjugate(ZS22)*cmath.sin(TW) + ZS21*complexconjugate(ZS21)*(3*g2*cmath.cos(TW) + g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_743 = Coupling(name = 'GC_743',
	 value = '(1*complex(0,1)*g2*ZS11*complexconjugate(ZC11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_744 = Coupling(name = 'GC_744',
	 value = '(1*complex(0,1)*g2*ZS11*complexconjugate(ZC21))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_745 = Coupling(name = 'GC_745',
	 value = '(1*complex(0,1)*g2*ZS21*complexconjugate(ZC11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_746 = Coupling(name = 'GC_746',
	 value = '(1*complex(0,1)*g2*ZS21*complexconjugate(ZC21))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_747 = Coupling(name = 'GC_747',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_748 = Coupling(name = 'GC_748',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_749 = Coupling(name = 'GC_749',
	 value = '1./6.*complex(0,1)*(4*g1*ZT12*complexconjugate(ZT12)*cmath.cos(TW) + ZT11*complexconjugate(ZT11)*(g1*cmath.cos(TW) + 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_750 = Coupling(name = 'GC_750',
	 value = '1./6.*complex(0,1)*(4*g1*ZT12*complexconjugate(ZT22)*cmath.cos(TW) + ZT11*complexconjugate(ZT21)*(g1*cmath.cos(TW) + 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_751 = Coupling(name = 'GC_751',
	 value = '1./6.*complex(0,1)*(4*g1*ZT22*complexconjugate(ZT12)*cmath.cos(TW) + ZT21*complexconjugate(ZT11)*(g1*cmath.cos(TW) + 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_752 = Coupling(name = 'GC_752',
	 value = '1./6.*complex(0,1)*(4*g1*ZT22*complexconjugate(ZT22)*cmath.cos(TW) + ZT21*complexconjugate(ZT21)*(g1*cmath.cos(TW) + 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_753 = Coupling(name = 'GC_753',
	 value = '(1*complex(0,1)*g2*ZT11*complexconjugate(ZB11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_754 = Coupling(name = 'GC_754',
	 value = '(1*complex(0,1)*g2*ZT11*complexconjugate(ZB21))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_755 = Coupling(name = 'GC_755',
	 value = '(1*complex(0,1)*g2*ZT21*complexconjugate(ZB11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_756 = Coupling(name = 'GC_756',
	 value = '(1*complex(0,1)*g2*ZT21*complexconjugate(ZB21))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_757 = Coupling(name = 'GC_757',
	 value = '1./6.*complex(0,1)*(-4*g1*ZT12*complexconjugate(ZT12)*cmath.sin(TW) + ZT11*complexconjugate(ZT11)*(3*g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_758 = Coupling(name = 'GC_758',
	 value = '1./6.*complex(0,1)*(-4*g1*ZT12*complexconjugate(ZT22)*cmath.sin(TW) + ZT11*complexconjugate(ZT21)*(3*g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_759 = Coupling(name = 'GC_759',
	 value = '1./6.*complex(0,1)*(-4*g1*ZT22*complexconjugate(ZT12)*cmath.sin(TW) + ZT21*complexconjugate(ZT11)*(3*g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_760 = Coupling(name = 'GC_760',
	 value = '1./6.*complex(0,1)*(-4*g1*ZT22*complexconjugate(ZT22)*cmath.sin(TW) + ZT21*complexconjugate(ZT21)*(3*g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_761 = Coupling(name = 'GC_761',
	 value = '-1./2.*complex(0,1)*(2*g1*ZTau12*complexconjugate(ZTau12)*cmath.cos(TW) + ZTau11*complexconjugate(ZTau11)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_762 = Coupling(name = 'GC_762',
	 value = '-1./2.*complex(0,1)*(2*g1*ZTau12*complexconjugate(ZTau22)*cmath.cos(TW) + ZTau11*complexconjugate(ZTau21)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_763 = Coupling(name = 'GC_763',
	 value = '-1./2.*complex(0,1)*(2*g1*ZTau22*complexconjugate(ZTau12)*cmath.cos(TW) + ZTau21*complexconjugate(ZTau11)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_764 = Coupling(name = 'GC_764',
	 value = '-1./2.*complex(0,1)*(2*g1*ZTau22*complexconjugate(ZTau22)*cmath.cos(TW) + ZTau21*complexconjugate(ZTau21)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_765 = Coupling(name = 'GC_765',
	 value = '-1./2.*complex(0,1)*(-2*g1*ZTau12*complexconjugate(ZTau12)*cmath.sin(TW) + ZTau11*complexconjugate(ZTau11)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_766 = Coupling(name = 'GC_766',
	 value = '-1./2.*complex(0,1)*(-2*g1*ZTau12*complexconjugate(ZTau22)*cmath.sin(TW) + ZTau11*complexconjugate(ZTau21)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_767 = Coupling(name = 'GC_767',
	 value = '-1./2.*complex(0,1)*(-2*g1*ZTau22*complexconjugate(ZTau12)*cmath.sin(TW) + ZTau21*complexconjugate(ZTau11)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_768 = Coupling(name = 'GC_768',
	 value = '-1./2.*complex(0,1)*(-2*g1*ZTau22*complexconjugate(ZTau22)*cmath.sin(TW) + ZTau21*complexconjugate(ZTau21)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_769 = Coupling(name = 'GC_769',
	 value = '(1*complex(0,1)*g2*ZTau11)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_770 = Coupling(name = 'GC_770',
	 value = '(1*complex(0,1)*g2*ZTau21)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_771 = Coupling(name = 'GC_771',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_772 = Coupling(name = 'GC_772',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_773 = Coupling(name = 'GC_773',
	 value = '1./6.*complex(0,1)*(4*g1*ZU12*complexconjugate(ZU12)*cmath.cos(TW) + ZU11*complexconjugate(ZU11)*(g1*cmath.cos(TW) + 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_774 = Coupling(name = 'GC_774',
	 value = '1./6.*complex(0,1)*(4*g1*ZU12*complexconjugate(ZU22)*cmath.cos(TW) + ZU11*complexconjugate(ZU21)*(g1*cmath.cos(TW) + 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_775 = Coupling(name = 'GC_775',
	 value = '1./6.*complex(0,1)*(4*g1*ZU22*complexconjugate(ZU12)*cmath.cos(TW) + ZU21*complexconjugate(ZU11)*(g1*cmath.cos(TW) + 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_776 = Coupling(name = 'GC_776',
	 value = '1./6.*complex(0,1)*(4*g1*ZU22*complexconjugate(ZU22)*cmath.cos(TW) + ZU21*complexconjugate(ZU21)*(g1*cmath.cos(TW) + 3*g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_777 = Coupling(name = 'GC_777',
	 value = '(1*complex(0,1)*g2*ZU11*complexconjugate(ZD11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_778 = Coupling(name = 'GC_778',
	 value = '(1*complex(0,1)*g2*ZU11*complexconjugate(ZD21))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_779 = Coupling(name = 'GC_779',
	 value = '(1*complex(0,1)*g2*ZU21*complexconjugate(ZD11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_780 = Coupling(name = 'GC_780',
	 value = '(1*complex(0,1)*g2*ZU21*complexconjugate(ZD21))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_781 = Coupling(name = 'GC_781',
	 value = '1./6.*complex(0,1)*(-4*g1*ZU12*complexconjugate(ZU12)*cmath.sin(TW) + ZU11*complexconjugate(ZU11)*(3*g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_782 = Coupling(name = 'GC_782',
	 value = '1./6.*complex(0,1)*(-4*g1*ZU12*complexconjugate(ZU22)*cmath.sin(TW) + ZU11*complexconjugate(ZU21)*(3*g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_783 = Coupling(name = 'GC_783',
	 value = '1./6.*complex(0,1)*(-4*g1*ZU22*complexconjugate(ZU12)*cmath.sin(TW) + ZU21*complexconjugate(ZU11)*(3*g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_784 = Coupling(name = 'GC_784',
	 value = '1./6.*complex(0,1)*(-4*g1*ZU22*complexconjugate(ZU22)*cmath.sin(TW) + ZU21*complexconjugate(ZU21)*(3*g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_785 = Coupling(name = 'GC_785',
	 value = '(1*complex(0,1)*g2*complexconjugate(ZE11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_786 = Coupling(name = 'GC_786',
	 value = '(1*complex(0,1)*g2*complexconjugate(ZE21))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_787 = Coupling(name = 'GC_787',
	 value = '1./2.*complex(0,1)*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_788 = Coupling(name = 'GC_788',
	 value = '(1*complex(0,1)*g2*complexconjugate(ZM11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_789 = Coupling(name = 'GC_789',
	 value = '(1*complex(0,1)*g2*complexconjugate(ZM21))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_790 = Coupling(name = 'GC_790',
	 value = '1./2.*complex(0,1)*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_791 = Coupling(name = 'GC_791',
	 value = '(1*complex(0,1)*g2*complexconjugate(ZTau11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_792 = Coupling(name = 'GC_792',
	 value = '(1*complex(0,1)*g2*complexconjugate(ZTau21))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_793 = Coupling(name = 'GC_793',
	 value = '1./2.*complex(0,1)*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_794 = Coupling(name = 'GC_794',
	 value = '1./2.*complex(0,1)*g2**2*(vd*ZH11 + vu*ZH12)', 
	 order = {'QED':1} ) 
 
GC_795 = Coupling(name = 'GC_795',
	 value = '1./2.*complex(0,1)*g2**2*(vd*ZH21 + vu*ZH22)', 
	 order = {'QED':1} ) 
 
GC_796 = Coupling(name = 'GC_796',
	 value = '1./2.*complex(0,1)*(vd*ZH11 + vu*ZH12)*(g2*cmath.cos(TW) + g1*cmath.sin(TW))**2', 
	 order = {'QED':1} ) 
 
GC_797 = Coupling(name = 'GC_797',
	 value = '1./2.*complex(0,1)*(vd*ZH21 + vu*ZH22)*(g2*cmath.cos(TW) + g1*cmath.sin(TW))**2', 
	 order = {'QED':1} ) 
 
GC_798 = Coupling(name = 'GC_798',
	 value = '-1./2.*complex(0,1)*g1*g2*(vd*ZP11 - vu*ZP12)*cmath.cos(TW)', 
	 order = {'QED':1} ) 
 
GC_799 = Coupling(name = 'GC_799',
	 value = '-1./2.*complex(0,1)*g1*g2*(vd*ZP21 - vu*ZP22)*cmath.cos(TW)', 
	 order = {'QED':1} ) 
 
GC_800 = Coupling(name = 'GC_800',
	 value = '1./2.*complex(0,1)*g1*g2*(vd*ZP11 - vu*ZP12)*cmath.sin(TW)', 
	 order = {'QED':1} ) 
 
GC_801 = Coupling(name = 'GC_801',
	 value = '1./2.*complex(0,1)*g1*g2*(vd*ZP21 - vu*ZP22)*cmath.sin(TW)', 
	 order = {'QED':1} ) 
 
GC_802 = Coupling(name = 'GC_802',
	 value = '-1./2.*complex(0,1)*g1*g2*(vd*ZP11 - vu*ZP12)*cmath.cos(TW)', 
	 order = {'QED':1} ) 
 
GC_803 = Coupling(name = 'GC_803',
	 value = '-1./2.*complex(0,1)*g1*g2*(vd*ZP21 - vu*ZP22)*cmath.cos(TW)', 
	 order = {'QED':1} ) 
 
GC_804 = Coupling(name = 'GC_804',
	 value = '1./2.*complex(0,1)*g1*g2*(vd*ZP11 - vu*ZP12)*cmath.sin(TW)', 
	 order = {'QED':1} ) 
 
GC_805 = Coupling(name = 'GC_805',
	 value = '1./2.*complex(0,1)*g1*g2*(vd*ZP21 - vu*ZP22)*cmath.sin(TW)', 
	 order = {'QED':1} ) 
 
GC_806 = Coupling(name = 'GC_806',
	 value = '-((g2*(UM12*UP11*ZA11 + UM11*UP12*ZA12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_807 = Coupling(name = 'GC_807',
	 value = '(g2*(ZA11*complexconjugate(UM12)*complexconjugate(UP11) + ZA12*complexconjugate(UM11)*complexconjugate(UP12)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_808 = Coupling(name = 'GC_808',
	 value = '-((g2*(UM12*UP11*ZA21 + UM11*UP12*ZA22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_809 = Coupling(name = 'GC_809',
	 value = '(g2*(ZA21*complexconjugate(UM12)*complexconjugate(UP11) + ZA22*complexconjugate(UM11)*complexconjugate(UP12)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_810 = Coupling(name = 'GC_810',
	 value = '-((g2*(UM22*UP11*ZA11 + UM21*UP12*ZA12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_811 = Coupling(name = 'GC_811',
	 value = '(g2*(ZA11*complexconjugate(UM12)*complexconjugate(UP21) + ZA12*complexconjugate(UM11)*complexconjugate(UP22)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_812 = Coupling(name = 'GC_812',
	 value = '-((g2*(UM22*UP11*ZA21 + UM21*UP12*ZA22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_813 = Coupling(name = 'GC_813',
	 value = '(g2*(ZA21*complexconjugate(UM12)*complexconjugate(UP21) + ZA22*complexconjugate(UM11)*complexconjugate(UP22)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_814 = Coupling(name = 'GC_814',
	 value = '-((g2*(UM12*UP21*ZA11 + UM11*UP22*ZA12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_815 = Coupling(name = 'GC_815',
	 value = '(g2*(ZA11*complexconjugate(UM22)*complexconjugate(UP11) + ZA12*complexconjugate(UM21)*complexconjugate(UP12)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_816 = Coupling(name = 'GC_816',
	 value = '-((g2*(UM12*UP21*ZA21 + UM11*UP22*ZA22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_817 = Coupling(name = 'GC_817',
	 value = '(g2*(ZA21*complexconjugate(UM22)*complexconjugate(UP11) + ZA22*complexconjugate(UM21)*complexconjugate(UP12)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_818 = Coupling(name = 'GC_818',
	 value = '-((g2*(UM22*UP21*ZA11 + UM21*UP22*ZA12))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_819 = Coupling(name = 'GC_819',
	 value = '(g2*(ZA11*complexconjugate(UM22)*complexconjugate(UP21) + ZA12*complexconjugate(UM21)*complexconjugate(UP22)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_820 = Coupling(name = 'GC_820',
	 value = '-((g2*(UM22*UP21*ZA21 + UM21*UP22*ZA22))/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_821 = Coupling(name = 'GC_821',
	 value = '(g2*(ZA21*complexconjugate(UM22)*complexconjugate(UP21) + ZA22*complexconjugate(UM21)*complexconjugate(UP22)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_822 = Coupling(name = 'GC_822',
	 value = '(-(g2*ZA11*ZN12*ZN13) + ZA11*(g1*ZN11 - g2*ZN12)*ZN13 - g1*ZA12*ZN11*ZN14 + 2*g2*ZA12*ZN12*ZN14 + g1*ZN11*(ZA11*ZN13 - ZA12*ZN14))/2.', 
	 order = {'QED':1} ) 
 
GC_823 = Coupling(name = 'GC_823',
	 value = '(-2*ZA11*(g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12))*complexconjugate(ZN13) - 2*ZA12*(-(g1*complexconjugate(ZN11)) + g2*complexconjugate(ZN12))*complexconjugate(ZN14))/2.', 
	 order = {'QED':1} ) 
 
GC_824 = Coupling(name = 'GC_824',
	 value = '(-(g2*ZA21*ZN12*ZN13) + ZA21*(g1*ZN11 - g2*ZN12)*ZN13 - g1*ZA22*ZN11*ZN14 + 2*g2*ZA22*ZN12*ZN14 + g1*ZN11*(ZA21*ZN13 - ZA22*ZN14))/2.', 
	 order = {'QED':1} ) 
 
GC_825 = Coupling(name = 'GC_825',
	 value = '(-2*ZA21*(g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12))*complexconjugate(ZN13) - 2*ZA22*(-(g1*complexconjugate(ZN11)) + g2*complexconjugate(ZN12))*complexconjugate(ZN14))/2.', 
	 order = {'QED':1} ) 
 
GC_826 = Coupling(name = 'GC_826',
	 value = '(-(g1*ZA12*ZN14*ZN21) + g2*ZA12*ZN14*ZN22 + ZA11*ZN13*(g1*ZN21 - g2*ZN22) - g2*ZA11*ZN12*ZN23 + g2*ZA12*ZN12*ZN24 + g1*ZN11*(ZA11*ZN23 - ZA12*ZN24))/2.', 
	 order = {'QED':1} ) 
 
GC_827 = Coupling(name = 'GC_827',
	 value = '(-(ZA11*(complexconjugate(ZN13)*(g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22)) + (g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12))*complexconjugate(ZN23))) - ZA12*(complexconjugate(ZN14)*(-(g1*complexconjugate(ZN21)) + g2*complexconjugate(ZN22)) + (-(g1*complexconjugate(ZN11)) + g2*complexconjugate(ZN12))*complexconjugate(ZN24)))/2.', 
	 order = {'QED':1} ) 
 
GC_828 = Coupling(name = 'GC_828',
	 value = '(-(g1*ZA22*ZN14*ZN21) + g2*ZA22*ZN14*ZN22 + ZA21*ZN13*(g1*ZN21 - g2*ZN22) - g2*ZA21*ZN12*ZN23 + g2*ZA22*ZN12*ZN24 + g1*ZN11*(ZA21*ZN23 - ZA22*ZN24))/2.', 
	 order = {'QED':1} ) 
 
GC_829 = Coupling(name = 'GC_829',
	 value = '(-(ZA21*(complexconjugate(ZN13)*(g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22)) + (g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12))*complexconjugate(ZN23))) - ZA22*(complexconjugate(ZN14)*(-(g1*complexconjugate(ZN21)) + g2*complexconjugate(ZN22)) + (-(g1*complexconjugate(ZN11)) + g2*complexconjugate(ZN12))*complexconjugate(ZN24)))/2.', 
	 order = {'QED':1} ) 
 
GC_830 = Coupling(name = 'GC_830',
	 value = '(-(g1*ZA12*ZN14*ZN31) + g2*ZA12*ZN14*ZN32 + ZA11*ZN13*(g1*ZN31 - g2*ZN32) - g2*ZA11*ZN12*ZN33 + g2*ZA12*ZN12*ZN34 + g1*ZN11*(ZA11*ZN33 - ZA12*ZN34))/2.', 
	 order = {'QED':1} ) 
 
GC_831 = Coupling(name = 'GC_831',
	 value = '(-(ZA11*(complexconjugate(ZN13)*(g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32)) + (g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12))*complexconjugate(ZN33))) - ZA12*(complexconjugate(ZN14)*(-(g1*complexconjugate(ZN31)) + g2*complexconjugate(ZN32)) + (-(g1*complexconjugate(ZN11)) + g2*complexconjugate(ZN12))*complexconjugate(ZN34)))/2.', 
	 order = {'QED':1} ) 
 
GC_832 = Coupling(name = 'GC_832',
	 value = '(-(g1*ZA22*ZN14*ZN31) + g2*ZA22*ZN14*ZN32 + ZA21*ZN13*(g1*ZN31 - g2*ZN32) - g2*ZA21*ZN12*ZN33 + g2*ZA22*ZN12*ZN34 + g1*ZN11*(ZA21*ZN33 - ZA22*ZN34))/2.', 
	 order = {'QED':1} ) 
 
GC_833 = Coupling(name = 'GC_833',
	 value = '(-(ZA21*(complexconjugate(ZN13)*(g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32)) + (g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12))*complexconjugate(ZN33))) - ZA22*(complexconjugate(ZN14)*(-(g1*complexconjugate(ZN31)) + g2*complexconjugate(ZN32)) + (-(g1*complexconjugate(ZN11)) + g2*complexconjugate(ZN12))*complexconjugate(ZN34)))/2.', 
	 order = {'QED':1} ) 
 
GC_834 = Coupling(name = 'GC_834',
	 value = '(-(g1*ZA12*ZN14*ZN41) + g2*ZA12*ZN14*ZN42 + ZA11*ZN13*(g1*ZN41 - g2*ZN42) - g2*ZA11*ZN12*ZN43 + g2*ZA12*ZN12*ZN44 + g1*ZN11*(ZA11*ZN43 - ZA12*ZN44))/2.', 
	 order = {'QED':1} ) 
 
GC_835 = Coupling(name = 'GC_835',
	 value = '(-(ZA11*(complexconjugate(ZN13)*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42)) + (g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12))*complexconjugate(ZN43))) - ZA12*(complexconjugate(ZN14)*(-(g1*complexconjugate(ZN41)) + g2*complexconjugate(ZN42)) + (-(g1*complexconjugate(ZN11)) + g2*complexconjugate(ZN12))*complexconjugate(ZN44)))/2.', 
	 order = {'QED':1} ) 
 
GC_836 = Coupling(name = 'GC_836',
	 value = '(-(g1*ZA22*ZN14*ZN41) + g2*ZA22*ZN14*ZN42 + ZA21*ZN13*(g1*ZN41 - g2*ZN42) - g2*ZA21*ZN12*ZN43 + g2*ZA22*ZN12*ZN44 + g1*ZN11*(ZA21*ZN43 - ZA22*ZN44))/2.', 
	 order = {'QED':1} ) 
 
GC_837 = Coupling(name = 'GC_837',
	 value = '(-(ZA21*(complexconjugate(ZN13)*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42)) + (g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12))*complexconjugate(ZN43))) - ZA22*(complexconjugate(ZN14)*(-(g1*complexconjugate(ZN41)) + g2*complexconjugate(ZN42)) + (-(g1*complexconjugate(ZN11)) + g2*complexconjugate(ZN12))*complexconjugate(ZN44)))/2.', 
	 order = {'QED':1} ) 
 
GC_838 = Coupling(name = 'GC_838',
	 value = '(-(g2*ZA11*ZN22*ZN23) + ZA11*(g1*ZN21 - g2*ZN22)*ZN23 - g1*ZA12*ZN21*ZN24 + 2*g2*ZA12*ZN22*ZN24 + g1*ZN21*(ZA11*ZN23 - ZA12*ZN24))/2.', 
	 order = {'QED':1} ) 
 
GC_839 = Coupling(name = 'GC_839',
	 value = '(-2*ZA11*(g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22))*complexconjugate(ZN23) - 2*ZA12*(-(g1*complexconjugate(ZN21)) + g2*complexconjugate(ZN22))*complexconjugate(ZN24))/2.', 
	 order = {'QED':1} ) 
 
GC_840 = Coupling(name = 'GC_840',
	 value = '(-(g2*ZA21*ZN22*ZN23) + ZA21*(g1*ZN21 - g2*ZN22)*ZN23 - g1*ZA22*ZN21*ZN24 + 2*g2*ZA22*ZN22*ZN24 + g1*ZN21*(ZA21*ZN23 - ZA22*ZN24))/2.', 
	 order = {'QED':1} ) 
 
GC_841 = Coupling(name = 'GC_841',
	 value = '(-2*ZA21*(g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22))*complexconjugate(ZN23) - 2*ZA22*(-(g1*complexconjugate(ZN21)) + g2*complexconjugate(ZN22))*complexconjugate(ZN24))/2.', 
	 order = {'QED':1} ) 
 
GC_842 = Coupling(name = 'GC_842',
	 value = '(-(g1*ZA12*ZN24*ZN31) + g2*ZA12*ZN24*ZN32 + ZA11*ZN23*(g1*ZN31 - g2*ZN32) - g2*ZA11*ZN22*ZN33 + g2*ZA12*ZN22*ZN34 + g1*ZN21*(ZA11*ZN33 - ZA12*ZN34))/2.', 
	 order = {'QED':1} ) 
 
GC_843 = Coupling(name = 'GC_843',
	 value = '(-(ZA11*(complexconjugate(ZN23)*(g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32)) + (g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22))*complexconjugate(ZN33))) - ZA12*(complexconjugate(ZN24)*(-(g1*complexconjugate(ZN31)) + g2*complexconjugate(ZN32)) + (-(g1*complexconjugate(ZN21)) + g2*complexconjugate(ZN22))*complexconjugate(ZN34)))/2.', 
	 order = {'QED':1} ) 
 
GC_844 = Coupling(name = 'GC_844',
	 value = '(-(g1*ZA22*ZN24*ZN31) + g2*ZA22*ZN24*ZN32 + ZA21*ZN23*(g1*ZN31 - g2*ZN32) - g2*ZA21*ZN22*ZN33 + g2*ZA22*ZN22*ZN34 + g1*ZN21*(ZA21*ZN33 - ZA22*ZN34))/2.', 
	 order = {'QED':1} ) 
 
GC_845 = Coupling(name = 'GC_845',
	 value = '(-(ZA21*(complexconjugate(ZN23)*(g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32)) + (g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22))*complexconjugate(ZN33))) - ZA22*(complexconjugate(ZN24)*(-(g1*complexconjugate(ZN31)) + g2*complexconjugate(ZN32)) + (-(g1*complexconjugate(ZN21)) + g2*complexconjugate(ZN22))*complexconjugate(ZN34)))/2.', 
	 order = {'QED':1} ) 
 
GC_846 = Coupling(name = 'GC_846',
	 value = '(-(g1*ZA12*ZN24*ZN41) + g2*ZA12*ZN24*ZN42 + ZA11*ZN23*(g1*ZN41 - g2*ZN42) - g2*ZA11*ZN22*ZN43 + g2*ZA12*ZN22*ZN44 + g1*ZN21*(ZA11*ZN43 - ZA12*ZN44))/2.', 
	 order = {'QED':1} ) 
 
GC_847 = Coupling(name = 'GC_847',
	 value = '(-(ZA11*(complexconjugate(ZN23)*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42)) + (g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22))*complexconjugate(ZN43))) - ZA12*(complexconjugate(ZN24)*(-(g1*complexconjugate(ZN41)) + g2*complexconjugate(ZN42)) + (-(g1*complexconjugate(ZN21)) + g2*complexconjugate(ZN22))*complexconjugate(ZN44)))/2.', 
	 order = {'QED':1} ) 
 
GC_848 = Coupling(name = 'GC_848',
	 value = '(-(g1*ZA22*ZN24*ZN41) + g2*ZA22*ZN24*ZN42 + ZA21*ZN23*(g1*ZN41 - g2*ZN42) - g2*ZA21*ZN22*ZN43 + g2*ZA22*ZN22*ZN44 + g1*ZN21*(ZA21*ZN43 - ZA22*ZN44))/2.', 
	 order = {'QED':1} ) 
 
GC_849 = Coupling(name = 'GC_849',
	 value = '(-(ZA21*(complexconjugate(ZN23)*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42)) + (g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22))*complexconjugate(ZN43))) - ZA22*(complexconjugate(ZN24)*(-(g1*complexconjugate(ZN41)) + g2*complexconjugate(ZN42)) + (-(g1*complexconjugate(ZN21)) + g2*complexconjugate(ZN22))*complexconjugate(ZN44)))/2.', 
	 order = {'QED':1} ) 
 
GC_850 = Coupling(name = 'GC_850',
	 value = '(-(g2*ZA11*ZN32*ZN33) + ZA11*(g1*ZN31 - g2*ZN32)*ZN33 - g1*ZA12*ZN31*ZN34 + 2*g2*ZA12*ZN32*ZN34 + g1*ZN31*(ZA11*ZN33 - ZA12*ZN34))/2.', 
	 order = {'QED':1} ) 
 
GC_851 = Coupling(name = 'GC_851',
	 value = '(-2*ZA11*(g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32))*complexconjugate(ZN33) - 2*ZA12*(-(g1*complexconjugate(ZN31)) + g2*complexconjugate(ZN32))*complexconjugate(ZN34))/2.', 
	 order = {'QED':1} ) 
 
GC_852 = Coupling(name = 'GC_852',
	 value = '(-(g2*ZA21*ZN32*ZN33) + ZA21*(g1*ZN31 - g2*ZN32)*ZN33 - g1*ZA22*ZN31*ZN34 + 2*g2*ZA22*ZN32*ZN34 + g1*ZN31*(ZA21*ZN33 - ZA22*ZN34))/2.', 
	 order = {'QED':1} ) 
 
GC_853 = Coupling(name = 'GC_853',
	 value = '(-2*ZA21*(g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32))*complexconjugate(ZN33) - 2*ZA22*(-(g1*complexconjugate(ZN31)) + g2*complexconjugate(ZN32))*complexconjugate(ZN34))/2.', 
	 order = {'QED':1} ) 
 
GC_854 = Coupling(name = 'GC_854',
	 value = '(-(g1*ZA12*ZN34*ZN41) + g2*ZA12*ZN34*ZN42 + ZA11*ZN33*(g1*ZN41 - g2*ZN42) - g2*ZA11*ZN32*ZN43 + g2*ZA12*ZN32*ZN44 + g1*ZN31*(ZA11*ZN43 - ZA12*ZN44))/2.', 
	 order = {'QED':1} ) 
 
GC_855 = Coupling(name = 'GC_855',
	 value = '(-(ZA11*(complexconjugate(ZN33)*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42)) + (g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32))*complexconjugate(ZN43))) - ZA12*(complexconjugate(ZN34)*(-(g1*complexconjugate(ZN41)) + g2*complexconjugate(ZN42)) + (-(g1*complexconjugate(ZN31)) + g2*complexconjugate(ZN32))*complexconjugate(ZN44)))/2.', 
	 order = {'QED':1} ) 
 
GC_856 = Coupling(name = 'GC_856',
	 value = '(-(g1*ZA22*ZN34*ZN41) + g2*ZA22*ZN34*ZN42 + ZA21*ZN33*(g1*ZN41 - g2*ZN42) - g2*ZA21*ZN32*ZN43 + g2*ZA22*ZN32*ZN44 + g1*ZN31*(ZA21*ZN43 - ZA22*ZN44))/2.', 
	 order = {'QED':1} ) 
 
GC_857 = Coupling(name = 'GC_857',
	 value = '(-(ZA21*(complexconjugate(ZN33)*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42)) + (g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32))*complexconjugate(ZN43))) - ZA22*(complexconjugate(ZN34)*(-(g1*complexconjugate(ZN41)) + g2*complexconjugate(ZN42)) + (-(g1*complexconjugate(ZN31)) + g2*complexconjugate(ZN32))*complexconjugate(ZN44)))/2.', 
	 order = {'QED':1} ) 
 
GC_858 = Coupling(name = 'GC_858',
	 value = '(-(g2*ZA11*ZN42*ZN43) + ZA11*(g1*ZN41 - g2*ZN42)*ZN43 - g1*ZA12*ZN41*ZN44 + 2*g2*ZA12*ZN42*ZN44 + g1*ZN41*(ZA11*ZN43 - ZA12*ZN44))/2.', 
	 order = {'QED':1} ) 
 
GC_859 = Coupling(name = 'GC_859',
	 value = '(-2*ZA11*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42))*complexconjugate(ZN43) - 2*ZA12*(-(g1*complexconjugate(ZN41)) + g2*complexconjugate(ZN42))*complexconjugate(ZN44))/2.', 
	 order = {'QED':1} ) 
 
GC_860 = Coupling(name = 'GC_860',
	 value = '(-(g2*ZA21*ZN42*ZN43) + ZA21*(g1*ZN41 - g2*ZN42)*ZN43 - g1*ZA22*ZN41*ZN44 + 2*g2*ZA22*ZN42*ZN44 + g1*ZN41*(ZA21*ZN43 - ZA22*ZN44))/2.', 
	 order = {'QED':1} ) 
 
GC_861 = Coupling(name = 'GC_861',
	 value = '(-2*ZA21*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42))*complexconjugate(ZN43) - 2*ZA22*(-(g1*complexconjugate(ZN41)) + g2*complexconjugate(ZN42))*complexconjugate(ZN44))/2.', 
	 order = {'QED':1} ) 
 
GC_862 = Coupling(name = 'GC_862',
	 value = '(ZA11*complexconjugate(Yd33))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_863 = Coupling(name = 'GC_863',
	 value = '-((Yd33*ZA11)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_864 = Coupling(name = 'GC_864',
	 value = '(ZA21*complexconjugate(Yd33))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_865 = Coupling(name = 'GC_865',
	 value = '-((Yd33*ZA21)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_866 = Coupling(name = 'GC_866',
	 value = '(ZA12*complexconjugate(Yu22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_867 = Coupling(name = 'GC_867',
	 value = '-((Yu22*ZA12)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_868 = Coupling(name = 'GC_868',
	 value = '(ZA22*complexconjugate(Yu22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_869 = Coupling(name = 'GC_869',
	 value = '-((Yu22*ZA22)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_870 = Coupling(name = 'GC_870',
	 value = '(ZA11*complexconjugate(Yd11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_871 = Coupling(name = 'GC_871',
	 value = '-((Yd11*ZA11)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_872 = Coupling(name = 'GC_872',
	 value = '(ZA21*complexconjugate(Yd11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_873 = Coupling(name = 'GC_873',
	 value = '-((Yd11*ZA21)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_874 = Coupling(name = 'GC_874',
	 value = '(ZA11*complexconjugate(Ye11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_875 = Coupling(name = 'GC_875',
	 value = '-((Ye11*ZA11)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_876 = Coupling(name = 'GC_876',
	 value = '(ZA21*complexconjugate(Ye11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_877 = Coupling(name = 'GC_877',
	 value = '-((Ye11*ZA21)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_878 = Coupling(name = 'GC_878',
	 value = '(ZA11*complexconjugate(Ye22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_879 = Coupling(name = 'GC_879',
	 value = '-((Ye22*ZA11)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_880 = Coupling(name = 'GC_880',
	 value = '(ZA21*complexconjugate(Ye22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_881 = Coupling(name = 'GC_881',
	 value = '-((Ye22*ZA21)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_882 = Coupling(name = 'GC_882',
	 value = '(ZA11*complexconjugate(Yd22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_883 = Coupling(name = 'GC_883',
	 value = '-((Yd22*ZA11)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_884 = Coupling(name = 'GC_884',
	 value = '(ZA21*complexconjugate(Yd22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_885 = Coupling(name = 'GC_885',
	 value = '-((Yd22*ZA21)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_886 = Coupling(name = 'GC_886',
	 value = '(ZA12*complexconjugate(Yu33))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_887 = Coupling(name = 'GC_887',
	 value = '-((Yu33*ZA12)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_888 = Coupling(name = 'GC_888',
	 value = '(ZA22*complexconjugate(Yu33))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_889 = Coupling(name = 'GC_889',
	 value = '-((Yu33*ZA22)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_890 = Coupling(name = 'GC_890',
	 value = '(ZA11*complexconjugate(Ye33))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_891 = Coupling(name = 'GC_891',
	 value = '-((Ye33*ZA11)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_892 = Coupling(name = 'GC_892',
	 value = '(ZA21*complexconjugate(Ye33))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_893 = Coupling(name = 'GC_893',
	 value = '-((Ye33*ZA21)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_894 = Coupling(name = 'GC_894',
	 value = '(ZA12*complexconjugate(Yu11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_895 = Coupling(name = 'GC_895',
	 value = '-((Yu11*ZA12)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_896 = Coupling(name = 'GC_896',
	 value = '(ZA22*complexconjugate(Yu11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_897 = Coupling(name = 'GC_897',
	 value = '-((Yu11*ZA22)/cmath.sqrt(2))', 
	 order = {'QED':1} ) 
 
GC_898 = Coupling(name = 'GC_898',
	 value = '1./2.*complex(0,1)*(cmath.sqrt(2)*UM12*(g1*ZN11 + g2*ZN12) - 2*g2*UM11*ZN13)*ZP11', 
	 order = {'QED':1} ) 
 
GC_899 = Coupling(name = 'GC_899',
	 value = '-1./2.*complex(0,1)*ZP12*(cmath.sqrt(2)*complexconjugate(UP12)*(g1*complexconjugate(ZN11) + g2*complexconjugate(ZN12)) + 2*g2*complexconjugate(UP11)*complexconjugate(ZN14))', 
	 order = {'QED':1} ) 
 
GC_900 = Coupling(name = 'GC_900',
	 value = '1./2.*complex(0,1)*(cmath.sqrt(2)*UM12*(g1*ZN11 + g2*ZN12) - 2*g2*UM11*ZN13)*ZP21', 
	 order = {'QED':1} ) 
 
GC_901 = Coupling(name = 'GC_901',
	 value = '-1./2.*complex(0,1)*ZP22*(cmath.sqrt(2)*complexconjugate(UP12)*(g1*complexconjugate(ZN11) + g2*complexconjugate(ZN12)) + 2*g2*complexconjugate(UP11)*complexconjugate(ZN14))', 
	 order = {'QED':1} ) 
 
GC_902 = Coupling(name = 'GC_902',
	 value = '1./2.*complex(0,1)*(cmath.sqrt(2)*UM22*(g1*ZN11 + g2*ZN12) - 2*g2*UM21*ZN13)*ZP11', 
	 order = {'QED':1} ) 
 
GC_903 = Coupling(name = 'GC_903',
	 value = '-1./2.*complex(0,1)*ZP12*(cmath.sqrt(2)*complexconjugate(UP22)*(g1*complexconjugate(ZN11) + g2*complexconjugate(ZN12)) + 2*g2*complexconjugate(UP21)*complexconjugate(ZN14))', 
	 order = {'QED':1} ) 
 
GC_904 = Coupling(name = 'GC_904',
	 value = '1./2.*complex(0,1)*(cmath.sqrt(2)*UM22*(g1*ZN11 + g2*ZN12) - 2*g2*UM21*ZN13)*ZP21', 
	 order = {'QED':1} ) 
 
GC_905 = Coupling(name = 'GC_905',
	 value = '-1./2.*complex(0,1)*ZP22*(cmath.sqrt(2)*complexconjugate(UP22)*(g1*complexconjugate(ZN11) + g2*complexconjugate(ZN12)) + 2*g2*complexconjugate(UP21)*complexconjugate(ZN14))', 
	 order = {'QED':1} ) 
 
GC_906 = Coupling(name = 'GC_906',
	 value = '1./2.*complex(0,1)*(cmath.sqrt(2)*UM12*(g1*ZN21 + g2*ZN22) - 2*g2*UM11*ZN23)*ZP11', 
	 order = {'QED':1} ) 
 
GC_907 = Coupling(name = 'GC_907',
	 value = '-1./2.*complex(0,1)*ZP12*(cmath.sqrt(2)*complexconjugate(UP12)*(g1*complexconjugate(ZN21) + g2*complexconjugate(ZN22)) + 2*g2*complexconjugate(UP11)*complexconjugate(ZN24))', 
	 order = {'QED':1} ) 
 
GC_908 = Coupling(name = 'GC_908',
	 value = '1./2.*complex(0,1)*(cmath.sqrt(2)*UM12*(g1*ZN21 + g2*ZN22) - 2*g2*UM11*ZN23)*ZP21', 
	 order = {'QED':1} ) 
 
GC_909 = Coupling(name = 'GC_909',
	 value = '-1./2.*complex(0,1)*ZP22*(cmath.sqrt(2)*complexconjugate(UP12)*(g1*complexconjugate(ZN21) + g2*complexconjugate(ZN22)) + 2*g2*complexconjugate(UP11)*complexconjugate(ZN24))', 
	 order = {'QED':1} ) 
 
GC_910 = Coupling(name = 'GC_910',
	 value = '1./2.*complex(0,1)*(cmath.sqrt(2)*UM22*(g1*ZN21 + g2*ZN22) - 2*g2*UM21*ZN23)*ZP11', 
	 order = {'QED':1} ) 
 
GC_911 = Coupling(name = 'GC_911',
	 value = '-1./2.*complex(0,1)*ZP12*(cmath.sqrt(2)*complexconjugate(UP22)*(g1*complexconjugate(ZN21) + g2*complexconjugate(ZN22)) + 2*g2*complexconjugate(UP21)*complexconjugate(ZN24))', 
	 order = {'QED':1} ) 
 
GC_912 = Coupling(name = 'GC_912',
	 value = '1./2.*complex(0,1)*(cmath.sqrt(2)*UM22*(g1*ZN21 + g2*ZN22) - 2*g2*UM21*ZN23)*ZP21', 
	 order = {'QED':1} ) 
 
GC_913 = Coupling(name = 'GC_913',
	 value = '-1./2.*complex(0,1)*ZP22*(cmath.sqrt(2)*complexconjugate(UP22)*(g1*complexconjugate(ZN21) + g2*complexconjugate(ZN22)) + 2*g2*complexconjugate(UP21)*complexconjugate(ZN24))', 
	 order = {'QED':1} ) 
 
GC_914 = Coupling(name = 'GC_914',
	 value = '1./2.*complex(0,1)*(cmath.sqrt(2)*UM12*(g1*ZN31 + g2*ZN32) - 2*g2*UM11*ZN33)*ZP11', 
	 order = {'QED':1} ) 
 
GC_915 = Coupling(name = 'GC_915',
	 value = '-1./2.*complex(0,1)*ZP12*(cmath.sqrt(2)*complexconjugate(UP12)*(g1*complexconjugate(ZN31) + g2*complexconjugate(ZN32)) + 2*g2*complexconjugate(UP11)*complexconjugate(ZN34))', 
	 order = {'QED':1} ) 
 
GC_916 = Coupling(name = 'GC_916',
	 value = '1./2.*complex(0,1)*(cmath.sqrt(2)*UM12*(g1*ZN31 + g2*ZN32) - 2*g2*UM11*ZN33)*ZP21', 
	 order = {'QED':1} ) 
 
GC_917 = Coupling(name = 'GC_917',
	 value = '-1./2.*complex(0,1)*ZP22*(cmath.sqrt(2)*complexconjugate(UP12)*(g1*complexconjugate(ZN31) + g2*complexconjugate(ZN32)) + 2*g2*complexconjugate(UP11)*complexconjugate(ZN34))', 
	 order = {'QED':1} ) 
 
GC_918 = Coupling(name = 'GC_918',
	 value = '1./2.*complex(0,1)*(cmath.sqrt(2)*UM22*(g1*ZN31 + g2*ZN32) - 2*g2*UM21*ZN33)*ZP11', 
	 order = {'QED':1} ) 
 
GC_919 = Coupling(name = 'GC_919',
	 value = '-1./2.*complex(0,1)*ZP12*(cmath.sqrt(2)*complexconjugate(UP22)*(g1*complexconjugate(ZN31) + g2*complexconjugate(ZN32)) + 2*g2*complexconjugate(UP21)*complexconjugate(ZN34))', 
	 order = {'QED':1} ) 
 
GC_920 = Coupling(name = 'GC_920',
	 value = '1./2.*complex(0,1)*(cmath.sqrt(2)*UM22*(g1*ZN31 + g2*ZN32) - 2*g2*UM21*ZN33)*ZP21', 
	 order = {'QED':1} ) 
 
GC_921 = Coupling(name = 'GC_921',
	 value = '-1./2.*complex(0,1)*ZP22*(cmath.sqrt(2)*complexconjugate(UP22)*(g1*complexconjugate(ZN31) + g2*complexconjugate(ZN32)) + 2*g2*complexconjugate(UP21)*complexconjugate(ZN34))', 
	 order = {'QED':1} ) 
 
GC_922 = Coupling(name = 'GC_922',
	 value = '1./2.*complex(0,1)*(cmath.sqrt(2)*UM12*(g1*ZN41 + g2*ZN42) - 2*g2*UM11*ZN43)*ZP11', 
	 order = {'QED':1} ) 
 
GC_923 = Coupling(name = 'GC_923',
	 value = '-1./2.*complex(0,1)*ZP12*(cmath.sqrt(2)*complexconjugate(UP12)*(g1*complexconjugate(ZN41) + g2*complexconjugate(ZN42)) + 2*g2*complexconjugate(UP11)*complexconjugate(ZN44))', 
	 order = {'QED':1} ) 
 
GC_924 = Coupling(name = 'GC_924',
	 value = '1./2.*complex(0,1)*(cmath.sqrt(2)*UM12*(g1*ZN41 + g2*ZN42) - 2*g2*UM11*ZN43)*ZP21', 
	 order = {'QED':1} ) 
 
GC_925 = Coupling(name = 'GC_925',
	 value = '-1./2.*complex(0,1)*ZP22*(cmath.sqrt(2)*complexconjugate(UP12)*(g1*complexconjugate(ZN41) + g2*complexconjugate(ZN42)) + 2*g2*complexconjugate(UP11)*complexconjugate(ZN44))', 
	 order = {'QED':1} ) 
 
GC_926 = Coupling(name = 'GC_926',
	 value = '1./2.*complex(0,1)*(cmath.sqrt(2)*UM22*(g1*ZN41 + g2*ZN42) - 2*g2*UM21*ZN43)*ZP11', 
	 order = {'QED':1} ) 
 
GC_927 = Coupling(name = 'GC_927',
	 value = '-1./2.*complex(0,1)*ZP12*(cmath.sqrt(2)*complexconjugate(UP22)*(g1*complexconjugate(ZN41) + g2*complexconjugate(ZN42)) + 2*g2*complexconjugate(UP21)*complexconjugate(ZN44))', 
	 order = {'QED':1} ) 
 
GC_928 = Coupling(name = 'GC_928',
	 value = '1./2.*complex(0,1)*(cmath.sqrt(2)*UM22*(g1*ZN41 + g2*ZN42) - 2*g2*UM21*ZN43)*ZP21', 
	 order = {'QED':1} ) 
 
GC_929 = Coupling(name = 'GC_929',
	 value = '-1./2.*complex(0,1)*ZP22*(cmath.sqrt(2)*complexconjugate(UP22)*(g1*complexconjugate(ZN41) + g2*complexconjugate(ZN42)) + 2*g2*complexconjugate(UP21)*complexconjugate(ZN44))', 
	 order = {'QED':1} ) 
 
GC_930 = Coupling(name = 'GC_930',
	 value = '1*complex(0,1)*(-(g2*UM11*complexconjugate(ZS11)) + UM12*complexconjugate(Yd22)*complexconjugate(ZS12))', 
	 order = {'QED':1} ) 
 
GC_931 = Coupling(name = 'GC_931',
	 value = '1*complex(0,1)*Yu22*complexconjugate(UP12)*complexconjugate(ZS11)', 
	 order = {'QED':1} ) 
 
GC_932 = Coupling(name = 'GC_932',
	 value = '1*complex(0,1)*(-(g2*UM11*complexconjugate(ZS21)) + UM12*complexconjugate(Yd22)*complexconjugate(ZS22))', 
	 order = {'QED':1} ) 
 
GC_933 = Coupling(name = 'GC_933',
	 value = '1*complex(0,1)*Yu22*complexconjugate(UP12)*complexconjugate(ZS21)', 
	 order = {'QED':1} ) 
 
GC_934 = Coupling(name = 'GC_934',
	 value = '1*complex(0,1)*(-(g2*UM21*complexconjugate(ZS11)) + UM22*complexconjugate(Yd22)*complexconjugate(ZS12))', 
	 order = {'QED':1} ) 
 
GC_935 = Coupling(name = 'GC_935',
	 value = '1*complex(0,1)*Yu22*complexconjugate(UP22)*complexconjugate(ZS11)', 
	 order = {'QED':1} ) 
 
GC_936 = Coupling(name = 'GC_936',
	 value = '1*complex(0,1)*(-(g2*UM21*complexconjugate(ZS21)) + UM22*complexconjugate(Yd22)*complexconjugate(ZS22))', 
	 order = {'QED':1} ) 
 
GC_937 = Coupling(name = 'GC_937',
	 value = '1*complex(0,1)*Yu22*complexconjugate(UP22)*complexconjugate(ZS21)', 
	 order = {'QED':1} ) 
 
GC_938 = Coupling(name = 'GC_938',
	 value = '1*complex(0,1)*(-(g2*UM11*complexconjugate(ZB11)) + UM12*complexconjugate(Yd33)*complexconjugate(ZB12))', 
	 order = {'QED':1} ) 
 
GC_939 = Coupling(name = 'GC_939',
	 value = '1*complex(0,1)*Yu33*complexconjugate(UP12)*complexconjugate(ZB11)', 
	 order = {'QED':1} ) 
 
GC_940 = Coupling(name = 'GC_940',
	 value = '1*complex(0,1)*(-(g2*UM11*complexconjugate(ZB21)) + UM12*complexconjugate(Yd33)*complexconjugate(ZB22))', 
	 order = {'QED':1} ) 
 
GC_941 = Coupling(name = 'GC_941',
	 value = '1*complex(0,1)*Yu33*complexconjugate(UP12)*complexconjugate(ZB21)', 
	 order = {'QED':1} ) 
 
GC_942 = Coupling(name = 'GC_942',
	 value = '1*complex(0,1)*(-(g2*UM21*complexconjugate(ZB11)) + UM22*complexconjugate(Yd33)*complexconjugate(ZB12))', 
	 order = {'QED':1} ) 
 
GC_943 = Coupling(name = 'GC_943',
	 value = '1*complex(0,1)*Yu33*complexconjugate(UP22)*complexconjugate(ZB11)', 
	 order = {'QED':1} ) 
 
GC_944 = Coupling(name = 'GC_944',
	 value = '1*complex(0,1)*(-(g2*UM21*complexconjugate(ZB21)) + UM22*complexconjugate(Yd33)*complexconjugate(ZB22))', 
	 order = {'QED':1} ) 
 
GC_945 = Coupling(name = 'GC_945',
	 value = '1*complex(0,1)*Yu33*complexconjugate(UP22)*complexconjugate(ZB21)', 
	 order = {'QED':1} ) 
 
GC_946 = Coupling(name = 'GC_946',
	 value = '1*complex(0,1)*(-(g2*UM11*complexconjugate(ZD11)) + UM12*complexconjugate(Yd11)*complexconjugate(ZD12))', 
	 order = {'QED':1} ) 
 
GC_947 = Coupling(name = 'GC_947',
	 value = '1*complex(0,1)*Yu11*complexconjugate(UP12)*complexconjugate(ZD11)', 
	 order = {'QED':1} ) 
 
GC_948 = Coupling(name = 'GC_948',
	 value = '1*complex(0,1)*(-(g2*UM11*complexconjugate(ZD21)) + UM12*complexconjugate(Yd11)*complexconjugate(ZD22))', 
	 order = {'QED':1} ) 
 
GC_949 = Coupling(name = 'GC_949',
	 value = '1*complex(0,1)*Yu11*complexconjugate(UP12)*complexconjugate(ZD21)', 
	 order = {'QED':1} ) 
 
GC_950 = Coupling(name = 'GC_950',
	 value = '1*complex(0,1)*(-(g2*UM21*complexconjugate(ZD11)) + UM22*complexconjugate(Yd11)*complexconjugate(ZD12))', 
	 order = {'QED':1} ) 
 
GC_951 = Coupling(name = 'GC_951',
	 value = '1*complex(0,1)*Yu11*complexconjugate(UP22)*complexconjugate(ZD11)', 
	 order = {'QED':1} ) 
 
GC_952 = Coupling(name = 'GC_952',
	 value = '1*complex(0,1)*(-(g2*UM21*complexconjugate(ZD21)) + UM22*complexconjugate(Yd11)*complexconjugate(ZD22))', 
	 order = {'QED':1} ) 
 
GC_953 = Coupling(name = 'GC_953',
	 value = '1*complex(0,1)*Yu11*complexconjugate(UP22)*complexconjugate(ZD21)', 
	 order = {'QED':1} ) 
 
GC_954 = Coupling(name = 'GC_954',
	 value = '1*complex(0,1)*(-(g2*UM11*complexconjugate(ZE11)) + UM12*complexconjugate(Ye11)*complexconjugate(ZE12))', 
	 order = {'QED':1} ) 
 
GC_955 = Coupling(name = 'GC_955',
	 value = '1*complex(0,1)*(-(g2*UM11*complexconjugate(ZE21)) + UM12*complexconjugate(Ye11)*complexconjugate(ZE22))', 
	 order = {'QED':1} ) 
 
GC_956 = Coupling(name = 'GC_956',
	 value = '1*complex(0,1)*(-(g2*UM21*complexconjugate(ZE11)) + UM22*complexconjugate(Ye11)*complexconjugate(ZE12))', 
	 order = {'QED':1} ) 
 
GC_957 = Coupling(name = 'GC_957',
	 value = '1*complex(0,1)*(-(g2*UM21*complexconjugate(ZE21)) + UM22*complexconjugate(Ye11)*complexconjugate(ZE22))', 
	 order = {'QED':1} ) 
 
GC_958 = Coupling(name = 'GC_958',
	 value = '1*complex(0,1)*(-(g2*UM11*complexconjugate(ZM11)) + UM12*complexconjugate(Ye22)*complexconjugate(ZM12))', 
	 order = {'QED':1} ) 
 
GC_959 = Coupling(name = 'GC_959',
	 value = '1*complex(0,1)*(-(g2*UM11*complexconjugate(ZM21)) + UM12*complexconjugate(Ye22)*complexconjugate(ZM22))', 
	 order = {'QED':1} ) 
 
GC_960 = Coupling(name = 'GC_960',
	 value = '1*complex(0,1)*(-(g2*UM21*complexconjugate(ZM11)) + UM22*complexconjugate(Ye22)*complexconjugate(ZM12))', 
	 order = {'QED':1} ) 
 
GC_961 = Coupling(name = 'GC_961',
	 value = '1*complex(0,1)*(-(g2*UM21*complexconjugate(ZM21)) + UM22*complexconjugate(Ye22)*complexconjugate(ZM22))', 
	 order = {'QED':1} ) 
 
GC_962 = Coupling(name = 'GC_962',
	 value = '1*complex(0,1)*(-(g2*UM11*complexconjugate(ZTau11)) + UM12*complexconjugate(Ye33)*complexconjugate(ZTau12))', 
	 order = {'QED':1} ) 
 
GC_963 = Coupling(name = 'GC_963',
	 value = '1*complex(0,1)*(-(g2*UM11*complexconjugate(ZTau21)) + UM12*complexconjugate(Ye33)*complexconjugate(ZTau22))', 
	 order = {'QED':1} ) 
 
GC_964 = Coupling(name = 'GC_964',
	 value = '1*complex(0,1)*(-(g2*UM21*complexconjugate(ZTau11)) + UM22*complexconjugate(Ye33)*complexconjugate(ZTau12))', 
	 order = {'QED':1} ) 
 
GC_965 = Coupling(name = 'GC_965',
	 value = '1*complex(0,1)*(-(g2*UM21*complexconjugate(ZTau21)) + UM22*complexconjugate(Ye33)*complexconjugate(ZTau22))', 
	 order = {'QED':1} ) 
 
GC_966 = Coupling(name = 'GC_966',
	 value = '(-1*complex(0,1)*g2*(UM12*UP11*ZH11 + UM11*UP12*ZH12))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_967 = Coupling(name = 'GC_967',
	 value = '(-1*complex(0,1)*g2*(ZH11*complexconjugate(UM12)*complexconjugate(UP11) + ZH12*complexconjugate(UM11)*complexconjugate(UP12)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_968 = Coupling(name = 'GC_968',
	 value = '(-1*complex(0,1)*g2*(UM12*UP11*ZH21 + UM11*UP12*ZH22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_969 = Coupling(name = 'GC_969',
	 value = '(-1*complex(0,1)*g2*(ZH21*complexconjugate(UM12)*complexconjugate(UP11) + ZH22*complexconjugate(UM11)*complexconjugate(UP12)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_970 = Coupling(name = 'GC_970',
	 value = '(-1*complex(0,1)*g2*(UM22*UP11*ZH11 + UM21*UP12*ZH12))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_971 = Coupling(name = 'GC_971',
	 value = '(-1*complex(0,1)*g2*(ZH11*complexconjugate(UM12)*complexconjugate(UP21) + ZH12*complexconjugate(UM11)*complexconjugate(UP22)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_972 = Coupling(name = 'GC_972',
	 value = '(-1*complex(0,1)*g2*(UM22*UP11*ZH21 + UM21*UP12*ZH22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_973 = Coupling(name = 'GC_973',
	 value = '(-1*complex(0,1)*g2*(ZH21*complexconjugate(UM12)*complexconjugate(UP21) + ZH22*complexconjugate(UM11)*complexconjugate(UP22)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_974 = Coupling(name = 'GC_974',
	 value = '(-1*complex(0,1)*g2*(UM12*UP21*ZH11 + UM11*UP22*ZH12))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_975 = Coupling(name = 'GC_975',
	 value = '(-1*complex(0,1)*g2*(ZH11*complexconjugate(UM22)*complexconjugate(UP11) + ZH12*complexconjugate(UM21)*complexconjugate(UP12)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_976 = Coupling(name = 'GC_976',
	 value = '(-1*complex(0,1)*g2*(UM12*UP21*ZH21 + UM11*UP22*ZH22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_977 = Coupling(name = 'GC_977',
	 value = '(-1*complex(0,1)*g2*(ZH21*complexconjugate(UM22)*complexconjugate(UP11) + ZH22*complexconjugate(UM21)*complexconjugate(UP12)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_978 = Coupling(name = 'GC_978',
	 value = '(-1*complex(0,1)*g2*(UM22*UP21*ZH11 + UM21*UP22*ZH12))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_979 = Coupling(name = 'GC_979',
	 value = '(-1*complex(0,1)*g2*(ZH11*complexconjugate(UM22)*complexconjugate(UP21) + ZH12*complexconjugate(UM21)*complexconjugate(UP22)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_980 = Coupling(name = 'GC_980',
	 value = '(-1*complex(0,1)*g2*(UM22*UP21*ZH21 + UM21*UP22*ZH22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_981 = Coupling(name = 'GC_981',
	 value = '(-1*complex(0,1)*g2*(ZH21*complexconjugate(UM22)*complexconjugate(UP21) + ZH22*complexconjugate(UM21)*complexconjugate(UP22)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_982 = Coupling(name = 'GC_982',
	 value = '1*complex(0,1)*UM12*ZC11*complexconjugate(Yd22)', 
	 order = {'QED':1} ) 
 
GC_983 = Coupling(name = 'GC_983',
	 value = '1*complex(0,1)*(-(g2*ZC11*complexconjugate(UP11)) + Yu22*ZC12*complexconjugate(UP12))', 
	 order = {'QED':1} ) 
 
GC_984 = Coupling(name = 'GC_984',
	 value = '1*complex(0,1)*UM12*ZC21*complexconjugate(Yd22)', 
	 order = {'QED':1} ) 
 
GC_985 = Coupling(name = 'GC_985',
	 value = '1*complex(0,1)*(-(g2*ZC21*complexconjugate(UP11)) + Yu22*ZC22*complexconjugate(UP12))', 
	 order = {'QED':1} ) 
 
GC_986 = Coupling(name = 'GC_986',
	 value = '1*complex(0,1)*UM22*ZC11*complexconjugate(Yd22)', 
	 order = {'QED':1} ) 
 
GC_987 = Coupling(name = 'GC_987',
	 value = '1*complex(0,1)*(-(g2*ZC11*complexconjugate(UP21)) + Yu22*ZC12*complexconjugate(UP22))', 
	 order = {'QED':1} ) 
 
GC_988 = Coupling(name = 'GC_988',
	 value = '1*complex(0,1)*UM22*ZC21*complexconjugate(Yd22)', 
	 order = {'QED':1} ) 
 
GC_989 = Coupling(name = 'GC_989',
	 value = '1*complex(0,1)*(-(g2*ZC21*complexconjugate(UP21)) + Yu22*ZC22*complexconjugate(UP22))', 
	 order = {'QED':1} ) 
 
GC_990 = Coupling(name = 'GC_990',
	 value = '1*complex(0,1)*UM12*ZT11*complexconjugate(Yd33)', 
	 order = {'QED':1} ) 
 
GC_991 = Coupling(name = 'GC_991',
	 value = '1*complex(0,1)*(-(g2*ZT11*complexconjugate(UP11)) + Yu33*ZT12*complexconjugate(UP12))', 
	 order = {'QED':1} ) 
 
GC_992 = Coupling(name = 'GC_992',
	 value = '1*complex(0,1)*UM12*ZT21*complexconjugate(Yd33)', 
	 order = {'QED':1} ) 
 
GC_993 = Coupling(name = 'GC_993',
	 value = '1*complex(0,1)*(-(g2*ZT21*complexconjugate(UP11)) + Yu33*ZT22*complexconjugate(UP12))', 
	 order = {'QED':1} ) 
 
GC_994 = Coupling(name = 'GC_994',
	 value = '1*complex(0,1)*UM22*ZT11*complexconjugate(Yd33)', 
	 order = {'QED':1} ) 
 
GC_995 = Coupling(name = 'GC_995',
	 value = '1*complex(0,1)*(-(g2*ZT11*complexconjugate(UP21)) + Yu33*ZT12*complexconjugate(UP22))', 
	 order = {'QED':1} ) 
 
GC_996 = Coupling(name = 'GC_996',
	 value = '1*complex(0,1)*UM22*ZT21*complexconjugate(Yd33)', 
	 order = {'QED':1} ) 
 
GC_997 = Coupling(name = 'GC_997',
	 value = '1*complex(0,1)*(-(g2*ZT21*complexconjugate(UP21)) + Yu33*ZT22*complexconjugate(UP22))', 
	 order = {'QED':1} ) 
 
GC_998 = Coupling(name = 'GC_998',
	 value = '1*complex(0,1)*UM12*ZU11*complexconjugate(Yd11)', 
	 order = {'QED':1} ) 
 
GC_999 = Coupling(name = 'GC_999',
	 value = '1*complex(0,1)*(-(g2*ZU11*complexconjugate(UP11)) + Yu11*ZU12*complexconjugate(UP12))', 
	 order = {'QED':1} ) 
 
GC_1000 = Coupling(name = 'GC_1000',
	 value = '1*complex(0,1)*UM12*ZU21*complexconjugate(Yd11)', 
	 order = {'QED':1} ) 
 
GC_1001 = Coupling(name = 'GC_1001',
	 value = '1*complex(0,1)*(-(g2*ZU21*complexconjugate(UP11)) + Yu11*ZU22*complexconjugate(UP12))', 
	 order = {'QED':1} ) 
 
GC_1002 = Coupling(name = 'GC_1002',
	 value = '1*complex(0,1)*UM22*ZU11*complexconjugate(Yd11)', 
	 order = {'QED':1} ) 
 
GC_1003 = Coupling(name = 'GC_1003',
	 value = '1*complex(0,1)*(-(g2*ZU11*complexconjugate(UP21)) + Yu11*ZU12*complexconjugate(UP22))', 
	 order = {'QED':1} ) 
 
GC_1004 = Coupling(name = 'GC_1004',
	 value = '1*complex(0,1)*UM22*ZU21*complexconjugate(Yd11)', 
	 order = {'QED':1} ) 
 
GC_1005 = Coupling(name = 'GC_1005',
	 value = '1*complex(0,1)*(-(g2*ZU21*complexconjugate(UP21)) + Yu11*ZU22*complexconjugate(UP22))', 
	 order = {'QED':1} ) 
 
GC_1006 = Coupling(name = 'GC_1006',
	 value = '1*complex(0,1)*UM12*complexconjugate(Ye11)', 
	 order = {'QED':1} ) 
 
GC_1007 = Coupling(name = 'GC_1007',
	 value = '-1*complex(0,1)*g2*complexconjugate(UP11)', 
	 order = {'QED':1} ) 
 
GC_1008 = Coupling(name = 'GC_1008',
	 value = '1*complex(0,1)*UM22*complexconjugate(Ye11)', 
	 order = {'QED':1} ) 
 
GC_1009 = Coupling(name = 'GC_1009',
	 value = '-1*complex(0,1)*g2*complexconjugate(UP21)', 
	 order = {'QED':1} ) 
 
GC_1010 = Coupling(name = 'GC_1010',
	 value = '1*complex(0,1)*UM12*complexconjugate(Ye22)', 
	 order = {'QED':1} ) 
 
GC_1011 = Coupling(name = 'GC_1011',
	 value = '-1*complex(0,1)*g2*complexconjugate(UP11)', 
	 order = {'QED':1} ) 
 
GC_1012 = Coupling(name = 'GC_1012',
	 value = '1*complex(0,1)*UM22*complexconjugate(Ye22)', 
	 order = {'QED':1} ) 
 
GC_1013 = Coupling(name = 'GC_1013',
	 value = '-1*complex(0,1)*g2*complexconjugate(UP21)', 
	 order = {'QED':1} ) 
 
GC_1014 = Coupling(name = 'GC_1014',
	 value = '1*complex(0,1)*UM12*complexconjugate(Ye33)', 
	 order = {'QED':1} ) 
 
GC_1015 = Coupling(name = 'GC_1015',
	 value = '-1*complex(0,1)*g2*complexconjugate(UP11)', 
	 order = {'QED':1} ) 
 
GC_1016 = Coupling(name = 'GC_1016',
	 value = '1*complex(0,1)*UM22*complexconjugate(Ye33)', 
	 order = {'QED':1} ) 
 
GC_1017 = Coupling(name = 'GC_1017',
	 value = '-1*complex(0,1)*g2*complexconjugate(UP21)', 
	 order = {'QED':1} ) 
 
GC_1018 = Coupling(name = 'GC_1018',
	 value = '1./2.*complex(0,1)*(-(g2*ZH11*ZN12*ZN13) + ZH11*(g1*ZN11 - g2*ZN12)*ZN13 - g1*ZH12*ZN11*ZN14 + 2*g2*ZH12*ZN12*ZN14 + g1*ZN11*(ZH11*ZN13 - ZH12*ZN14))', 
	 order = {'QED':1} ) 
 
GC_1019 = Coupling(name = 'GC_1019',
	 value = '1./2.*complex(0,1)*(2*ZH11*(g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12))*complexconjugate(ZN13) + 2*ZH12*(-(g1*complexconjugate(ZN11)) + g2*complexconjugate(ZN12))*complexconjugate(ZN14))', 
	 order = {'QED':1} ) 
 
GC_1020 = Coupling(name = 'GC_1020',
	 value = '1./2.*complex(0,1)*(-(g2*ZH21*ZN12*ZN13) + ZH21*(g1*ZN11 - g2*ZN12)*ZN13 - g1*ZH22*ZN11*ZN14 + 2*g2*ZH22*ZN12*ZN14 + g1*ZN11*(ZH21*ZN13 - ZH22*ZN14))', 
	 order = {'QED':1} ) 
 
GC_1021 = Coupling(name = 'GC_1021',
	 value = '1./2.*complex(0,1)*(2*ZH21*(g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12))*complexconjugate(ZN13) + 2*ZH22*(-(g1*complexconjugate(ZN11)) + g2*complexconjugate(ZN12))*complexconjugate(ZN14))', 
	 order = {'QED':1} ) 
 
GC_1022 = Coupling(name = 'GC_1022',
	 value = '1./2.*complex(0,1)*(-(g1*ZH12*ZN14*ZN21) + g2*ZH12*ZN14*ZN22 + ZH11*ZN13*(g1*ZN21 - g2*ZN22) - g2*ZH11*ZN12*ZN23 + g2*ZH12*ZN12*ZN24 + g1*ZN11*(ZH11*ZN23 - ZH12*ZN24))', 
	 order = {'QED':1} ) 
 
GC_1023 = Coupling(name = 'GC_1023',
	 value = '1./2.*complex(0,1)*(ZH11*(complexconjugate(ZN13)*(g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22)) + (g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12))*complexconjugate(ZN23)) + ZH12*(complexconjugate(ZN14)*(-(g1*complexconjugate(ZN21)) + g2*complexconjugate(ZN22)) + (-(g1*complexconjugate(ZN11)) + g2*complexconjugate(ZN12))*complexconjugate(ZN24)))', 
	 order = {'QED':1} ) 
 
GC_1024 = Coupling(name = 'GC_1024',
	 value = '1./2.*complex(0,1)*(-(g1*ZH22*ZN14*ZN21) + g2*ZH22*ZN14*ZN22 + ZH21*ZN13*(g1*ZN21 - g2*ZN22) - g2*ZH21*ZN12*ZN23 + g2*ZH22*ZN12*ZN24 + g1*ZN11*(ZH21*ZN23 - ZH22*ZN24))', 
	 order = {'QED':1} ) 
 
GC_1025 = Coupling(name = 'GC_1025',
	 value = '1./2.*complex(0,1)*(ZH21*(complexconjugate(ZN13)*(g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22)) + (g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12))*complexconjugate(ZN23)) + ZH22*(complexconjugate(ZN14)*(-(g1*complexconjugate(ZN21)) + g2*complexconjugate(ZN22)) + (-(g1*complexconjugate(ZN11)) + g2*complexconjugate(ZN12))*complexconjugate(ZN24)))', 
	 order = {'QED':1} ) 
 
GC_1026 = Coupling(name = 'GC_1026',
	 value = '1./2.*complex(0,1)*(-(g1*ZH12*ZN14*ZN31) + g2*ZH12*ZN14*ZN32 + ZH11*ZN13*(g1*ZN31 - g2*ZN32) - g2*ZH11*ZN12*ZN33 + g2*ZH12*ZN12*ZN34 + g1*ZN11*(ZH11*ZN33 - ZH12*ZN34))', 
	 order = {'QED':1} ) 
 
GC_1027 = Coupling(name = 'GC_1027',
	 value = '1./2.*complex(0,1)*(ZH11*(complexconjugate(ZN13)*(g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32)) + (g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12))*complexconjugate(ZN33)) + ZH12*(complexconjugate(ZN14)*(-(g1*complexconjugate(ZN31)) + g2*complexconjugate(ZN32)) + (-(g1*complexconjugate(ZN11)) + g2*complexconjugate(ZN12))*complexconjugate(ZN34)))', 
	 order = {'QED':1} ) 
 
GC_1028 = Coupling(name = 'GC_1028',
	 value = '1./2.*complex(0,1)*(-(g1*ZH22*ZN14*ZN31) + g2*ZH22*ZN14*ZN32 + ZH21*ZN13*(g1*ZN31 - g2*ZN32) - g2*ZH21*ZN12*ZN33 + g2*ZH22*ZN12*ZN34 + g1*ZN11*(ZH21*ZN33 - ZH22*ZN34))', 
	 order = {'QED':1} ) 
 
GC_1029 = Coupling(name = 'GC_1029',
	 value = '1./2.*complex(0,1)*(ZH21*(complexconjugate(ZN13)*(g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32)) + (g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12))*complexconjugate(ZN33)) + ZH22*(complexconjugate(ZN14)*(-(g1*complexconjugate(ZN31)) + g2*complexconjugate(ZN32)) + (-(g1*complexconjugate(ZN11)) + g2*complexconjugate(ZN12))*complexconjugate(ZN34)))', 
	 order = {'QED':1} ) 
 
GC_1030 = Coupling(name = 'GC_1030',
	 value = '1./2.*complex(0,1)*(-(g1*ZH12*ZN14*ZN41) + g2*ZH12*ZN14*ZN42 + ZH11*ZN13*(g1*ZN41 - g2*ZN42) - g2*ZH11*ZN12*ZN43 + g2*ZH12*ZN12*ZN44 + g1*ZN11*(ZH11*ZN43 - ZH12*ZN44))', 
	 order = {'QED':1} ) 
 
GC_1031 = Coupling(name = 'GC_1031',
	 value = '1./2.*complex(0,1)*(ZH11*(complexconjugate(ZN13)*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42)) + (g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12))*complexconjugate(ZN43)) + ZH12*(complexconjugate(ZN14)*(-(g1*complexconjugate(ZN41)) + g2*complexconjugate(ZN42)) + (-(g1*complexconjugate(ZN11)) + g2*complexconjugate(ZN12))*complexconjugate(ZN44)))', 
	 order = {'QED':1} ) 
 
GC_1032 = Coupling(name = 'GC_1032',
	 value = '1./2.*complex(0,1)*(-(g1*ZH22*ZN14*ZN41) + g2*ZH22*ZN14*ZN42 + ZH21*ZN13*(g1*ZN41 - g2*ZN42) - g2*ZH21*ZN12*ZN43 + g2*ZH22*ZN12*ZN44 + g1*ZN11*(ZH21*ZN43 - ZH22*ZN44))', 
	 order = {'QED':1} ) 
 
GC_1033 = Coupling(name = 'GC_1033',
	 value = '1./2.*complex(0,1)*(ZH21*(complexconjugate(ZN13)*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42)) + (g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12))*complexconjugate(ZN43)) + ZH22*(complexconjugate(ZN14)*(-(g1*complexconjugate(ZN41)) + g2*complexconjugate(ZN42)) + (-(g1*complexconjugate(ZN11)) + g2*complexconjugate(ZN12))*complexconjugate(ZN44)))', 
	 order = {'QED':1} ) 
 
GC_1034 = Coupling(name = 'GC_1034',
	 value = '1./2.*complex(0,1)*(-(g2*ZH11*ZN22*ZN23) + ZH11*(g1*ZN21 - g2*ZN22)*ZN23 - g1*ZH12*ZN21*ZN24 + 2*g2*ZH12*ZN22*ZN24 + g1*ZN21*(ZH11*ZN23 - ZH12*ZN24))', 
	 order = {'QED':1} ) 
 
GC_1035 = Coupling(name = 'GC_1035',
	 value = '1./2.*complex(0,1)*(2*ZH11*(g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22))*complexconjugate(ZN23) + 2*ZH12*(-(g1*complexconjugate(ZN21)) + g2*complexconjugate(ZN22))*complexconjugate(ZN24))', 
	 order = {'QED':1} ) 
 
GC_1036 = Coupling(name = 'GC_1036',
	 value = '1./2.*complex(0,1)*(-(g2*ZH21*ZN22*ZN23) + ZH21*(g1*ZN21 - g2*ZN22)*ZN23 - g1*ZH22*ZN21*ZN24 + 2*g2*ZH22*ZN22*ZN24 + g1*ZN21*(ZH21*ZN23 - ZH22*ZN24))', 
	 order = {'QED':1} ) 
 
GC_1037 = Coupling(name = 'GC_1037',
	 value = '1./2.*complex(0,1)*(2*ZH21*(g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22))*complexconjugate(ZN23) + 2*ZH22*(-(g1*complexconjugate(ZN21)) + g2*complexconjugate(ZN22))*complexconjugate(ZN24))', 
	 order = {'QED':1} ) 
 
GC_1038 = Coupling(name = 'GC_1038',
	 value = '1./2.*complex(0,1)*(-(g1*ZH12*ZN24*ZN31) + g2*ZH12*ZN24*ZN32 + ZH11*ZN23*(g1*ZN31 - g2*ZN32) - g2*ZH11*ZN22*ZN33 + g2*ZH12*ZN22*ZN34 + g1*ZN21*(ZH11*ZN33 - ZH12*ZN34))', 
	 order = {'QED':1} ) 
 
GC_1039 = Coupling(name = 'GC_1039',
	 value = '1./2.*complex(0,1)*(ZH11*(complexconjugate(ZN23)*(g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32)) + (g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22))*complexconjugate(ZN33)) + ZH12*(complexconjugate(ZN24)*(-(g1*complexconjugate(ZN31)) + g2*complexconjugate(ZN32)) + (-(g1*complexconjugate(ZN21)) + g2*complexconjugate(ZN22))*complexconjugate(ZN34)))', 
	 order = {'QED':1} ) 
 
GC_1040 = Coupling(name = 'GC_1040',
	 value = '1./2.*complex(0,1)*(-(g1*ZH22*ZN24*ZN31) + g2*ZH22*ZN24*ZN32 + ZH21*ZN23*(g1*ZN31 - g2*ZN32) - g2*ZH21*ZN22*ZN33 + g2*ZH22*ZN22*ZN34 + g1*ZN21*(ZH21*ZN33 - ZH22*ZN34))', 
	 order = {'QED':1} ) 
 
GC_1041 = Coupling(name = 'GC_1041',
	 value = '1./2.*complex(0,1)*(ZH21*(complexconjugate(ZN23)*(g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32)) + (g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22))*complexconjugate(ZN33)) + ZH22*(complexconjugate(ZN24)*(-(g1*complexconjugate(ZN31)) + g2*complexconjugate(ZN32)) + (-(g1*complexconjugate(ZN21)) + g2*complexconjugate(ZN22))*complexconjugate(ZN34)))', 
	 order = {'QED':1} ) 
 
GC_1042 = Coupling(name = 'GC_1042',
	 value = '1./2.*complex(0,1)*(-(g1*ZH12*ZN24*ZN41) + g2*ZH12*ZN24*ZN42 + ZH11*ZN23*(g1*ZN41 - g2*ZN42) - g2*ZH11*ZN22*ZN43 + g2*ZH12*ZN22*ZN44 + g1*ZN21*(ZH11*ZN43 - ZH12*ZN44))', 
	 order = {'QED':1} ) 
 
GC_1043 = Coupling(name = 'GC_1043',
	 value = '1./2.*complex(0,1)*(ZH11*(complexconjugate(ZN23)*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42)) + (g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22))*complexconjugate(ZN43)) + ZH12*(complexconjugate(ZN24)*(-(g1*complexconjugate(ZN41)) + g2*complexconjugate(ZN42)) + (-(g1*complexconjugate(ZN21)) + g2*complexconjugate(ZN22))*complexconjugate(ZN44)))', 
	 order = {'QED':1} ) 
 
GC_1044 = Coupling(name = 'GC_1044',
	 value = '1./2.*complex(0,1)*(-(g1*ZH22*ZN24*ZN41) + g2*ZH22*ZN24*ZN42 + ZH21*ZN23*(g1*ZN41 - g2*ZN42) - g2*ZH21*ZN22*ZN43 + g2*ZH22*ZN22*ZN44 + g1*ZN21*(ZH21*ZN43 - ZH22*ZN44))', 
	 order = {'QED':1} ) 
 
GC_1045 = Coupling(name = 'GC_1045',
	 value = '1./2.*complex(0,1)*(ZH21*(complexconjugate(ZN23)*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42)) + (g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22))*complexconjugate(ZN43)) + ZH22*(complexconjugate(ZN24)*(-(g1*complexconjugate(ZN41)) + g2*complexconjugate(ZN42)) + (-(g1*complexconjugate(ZN21)) + g2*complexconjugate(ZN22))*complexconjugate(ZN44)))', 
	 order = {'QED':1} ) 
 
GC_1046 = Coupling(name = 'GC_1046',
	 value = '1./2.*complex(0,1)*(-(g2*ZH11*ZN32*ZN33) + ZH11*(g1*ZN31 - g2*ZN32)*ZN33 - g1*ZH12*ZN31*ZN34 + 2*g2*ZH12*ZN32*ZN34 + g1*ZN31*(ZH11*ZN33 - ZH12*ZN34))', 
	 order = {'QED':1} ) 
 
GC_1047 = Coupling(name = 'GC_1047',
	 value = '1./2.*complex(0,1)*(2*ZH11*(g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32))*complexconjugate(ZN33) + 2*ZH12*(-(g1*complexconjugate(ZN31)) + g2*complexconjugate(ZN32))*complexconjugate(ZN34))', 
	 order = {'QED':1} ) 
 
GC_1048 = Coupling(name = 'GC_1048',
	 value = '1./2.*complex(0,1)*(-(g2*ZH21*ZN32*ZN33) + ZH21*(g1*ZN31 - g2*ZN32)*ZN33 - g1*ZH22*ZN31*ZN34 + 2*g2*ZH22*ZN32*ZN34 + g1*ZN31*(ZH21*ZN33 - ZH22*ZN34))', 
	 order = {'QED':1} ) 
 
GC_1049 = Coupling(name = 'GC_1049',
	 value = '1./2.*complex(0,1)*(2*ZH21*(g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32))*complexconjugate(ZN33) + 2*ZH22*(-(g1*complexconjugate(ZN31)) + g2*complexconjugate(ZN32))*complexconjugate(ZN34))', 
	 order = {'QED':1} ) 
 
GC_1050 = Coupling(name = 'GC_1050',
	 value = '1./2.*complex(0,1)*(-(g1*ZH12*ZN34*ZN41) + g2*ZH12*ZN34*ZN42 + ZH11*ZN33*(g1*ZN41 - g2*ZN42) - g2*ZH11*ZN32*ZN43 + g2*ZH12*ZN32*ZN44 + g1*ZN31*(ZH11*ZN43 - ZH12*ZN44))', 
	 order = {'QED':1} ) 
 
GC_1051 = Coupling(name = 'GC_1051',
	 value = '1./2.*complex(0,1)*(ZH11*(complexconjugate(ZN33)*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42)) + (g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32))*complexconjugate(ZN43)) + ZH12*(complexconjugate(ZN34)*(-(g1*complexconjugate(ZN41)) + g2*complexconjugate(ZN42)) + (-(g1*complexconjugate(ZN31)) + g2*complexconjugate(ZN32))*complexconjugate(ZN44)))', 
	 order = {'QED':1} ) 
 
GC_1052 = Coupling(name = 'GC_1052',
	 value = '1./2.*complex(0,1)*(-(g1*ZH22*ZN34*ZN41) + g2*ZH22*ZN34*ZN42 + ZH21*ZN33*(g1*ZN41 - g2*ZN42) - g2*ZH21*ZN32*ZN43 + g2*ZH22*ZN32*ZN44 + g1*ZN31*(ZH21*ZN43 - ZH22*ZN44))', 
	 order = {'QED':1} ) 
 
GC_1053 = Coupling(name = 'GC_1053',
	 value = '1./2.*complex(0,1)*(ZH21*(complexconjugate(ZN33)*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42)) + (g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32))*complexconjugate(ZN43)) + ZH22*(complexconjugate(ZN34)*(-(g1*complexconjugate(ZN41)) + g2*complexconjugate(ZN42)) + (-(g1*complexconjugate(ZN31)) + g2*complexconjugate(ZN32))*complexconjugate(ZN44)))', 
	 order = {'QED':1} ) 
 
GC_1054 = Coupling(name = 'GC_1054',
	 value = '1./2.*complex(0,1)*(-(g2*ZH11*ZN42*ZN43) + ZH11*(g1*ZN41 - g2*ZN42)*ZN43 - g1*ZH12*ZN41*ZN44 + 2*g2*ZH12*ZN42*ZN44 + g1*ZN41*(ZH11*ZN43 - ZH12*ZN44))', 
	 order = {'QED':1} ) 
 
GC_1055 = Coupling(name = 'GC_1055',
	 value = '1./2.*complex(0,1)*(2*ZH11*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42))*complexconjugate(ZN43) + 2*ZH12*(-(g1*complexconjugate(ZN41)) + g2*complexconjugate(ZN42))*complexconjugate(ZN44))', 
	 order = {'QED':1} ) 
 
GC_1056 = Coupling(name = 'GC_1056',
	 value = '1./2.*complex(0,1)*(-(g2*ZH21*ZN42*ZN43) + ZH21*(g1*ZN41 - g2*ZN42)*ZN43 - g1*ZH22*ZN41*ZN44 + 2*g2*ZH22*ZN42*ZN44 + g1*ZN41*(ZH21*ZN43 - ZH22*ZN44))', 
	 order = {'QED':1} ) 
 
GC_1057 = Coupling(name = 'GC_1057',
	 value = '1./2.*complex(0,1)*(2*ZH21*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42))*complexconjugate(ZN43) + 2*ZH22*(-(g1*complexconjugate(ZN41)) + g2*complexconjugate(ZN42))*complexconjugate(ZN44))', 
	 order = {'QED':1} ) 
 
GC_1058 = Coupling(name = 'GC_1058',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN11*complexconjugate(ZB11) - 3*cmath.sqrt(2)*g2*ZN12*complexconjugate(ZB11) + 6*ZN13*complexconjugate(Yd33)*complexconjugate(ZB12))', 
	 order = {'QED':1} ) 
 
GC_1059 = Coupling(name = 'GC_1059',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*complexconjugate(ZB12)*complexconjugate(ZN11) + 3*Yd33*complexconjugate(ZB11)*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1060 = Coupling(name = 'GC_1060',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN11*complexconjugate(ZB21) - 3*cmath.sqrt(2)*g2*ZN12*complexconjugate(ZB21) + 6*ZN13*complexconjugate(Yd33)*complexconjugate(ZB22))', 
	 order = {'QED':1} ) 
 
GC_1061 = Coupling(name = 'GC_1061',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*complexconjugate(ZB22)*complexconjugate(ZN11) + 3*Yd33*complexconjugate(ZB21)*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1062 = Coupling(name = 'GC_1062',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN21*complexconjugate(ZB11) - 3*cmath.sqrt(2)*g2*ZN22*complexconjugate(ZB11) + 6*ZN23*complexconjugate(Yd33)*complexconjugate(ZB12))', 
	 order = {'QED':1} ) 
 
GC_1063 = Coupling(name = 'GC_1063',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*complexconjugate(ZB12)*complexconjugate(ZN21) + 3*Yd33*complexconjugate(ZB11)*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1064 = Coupling(name = 'GC_1064',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN21*complexconjugate(ZB21) - 3*cmath.sqrt(2)*g2*ZN22*complexconjugate(ZB21) + 6*ZN23*complexconjugate(Yd33)*complexconjugate(ZB22))', 
	 order = {'QED':1} ) 
 
GC_1065 = Coupling(name = 'GC_1065',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*complexconjugate(ZB22)*complexconjugate(ZN21) + 3*Yd33*complexconjugate(ZB21)*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1066 = Coupling(name = 'GC_1066',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN31*complexconjugate(ZB11) - 3*cmath.sqrt(2)*g2*ZN32*complexconjugate(ZB11) + 6*ZN33*complexconjugate(Yd33)*complexconjugate(ZB12))', 
	 order = {'QED':1} ) 
 
GC_1067 = Coupling(name = 'GC_1067',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*complexconjugate(ZB12)*complexconjugate(ZN31) + 3*Yd33*complexconjugate(ZB11)*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1068 = Coupling(name = 'GC_1068',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN31*complexconjugate(ZB21) - 3*cmath.sqrt(2)*g2*ZN32*complexconjugate(ZB21) + 6*ZN33*complexconjugate(Yd33)*complexconjugate(ZB22))', 
	 order = {'QED':1} ) 
 
GC_1069 = Coupling(name = 'GC_1069',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*complexconjugate(ZB22)*complexconjugate(ZN31) + 3*Yd33*complexconjugate(ZB21)*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1070 = Coupling(name = 'GC_1070',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN41*complexconjugate(ZB11) - 3*cmath.sqrt(2)*g2*ZN42*complexconjugate(ZB11) + 6*ZN43*complexconjugate(Yd33)*complexconjugate(ZB12))', 
	 order = {'QED':1} ) 
 
GC_1071 = Coupling(name = 'GC_1071',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*complexconjugate(ZB12)*complexconjugate(ZN41) + 3*Yd33*complexconjugate(ZB11)*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1072 = Coupling(name = 'GC_1072',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN41*complexconjugate(ZB21) - 3*cmath.sqrt(2)*g2*ZN42*complexconjugate(ZB21) + 6*ZN43*complexconjugate(Yd33)*complexconjugate(ZB22))', 
	 order = {'QED':1} ) 
 
GC_1073 = Coupling(name = 'GC_1073',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*complexconjugate(ZB22)*complexconjugate(ZN41) + 3*Yd33*complexconjugate(ZB21)*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1074 = Coupling(name = 'GC_1074',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN11*complexconjugate(ZC11) + 3*cmath.sqrt(2)*g2*ZN12*complexconjugate(ZC11) + 6*ZN14*complexconjugate(Yu22)*complexconjugate(ZC12))', 
	 order = {'QED':1} ) 
 
GC_1075 = Coupling(name = 'GC_1075',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*complexconjugate(ZC12)*complexconjugate(ZN11) - 3*Yu22*complexconjugate(ZC11)*complexconjugate(ZN14))', 
	 order = {'QED':1} ) 
 
GC_1076 = Coupling(name = 'GC_1076',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN11*complexconjugate(ZC21) + 3*cmath.sqrt(2)*g2*ZN12*complexconjugate(ZC21) + 6*ZN14*complexconjugate(Yu22)*complexconjugate(ZC22))', 
	 order = {'QED':1} ) 
 
GC_1077 = Coupling(name = 'GC_1077',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*complexconjugate(ZC22)*complexconjugate(ZN11) - 3*Yu22*complexconjugate(ZC21)*complexconjugate(ZN14))', 
	 order = {'QED':1} ) 
 
GC_1078 = Coupling(name = 'GC_1078',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN21*complexconjugate(ZC11) + 3*cmath.sqrt(2)*g2*ZN22*complexconjugate(ZC11) + 6*ZN24*complexconjugate(Yu22)*complexconjugate(ZC12))', 
	 order = {'QED':1} ) 
 
GC_1079 = Coupling(name = 'GC_1079',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*complexconjugate(ZC12)*complexconjugate(ZN21) - 3*Yu22*complexconjugate(ZC11)*complexconjugate(ZN24))', 
	 order = {'QED':1} ) 
 
GC_1080 = Coupling(name = 'GC_1080',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN21*complexconjugate(ZC21) + 3*cmath.sqrt(2)*g2*ZN22*complexconjugate(ZC21) + 6*ZN24*complexconjugate(Yu22)*complexconjugate(ZC22))', 
	 order = {'QED':1} ) 
 
GC_1081 = Coupling(name = 'GC_1081',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*complexconjugate(ZC22)*complexconjugate(ZN21) - 3*Yu22*complexconjugate(ZC21)*complexconjugate(ZN24))', 
	 order = {'QED':1} ) 
 
GC_1082 = Coupling(name = 'GC_1082',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN31*complexconjugate(ZC11) + 3*cmath.sqrt(2)*g2*ZN32*complexconjugate(ZC11) + 6*ZN34*complexconjugate(Yu22)*complexconjugate(ZC12))', 
	 order = {'QED':1} ) 
 
GC_1083 = Coupling(name = 'GC_1083',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*complexconjugate(ZC12)*complexconjugate(ZN31) - 3*Yu22*complexconjugate(ZC11)*complexconjugate(ZN34))', 
	 order = {'QED':1} ) 
 
GC_1084 = Coupling(name = 'GC_1084',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN31*complexconjugate(ZC21) + 3*cmath.sqrt(2)*g2*ZN32*complexconjugate(ZC21) + 6*ZN34*complexconjugate(Yu22)*complexconjugate(ZC22))', 
	 order = {'QED':1} ) 
 
GC_1085 = Coupling(name = 'GC_1085',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*complexconjugate(ZC22)*complexconjugate(ZN31) - 3*Yu22*complexconjugate(ZC21)*complexconjugate(ZN34))', 
	 order = {'QED':1} ) 
 
GC_1086 = Coupling(name = 'GC_1086',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN41*complexconjugate(ZC11) + 3*cmath.sqrt(2)*g2*ZN42*complexconjugate(ZC11) + 6*ZN44*complexconjugate(Yu22)*complexconjugate(ZC12))', 
	 order = {'QED':1} ) 
 
GC_1087 = Coupling(name = 'GC_1087',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*complexconjugate(ZC12)*complexconjugate(ZN41) - 3*Yu22*complexconjugate(ZC11)*complexconjugate(ZN44))', 
	 order = {'QED':1} ) 
 
GC_1088 = Coupling(name = 'GC_1088',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN41*complexconjugate(ZC21) + 3*cmath.sqrt(2)*g2*ZN42*complexconjugate(ZC21) + 6*ZN44*complexconjugate(Yu22)*complexconjugate(ZC22))', 
	 order = {'QED':1} ) 
 
GC_1089 = Coupling(name = 'GC_1089',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*complexconjugate(ZC22)*complexconjugate(ZN41) - 3*Yu22*complexconjugate(ZC21)*complexconjugate(ZN44))', 
	 order = {'QED':1} ) 
 
GC_1090 = Coupling(name = 'GC_1090',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN11*complexconjugate(ZD11) - 3*cmath.sqrt(2)*g2*ZN12*complexconjugate(ZD11) + 6*ZN13*complexconjugate(Yd11)*complexconjugate(ZD12))', 
	 order = {'QED':1} ) 
 
GC_1091 = Coupling(name = 'GC_1091',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*complexconjugate(ZD12)*complexconjugate(ZN11) + 3*Yd11*complexconjugate(ZD11)*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1092 = Coupling(name = 'GC_1092',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN11*complexconjugate(ZD21) - 3*cmath.sqrt(2)*g2*ZN12*complexconjugate(ZD21) + 6*ZN13*complexconjugate(Yd11)*complexconjugate(ZD22))', 
	 order = {'QED':1} ) 
 
GC_1093 = Coupling(name = 'GC_1093',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*complexconjugate(ZD22)*complexconjugate(ZN11) + 3*Yd11*complexconjugate(ZD21)*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1094 = Coupling(name = 'GC_1094',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN21*complexconjugate(ZD11) - 3*cmath.sqrt(2)*g2*ZN22*complexconjugate(ZD11) + 6*ZN23*complexconjugate(Yd11)*complexconjugate(ZD12))', 
	 order = {'QED':1} ) 
 
GC_1095 = Coupling(name = 'GC_1095',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*complexconjugate(ZD12)*complexconjugate(ZN21) + 3*Yd11*complexconjugate(ZD11)*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1096 = Coupling(name = 'GC_1096',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN21*complexconjugate(ZD21) - 3*cmath.sqrt(2)*g2*ZN22*complexconjugate(ZD21) + 6*ZN23*complexconjugate(Yd11)*complexconjugate(ZD22))', 
	 order = {'QED':1} ) 
 
GC_1097 = Coupling(name = 'GC_1097',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*complexconjugate(ZD22)*complexconjugate(ZN21) + 3*Yd11*complexconjugate(ZD21)*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1098 = Coupling(name = 'GC_1098',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN31*complexconjugate(ZD11) - 3*cmath.sqrt(2)*g2*ZN32*complexconjugate(ZD11) + 6*ZN33*complexconjugate(Yd11)*complexconjugate(ZD12))', 
	 order = {'QED':1} ) 
 
GC_1099 = Coupling(name = 'GC_1099',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*complexconjugate(ZD12)*complexconjugate(ZN31) + 3*Yd11*complexconjugate(ZD11)*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1100 = Coupling(name = 'GC_1100',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN31*complexconjugate(ZD21) - 3*cmath.sqrt(2)*g2*ZN32*complexconjugate(ZD21) + 6*ZN33*complexconjugate(Yd11)*complexconjugate(ZD22))', 
	 order = {'QED':1} ) 
 
GC_1101 = Coupling(name = 'GC_1101',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*complexconjugate(ZD22)*complexconjugate(ZN31) + 3*Yd11*complexconjugate(ZD21)*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1102 = Coupling(name = 'GC_1102',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN41*complexconjugate(ZD11) - 3*cmath.sqrt(2)*g2*ZN42*complexconjugate(ZD11) + 6*ZN43*complexconjugate(Yd11)*complexconjugate(ZD12))', 
	 order = {'QED':1} ) 
 
GC_1103 = Coupling(name = 'GC_1103',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*complexconjugate(ZD12)*complexconjugate(ZN41) + 3*Yd11*complexconjugate(ZD11)*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1104 = Coupling(name = 'GC_1104',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN41*complexconjugate(ZD21) - 3*cmath.sqrt(2)*g2*ZN42*complexconjugate(ZD21) + 6*ZN43*complexconjugate(Yd11)*complexconjugate(ZD22))', 
	 order = {'QED':1} ) 
 
GC_1105 = Coupling(name = 'GC_1105',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*complexconjugate(ZD22)*complexconjugate(ZN41) + 3*Yd11*complexconjugate(ZD21)*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1106 = Coupling(name = 'GC_1106',
	 value = '1*complex(0,1)*((g1*ZN11*complexconjugate(ZE11))/cmath.sqrt(2) + (g2*ZN12*complexconjugate(ZE11))/cmath.sqrt(2) - ZN13*complexconjugate(Ye11)*complexconjugate(ZE12))', 
	 order = {'QED':1} ) 
 
GC_1107 = Coupling(name = 'GC_1107',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*complexconjugate(ZE12)*complexconjugate(ZN11)) - Ye11*complexconjugate(ZE11)*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1108 = Coupling(name = 'GC_1108',
	 value = '1*complex(0,1)*((g1*ZN11*complexconjugate(ZE21))/cmath.sqrt(2) + (g2*ZN12*complexconjugate(ZE21))/cmath.sqrt(2) - ZN13*complexconjugate(Ye11)*complexconjugate(ZE22))', 
	 order = {'QED':1} ) 
 
GC_1109 = Coupling(name = 'GC_1109',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*complexconjugate(ZE22)*complexconjugate(ZN11)) - Ye11*complexconjugate(ZE21)*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1110 = Coupling(name = 'GC_1110',
	 value = '1*complex(0,1)*((g1*ZN21*complexconjugate(ZE11))/cmath.sqrt(2) + (g2*ZN22*complexconjugate(ZE11))/cmath.sqrt(2) - ZN23*complexconjugate(Ye11)*complexconjugate(ZE12))', 
	 order = {'QED':1} ) 
 
GC_1111 = Coupling(name = 'GC_1111',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*complexconjugate(ZE12)*complexconjugate(ZN21)) - Ye11*complexconjugate(ZE11)*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1112 = Coupling(name = 'GC_1112',
	 value = '1*complex(0,1)*((g1*ZN21*complexconjugate(ZE21))/cmath.sqrt(2) + (g2*ZN22*complexconjugate(ZE21))/cmath.sqrt(2) - ZN23*complexconjugate(Ye11)*complexconjugate(ZE22))', 
	 order = {'QED':1} ) 
 
GC_1113 = Coupling(name = 'GC_1113',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*complexconjugate(ZE22)*complexconjugate(ZN21)) - Ye11*complexconjugate(ZE21)*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1114 = Coupling(name = 'GC_1114',
	 value = '1*complex(0,1)*((g1*ZN31*complexconjugate(ZE11))/cmath.sqrt(2) + (g2*ZN32*complexconjugate(ZE11))/cmath.sqrt(2) - ZN33*complexconjugate(Ye11)*complexconjugate(ZE12))', 
	 order = {'QED':1} ) 
 
GC_1115 = Coupling(name = 'GC_1115',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*complexconjugate(ZE12)*complexconjugate(ZN31)) - Ye11*complexconjugate(ZE11)*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1116 = Coupling(name = 'GC_1116',
	 value = '1*complex(0,1)*((g1*ZN31*complexconjugate(ZE21))/cmath.sqrt(2) + (g2*ZN32*complexconjugate(ZE21))/cmath.sqrt(2) - ZN33*complexconjugate(Ye11)*complexconjugate(ZE22))', 
	 order = {'QED':1} ) 
 
GC_1117 = Coupling(name = 'GC_1117',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*complexconjugate(ZE22)*complexconjugate(ZN31)) - Ye11*complexconjugate(ZE21)*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1118 = Coupling(name = 'GC_1118',
	 value = '1*complex(0,1)*((g1*ZN41*complexconjugate(ZE11))/cmath.sqrt(2) + (g2*ZN42*complexconjugate(ZE11))/cmath.sqrt(2) - ZN43*complexconjugate(Ye11)*complexconjugate(ZE12))', 
	 order = {'QED':1} ) 
 
GC_1119 = Coupling(name = 'GC_1119',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*complexconjugate(ZE12)*complexconjugate(ZN41)) - Ye11*complexconjugate(ZE11)*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1120 = Coupling(name = 'GC_1120',
	 value = '1*complex(0,1)*((g1*ZN41*complexconjugate(ZE21))/cmath.sqrt(2) + (g2*ZN42*complexconjugate(ZE21))/cmath.sqrt(2) - ZN43*complexconjugate(Ye11)*complexconjugate(ZE22))', 
	 order = {'QED':1} ) 
 
GC_1121 = Coupling(name = 'GC_1121',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*complexconjugate(ZE22)*complexconjugate(ZN41)) - Ye11*complexconjugate(ZE21)*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1122 = Coupling(name = 'GC_1122',
	 value = '1*complex(0,1)*((g1*ZN11*complexconjugate(ZM11))/cmath.sqrt(2) + (g2*ZN12*complexconjugate(ZM11))/cmath.sqrt(2) - ZN13*complexconjugate(Ye22)*complexconjugate(ZM12))', 
	 order = {'QED':1} ) 
 
GC_1123 = Coupling(name = 'GC_1123',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*complexconjugate(ZM12)*complexconjugate(ZN11)) - Ye22*complexconjugate(ZM11)*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1124 = Coupling(name = 'GC_1124',
	 value = '1*complex(0,1)*((g1*ZN11*complexconjugate(ZM21))/cmath.sqrt(2) + (g2*ZN12*complexconjugate(ZM21))/cmath.sqrt(2) - ZN13*complexconjugate(Ye22)*complexconjugate(ZM22))', 
	 order = {'QED':1} ) 
 
GC_1125 = Coupling(name = 'GC_1125',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*complexconjugate(ZM22)*complexconjugate(ZN11)) - Ye22*complexconjugate(ZM21)*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1126 = Coupling(name = 'GC_1126',
	 value = '1*complex(0,1)*((g1*ZN21*complexconjugate(ZM11))/cmath.sqrt(2) + (g2*ZN22*complexconjugate(ZM11))/cmath.sqrt(2) - ZN23*complexconjugate(Ye22)*complexconjugate(ZM12))', 
	 order = {'QED':1} ) 
 
GC_1127 = Coupling(name = 'GC_1127',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*complexconjugate(ZM12)*complexconjugate(ZN21)) - Ye22*complexconjugate(ZM11)*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1128 = Coupling(name = 'GC_1128',
	 value = '1*complex(0,1)*((g1*ZN21*complexconjugate(ZM21))/cmath.sqrt(2) + (g2*ZN22*complexconjugate(ZM21))/cmath.sqrt(2) - ZN23*complexconjugate(Ye22)*complexconjugate(ZM22))', 
	 order = {'QED':1} ) 
 
GC_1129 = Coupling(name = 'GC_1129',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*complexconjugate(ZM22)*complexconjugate(ZN21)) - Ye22*complexconjugate(ZM21)*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1130 = Coupling(name = 'GC_1130',
	 value = '1*complex(0,1)*((g1*ZN31*complexconjugate(ZM11))/cmath.sqrt(2) + (g2*ZN32*complexconjugate(ZM11))/cmath.sqrt(2) - ZN33*complexconjugate(Ye22)*complexconjugate(ZM12))', 
	 order = {'QED':1} ) 
 
GC_1131 = Coupling(name = 'GC_1131',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*complexconjugate(ZM12)*complexconjugate(ZN31)) - Ye22*complexconjugate(ZM11)*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1132 = Coupling(name = 'GC_1132',
	 value = '1*complex(0,1)*((g1*ZN31*complexconjugate(ZM21))/cmath.sqrt(2) + (g2*ZN32*complexconjugate(ZM21))/cmath.sqrt(2) - ZN33*complexconjugate(Ye22)*complexconjugate(ZM22))', 
	 order = {'QED':1} ) 
 
GC_1133 = Coupling(name = 'GC_1133',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*complexconjugate(ZM22)*complexconjugate(ZN31)) - Ye22*complexconjugate(ZM21)*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1134 = Coupling(name = 'GC_1134',
	 value = '1*complex(0,1)*((g1*ZN41*complexconjugate(ZM11))/cmath.sqrt(2) + (g2*ZN42*complexconjugate(ZM11))/cmath.sqrt(2) - ZN43*complexconjugate(Ye22)*complexconjugate(ZM12))', 
	 order = {'QED':1} ) 
 
GC_1135 = Coupling(name = 'GC_1135',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*complexconjugate(ZM12)*complexconjugate(ZN41)) - Ye22*complexconjugate(ZM11)*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1136 = Coupling(name = 'GC_1136',
	 value = '1*complex(0,1)*((g1*ZN41*complexconjugate(ZM21))/cmath.sqrt(2) + (g2*ZN42*complexconjugate(ZM21))/cmath.sqrt(2) - ZN43*complexconjugate(Ye22)*complexconjugate(ZM22))', 
	 order = {'QED':1} ) 
 
GC_1137 = Coupling(name = 'GC_1137',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*complexconjugate(ZM22)*complexconjugate(ZN41)) - Ye22*complexconjugate(ZM21)*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1138 = Coupling(name = 'GC_1138',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN11*complexconjugate(ZS11) - 3*cmath.sqrt(2)*g2*ZN12*complexconjugate(ZS11) + 6*ZN13*complexconjugate(Yd22)*complexconjugate(ZS12))', 
	 order = {'QED':1} ) 
 
GC_1139 = Coupling(name = 'GC_1139',
	 value = '-1./3.*complex(0,1)*(3*Yd22*complexconjugate(ZN13)*complexconjugate(ZS11) + cmath.sqrt(2)*g1*complexconjugate(ZN11)*complexconjugate(ZS12))', 
	 order = {'QED':1} ) 
 
GC_1140 = Coupling(name = 'GC_1140',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN11*complexconjugate(ZS21) - 3*cmath.sqrt(2)*g2*ZN12*complexconjugate(ZS21) + 6*ZN13*complexconjugate(Yd22)*complexconjugate(ZS22))', 
	 order = {'QED':1} ) 
 
GC_1141 = Coupling(name = 'GC_1141',
	 value = '-1./3.*complex(0,1)*(3*Yd22*complexconjugate(ZN13)*complexconjugate(ZS21) + cmath.sqrt(2)*g1*complexconjugate(ZN11)*complexconjugate(ZS22))', 
	 order = {'QED':1} ) 
 
GC_1142 = Coupling(name = 'GC_1142',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN21*complexconjugate(ZS11) - 3*cmath.sqrt(2)*g2*ZN22*complexconjugate(ZS11) + 6*ZN23*complexconjugate(Yd22)*complexconjugate(ZS12))', 
	 order = {'QED':1} ) 
 
GC_1143 = Coupling(name = 'GC_1143',
	 value = '-1./3.*complex(0,1)*(3*Yd22*complexconjugate(ZN23)*complexconjugate(ZS11) + cmath.sqrt(2)*g1*complexconjugate(ZN21)*complexconjugate(ZS12))', 
	 order = {'QED':1} ) 
 
GC_1144 = Coupling(name = 'GC_1144',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN21*complexconjugate(ZS21) - 3*cmath.sqrt(2)*g2*ZN22*complexconjugate(ZS21) + 6*ZN23*complexconjugate(Yd22)*complexconjugate(ZS22))', 
	 order = {'QED':1} ) 
 
GC_1145 = Coupling(name = 'GC_1145',
	 value = '-1./3.*complex(0,1)*(3*Yd22*complexconjugate(ZN23)*complexconjugate(ZS21) + cmath.sqrt(2)*g1*complexconjugate(ZN21)*complexconjugate(ZS22))', 
	 order = {'QED':1} ) 
 
GC_1146 = Coupling(name = 'GC_1146',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN31*complexconjugate(ZS11) - 3*cmath.sqrt(2)*g2*ZN32*complexconjugate(ZS11) + 6*ZN33*complexconjugate(Yd22)*complexconjugate(ZS12))', 
	 order = {'QED':1} ) 
 
GC_1147 = Coupling(name = 'GC_1147',
	 value = '-1./3.*complex(0,1)*(3*Yd22*complexconjugate(ZN33)*complexconjugate(ZS11) + cmath.sqrt(2)*g1*complexconjugate(ZN31)*complexconjugate(ZS12))', 
	 order = {'QED':1} ) 
 
GC_1148 = Coupling(name = 'GC_1148',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN31*complexconjugate(ZS21) - 3*cmath.sqrt(2)*g2*ZN32*complexconjugate(ZS21) + 6*ZN33*complexconjugate(Yd22)*complexconjugate(ZS22))', 
	 order = {'QED':1} ) 
 
GC_1149 = Coupling(name = 'GC_1149',
	 value = '-1./3.*complex(0,1)*(3*Yd22*complexconjugate(ZN33)*complexconjugate(ZS21) + cmath.sqrt(2)*g1*complexconjugate(ZN31)*complexconjugate(ZS22))', 
	 order = {'QED':1} ) 
 
GC_1150 = Coupling(name = 'GC_1150',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN41*complexconjugate(ZS11) - 3*cmath.sqrt(2)*g2*ZN42*complexconjugate(ZS11) + 6*ZN43*complexconjugate(Yd22)*complexconjugate(ZS12))', 
	 order = {'QED':1} ) 
 
GC_1151 = Coupling(name = 'GC_1151',
	 value = '-1./3.*complex(0,1)*(3*Yd22*complexconjugate(ZN43)*complexconjugate(ZS11) + cmath.sqrt(2)*g1*complexconjugate(ZN41)*complexconjugate(ZS12))', 
	 order = {'QED':1} ) 
 
GC_1152 = Coupling(name = 'GC_1152',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN41*complexconjugate(ZS21) - 3*cmath.sqrt(2)*g2*ZN42*complexconjugate(ZS21) + 6*ZN43*complexconjugate(Yd22)*complexconjugate(ZS22))', 
	 order = {'QED':1} ) 
 
GC_1153 = Coupling(name = 'GC_1153',
	 value = '-1./3.*complex(0,1)*(3*Yd22*complexconjugate(ZN43)*complexconjugate(ZS21) + cmath.sqrt(2)*g1*complexconjugate(ZN41)*complexconjugate(ZS22))', 
	 order = {'QED':1} ) 
 
GC_1154 = Coupling(name = 'GC_1154',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN11*complexconjugate(ZT11) + 3*cmath.sqrt(2)*g2*ZN12*complexconjugate(ZT11) + 6*ZN14*complexconjugate(Yu33)*complexconjugate(ZT12))', 
	 order = {'QED':1} ) 
 
GC_1155 = Coupling(name = 'GC_1155',
	 value = '1./3.*complex(0,1)*(-3*Yu33*complexconjugate(ZN14)*complexconjugate(ZT11) + 2*cmath.sqrt(2)*g1*complexconjugate(ZN11)*complexconjugate(ZT12))', 
	 order = {'QED':1} ) 
 
GC_1156 = Coupling(name = 'GC_1156',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN11*complexconjugate(ZT21) + 3*cmath.sqrt(2)*g2*ZN12*complexconjugate(ZT21) + 6*ZN14*complexconjugate(Yu33)*complexconjugate(ZT22))', 
	 order = {'QED':1} ) 
 
GC_1157 = Coupling(name = 'GC_1157',
	 value = '1./3.*complex(0,1)*(-3*Yu33*complexconjugate(ZN14)*complexconjugate(ZT21) + 2*cmath.sqrt(2)*g1*complexconjugate(ZN11)*complexconjugate(ZT22))', 
	 order = {'QED':1} ) 
 
GC_1158 = Coupling(name = 'GC_1158',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN21*complexconjugate(ZT11) + 3*cmath.sqrt(2)*g2*ZN22*complexconjugate(ZT11) + 6*ZN24*complexconjugate(Yu33)*complexconjugate(ZT12))', 
	 order = {'QED':1} ) 
 
GC_1159 = Coupling(name = 'GC_1159',
	 value = '1./3.*complex(0,1)*(-3*Yu33*complexconjugate(ZN24)*complexconjugate(ZT11) + 2*cmath.sqrt(2)*g1*complexconjugate(ZN21)*complexconjugate(ZT12))', 
	 order = {'QED':1} ) 
 
GC_1160 = Coupling(name = 'GC_1160',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN21*complexconjugate(ZT21) + 3*cmath.sqrt(2)*g2*ZN22*complexconjugate(ZT21) + 6*ZN24*complexconjugate(Yu33)*complexconjugate(ZT22))', 
	 order = {'QED':1} ) 
 
GC_1161 = Coupling(name = 'GC_1161',
	 value = '1./3.*complex(0,1)*(-3*Yu33*complexconjugate(ZN24)*complexconjugate(ZT21) + 2*cmath.sqrt(2)*g1*complexconjugate(ZN21)*complexconjugate(ZT22))', 
	 order = {'QED':1} ) 
 
GC_1162 = Coupling(name = 'GC_1162',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN31*complexconjugate(ZT11) + 3*cmath.sqrt(2)*g2*ZN32*complexconjugate(ZT11) + 6*ZN34*complexconjugate(Yu33)*complexconjugate(ZT12))', 
	 order = {'QED':1} ) 
 
GC_1163 = Coupling(name = 'GC_1163',
	 value = '1./3.*complex(0,1)*(-3*Yu33*complexconjugate(ZN34)*complexconjugate(ZT11) + 2*cmath.sqrt(2)*g1*complexconjugate(ZN31)*complexconjugate(ZT12))', 
	 order = {'QED':1} ) 
 
GC_1164 = Coupling(name = 'GC_1164',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN31*complexconjugate(ZT21) + 3*cmath.sqrt(2)*g2*ZN32*complexconjugate(ZT21) + 6*ZN34*complexconjugate(Yu33)*complexconjugate(ZT22))', 
	 order = {'QED':1} ) 
 
GC_1165 = Coupling(name = 'GC_1165',
	 value = '1./3.*complex(0,1)*(-3*Yu33*complexconjugate(ZN34)*complexconjugate(ZT21) + 2*cmath.sqrt(2)*g1*complexconjugate(ZN31)*complexconjugate(ZT22))', 
	 order = {'QED':1} ) 
 
GC_1166 = Coupling(name = 'GC_1166',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN41*complexconjugate(ZT11) + 3*cmath.sqrt(2)*g2*ZN42*complexconjugate(ZT11) + 6*ZN44*complexconjugate(Yu33)*complexconjugate(ZT12))', 
	 order = {'QED':1} ) 
 
GC_1167 = Coupling(name = 'GC_1167',
	 value = '1./3.*complex(0,1)*(-3*Yu33*complexconjugate(ZN44)*complexconjugate(ZT11) + 2*cmath.sqrt(2)*g1*complexconjugate(ZN41)*complexconjugate(ZT12))', 
	 order = {'QED':1} ) 
 
GC_1168 = Coupling(name = 'GC_1168',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN41*complexconjugate(ZT21) + 3*cmath.sqrt(2)*g2*ZN42*complexconjugate(ZT21) + 6*ZN44*complexconjugate(Yu33)*complexconjugate(ZT22))', 
	 order = {'QED':1} ) 
 
GC_1169 = Coupling(name = 'GC_1169',
	 value = '1./3.*complex(0,1)*(-3*Yu33*complexconjugate(ZN44)*complexconjugate(ZT21) + 2*cmath.sqrt(2)*g1*complexconjugate(ZN41)*complexconjugate(ZT22))', 
	 order = {'QED':1} ) 
 
GC_1170 = Coupling(name = 'GC_1170',
	 value = '1*complex(0,1)*((g1*ZN11*complexconjugate(ZTau11))/cmath.sqrt(2) + (g2*ZN12*complexconjugate(ZTau11))/cmath.sqrt(2) - ZN13*complexconjugate(Ye33)*complexconjugate(ZTau12))', 
	 order = {'QED':1} ) 
 
GC_1171 = Coupling(name = 'GC_1171',
	 value = '1*complex(0,1)*(-(Ye33*complexconjugate(ZN13)*complexconjugate(ZTau11)) - cmath.sqrt(2)*g1*complexconjugate(ZN11)*complexconjugate(ZTau12))', 
	 order = {'QED':1} ) 
 
GC_1172 = Coupling(name = 'GC_1172',
	 value = '1*complex(0,1)*((g1*ZN11*complexconjugate(ZTau21))/cmath.sqrt(2) + (g2*ZN12*complexconjugate(ZTau21))/cmath.sqrt(2) - ZN13*complexconjugate(Ye33)*complexconjugate(ZTau22))', 
	 order = {'QED':1} ) 
 
GC_1173 = Coupling(name = 'GC_1173',
	 value = '1*complex(0,1)*(-(Ye33*complexconjugate(ZN13)*complexconjugate(ZTau21)) - cmath.sqrt(2)*g1*complexconjugate(ZN11)*complexconjugate(ZTau22))', 
	 order = {'QED':1} ) 
 
GC_1174 = Coupling(name = 'GC_1174',
	 value = '1*complex(0,1)*((g1*ZN21*complexconjugate(ZTau11))/cmath.sqrt(2) + (g2*ZN22*complexconjugate(ZTau11))/cmath.sqrt(2) - ZN23*complexconjugate(Ye33)*complexconjugate(ZTau12))', 
	 order = {'QED':1} ) 
 
GC_1175 = Coupling(name = 'GC_1175',
	 value = '1*complex(0,1)*(-(Ye33*complexconjugate(ZN23)*complexconjugate(ZTau11)) - cmath.sqrt(2)*g1*complexconjugate(ZN21)*complexconjugate(ZTau12))', 
	 order = {'QED':1} ) 
 
GC_1176 = Coupling(name = 'GC_1176',
	 value = '1*complex(0,1)*((g1*ZN21*complexconjugate(ZTau21))/cmath.sqrt(2) + (g2*ZN22*complexconjugate(ZTau21))/cmath.sqrt(2) - ZN23*complexconjugate(Ye33)*complexconjugate(ZTau22))', 
	 order = {'QED':1} ) 
 
GC_1177 = Coupling(name = 'GC_1177',
	 value = '1*complex(0,1)*(-(Ye33*complexconjugate(ZN23)*complexconjugate(ZTau21)) - cmath.sqrt(2)*g1*complexconjugate(ZN21)*complexconjugate(ZTau22))', 
	 order = {'QED':1} ) 
 
GC_1178 = Coupling(name = 'GC_1178',
	 value = '1*complex(0,1)*((g1*ZN31*complexconjugate(ZTau11))/cmath.sqrt(2) + (g2*ZN32*complexconjugate(ZTau11))/cmath.sqrt(2) - ZN33*complexconjugate(Ye33)*complexconjugate(ZTau12))', 
	 order = {'QED':1} ) 
 
GC_1179 = Coupling(name = 'GC_1179',
	 value = '1*complex(0,1)*(-(Ye33*complexconjugate(ZN33)*complexconjugate(ZTau11)) - cmath.sqrt(2)*g1*complexconjugate(ZN31)*complexconjugate(ZTau12))', 
	 order = {'QED':1} ) 
 
GC_1180 = Coupling(name = 'GC_1180',
	 value = '1*complex(0,1)*((g1*ZN31*complexconjugate(ZTau21))/cmath.sqrt(2) + (g2*ZN32*complexconjugate(ZTau21))/cmath.sqrt(2) - ZN33*complexconjugate(Ye33)*complexconjugate(ZTau22))', 
	 order = {'QED':1} ) 
 
GC_1181 = Coupling(name = 'GC_1181',
	 value = '1*complex(0,1)*(-(Ye33*complexconjugate(ZN33)*complexconjugate(ZTau21)) - cmath.sqrt(2)*g1*complexconjugate(ZN31)*complexconjugate(ZTau22))', 
	 order = {'QED':1} ) 
 
GC_1182 = Coupling(name = 'GC_1182',
	 value = '1*complex(0,1)*((g1*ZN41*complexconjugate(ZTau11))/cmath.sqrt(2) + (g2*ZN42*complexconjugate(ZTau11))/cmath.sqrt(2) - ZN43*complexconjugate(Ye33)*complexconjugate(ZTau12))', 
	 order = {'QED':1} ) 
 
GC_1183 = Coupling(name = 'GC_1183',
	 value = '1*complex(0,1)*(-(Ye33*complexconjugate(ZN43)*complexconjugate(ZTau11)) - cmath.sqrt(2)*g1*complexconjugate(ZN41)*complexconjugate(ZTau12))', 
	 order = {'QED':1} ) 
 
GC_1184 = Coupling(name = 'GC_1184',
	 value = '1*complex(0,1)*((g1*ZN41*complexconjugate(ZTau21))/cmath.sqrt(2) + (g2*ZN42*complexconjugate(ZTau21))/cmath.sqrt(2) - ZN43*complexconjugate(Ye33)*complexconjugate(ZTau22))', 
	 order = {'QED':1} ) 
 
GC_1185 = Coupling(name = 'GC_1185',
	 value = '1*complex(0,1)*(-(Ye33*complexconjugate(ZN43)*complexconjugate(ZTau21)) - cmath.sqrt(2)*g1*complexconjugate(ZN41)*complexconjugate(ZTau22))', 
	 order = {'QED':1} ) 
 
GC_1186 = Coupling(name = 'GC_1186',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN11*complexconjugate(ZU11) + 3*cmath.sqrt(2)*g2*ZN12*complexconjugate(ZU11) + 6*ZN14*complexconjugate(Yu11)*complexconjugate(ZU12))', 
	 order = {'QED':1} ) 
 
GC_1187 = Coupling(name = 'GC_1187',
	 value = '1./3.*complex(0,1)*(-3*Yu11*complexconjugate(ZN14)*complexconjugate(ZU11) + 2*cmath.sqrt(2)*g1*complexconjugate(ZN11)*complexconjugate(ZU12))', 
	 order = {'QED':1} ) 
 
GC_1188 = Coupling(name = 'GC_1188',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN11*complexconjugate(ZU21) + 3*cmath.sqrt(2)*g2*ZN12*complexconjugate(ZU21) + 6*ZN14*complexconjugate(Yu11)*complexconjugate(ZU22))', 
	 order = {'QED':1} ) 
 
GC_1189 = Coupling(name = 'GC_1189',
	 value = '1./3.*complex(0,1)*(-3*Yu11*complexconjugate(ZN14)*complexconjugate(ZU21) + 2*cmath.sqrt(2)*g1*complexconjugate(ZN11)*complexconjugate(ZU22))', 
	 order = {'QED':1} ) 
 
GC_1190 = Coupling(name = 'GC_1190',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN21*complexconjugate(ZU11) + 3*cmath.sqrt(2)*g2*ZN22*complexconjugate(ZU11) + 6*ZN24*complexconjugate(Yu11)*complexconjugate(ZU12))', 
	 order = {'QED':1} ) 
 
GC_1191 = Coupling(name = 'GC_1191',
	 value = '1./3.*complex(0,1)*(-3*Yu11*complexconjugate(ZN24)*complexconjugate(ZU11) + 2*cmath.sqrt(2)*g1*complexconjugate(ZN21)*complexconjugate(ZU12))', 
	 order = {'QED':1} ) 
 
GC_1192 = Coupling(name = 'GC_1192',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN21*complexconjugate(ZU21) + 3*cmath.sqrt(2)*g2*ZN22*complexconjugate(ZU21) + 6*ZN24*complexconjugate(Yu11)*complexconjugate(ZU22))', 
	 order = {'QED':1} ) 
 
GC_1193 = Coupling(name = 'GC_1193',
	 value = '1./3.*complex(0,1)*(-3*Yu11*complexconjugate(ZN24)*complexconjugate(ZU21) + 2*cmath.sqrt(2)*g1*complexconjugate(ZN21)*complexconjugate(ZU22))', 
	 order = {'QED':1} ) 
 
GC_1194 = Coupling(name = 'GC_1194',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN31*complexconjugate(ZU11) + 3*cmath.sqrt(2)*g2*ZN32*complexconjugate(ZU11) + 6*ZN34*complexconjugate(Yu11)*complexconjugate(ZU12))', 
	 order = {'QED':1} ) 
 
GC_1195 = Coupling(name = 'GC_1195',
	 value = '1./3.*complex(0,1)*(-3*Yu11*complexconjugate(ZN34)*complexconjugate(ZU11) + 2*cmath.sqrt(2)*g1*complexconjugate(ZN31)*complexconjugate(ZU12))', 
	 order = {'QED':1} ) 
 
GC_1196 = Coupling(name = 'GC_1196',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN31*complexconjugate(ZU21) + 3*cmath.sqrt(2)*g2*ZN32*complexconjugate(ZU21) + 6*ZN34*complexconjugate(Yu11)*complexconjugate(ZU22))', 
	 order = {'QED':1} ) 
 
GC_1197 = Coupling(name = 'GC_1197',
	 value = '1./3.*complex(0,1)*(-3*Yu11*complexconjugate(ZN34)*complexconjugate(ZU21) + 2*cmath.sqrt(2)*g1*complexconjugate(ZN31)*complexconjugate(ZU22))', 
	 order = {'QED':1} ) 
 
GC_1198 = Coupling(name = 'GC_1198',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN41*complexconjugate(ZU11) + 3*cmath.sqrt(2)*g2*ZN42*complexconjugate(ZU11) + 6*ZN44*complexconjugate(Yu11)*complexconjugate(ZU12))', 
	 order = {'QED':1} ) 
 
GC_1199 = Coupling(name = 'GC_1199',
	 value = '1./3.*complex(0,1)*(-3*Yu11*complexconjugate(ZN44)*complexconjugate(ZU11) + 2*cmath.sqrt(2)*g1*complexconjugate(ZN41)*complexconjugate(ZU12))', 
	 order = {'QED':1} ) 
 
GC_1200 = Coupling(name = 'GC_1200',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*g1*ZN41*complexconjugate(ZU21) + 3*cmath.sqrt(2)*g2*ZN42*complexconjugate(ZU21) + 6*ZN44*complexconjugate(Yu11)*complexconjugate(ZU22))', 
	 order = {'QED':1} ) 
 
GC_1201 = Coupling(name = 'GC_1201',
	 value = '1./3.*complex(0,1)*(-3*Yu11*complexconjugate(ZN44)*complexconjugate(ZU21) + 2*cmath.sqrt(2)*g1*complexconjugate(ZN41)*complexconjugate(ZU22))', 
	 order = {'QED':1} ) 
 
GC_1202 = Coupling(name = 'GC_1202',
	 value = '(1*complex(0,1)*(g1*ZN11 - g2*ZN12))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1203 = Coupling(name = 'GC_1203',
	 value = '(1*complex(0,1)*(g1*ZN21 - g2*ZN22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1204 = Coupling(name = 'GC_1204',
	 value = '(1*complex(0,1)*(g1*ZN31 - g2*ZN32))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1205 = Coupling(name = 'GC_1205',
	 value = '(1*complex(0,1)*(g1*ZN41 - g2*ZN42))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1206 = Coupling(name = 'GC_1206',
	 value = '(1*complex(0,1)*(g1*ZN11 - g2*ZN12))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1207 = Coupling(name = 'GC_1207',
	 value = '(1*complex(0,1)*(g1*ZN21 - g2*ZN22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1208 = Coupling(name = 'GC_1208',
	 value = '(1*complex(0,1)*(g1*ZN31 - g2*ZN32))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1209 = Coupling(name = 'GC_1209',
	 value = '(1*complex(0,1)*(g1*ZN41 - g2*ZN42))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1210 = Coupling(name = 'GC_1210',
	 value = '(1*complex(0,1)*(g1*ZN11 - g2*ZN12))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1211 = Coupling(name = 'GC_1211',
	 value = '(1*complex(0,1)*(g1*ZN21 - g2*ZN22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1212 = Coupling(name = 'GC_1212',
	 value = '(1*complex(0,1)*(g1*ZN31 - g2*ZN32))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1213 = Coupling(name = 'GC_1213',
	 value = '(1*complex(0,1)*(g1*ZN41 - g2*ZN42))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1214 = Coupling(name = 'GC_1214',
	 value = '-1./2.*complex(0,1)*(cmath.sqrt(2)*UP12*(g1*ZN11 + g2*ZN12) + 2*g2*UP11*ZN14)*ZP12', 
	 order = {'QED':1} ) 
 
GC_1215 = Coupling(name = 'GC_1215',
	 value = '1./2.*complex(0,1)*ZP11*(cmath.sqrt(2)*complexconjugate(UM12)*(g1*complexconjugate(ZN11) + g2*complexconjugate(ZN12)) - 2*g2*complexconjugate(UM11)*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1216 = Coupling(name = 'GC_1216',
	 value = '-1./2.*complex(0,1)*(cmath.sqrt(2)*UP12*(g1*ZN11 + g2*ZN12) + 2*g2*UP11*ZN14)*ZP22', 
	 order = {'QED':1} ) 
 
GC_1217 = Coupling(name = 'GC_1217',
	 value = '1./2.*complex(0,1)*ZP21*(cmath.sqrt(2)*complexconjugate(UM12)*(g1*complexconjugate(ZN11) + g2*complexconjugate(ZN12)) - 2*g2*complexconjugate(UM11)*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1218 = Coupling(name = 'GC_1218',
	 value = '-1./2.*complex(0,1)*(cmath.sqrt(2)*UP12*(g1*ZN21 + g2*ZN22) + 2*g2*UP11*ZN24)*ZP12', 
	 order = {'QED':1} ) 
 
GC_1219 = Coupling(name = 'GC_1219',
	 value = '1./2.*complex(0,1)*ZP11*(cmath.sqrt(2)*complexconjugate(UM12)*(g1*complexconjugate(ZN21) + g2*complexconjugate(ZN22)) - 2*g2*complexconjugate(UM11)*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1220 = Coupling(name = 'GC_1220',
	 value = '-1./2.*complex(0,1)*(cmath.sqrt(2)*UP12*(g1*ZN21 + g2*ZN22) + 2*g2*UP11*ZN24)*ZP22', 
	 order = {'QED':1} ) 
 
GC_1221 = Coupling(name = 'GC_1221',
	 value = '1./2.*complex(0,1)*ZP21*(cmath.sqrt(2)*complexconjugate(UM12)*(g1*complexconjugate(ZN21) + g2*complexconjugate(ZN22)) - 2*g2*complexconjugate(UM11)*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1222 = Coupling(name = 'GC_1222',
	 value = '-1./2.*complex(0,1)*(cmath.sqrt(2)*UP12*(g1*ZN31 + g2*ZN32) + 2*g2*UP11*ZN34)*ZP12', 
	 order = {'QED':1} ) 
 
GC_1223 = Coupling(name = 'GC_1223',
	 value = '1./2.*complex(0,1)*ZP11*(cmath.sqrt(2)*complexconjugate(UM12)*(g1*complexconjugate(ZN31) + g2*complexconjugate(ZN32)) - 2*g2*complexconjugate(UM11)*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1224 = Coupling(name = 'GC_1224',
	 value = '-1./2.*complex(0,1)*(cmath.sqrt(2)*UP12*(g1*ZN31 + g2*ZN32) + 2*g2*UP11*ZN34)*ZP22', 
	 order = {'QED':1} ) 
 
GC_1225 = Coupling(name = 'GC_1225',
	 value = '1./2.*complex(0,1)*ZP21*(cmath.sqrt(2)*complexconjugate(UM12)*(g1*complexconjugate(ZN31) + g2*complexconjugate(ZN32)) - 2*g2*complexconjugate(UM11)*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1226 = Coupling(name = 'GC_1226',
	 value = '-1./2.*complex(0,1)*(cmath.sqrt(2)*UP12*(g1*ZN41 + g2*ZN42) + 2*g2*UP11*ZN44)*ZP12', 
	 order = {'QED':1} ) 
 
GC_1227 = Coupling(name = 'GC_1227',
	 value = '1./2.*complex(0,1)*ZP11*(cmath.sqrt(2)*complexconjugate(UM12)*(g1*complexconjugate(ZN41) + g2*complexconjugate(ZN42)) - 2*g2*complexconjugate(UM11)*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1228 = Coupling(name = 'GC_1228',
	 value = '-1./2.*complex(0,1)*(cmath.sqrt(2)*UP12*(g1*ZN41 + g2*ZN42) + 2*g2*UP11*ZN44)*ZP22', 
	 order = {'QED':1} ) 
 
GC_1229 = Coupling(name = 'GC_1229',
	 value = '1./2.*complex(0,1)*ZP21*(cmath.sqrt(2)*complexconjugate(UM12)*(g1*complexconjugate(ZN41) + g2*complexconjugate(ZN42)) - 2*g2*complexconjugate(UM11)*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1230 = Coupling(name = 'GC_1230',
	 value = '-1./2.*complex(0,1)*(cmath.sqrt(2)*UP22*(g1*ZN11 + g2*ZN12) + 2*g2*UP21*ZN14)*ZP12', 
	 order = {'QED':1} ) 
 
GC_1231 = Coupling(name = 'GC_1231',
	 value = '1./2.*complex(0,1)*ZP11*(cmath.sqrt(2)*complexconjugate(UM22)*(g1*complexconjugate(ZN11) + g2*complexconjugate(ZN12)) - 2*g2*complexconjugate(UM21)*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1232 = Coupling(name = 'GC_1232',
	 value = '-1./2.*complex(0,1)*(cmath.sqrt(2)*UP22*(g1*ZN11 + g2*ZN12) + 2*g2*UP21*ZN14)*ZP22', 
	 order = {'QED':1} ) 
 
GC_1233 = Coupling(name = 'GC_1233',
	 value = '1./2.*complex(0,1)*ZP21*(cmath.sqrt(2)*complexconjugate(UM22)*(g1*complexconjugate(ZN11) + g2*complexconjugate(ZN12)) - 2*g2*complexconjugate(UM21)*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1234 = Coupling(name = 'GC_1234',
	 value = '-1./2.*complex(0,1)*(cmath.sqrt(2)*UP22*(g1*ZN21 + g2*ZN22) + 2*g2*UP21*ZN24)*ZP12', 
	 order = {'QED':1} ) 
 
GC_1235 = Coupling(name = 'GC_1235',
	 value = '1./2.*complex(0,1)*ZP11*(cmath.sqrt(2)*complexconjugate(UM22)*(g1*complexconjugate(ZN21) + g2*complexconjugate(ZN22)) - 2*g2*complexconjugate(UM21)*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1236 = Coupling(name = 'GC_1236',
	 value = '-1./2.*complex(0,1)*(cmath.sqrt(2)*UP22*(g1*ZN21 + g2*ZN22) + 2*g2*UP21*ZN24)*ZP22', 
	 order = {'QED':1} ) 
 
GC_1237 = Coupling(name = 'GC_1237',
	 value = '1./2.*complex(0,1)*ZP21*(cmath.sqrt(2)*complexconjugate(UM22)*(g1*complexconjugate(ZN21) + g2*complexconjugate(ZN22)) - 2*g2*complexconjugate(UM21)*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1238 = Coupling(name = 'GC_1238',
	 value = '-1./2.*complex(0,1)*(cmath.sqrt(2)*UP22*(g1*ZN31 + g2*ZN32) + 2*g2*UP21*ZN34)*ZP12', 
	 order = {'QED':1} ) 
 
GC_1239 = Coupling(name = 'GC_1239',
	 value = '1./2.*complex(0,1)*ZP11*(cmath.sqrt(2)*complexconjugate(UM22)*(g1*complexconjugate(ZN31) + g2*complexconjugate(ZN32)) - 2*g2*complexconjugate(UM21)*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1240 = Coupling(name = 'GC_1240',
	 value = '-1./2.*complex(0,1)*(cmath.sqrt(2)*UP22*(g1*ZN31 + g2*ZN32) + 2*g2*UP21*ZN34)*ZP22', 
	 order = {'QED':1} ) 
 
GC_1241 = Coupling(name = 'GC_1241',
	 value = '1./2.*complex(0,1)*ZP21*(cmath.sqrt(2)*complexconjugate(UM22)*(g1*complexconjugate(ZN31) + g2*complexconjugate(ZN32)) - 2*g2*complexconjugate(UM21)*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1242 = Coupling(name = 'GC_1242',
	 value = '-1./2.*complex(0,1)*(cmath.sqrt(2)*UP22*(g1*ZN41 + g2*ZN42) + 2*g2*UP21*ZN44)*ZP12', 
	 order = {'QED':1} ) 
 
GC_1243 = Coupling(name = 'GC_1243',
	 value = '1./2.*complex(0,1)*ZP11*(cmath.sqrt(2)*complexconjugate(UM22)*(g1*complexconjugate(ZN41) + g2*complexconjugate(ZN42)) - 2*g2*complexconjugate(UM21)*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1244 = Coupling(name = 'GC_1244',
	 value = '-1./2.*complex(0,1)*(cmath.sqrt(2)*UP22*(g1*ZN41 + g2*ZN42) + 2*g2*UP21*ZN44)*ZP22', 
	 order = {'QED':1} ) 
 
GC_1245 = Coupling(name = 'GC_1245',
	 value = '1./2.*complex(0,1)*ZP21*(cmath.sqrt(2)*complexconjugate(UM22)*(g1*complexconjugate(ZN41) + g2*complexconjugate(ZN42)) - 2*g2*complexconjugate(UM21)*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1246 = Coupling(name = 'GC_1246',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZB12*ZN11 + 3*ZB11*ZN13*complexconjugate(Yd33))', 
	 order = {'QED':1} ) 
 
GC_1247 = Coupling(name = 'GC_1247',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZB11*(g1*complexconjugate(ZN11) - 3*g2*complexconjugate(ZN12)) + 6*Yd33*ZB12*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1248 = Coupling(name = 'GC_1248',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZB22*ZN11 + 3*ZB21*ZN13*complexconjugate(Yd33))', 
	 order = {'QED':1} ) 
 
GC_1249 = Coupling(name = 'GC_1249',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZB21*(g1*complexconjugate(ZN11) - 3*g2*complexconjugate(ZN12)) + 6*Yd33*ZB22*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1250 = Coupling(name = 'GC_1250',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZB12*ZN21 + 3*ZB11*ZN23*complexconjugate(Yd33))', 
	 order = {'QED':1} ) 
 
GC_1251 = Coupling(name = 'GC_1251',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZB11*(g1*complexconjugate(ZN21) - 3*g2*complexconjugate(ZN22)) + 6*Yd33*ZB12*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1252 = Coupling(name = 'GC_1252',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZB22*ZN21 + 3*ZB21*ZN23*complexconjugate(Yd33))', 
	 order = {'QED':1} ) 
 
GC_1253 = Coupling(name = 'GC_1253',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZB21*(g1*complexconjugate(ZN21) - 3*g2*complexconjugate(ZN22)) + 6*Yd33*ZB22*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1254 = Coupling(name = 'GC_1254',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZB12*ZN31 + 3*ZB11*ZN33*complexconjugate(Yd33))', 
	 order = {'QED':1} ) 
 
GC_1255 = Coupling(name = 'GC_1255',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZB11*(g1*complexconjugate(ZN31) - 3*g2*complexconjugate(ZN32)) + 6*Yd33*ZB12*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1256 = Coupling(name = 'GC_1256',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZB22*ZN31 + 3*ZB21*ZN33*complexconjugate(Yd33))', 
	 order = {'QED':1} ) 
 
GC_1257 = Coupling(name = 'GC_1257',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZB21*(g1*complexconjugate(ZN31) - 3*g2*complexconjugate(ZN32)) + 6*Yd33*ZB22*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1258 = Coupling(name = 'GC_1258',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZB12*ZN41 + 3*ZB11*ZN43*complexconjugate(Yd33))', 
	 order = {'QED':1} ) 
 
GC_1259 = Coupling(name = 'GC_1259',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZB11*(g1*complexconjugate(ZN41) - 3*g2*complexconjugate(ZN42)) + 6*Yd33*ZB12*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1260 = Coupling(name = 'GC_1260',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZB22*ZN41 + 3*ZB21*ZN43*complexconjugate(Yd33))', 
	 order = {'QED':1} ) 
 
GC_1261 = Coupling(name = 'GC_1261',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZB21*(g1*complexconjugate(ZN41) - 3*g2*complexconjugate(ZN42)) + 6*Yd33*ZB22*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1262 = Coupling(name = 'GC_1262',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZC12*ZN11 - 3*ZC11*ZN14*complexconjugate(Yu22))', 
	 order = {'QED':1} ) 
 
GC_1263 = Coupling(name = 'GC_1263',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZC11*(g1*complexconjugate(ZN11) + 3*g2*complexconjugate(ZN12)) + 6*Yu22*ZC12*complexconjugate(ZN14))', 
	 order = {'QED':1} ) 
 
GC_1264 = Coupling(name = 'GC_1264',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZC22*ZN11 - 3*ZC21*ZN14*complexconjugate(Yu22))', 
	 order = {'QED':1} ) 
 
GC_1265 = Coupling(name = 'GC_1265',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZC21*(g1*complexconjugate(ZN11) + 3*g2*complexconjugate(ZN12)) + 6*Yu22*ZC22*complexconjugate(ZN14))', 
	 order = {'QED':1} ) 
 
GC_1266 = Coupling(name = 'GC_1266',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZC12*ZN21 - 3*ZC11*ZN24*complexconjugate(Yu22))', 
	 order = {'QED':1} ) 
 
GC_1267 = Coupling(name = 'GC_1267',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZC11*(g1*complexconjugate(ZN21) + 3*g2*complexconjugate(ZN22)) + 6*Yu22*ZC12*complexconjugate(ZN24))', 
	 order = {'QED':1} ) 
 
GC_1268 = Coupling(name = 'GC_1268',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZC22*ZN21 - 3*ZC21*ZN24*complexconjugate(Yu22))', 
	 order = {'QED':1} ) 
 
GC_1269 = Coupling(name = 'GC_1269',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZC21*(g1*complexconjugate(ZN21) + 3*g2*complexconjugate(ZN22)) + 6*Yu22*ZC22*complexconjugate(ZN24))', 
	 order = {'QED':1} ) 
 
GC_1270 = Coupling(name = 'GC_1270',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZC12*ZN31 - 3*ZC11*ZN34*complexconjugate(Yu22))', 
	 order = {'QED':1} ) 
 
GC_1271 = Coupling(name = 'GC_1271',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZC11*(g1*complexconjugate(ZN31) + 3*g2*complexconjugate(ZN32)) + 6*Yu22*ZC12*complexconjugate(ZN34))', 
	 order = {'QED':1} ) 
 
GC_1272 = Coupling(name = 'GC_1272',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZC22*ZN31 - 3*ZC21*ZN34*complexconjugate(Yu22))', 
	 order = {'QED':1} ) 
 
GC_1273 = Coupling(name = 'GC_1273',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZC21*(g1*complexconjugate(ZN31) + 3*g2*complexconjugate(ZN32)) + 6*Yu22*ZC22*complexconjugate(ZN34))', 
	 order = {'QED':1} ) 
 
GC_1274 = Coupling(name = 'GC_1274',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZC12*ZN41 - 3*ZC11*ZN44*complexconjugate(Yu22))', 
	 order = {'QED':1} ) 
 
GC_1275 = Coupling(name = 'GC_1275',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZC11*(g1*complexconjugate(ZN41) + 3*g2*complexconjugate(ZN42)) + 6*Yu22*ZC12*complexconjugate(ZN44))', 
	 order = {'QED':1} ) 
 
GC_1276 = Coupling(name = 'GC_1276',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZC22*ZN41 - 3*ZC21*ZN44*complexconjugate(Yu22))', 
	 order = {'QED':1} ) 
 
GC_1277 = Coupling(name = 'GC_1277',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZC21*(g1*complexconjugate(ZN41) + 3*g2*complexconjugate(ZN42)) + 6*Yu22*ZC22*complexconjugate(ZN44))', 
	 order = {'QED':1} ) 
 
GC_1278 = Coupling(name = 'GC_1278',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZD12*ZN11 + 3*ZD11*ZN13*complexconjugate(Yd11))', 
	 order = {'QED':1} ) 
 
GC_1279 = Coupling(name = 'GC_1279',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZD11*(g1*complexconjugate(ZN11) - 3*g2*complexconjugate(ZN12)) + 6*Yd11*ZD12*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1280 = Coupling(name = 'GC_1280',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZD22*ZN11 + 3*ZD21*ZN13*complexconjugate(Yd11))', 
	 order = {'QED':1} ) 
 
GC_1281 = Coupling(name = 'GC_1281',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZD21*(g1*complexconjugate(ZN11) - 3*g2*complexconjugate(ZN12)) + 6*Yd11*ZD22*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1282 = Coupling(name = 'GC_1282',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZD12*ZN21 + 3*ZD11*ZN23*complexconjugate(Yd11))', 
	 order = {'QED':1} ) 
 
GC_1283 = Coupling(name = 'GC_1283',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZD11*(g1*complexconjugate(ZN21) - 3*g2*complexconjugate(ZN22)) + 6*Yd11*ZD12*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1284 = Coupling(name = 'GC_1284',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZD22*ZN21 + 3*ZD21*ZN23*complexconjugate(Yd11))', 
	 order = {'QED':1} ) 
 
GC_1285 = Coupling(name = 'GC_1285',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZD21*(g1*complexconjugate(ZN21) - 3*g2*complexconjugate(ZN22)) + 6*Yd11*ZD22*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1286 = Coupling(name = 'GC_1286',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZD12*ZN31 + 3*ZD11*ZN33*complexconjugate(Yd11))', 
	 order = {'QED':1} ) 
 
GC_1287 = Coupling(name = 'GC_1287',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZD11*(g1*complexconjugate(ZN31) - 3*g2*complexconjugate(ZN32)) + 6*Yd11*ZD12*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1288 = Coupling(name = 'GC_1288',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZD22*ZN31 + 3*ZD21*ZN33*complexconjugate(Yd11))', 
	 order = {'QED':1} ) 
 
GC_1289 = Coupling(name = 'GC_1289',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZD21*(g1*complexconjugate(ZN31) - 3*g2*complexconjugate(ZN32)) + 6*Yd11*ZD22*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1290 = Coupling(name = 'GC_1290',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZD12*ZN41 + 3*ZD11*ZN43*complexconjugate(Yd11))', 
	 order = {'QED':1} ) 
 
GC_1291 = Coupling(name = 'GC_1291',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZD11*(g1*complexconjugate(ZN41) - 3*g2*complexconjugate(ZN42)) + 6*Yd11*ZD12*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1292 = Coupling(name = 'GC_1292',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZD22*ZN41 + 3*ZD21*ZN43*complexconjugate(Yd11))', 
	 order = {'QED':1} ) 
 
GC_1293 = Coupling(name = 'GC_1293',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZD21*(g1*complexconjugate(ZN41) - 3*g2*complexconjugate(ZN42)) + 6*Yd11*ZD22*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1294 = Coupling(name = 'GC_1294',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZE12*ZN11) - ZE11*ZN13*complexconjugate(Ye11))', 
	 order = {'QED':1} ) 
 
GC_1295 = Coupling(name = 'GC_1295',
	 value = '1*complex(0,1)*((ZE11*(g1*complexconjugate(ZN11) + g2*complexconjugate(ZN12)))/cmath.sqrt(2) - Ye11*ZE12*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1296 = Coupling(name = 'GC_1296',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZE22*ZN11) - ZE21*ZN13*complexconjugate(Ye11))', 
	 order = {'QED':1} ) 
 
GC_1297 = Coupling(name = 'GC_1297',
	 value = '1*complex(0,1)*((ZE21*(g1*complexconjugate(ZN11) + g2*complexconjugate(ZN12)))/cmath.sqrt(2) - Ye11*ZE22*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1298 = Coupling(name = 'GC_1298',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZE12*ZN21) - ZE11*ZN23*complexconjugate(Ye11))', 
	 order = {'QED':1} ) 
 
GC_1299 = Coupling(name = 'GC_1299',
	 value = '1*complex(0,1)*((ZE11*(g1*complexconjugate(ZN21) + g2*complexconjugate(ZN22)))/cmath.sqrt(2) - Ye11*ZE12*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1300 = Coupling(name = 'GC_1300',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZE22*ZN21) - ZE21*ZN23*complexconjugate(Ye11))', 
	 order = {'QED':1} ) 
 
GC_1301 = Coupling(name = 'GC_1301',
	 value = '1*complex(0,1)*((ZE21*(g1*complexconjugate(ZN21) + g2*complexconjugate(ZN22)))/cmath.sqrt(2) - Ye11*ZE22*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1302 = Coupling(name = 'GC_1302',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZE12*ZN31) - ZE11*ZN33*complexconjugate(Ye11))', 
	 order = {'QED':1} ) 
 
GC_1303 = Coupling(name = 'GC_1303',
	 value = '1*complex(0,1)*((ZE11*(g1*complexconjugate(ZN31) + g2*complexconjugate(ZN32)))/cmath.sqrt(2) - Ye11*ZE12*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1304 = Coupling(name = 'GC_1304',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZE22*ZN31) - ZE21*ZN33*complexconjugate(Ye11))', 
	 order = {'QED':1} ) 
 
GC_1305 = Coupling(name = 'GC_1305',
	 value = '1*complex(0,1)*((ZE21*(g1*complexconjugate(ZN31) + g2*complexconjugate(ZN32)))/cmath.sqrt(2) - Ye11*ZE22*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1306 = Coupling(name = 'GC_1306',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZE12*ZN41) - ZE11*ZN43*complexconjugate(Ye11))', 
	 order = {'QED':1} ) 
 
GC_1307 = Coupling(name = 'GC_1307',
	 value = '1*complex(0,1)*((ZE11*(g1*complexconjugate(ZN41) + g2*complexconjugate(ZN42)))/cmath.sqrt(2) - Ye11*ZE12*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1308 = Coupling(name = 'GC_1308',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZE22*ZN41) - ZE21*ZN43*complexconjugate(Ye11))', 
	 order = {'QED':1} ) 
 
GC_1309 = Coupling(name = 'GC_1309',
	 value = '1*complex(0,1)*((ZE21*(g1*complexconjugate(ZN41) + g2*complexconjugate(ZN42)))/cmath.sqrt(2) - Ye11*ZE22*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1310 = Coupling(name = 'GC_1310',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZM12*ZN11) - ZM11*ZN13*complexconjugate(Ye22))', 
	 order = {'QED':1} ) 
 
GC_1311 = Coupling(name = 'GC_1311',
	 value = '1*complex(0,1)*((ZM11*(g1*complexconjugate(ZN11) + g2*complexconjugate(ZN12)))/cmath.sqrt(2) - Ye22*ZM12*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1312 = Coupling(name = 'GC_1312',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZM22*ZN11) - ZM21*ZN13*complexconjugate(Ye22))', 
	 order = {'QED':1} ) 
 
GC_1313 = Coupling(name = 'GC_1313',
	 value = '1*complex(0,1)*((ZM21*(g1*complexconjugate(ZN11) + g2*complexconjugate(ZN12)))/cmath.sqrt(2) - Ye22*ZM22*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1314 = Coupling(name = 'GC_1314',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZM12*ZN21) - ZM11*ZN23*complexconjugate(Ye22))', 
	 order = {'QED':1} ) 
 
GC_1315 = Coupling(name = 'GC_1315',
	 value = '1*complex(0,1)*((ZM11*(g1*complexconjugate(ZN21) + g2*complexconjugate(ZN22)))/cmath.sqrt(2) - Ye22*ZM12*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1316 = Coupling(name = 'GC_1316',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZM22*ZN21) - ZM21*ZN23*complexconjugate(Ye22))', 
	 order = {'QED':1} ) 
 
GC_1317 = Coupling(name = 'GC_1317',
	 value = '1*complex(0,1)*((ZM21*(g1*complexconjugate(ZN21) + g2*complexconjugate(ZN22)))/cmath.sqrt(2) - Ye22*ZM22*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1318 = Coupling(name = 'GC_1318',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZM12*ZN31) - ZM11*ZN33*complexconjugate(Ye22))', 
	 order = {'QED':1} ) 
 
GC_1319 = Coupling(name = 'GC_1319',
	 value = '1*complex(0,1)*((ZM11*(g1*complexconjugate(ZN31) + g2*complexconjugate(ZN32)))/cmath.sqrt(2) - Ye22*ZM12*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1320 = Coupling(name = 'GC_1320',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZM22*ZN31) - ZM21*ZN33*complexconjugate(Ye22))', 
	 order = {'QED':1} ) 
 
GC_1321 = Coupling(name = 'GC_1321',
	 value = '1*complex(0,1)*((ZM21*(g1*complexconjugate(ZN31) + g2*complexconjugate(ZN32)))/cmath.sqrt(2) - Ye22*ZM22*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1322 = Coupling(name = 'GC_1322',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZM12*ZN41) - ZM11*ZN43*complexconjugate(Ye22))', 
	 order = {'QED':1} ) 
 
GC_1323 = Coupling(name = 'GC_1323',
	 value = '1*complex(0,1)*((ZM11*(g1*complexconjugate(ZN41) + g2*complexconjugate(ZN42)))/cmath.sqrt(2) - Ye22*ZM12*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1324 = Coupling(name = 'GC_1324',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZM22*ZN41) - ZM21*ZN43*complexconjugate(Ye22))', 
	 order = {'QED':1} ) 
 
GC_1325 = Coupling(name = 'GC_1325',
	 value = '1*complex(0,1)*((ZM21*(g1*complexconjugate(ZN41) + g2*complexconjugate(ZN42)))/cmath.sqrt(2) - Ye22*ZM22*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1326 = Coupling(name = 'GC_1326',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZN11*ZS12 + 3*ZN13*ZS11*complexconjugate(Yd22))', 
	 order = {'QED':1} ) 
 
GC_1327 = Coupling(name = 'GC_1327',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZS11*(g1*complexconjugate(ZN11) - 3*g2*complexconjugate(ZN12)) + 6*Yd22*ZS12*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1328 = Coupling(name = 'GC_1328',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZN11*ZS22 + 3*ZN13*ZS21*complexconjugate(Yd22))', 
	 order = {'QED':1} ) 
 
GC_1329 = Coupling(name = 'GC_1329',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZS21*(g1*complexconjugate(ZN11) - 3*g2*complexconjugate(ZN12)) + 6*Yd22*ZS22*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1330 = Coupling(name = 'GC_1330',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZN21*ZS12 + 3*ZN23*ZS11*complexconjugate(Yd22))', 
	 order = {'QED':1} ) 
 
GC_1331 = Coupling(name = 'GC_1331',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZS11*(g1*complexconjugate(ZN21) - 3*g2*complexconjugate(ZN22)) + 6*Yd22*ZS12*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1332 = Coupling(name = 'GC_1332',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZN21*ZS22 + 3*ZN23*ZS21*complexconjugate(Yd22))', 
	 order = {'QED':1} ) 
 
GC_1333 = Coupling(name = 'GC_1333',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZS21*(g1*complexconjugate(ZN21) - 3*g2*complexconjugate(ZN22)) + 6*Yd22*ZS22*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1334 = Coupling(name = 'GC_1334',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZN31*ZS12 + 3*ZN33*ZS11*complexconjugate(Yd22))', 
	 order = {'QED':1} ) 
 
GC_1335 = Coupling(name = 'GC_1335',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZS11*(g1*complexconjugate(ZN31) - 3*g2*complexconjugate(ZN32)) + 6*Yd22*ZS12*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1336 = Coupling(name = 'GC_1336',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZN31*ZS22 + 3*ZN33*ZS21*complexconjugate(Yd22))', 
	 order = {'QED':1} ) 
 
GC_1337 = Coupling(name = 'GC_1337',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZS21*(g1*complexconjugate(ZN31) - 3*g2*complexconjugate(ZN32)) + 6*Yd22*ZS22*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1338 = Coupling(name = 'GC_1338',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZN41*ZS12 + 3*ZN43*ZS11*complexconjugate(Yd22))', 
	 order = {'QED':1} ) 
 
GC_1339 = Coupling(name = 'GC_1339',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZS11*(g1*complexconjugate(ZN41) - 3*g2*complexconjugate(ZN42)) + 6*Yd22*ZS12*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1340 = Coupling(name = 'GC_1340',
	 value = '-1./3.*complex(0,1)*(cmath.sqrt(2)*g1*ZN41*ZS22 + 3*ZN43*ZS21*complexconjugate(Yd22))', 
	 order = {'QED':1} ) 
 
GC_1341 = Coupling(name = 'GC_1341',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZS21*(g1*complexconjugate(ZN41) - 3*g2*complexconjugate(ZN42)) + 6*Yd22*ZS22*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1342 = Coupling(name = 'GC_1342',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZN11*ZT12 - 3*ZN14*ZT11*complexconjugate(Yu33))', 
	 order = {'QED':1} ) 
 
GC_1343 = Coupling(name = 'GC_1343',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZT11*(g1*complexconjugate(ZN11) + 3*g2*complexconjugate(ZN12)) + 6*Yu33*ZT12*complexconjugate(ZN14))', 
	 order = {'QED':1} ) 
 
GC_1344 = Coupling(name = 'GC_1344',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZN11*ZT22 - 3*ZN14*ZT21*complexconjugate(Yu33))', 
	 order = {'QED':1} ) 
 
GC_1345 = Coupling(name = 'GC_1345',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZT21*(g1*complexconjugate(ZN11) + 3*g2*complexconjugate(ZN12)) + 6*Yu33*ZT22*complexconjugate(ZN14))', 
	 order = {'QED':1} ) 
 
GC_1346 = Coupling(name = 'GC_1346',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZN21*ZT12 - 3*ZN24*ZT11*complexconjugate(Yu33))', 
	 order = {'QED':1} ) 
 
GC_1347 = Coupling(name = 'GC_1347',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZT11*(g1*complexconjugate(ZN21) + 3*g2*complexconjugate(ZN22)) + 6*Yu33*ZT12*complexconjugate(ZN24))', 
	 order = {'QED':1} ) 
 
GC_1348 = Coupling(name = 'GC_1348',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZN21*ZT22 - 3*ZN24*ZT21*complexconjugate(Yu33))', 
	 order = {'QED':1} ) 
 
GC_1349 = Coupling(name = 'GC_1349',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZT21*(g1*complexconjugate(ZN21) + 3*g2*complexconjugate(ZN22)) + 6*Yu33*ZT22*complexconjugate(ZN24))', 
	 order = {'QED':1} ) 
 
GC_1350 = Coupling(name = 'GC_1350',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZN31*ZT12 - 3*ZN34*ZT11*complexconjugate(Yu33))', 
	 order = {'QED':1} ) 
 
GC_1351 = Coupling(name = 'GC_1351',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZT11*(g1*complexconjugate(ZN31) + 3*g2*complexconjugate(ZN32)) + 6*Yu33*ZT12*complexconjugate(ZN34))', 
	 order = {'QED':1} ) 
 
GC_1352 = Coupling(name = 'GC_1352',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZN31*ZT22 - 3*ZN34*ZT21*complexconjugate(Yu33))', 
	 order = {'QED':1} ) 
 
GC_1353 = Coupling(name = 'GC_1353',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZT21*(g1*complexconjugate(ZN31) + 3*g2*complexconjugate(ZN32)) + 6*Yu33*ZT22*complexconjugate(ZN34))', 
	 order = {'QED':1} ) 
 
GC_1354 = Coupling(name = 'GC_1354',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZN41*ZT12 - 3*ZN44*ZT11*complexconjugate(Yu33))', 
	 order = {'QED':1} ) 
 
GC_1355 = Coupling(name = 'GC_1355',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZT11*(g1*complexconjugate(ZN41) + 3*g2*complexconjugate(ZN42)) + 6*Yu33*ZT12*complexconjugate(ZN44))', 
	 order = {'QED':1} ) 
 
GC_1356 = Coupling(name = 'GC_1356',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZN41*ZT22 - 3*ZN44*ZT21*complexconjugate(Yu33))', 
	 order = {'QED':1} ) 
 
GC_1357 = Coupling(name = 'GC_1357',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZT21*(g1*complexconjugate(ZN41) + 3*g2*complexconjugate(ZN42)) + 6*Yu33*ZT22*complexconjugate(ZN44))', 
	 order = {'QED':1} ) 
 
GC_1358 = Coupling(name = 'GC_1358',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZN11*ZTau12) - ZN13*ZTau11*complexconjugate(Ye33))', 
	 order = {'QED':1} ) 
 
GC_1359 = Coupling(name = 'GC_1359',
	 value = '1*complex(0,1)*((ZTau11*(g1*complexconjugate(ZN11) + g2*complexconjugate(ZN12)))/cmath.sqrt(2) - Ye33*ZTau12*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1360 = Coupling(name = 'GC_1360',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZN11*ZTau22) - ZN13*ZTau21*complexconjugate(Ye33))', 
	 order = {'QED':1} ) 
 
GC_1361 = Coupling(name = 'GC_1361',
	 value = '1*complex(0,1)*((ZTau21*(g1*complexconjugate(ZN11) + g2*complexconjugate(ZN12)))/cmath.sqrt(2) - Ye33*ZTau22*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1362 = Coupling(name = 'GC_1362',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZN21*ZTau12) - ZN23*ZTau11*complexconjugate(Ye33))', 
	 order = {'QED':1} ) 
 
GC_1363 = Coupling(name = 'GC_1363',
	 value = '1*complex(0,1)*((ZTau11*(g1*complexconjugate(ZN21) + g2*complexconjugate(ZN22)))/cmath.sqrt(2) - Ye33*ZTau12*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1364 = Coupling(name = 'GC_1364',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZN21*ZTau22) - ZN23*ZTau21*complexconjugate(Ye33))', 
	 order = {'QED':1} ) 
 
GC_1365 = Coupling(name = 'GC_1365',
	 value = '1*complex(0,1)*((ZTau21*(g1*complexconjugate(ZN21) + g2*complexconjugate(ZN22)))/cmath.sqrt(2) - Ye33*ZTau22*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1366 = Coupling(name = 'GC_1366',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZN31*ZTau12) - ZN33*ZTau11*complexconjugate(Ye33))', 
	 order = {'QED':1} ) 
 
GC_1367 = Coupling(name = 'GC_1367',
	 value = '1*complex(0,1)*((ZTau11*(g1*complexconjugate(ZN31) + g2*complexconjugate(ZN32)))/cmath.sqrt(2) - Ye33*ZTau12*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1368 = Coupling(name = 'GC_1368',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZN31*ZTau22) - ZN33*ZTau21*complexconjugate(Ye33))', 
	 order = {'QED':1} ) 
 
GC_1369 = Coupling(name = 'GC_1369',
	 value = '1*complex(0,1)*((ZTau21*(g1*complexconjugate(ZN31) + g2*complexconjugate(ZN32)))/cmath.sqrt(2) - Ye33*ZTau22*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1370 = Coupling(name = 'GC_1370',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZN41*ZTau12) - ZN43*ZTau11*complexconjugate(Ye33))', 
	 order = {'QED':1} ) 
 
GC_1371 = Coupling(name = 'GC_1371',
	 value = '1*complex(0,1)*((ZTau11*(g1*complexconjugate(ZN41) + g2*complexconjugate(ZN42)))/cmath.sqrt(2) - Ye33*ZTau12*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1372 = Coupling(name = 'GC_1372',
	 value = '1*complex(0,1)*(-(cmath.sqrt(2)*g1*ZN41*ZTau22) - ZN43*ZTau21*complexconjugate(Ye33))', 
	 order = {'QED':1} ) 
 
GC_1373 = Coupling(name = 'GC_1373',
	 value = '1*complex(0,1)*((ZTau21*(g1*complexconjugate(ZN41) + g2*complexconjugate(ZN42)))/cmath.sqrt(2) - Ye33*ZTau22*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1374 = Coupling(name = 'GC_1374',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZN11*ZU12 - 3*ZN14*ZU11*complexconjugate(Yu11))', 
	 order = {'QED':1} ) 
 
GC_1375 = Coupling(name = 'GC_1375',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZU11*(g1*complexconjugate(ZN11) + 3*g2*complexconjugate(ZN12)) + 6*Yu11*ZU12*complexconjugate(ZN14))', 
	 order = {'QED':1} ) 
 
GC_1376 = Coupling(name = 'GC_1376',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZN11*ZU22 - 3*ZN14*ZU21*complexconjugate(Yu11))', 
	 order = {'QED':1} ) 
 
GC_1377 = Coupling(name = 'GC_1377',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZU21*(g1*complexconjugate(ZN11) + 3*g2*complexconjugate(ZN12)) + 6*Yu11*ZU22*complexconjugate(ZN14))', 
	 order = {'QED':1} ) 
 
GC_1378 = Coupling(name = 'GC_1378',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZN21*ZU12 - 3*ZN24*ZU11*complexconjugate(Yu11))', 
	 order = {'QED':1} ) 
 
GC_1379 = Coupling(name = 'GC_1379',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZU11*(g1*complexconjugate(ZN21) + 3*g2*complexconjugate(ZN22)) + 6*Yu11*ZU12*complexconjugate(ZN24))', 
	 order = {'QED':1} ) 
 
GC_1380 = Coupling(name = 'GC_1380',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZN21*ZU22 - 3*ZN24*ZU21*complexconjugate(Yu11))', 
	 order = {'QED':1} ) 
 
GC_1381 = Coupling(name = 'GC_1381',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZU21*(g1*complexconjugate(ZN21) + 3*g2*complexconjugate(ZN22)) + 6*Yu11*ZU22*complexconjugate(ZN24))', 
	 order = {'QED':1} ) 
 
GC_1382 = Coupling(name = 'GC_1382',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZN31*ZU12 - 3*ZN34*ZU11*complexconjugate(Yu11))', 
	 order = {'QED':1} ) 
 
GC_1383 = Coupling(name = 'GC_1383',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZU11*(g1*complexconjugate(ZN31) + 3*g2*complexconjugate(ZN32)) + 6*Yu11*ZU12*complexconjugate(ZN34))', 
	 order = {'QED':1} ) 
 
GC_1384 = Coupling(name = 'GC_1384',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZN31*ZU22 - 3*ZN34*ZU21*complexconjugate(Yu11))', 
	 order = {'QED':1} ) 
 
GC_1385 = Coupling(name = 'GC_1385',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZU21*(g1*complexconjugate(ZN31) + 3*g2*complexconjugate(ZN32)) + 6*Yu11*ZU22*complexconjugate(ZN34))', 
	 order = {'QED':1} ) 
 
GC_1386 = Coupling(name = 'GC_1386',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZN41*ZU12 - 3*ZN44*ZU11*complexconjugate(Yu11))', 
	 order = {'QED':1} ) 
 
GC_1387 = Coupling(name = 'GC_1387',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZU11*(g1*complexconjugate(ZN41) + 3*g2*complexconjugate(ZN42)) + 6*Yu11*ZU12*complexconjugate(ZN44))', 
	 order = {'QED':1} ) 
 
GC_1388 = Coupling(name = 'GC_1388',
	 value = '1./3.*complex(0,1)*(2*cmath.sqrt(2)*g1*ZN41*ZU22 - 3*ZN44*ZU21*complexconjugate(Yu11))', 
	 order = {'QED':1} ) 
 
GC_1389 = Coupling(name = 'GC_1389',
	 value = '-1./6.*complex(0,1)*(cmath.sqrt(2)*ZU21*(g1*complexconjugate(ZN41) + 3*g2*complexconjugate(ZN42)) + 6*Yu11*ZU22*complexconjugate(ZN44))', 
	 order = {'QED':1} ) 
 
GC_1390 = Coupling(name = 'GC_1390',
	 value = '(1*complex(0,1)*(g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1391 = Coupling(name = 'GC_1391',
	 value = '(1*complex(0,1)*(g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1392 = Coupling(name = 'GC_1392',
	 value = '(1*complex(0,1)*(g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1393 = Coupling(name = 'GC_1393',
	 value = '(1*complex(0,1)*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1394 = Coupling(name = 'GC_1394',
	 value = '(1*complex(0,1)*(g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1395 = Coupling(name = 'GC_1395',
	 value = '(1*complex(0,1)*(g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1396 = Coupling(name = 'GC_1396',
	 value = '(1*complex(0,1)*(g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1397 = Coupling(name = 'GC_1397',
	 value = '(1*complex(0,1)*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1398 = Coupling(name = 'GC_1398',
	 value = '(1*complex(0,1)*(g1*complexconjugate(ZN11) - g2*complexconjugate(ZN12)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1399 = Coupling(name = 'GC_1399',
	 value = '(1*complex(0,1)*(g1*complexconjugate(ZN21) - g2*complexconjugate(ZN22)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1400 = Coupling(name = 'GC_1400',
	 value = '(1*complex(0,1)*(g1*complexconjugate(ZN31) - g2*complexconjugate(ZN32)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1401 = Coupling(name = 'GC_1401',
	 value = '(1*complex(0,1)*(g1*complexconjugate(ZN41) - g2*complexconjugate(ZN42)))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1402 = Coupling(name = 'GC_1402',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*complexconjugate(pG)*complexconjugate(ZB11)', 
	 order = {'QCD':1} ) 
 
GC_1403 = Coupling(name = 'GC_1403',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*pG*complexconjugate(ZB12)', 
	 order = {'QCD':1} ) 
 
GC_1404 = Coupling(name = 'GC_1404',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*complexconjugate(pG)*complexconjugate(ZB21)', 
	 order = {'QCD':1} ) 
 
GC_1405 = Coupling(name = 'GC_1405',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*pG*complexconjugate(ZB22)', 
	 order = {'QCD':1} ) 
 
GC_1406 = Coupling(name = 'GC_1406',
	 value = '(-1*complex(0,1)*ZH11*complexconjugate(Yd33))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1407 = Coupling(name = 'GC_1407',
	 value = '(-1*complex(0,1)*Yd33*ZH11)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1408 = Coupling(name = 'GC_1408',
	 value = '(-1*complex(0,1)*ZH21*complexconjugate(Yd33))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1409 = Coupling(name = 'GC_1409',
	 value = '(-1*complex(0,1)*Yd33*ZH21)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1410 = Coupling(name = 'GC_1410',
	 value = '1*complex(0,1)*(-(g2*UP11*complexconjugate(ZT11)) + UP12*complexconjugate(Yu33)*complexconjugate(ZT12))', 
	 order = {'QED':1} ) 
 
GC_1411 = Coupling(name = 'GC_1411',
	 value = '1*complex(0,1)*Yd33*complexconjugate(UM12)*complexconjugate(ZT11)', 
	 order = {'QED':1} ) 
 
GC_1412 = Coupling(name = 'GC_1412',
	 value = '1*complex(0,1)*(-(g2*UP11*complexconjugate(ZT21)) + UP12*complexconjugate(Yu33)*complexconjugate(ZT22))', 
	 order = {'QED':1} ) 
 
GC_1413 = Coupling(name = 'GC_1413',
	 value = '1*complex(0,1)*Yd33*complexconjugate(UM12)*complexconjugate(ZT21)', 
	 order = {'QED':1} ) 
 
GC_1414 = Coupling(name = 'GC_1414',
	 value = '1*complex(0,1)*(-(g2*UP21*complexconjugate(ZT11)) + UP22*complexconjugate(Yu33)*complexconjugate(ZT12))', 
	 order = {'QED':1} ) 
 
GC_1415 = Coupling(name = 'GC_1415',
	 value = '1*complex(0,1)*Yd33*complexconjugate(UM22)*complexconjugate(ZT11)', 
	 order = {'QED':1} ) 
 
GC_1416 = Coupling(name = 'GC_1416',
	 value = '1*complex(0,1)*(-(g2*UP21*complexconjugate(ZT21)) + UP22*complexconjugate(Yu33)*complexconjugate(ZT22))', 
	 order = {'QED':1} ) 
 
GC_1417 = Coupling(name = 'GC_1417',
	 value = '1*complex(0,1)*Yd33*complexconjugate(UM22)*complexconjugate(ZT21)', 
	 order = {'QED':1} ) 
 
GC_1418 = Coupling(name = 'GC_1418',
	 value = '1*complex(0,1)*ZP12*complexconjugate(Yu33)', 
	 order = {'QED':1} ) 
 
GC_1419 = Coupling(name = 'GC_1419',
	 value = '1*complex(0,1)*Yd33*ZP11', 
	 order = {'QED':1} ) 
 
GC_1420 = Coupling(name = 'GC_1420',
	 value = '1*complex(0,1)*ZP22*complexconjugate(Yu33)', 
	 order = {'QED':1} ) 
 
GC_1421 = Coupling(name = 'GC_1421',
	 value = '1*complex(0,1)*Yd33*ZP21', 
	 order = {'QED':1} ) 
 
GC_1422 = Coupling(name = 'GC_1422',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*complexconjugate(pG)*complexconjugate(ZC11)', 
	 order = {'QCD':1} ) 
 
GC_1423 = Coupling(name = 'GC_1423',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*pG*complexconjugate(ZC12)', 
	 order = {'QCD':1} ) 
 
GC_1424 = Coupling(name = 'GC_1424',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*complexconjugate(pG)*complexconjugate(ZC21)', 
	 order = {'QCD':1} ) 
 
GC_1425 = Coupling(name = 'GC_1425',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*pG*complexconjugate(ZC22)', 
	 order = {'QCD':1} ) 
 
GC_1426 = Coupling(name = 'GC_1426',
	 value = '(-1*complex(0,1)*ZH12*complexconjugate(Yu22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1427 = Coupling(name = 'GC_1427',
	 value = '(-1*complex(0,1)*Yu22*ZH12)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1428 = Coupling(name = 'GC_1428',
	 value = '(-1*complex(0,1)*ZH22*complexconjugate(Yu22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1429 = Coupling(name = 'GC_1429',
	 value = '(-1*complex(0,1)*Yu22*ZH22)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1430 = Coupling(name = 'GC_1430',
	 value = '1*complex(0,1)*ZP11*complexconjugate(Yd22)', 
	 order = {'QED':1} ) 
 
GC_1431 = Coupling(name = 'GC_1431',
	 value = '1*complex(0,1)*Yu22*ZP12', 
	 order = {'QED':1} ) 
 
GC_1432 = Coupling(name = 'GC_1432',
	 value = '1*complex(0,1)*ZP21*complexconjugate(Yd22)', 
	 order = {'QED':1} ) 
 
GC_1433 = Coupling(name = 'GC_1433',
	 value = '1*complex(0,1)*Yu22*ZP22', 
	 order = {'QED':1} ) 
 
GC_1434 = Coupling(name = 'GC_1434',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*complexconjugate(pG)*complexconjugate(ZD11)', 
	 order = {'QCD':1} ) 
 
GC_1435 = Coupling(name = 'GC_1435',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*pG*complexconjugate(ZD12)', 
	 order = {'QCD':1} ) 
 
GC_1436 = Coupling(name = 'GC_1436',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*complexconjugate(pG)*complexconjugate(ZD21)', 
	 order = {'QCD':1} ) 
 
GC_1437 = Coupling(name = 'GC_1437',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*pG*complexconjugate(ZD22)', 
	 order = {'QCD':1} ) 
 
GC_1438 = Coupling(name = 'GC_1438',
	 value = '(-1*complex(0,1)*ZH11*complexconjugate(Yd11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1439 = Coupling(name = 'GC_1439',
	 value = '(-1*complex(0,1)*Yd11*ZH11)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1440 = Coupling(name = 'GC_1440',
	 value = '(-1*complex(0,1)*ZH21*complexconjugate(Yd11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1441 = Coupling(name = 'GC_1441',
	 value = '(-1*complex(0,1)*Yd11*ZH21)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1442 = Coupling(name = 'GC_1442',
	 value = '1*complex(0,1)*(-(g2*UP11*complexconjugate(ZU11)) + UP12*complexconjugate(Yu11)*complexconjugate(ZU12))', 
	 order = {'QED':1} ) 
 
GC_1443 = Coupling(name = 'GC_1443',
	 value = '1*complex(0,1)*Yd11*complexconjugate(UM12)*complexconjugate(ZU11)', 
	 order = {'QED':1} ) 
 
GC_1444 = Coupling(name = 'GC_1444',
	 value = '1*complex(0,1)*(-(g2*UP11*complexconjugate(ZU21)) + UP12*complexconjugate(Yu11)*complexconjugate(ZU22))', 
	 order = {'QED':1} ) 
 
GC_1445 = Coupling(name = 'GC_1445',
	 value = '1*complex(0,1)*Yd11*complexconjugate(UM12)*complexconjugate(ZU21)', 
	 order = {'QED':1} ) 
 
GC_1446 = Coupling(name = 'GC_1446',
	 value = '1*complex(0,1)*(-(g2*UP21*complexconjugate(ZU11)) + UP22*complexconjugate(Yu11)*complexconjugate(ZU12))', 
	 order = {'QED':1} ) 
 
GC_1447 = Coupling(name = 'GC_1447',
	 value = '1*complex(0,1)*Yd11*complexconjugate(UM22)*complexconjugate(ZU11)', 
	 order = {'QED':1} ) 
 
GC_1448 = Coupling(name = 'GC_1448',
	 value = '1*complex(0,1)*(-(g2*UP21*complexconjugate(ZU21)) + UP22*complexconjugate(Yu11)*complexconjugate(ZU22))', 
	 order = {'QED':1} ) 
 
GC_1449 = Coupling(name = 'GC_1449',
	 value = '1*complex(0,1)*Yd11*complexconjugate(UM22)*complexconjugate(ZU21)', 
	 order = {'QED':1} ) 
 
GC_1450 = Coupling(name = 'GC_1450',
	 value = '1*complex(0,1)*ZP12*complexconjugate(Yu11)', 
	 order = {'QED':1} ) 
 
GC_1451 = Coupling(name = 'GC_1451',
	 value = '1*complex(0,1)*Yd11*ZP11', 
	 order = {'QED':1} ) 
 
GC_1452 = Coupling(name = 'GC_1452',
	 value = '1*complex(0,1)*ZP22*complexconjugate(Yu11)', 
	 order = {'QED':1} ) 
 
GC_1453 = Coupling(name = 'GC_1453',
	 value = '1*complex(0,1)*Yd11*ZP21', 
	 order = {'QED':1} ) 
 
GC_1454 = Coupling(name = 'GC_1454',
	 value = '(-1*complex(0,1)*ZH11*complexconjugate(Ye11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1455 = Coupling(name = 'GC_1455',
	 value = '(-1*complex(0,1)*Ye11*ZH11)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1456 = Coupling(name = 'GC_1456',
	 value = '(-1*complex(0,1)*ZH21*complexconjugate(Ye11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1457 = Coupling(name = 'GC_1457',
	 value = '(-1*complex(0,1)*Ye11*ZH21)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1458 = Coupling(name = 'GC_1458',
	 value = '-1*complex(0,1)*g2*UP11', 
	 order = {'QED':1} ) 
 
GC_1459 = Coupling(name = 'GC_1459',
	 value = '1*complex(0,1)*Ye11*complexconjugate(UM12)', 
	 order = {'QED':1} ) 
 
GC_1460 = Coupling(name = 'GC_1460',
	 value = '-1*complex(0,1)*g2*UP21', 
	 order = {'QED':1} ) 
 
GC_1461 = Coupling(name = 'GC_1461',
	 value = '1*complex(0,1)*Ye11*complexconjugate(UM22)', 
	 order = {'QED':1} ) 
 
GC_1462 = Coupling(name = 'GC_1462',
	 value = '1*complex(0,1)*Ye11*ZP11', 
	 order = {'QED':1} ) 
 
GC_1463 = Coupling(name = 'GC_1463',
	 value = '1*complex(0,1)*Ye11*ZP21', 
	 order = {'QED':1} ) 
 
GC_1464 = Coupling(name = 'GC_1464',
	 value = '(-1*complex(0,1)*ZH11*complexconjugate(Ye22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1465 = Coupling(name = 'GC_1465',
	 value = '(-1*complex(0,1)*Ye22*ZH11)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1466 = Coupling(name = 'GC_1466',
	 value = '(-1*complex(0,1)*ZH21*complexconjugate(Ye22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1467 = Coupling(name = 'GC_1467',
	 value = '(-1*complex(0,1)*Ye22*ZH21)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1468 = Coupling(name = 'GC_1468',
	 value = '-1*complex(0,1)*g2*UP11', 
	 order = {'QED':1} ) 
 
GC_1469 = Coupling(name = 'GC_1469',
	 value = '1*complex(0,1)*Ye22*complexconjugate(UM12)', 
	 order = {'QED':1} ) 
 
GC_1470 = Coupling(name = 'GC_1470',
	 value = '-1*complex(0,1)*g2*UP21', 
	 order = {'QED':1} ) 
 
GC_1471 = Coupling(name = 'GC_1471',
	 value = '1*complex(0,1)*Ye22*complexconjugate(UM22)', 
	 order = {'QED':1} ) 
 
GC_1472 = Coupling(name = 'GC_1472',
	 value = '1*complex(0,1)*Ye22*ZP11', 
	 order = {'QED':1} ) 
 
GC_1473 = Coupling(name = 'GC_1473',
	 value = '1*complex(0,1)*Ye22*ZP21', 
	 order = {'QED':1} ) 
 
GC_1474 = Coupling(name = 'GC_1474',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*complexconjugate(pG)*complexconjugate(ZS11)', 
	 order = {'QCD':1} ) 
 
GC_1475 = Coupling(name = 'GC_1475',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*pG*complexconjugate(ZS12)', 
	 order = {'QCD':1} ) 
 
GC_1476 = Coupling(name = 'GC_1476',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*complexconjugate(pG)*complexconjugate(ZS21)', 
	 order = {'QCD':1} ) 
 
GC_1477 = Coupling(name = 'GC_1477',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*pG*complexconjugate(ZS22)', 
	 order = {'QCD':1} ) 
 
GC_1478 = Coupling(name = 'GC_1478',
	 value = '(-1*complex(0,1)*ZH11*complexconjugate(Yd22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1479 = Coupling(name = 'GC_1479',
	 value = '(-1*complex(0,1)*Yd22*ZH11)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1480 = Coupling(name = 'GC_1480',
	 value = '(-1*complex(0,1)*ZH21*complexconjugate(Yd22))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1481 = Coupling(name = 'GC_1481',
	 value = '(-1*complex(0,1)*Yd22*ZH21)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1482 = Coupling(name = 'GC_1482',
	 value = '1*complex(0,1)*(-(g2*UP11*complexconjugate(ZC11)) + UP12*complexconjugate(Yu22)*complexconjugate(ZC12))', 
	 order = {'QED':1} ) 
 
GC_1483 = Coupling(name = 'GC_1483',
	 value = '1*complex(0,1)*Yd22*complexconjugate(UM12)*complexconjugate(ZC11)', 
	 order = {'QED':1} ) 
 
GC_1484 = Coupling(name = 'GC_1484',
	 value = '1*complex(0,1)*(-(g2*UP11*complexconjugate(ZC21)) + UP12*complexconjugate(Yu22)*complexconjugate(ZC22))', 
	 order = {'QED':1} ) 
 
GC_1485 = Coupling(name = 'GC_1485',
	 value = '1*complex(0,1)*Yd22*complexconjugate(UM12)*complexconjugate(ZC21)', 
	 order = {'QED':1} ) 
 
GC_1486 = Coupling(name = 'GC_1486',
	 value = '1*complex(0,1)*(-(g2*UP21*complexconjugate(ZC11)) + UP22*complexconjugate(Yu22)*complexconjugate(ZC12))', 
	 order = {'QED':1} ) 
 
GC_1487 = Coupling(name = 'GC_1487',
	 value = '1*complex(0,1)*Yd22*complexconjugate(UM22)*complexconjugate(ZC11)', 
	 order = {'QED':1} ) 
 
GC_1488 = Coupling(name = 'GC_1488',
	 value = '1*complex(0,1)*(-(g2*UP21*complexconjugate(ZC21)) + UP22*complexconjugate(Yu22)*complexconjugate(ZC22))', 
	 order = {'QED':1} ) 
 
GC_1489 = Coupling(name = 'GC_1489',
	 value = '1*complex(0,1)*Yd22*complexconjugate(UM22)*complexconjugate(ZC21)', 
	 order = {'QED':1} ) 
 
GC_1490 = Coupling(name = 'GC_1490',
	 value = '1*complex(0,1)*ZP12*complexconjugate(Yu22)', 
	 order = {'QED':1} ) 
 
GC_1491 = Coupling(name = 'GC_1491',
	 value = '1*complex(0,1)*Yd22*ZP11', 
	 order = {'QED':1} ) 
 
GC_1492 = Coupling(name = 'GC_1492',
	 value = '1*complex(0,1)*ZP22*complexconjugate(Yu22)', 
	 order = {'QED':1} ) 
 
GC_1493 = Coupling(name = 'GC_1493',
	 value = '1*complex(0,1)*Yd22*ZP21', 
	 order = {'QED':1} ) 
 
GC_1494 = Coupling(name = 'GC_1494',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*complexconjugate(pG)*complexconjugate(ZT11)', 
	 order = {'QCD':1} ) 
 
GC_1495 = Coupling(name = 'GC_1495',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*pG*complexconjugate(ZT12)', 
	 order = {'QCD':1} ) 
 
GC_1496 = Coupling(name = 'GC_1496',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*complexconjugate(pG)*complexconjugate(ZT21)', 
	 order = {'QCD':1} ) 
 
GC_1497 = Coupling(name = 'GC_1497',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*pG*complexconjugate(ZT22)', 
	 order = {'QCD':1} ) 
 
GC_1498 = Coupling(name = 'GC_1498',
	 value = '(-1*complex(0,1)*ZH12*complexconjugate(Yu33))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1499 = Coupling(name = 'GC_1499',
	 value = '(-1*complex(0,1)*Yu33*ZH12)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1500 = Coupling(name = 'GC_1500',
	 value = '(-1*complex(0,1)*ZH22*complexconjugate(Yu33))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1501 = Coupling(name = 'GC_1501',
	 value = '(-1*complex(0,1)*Yu33*ZH22)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1502 = Coupling(name = 'GC_1502',
	 value = '1*complex(0,1)*ZP11*complexconjugate(Yd33)', 
	 order = {'QED':1} ) 
 
GC_1503 = Coupling(name = 'GC_1503',
	 value = '1*complex(0,1)*Yu33*ZP12', 
	 order = {'QED':1} ) 
 
GC_1504 = Coupling(name = 'GC_1504',
	 value = '1*complex(0,1)*ZP21*complexconjugate(Yd33)', 
	 order = {'QED':1} ) 
 
GC_1505 = Coupling(name = 'GC_1505',
	 value = '1*complex(0,1)*Yu33*ZP22', 
	 order = {'QED':1} ) 
 
GC_1506 = Coupling(name = 'GC_1506',
	 value = '(-1*complex(0,1)*ZH11*complexconjugate(Ye33))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1507 = Coupling(name = 'GC_1507',
	 value = '(-1*complex(0,1)*Ye33*ZH11)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1508 = Coupling(name = 'GC_1508',
	 value = '(-1*complex(0,1)*ZH21*complexconjugate(Ye33))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1509 = Coupling(name = 'GC_1509',
	 value = '(-1*complex(0,1)*Ye33*ZH21)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1510 = Coupling(name = 'GC_1510',
	 value = '-1*complex(0,1)*g2*UP11', 
	 order = {'QED':1} ) 
 
GC_1511 = Coupling(name = 'GC_1511',
	 value = '1*complex(0,1)*Ye33*complexconjugate(UM12)', 
	 order = {'QED':1} ) 
 
GC_1512 = Coupling(name = 'GC_1512',
	 value = '-1*complex(0,1)*g2*UP21', 
	 order = {'QED':1} ) 
 
GC_1513 = Coupling(name = 'GC_1513',
	 value = '1*complex(0,1)*Ye33*complexconjugate(UM22)', 
	 order = {'QED':1} ) 
 
GC_1514 = Coupling(name = 'GC_1514',
	 value = '1*complex(0,1)*Ye33*ZP11', 
	 order = {'QED':1} ) 
 
GC_1515 = Coupling(name = 'GC_1515',
	 value = '1*complex(0,1)*Ye33*ZP21', 
	 order = {'QED':1} ) 
 
GC_1516 = Coupling(name = 'GC_1516',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*complexconjugate(pG)*complexconjugate(ZU11)', 
	 order = {'QCD':1} ) 
 
GC_1517 = Coupling(name = 'GC_1517',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*pG*complexconjugate(ZU12)', 
	 order = {'QCD':1} ) 
 
GC_1518 = Coupling(name = 'GC_1518',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*complexconjugate(pG)*complexconjugate(ZU21)', 
	 order = {'QCD':1} ) 
 
GC_1519 = Coupling(name = 'GC_1519',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*pG*complexconjugate(ZU22)', 
	 order = {'QCD':1} ) 
 
GC_1520 = Coupling(name = 'GC_1520',
	 value = '(-1*complex(0,1)*ZH12*complexconjugate(Yu11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1521 = Coupling(name = 'GC_1521',
	 value = '(-1*complex(0,1)*Yu11*ZH12)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1522 = Coupling(name = 'GC_1522',
	 value = '(-1*complex(0,1)*ZH22*complexconjugate(Yu11))/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1523 = Coupling(name = 'GC_1523',
	 value = '(-1*complex(0,1)*Yu11*ZH22)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1524 = Coupling(name = 'GC_1524',
	 value = '1*complex(0,1)*ZP11*complexconjugate(Yd11)', 
	 order = {'QED':1} ) 
 
GC_1525 = Coupling(name = 'GC_1525',
	 value = '1*complex(0,1)*Yu11*ZP12', 
	 order = {'QED':1} ) 
 
GC_1526 = Coupling(name = 'GC_1526',
	 value = '1*complex(0,1)*ZP21*complexconjugate(Yd11)', 
	 order = {'QED':1} ) 
 
GC_1527 = Coupling(name = 'GC_1527',
	 value = '1*complex(0,1)*Yu11*ZP22', 
	 order = {'QED':1} ) 
 
GC_1528 = Coupling(name = 'GC_1528',
	 value = '1*complex(0,1)*ZP11*complexconjugate(Ye11)', 
	 order = {'QED':1} ) 
 
GC_1529 = Coupling(name = 'GC_1529',
	 value = '1*complex(0,1)*ZP21*complexconjugate(Ye11)', 
	 order = {'QED':1} ) 
 
GC_1530 = Coupling(name = 'GC_1530',
	 value = '1*complex(0,1)*ZP11*complexconjugate(Ye22)', 
	 order = {'QED':1} ) 
 
GC_1531 = Coupling(name = 'GC_1531',
	 value = '1*complex(0,1)*ZP21*complexconjugate(Ye22)', 
	 order = {'QED':1} ) 
 
GC_1532 = Coupling(name = 'GC_1532',
	 value = '1*complex(0,1)*ZP11*complexconjugate(Ye33)', 
	 order = {'QED':1} ) 
 
GC_1533 = Coupling(name = 'GC_1533',
	 value = '1*complex(0,1)*ZP21*complexconjugate(Ye33)', 
	 order = {'QED':1} ) 
 
GC_1534 = Coupling(name = 'GC_1534',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*ZB12*complexconjugate(pG)', 
	 order = {'QCD':1} ) 
 
GC_1535 = Coupling(name = 'GC_1535',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*pG*ZB11', 
	 order = {'QCD':1} ) 
 
GC_1536 = Coupling(name = 'GC_1536',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*ZB22*complexconjugate(pG)', 
	 order = {'QCD':1} ) 
 
GC_1537 = Coupling(name = 'GC_1537',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*pG*ZB21', 
	 order = {'QCD':1} ) 
 
GC_1538 = Coupling(name = 'GC_1538',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*ZC12*complexconjugate(pG)', 
	 order = {'QCD':1} ) 
 
GC_1539 = Coupling(name = 'GC_1539',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*pG*ZC11', 
	 order = {'QCD':1} ) 
 
GC_1540 = Coupling(name = 'GC_1540',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*ZC22*complexconjugate(pG)', 
	 order = {'QCD':1} ) 
 
GC_1541 = Coupling(name = 'GC_1541',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*pG*ZC21', 
	 order = {'QCD':1} ) 
 
GC_1542 = Coupling(name = 'GC_1542',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*ZD12*complexconjugate(pG)', 
	 order = {'QCD':1} ) 
 
GC_1543 = Coupling(name = 'GC_1543',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*pG*ZD11', 
	 order = {'QCD':1} ) 
 
GC_1544 = Coupling(name = 'GC_1544',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*ZD22*complexconjugate(pG)', 
	 order = {'QCD':1} ) 
 
GC_1545 = Coupling(name = 'GC_1545',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*pG*ZD21', 
	 order = {'QCD':1} ) 
 
GC_1546 = Coupling(name = 'GC_1546',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*ZS12*complexconjugate(pG)', 
	 order = {'QCD':1} ) 
 
GC_1547 = Coupling(name = 'GC_1547',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*pG*ZS11', 
	 order = {'QCD':1} ) 
 
GC_1548 = Coupling(name = 'GC_1548',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*ZS22*complexconjugate(pG)', 
	 order = {'QCD':1} ) 
 
GC_1549 = Coupling(name = 'GC_1549',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*pG*ZS21', 
	 order = {'QCD':1} ) 
 
GC_1550 = Coupling(name = 'GC_1550',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*ZT12*complexconjugate(pG)', 
	 order = {'QCD':1} ) 
 
GC_1551 = Coupling(name = 'GC_1551',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*pG*ZT11', 
	 order = {'QCD':1} ) 
 
GC_1552 = Coupling(name = 'GC_1552',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*ZT22*complexconjugate(pG)', 
	 order = {'QCD':1} ) 
 
GC_1553 = Coupling(name = 'GC_1553',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*pG*ZT21', 
	 order = {'QCD':1} ) 
 
GC_1554 = Coupling(name = 'GC_1554',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*ZU12*complexconjugate(pG)', 
	 order = {'QCD':1} ) 
 
GC_1555 = Coupling(name = 'GC_1555',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*pG*ZU11', 
	 order = {'QCD':1} ) 
 
GC_1556 = Coupling(name = 'GC_1556',
	 value = '1*complex(0,1)*cmath.sqrt(2)*G*ZU22*complexconjugate(pG)', 
	 order = {'QCD':1} ) 
 
GC_1557 = Coupling(name = 'GC_1557',
	 value = '-1*complex(0,1)*cmath.sqrt(2)*G*pG*ZU21', 
	 order = {'QCD':1} ) 
 
GC_1558 = Coupling(name = 'GC_1558',
	 value = '1*complex(0,1)*UP12*ZB11*complexconjugate(Yu33)', 
	 order = {'QED':1} ) 
 
GC_1559 = Coupling(name = 'GC_1559',
	 value = '1*complex(0,1)*(-(g2*ZB11*complexconjugate(UM11)) + Yd33*ZB12*complexconjugate(UM12))', 
	 order = {'QED':1} ) 
 
GC_1560 = Coupling(name = 'GC_1560',
	 value = '1*complex(0,1)*UP12*ZB21*complexconjugate(Yu33)', 
	 order = {'QED':1} ) 
 
GC_1561 = Coupling(name = 'GC_1561',
	 value = '1*complex(0,1)*(-(g2*ZB21*complexconjugate(UM11)) + Yd33*ZB22*complexconjugate(UM12))', 
	 order = {'QED':1} ) 
 
GC_1562 = Coupling(name = 'GC_1562',
	 value = '1*complex(0,1)*UP22*ZB11*complexconjugate(Yu33)', 
	 order = {'QED':1} ) 
 
GC_1563 = Coupling(name = 'GC_1563',
	 value = '1*complex(0,1)*(-(g2*ZB11*complexconjugate(UM21)) + Yd33*ZB12*complexconjugate(UM22))', 
	 order = {'QED':1} ) 
 
GC_1564 = Coupling(name = 'GC_1564',
	 value = '1*complex(0,1)*UP22*ZB21*complexconjugate(Yu33)', 
	 order = {'QED':1} ) 
 
GC_1565 = Coupling(name = 'GC_1565',
	 value = '1*complex(0,1)*(-(g2*ZB21*complexconjugate(UM21)) + Yd33*ZB22*complexconjugate(UM22))', 
	 order = {'QED':1} ) 
 
GC_1566 = Coupling(name = 'GC_1566',
	 value = '1*complex(0,1)*UP12*ZD11*complexconjugate(Yu11)', 
	 order = {'QED':1} ) 
 
GC_1567 = Coupling(name = 'GC_1567',
	 value = '1*complex(0,1)*(-(g2*ZD11*complexconjugate(UM11)) + Yd11*ZD12*complexconjugate(UM12))', 
	 order = {'QED':1} ) 
 
GC_1568 = Coupling(name = 'GC_1568',
	 value = '1*complex(0,1)*UP12*ZD21*complexconjugate(Yu11)', 
	 order = {'QED':1} ) 
 
GC_1569 = Coupling(name = 'GC_1569',
	 value = '1*complex(0,1)*(-(g2*ZD21*complexconjugate(UM11)) + Yd11*ZD22*complexconjugate(UM12))', 
	 order = {'QED':1} ) 
 
GC_1570 = Coupling(name = 'GC_1570',
	 value = '1*complex(0,1)*UP22*ZD11*complexconjugate(Yu11)', 
	 order = {'QED':1} ) 
 
GC_1571 = Coupling(name = 'GC_1571',
	 value = '1*complex(0,1)*(-(g2*ZD11*complexconjugate(UM21)) + Yd11*ZD12*complexconjugate(UM22))', 
	 order = {'QED':1} ) 
 
GC_1572 = Coupling(name = 'GC_1572',
	 value = '1*complex(0,1)*UP22*ZD21*complexconjugate(Yu11)', 
	 order = {'QED':1} ) 
 
GC_1573 = Coupling(name = 'GC_1573',
	 value = '1*complex(0,1)*(-(g2*ZD21*complexconjugate(UM21)) + Yd11*ZD22*complexconjugate(UM22))', 
	 order = {'QED':1} ) 
 
GC_1574 = Coupling(name = 'GC_1574',
	 value = '1*complex(0,1)*(-(g2*ZE11*complexconjugate(UM11)) + Ye11*ZE12*complexconjugate(UM12))', 
	 order = {'QED':1} ) 
 
GC_1575 = Coupling(name = 'GC_1575',
	 value = '1*complex(0,1)*(-(g2*ZE21*complexconjugate(UM11)) + Ye11*ZE22*complexconjugate(UM12))', 
	 order = {'QED':1} ) 
 
GC_1576 = Coupling(name = 'GC_1576',
	 value = '1*complex(0,1)*(-(g2*ZE11*complexconjugate(UM21)) + Ye11*ZE12*complexconjugate(UM22))', 
	 order = {'QED':1} ) 
 
GC_1577 = Coupling(name = 'GC_1577',
	 value = '1*complex(0,1)*(-(g2*ZE21*complexconjugate(UM21)) + Ye11*ZE22*complexconjugate(UM22))', 
	 order = {'QED':1} ) 
 
GC_1578 = Coupling(name = 'GC_1578',
	 value = '1*complex(0,1)*(-(g2*ZM11*complexconjugate(UM11)) + Ye22*ZM12*complexconjugate(UM12))', 
	 order = {'QED':1} ) 
 
GC_1579 = Coupling(name = 'GC_1579',
	 value = '1*complex(0,1)*(-(g2*ZM21*complexconjugate(UM11)) + Ye22*ZM22*complexconjugate(UM12))', 
	 order = {'QED':1} ) 
 
GC_1580 = Coupling(name = 'GC_1580',
	 value = '1*complex(0,1)*(-(g2*ZM11*complexconjugate(UM21)) + Ye22*ZM12*complexconjugate(UM22))', 
	 order = {'QED':1} ) 
 
GC_1581 = Coupling(name = 'GC_1581',
	 value = '1*complex(0,1)*(-(g2*ZM21*complexconjugate(UM21)) + Ye22*ZM22*complexconjugate(UM22))', 
	 order = {'QED':1} ) 
 
GC_1582 = Coupling(name = 'GC_1582',
	 value = '1*complex(0,1)*UP12*ZS11*complexconjugate(Yu22)', 
	 order = {'QED':1} ) 
 
GC_1583 = Coupling(name = 'GC_1583',
	 value = '1*complex(0,1)*(-(g2*ZS11*complexconjugate(UM11)) + Yd22*ZS12*complexconjugate(UM12))', 
	 order = {'QED':1} ) 
 
GC_1584 = Coupling(name = 'GC_1584',
	 value = '1*complex(0,1)*UP12*ZS21*complexconjugate(Yu22)', 
	 order = {'QED':1} ) 
 
GC_1585 = Coupling(name = 'GC_1585',
	 value = '1*complex(0,1)*(-(g2*ZS21*complexconjugate(UM11)) + Yd22*ZS22*complexconjugate(UM12))', 
	 order = {'QED':1} ) 
 
GC_1586 = Coupling(name = 'GC_1586',
	 value = '1*complex(0,1)*UP22*ZS11*complexconjugate(Yu22)', 
	 order = {'QED':1} ) 
 
GC_1587 = Coupling(name = 'GC_1587',
	 value = '1*complex(0,1)*(-(g2*ZS11*complexconjugate(UM21)) + Yd22*ZS12*complexconjugate(UM22))', 
	 order = {'QED':1} ) 
 
GC_1588 = Coupling(name = 'GC_1588',
	 value = '1*complex(0,1)*UP22*ZS21*complexconjugate(Yu22)', 
	 order = {'QED':1} ) 
 
GC_1589 = Coupling(name = 'GC_1589',
	 value = '1*complex(0,1)*(-(g2*ZS21*complexconjugate(UM21)) + Yd22*ZS22*complexconjugate(UM22))', 
	 order = {'QED':1} ) 
 
GC_1590 = Coupling(name = 'GC_1590',
	 value = '1*complex(0,1)*(-(g2*ZTau11*complexconjugate(UM11)) + Ye33*ZTau12*complexconjugate(UM12))', 
	 order = {'QED':1} ) 
 
GC_1591 = Coupling(name = 'GC_1591',
	 value = '1*complex(0,1)*(-(g2*ZTau21*complexconjugate(UM11)) + Ye33*ZTau22*complexconjugate(UM12))', 
	 order = {'QED':1} ) 
 
GC_1592 = Coupling(name = 'GC_1592',
	 value = '1*complex(0,1)*(-(g2*ZTau11*complexconjugate(UM21)) + Ye33*ZTau12*complexconjugate(UM22))', 
	 order = {'QED':1} ) 
 
GC_1593 = Coupling(name = 'GC_1593',
	 value = '1*complex(0,1)*(-(g2*ZTau21*complexconjugate(UM21)) + Ye33*ZTau22*complexconjugate(UM22))', 
	 order = {'QED':1} ) 
 
GC_1594 = Coupling(name = 'GC_1594',
	 value = '1./2.*complex(0,1)*g2*(2*UM11*complexconjugate(ZN12) + cmath.sqrt(2)*UM12*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1595 = Coupling(name = 'GC_1595',
	 value = '1./2.*complex(0,1)*g2*(2*ZN12*complexconjugate(UP11) - cmath.sqrt(2)*ZN14*complexconjugate(UP12))', 
	 order = {'QED':1} ) 
 
GC_1596 = Coupling(name = 'GC_1596',
	 value = '1./2.*complex(0,1)*g2*(2*UM21*complexconjugate(ZN12) + cmath.sqrt(2)*UM22*complexconjugate(ZN13))', 
	 order = {'QED':1} ) 
 
GC_1597 = Coupling(name = 'GC_1597',
	 value = '1./2.*complex(0,1)*g2*(2*ZN12*complexconjugate(UP21) - cmath.sqrt(2)*ZN14*complexconjugate(UP22))', 
	 order = {'QED':1} ) 
 
GC_1598 = Coupling(name = 'GC_1598',
	 value = '1./2.*complex(0,1)*g2*(2*UM11*complexconjugate(ZN22) + cmath.sqrt(2)*UM12*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1599 = Coupling(name = 'GC_1599',
	 value = '1./2.*complex(0,1)*g2*(2*ZN22*complexconjugate(UP11) - cmath.sqrt(2)*ZN24*complexconjugate(UP12))', 
	 order = {'QED':1} ) 
 
GC_1600 = Coupling(name = 'GC_1600',
	 value = '1./2.*complex(0,1)*g2*(2*UM21*complexconjugate(ZN22) + cmath.sqrt(2)*UM22*complexconjugate(ZN23))', 
	 order = {'QED':1} ) 
 
GC_1601 = Coupling(name = 'GC_1601',
	 value = '1./2.*complex(0,1)*g2*(2*ZN22*complexconjugate(UP21) - cmath.sqrt(2)*ZN24*complexconjugate(UP22))', 
	 order = {'QED':1} ) 
 
GC_1602 = Coupling(name = 'GC_1602',
	 value = '1./2.*complex(0,1)*g2*(2*UM11*complexconjugate(ZN32) + cmath.sqrt(2)*UM12*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1603 = Coupling(name = 'GC_1603',
	 value = '1./2.*complex(0,1)*g2*(2*ZN32*complexconjugate(UP11) - cmath.sqrt(2)*ZN34*complexconjugate(UP12))', 
	 order = {'QED':1} ) 
 
GC_1604 = Coupling(name = 'GC_1604',
	 value = '1./2.*complex(0,1)*g2*(2*UM21*complexconjugate(ZN32) + cmath.sqrt(2)*UM22*complexconjugate(ZN33))', 
	 order = {'QED':1} ) 
 
GC_1605 = Coupling(name = 'GC_1605',
	 value = '1./2.*complex(0,1)*g2*(2*ZN32*complexconjugate(UP21) - cmath.sqrt(2)*ZN34*complexconjugate(UP22))', 
	 order = {'QED':1} ) 
 
GC_1606 = Coupling(name = 'GC_1606',
	 value = '1./2.*complex(0,1)*g2*(2*UM11*complexconjugate(ZN42) + cmath.sqrt(2)*UM12*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1607 = Coupling(name = 'GC_1607',
	 value = '1./2.*complex(0,1)*g2*(2*ZN42*complexconjugate(UP11) - cmath.sqrt(2)*ZN44*complexconjugate(UP12))', 
	 order = {'QED':1} ) 
 
GC_1608 = Coupling(name = 'GC_1608',
	 value = '1./2.*complex(0,1)*g2*(2*UM21*complexconjugate(ZN42) + cmath.sqrt(2)*UM22*complexconjugate(ZN43))', 
	 order = {'QED':1} ) 
 
GC_1609 = Coupling(name = 'GC_1609',
	 value = '1./2.*complex(0,1)*g2*(2*ZN42*complexconjugate(UP21) - cmath.sqrt(2)*ZN44*complexconjugate(UP22))', 
	 order = {'QED':1} ) 
 
GC_1610 = Coupling(name = 'GC_1610',
	 value = '-1./2.*complex(0,1)*(2*g2*UM11*complexconjugate(UM11)*cmath.sin(TW) + UM12*complexconjugate(UM12)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_1611 = Coupling(name = 'GC_1611',
	 value = '-1./2.*complex(0,1)*(2*g2*UP11*complexconjugate(UP11)*cmath.sin(TW) + UP12*complexconjugate(UP12)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_1612 = Coupling(name = 'GC_1612',
	 value = '-1./2.*complex(0,1)*(2*g2*UM21*complexconjugate(UM11)*cmath.sin(TW) + UM22*complexconjugate(UM12)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_1613 = Coupling(name = 'GC_1613',
	 value = '-1./2.*complex(0,1)*(2*g2*UP11*complexconjugate(UP21)*cmath.sin(TW) + UP12*complexconjugate(UP22)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_1614 = Coupling(name = 'GC_1614',
	 value = '-1./2.*complex(0,1)*(2*g2*UM11*complexconjugate(UM21)*cmath.sin(TW) + UM12*complexconjugate(UM22)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_1615 = Coupling(name = 'GC_1615',
	 value = '-1./2.*complex(0,1)*(2*g2*UP21*complexconjugate(UP11)*cmath.sin(TW) + UP22*complexconjugate(UP12)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_1616 = Coupling(name = 'GC_1616',
	 value = '-1./2.*complex(0,1)*(2*g2*UM21*complexconjugate(UM21)*cmath.sin(TW) + UM22*complexconjugate(UM22)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_1617 = Coupling(name = 'GC_1617',
	 value = '-1./2.*complex(0,1)*(2*g2*UP21*complexconjugate(UP21)*cmath.sin(TW) + UP22*complexconjugate(UP22)*(g1*cmath.cos(TW) + g2*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_1618 = Coupling(name = 'GC_1618',
	 value = '-1./2.*complex(0,1)*(2*g2*UM11*complexconjugate(UM11)*cmath.cos(TW) + UM12*complexconjugate(UM12)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_1619 = Coupling(name = 'GC_1619',
	 value = '-1./2.*complex(0,1)*(2*g2*UP11*complexconjugate(UP11)*cmath.cos(TW) + UP12*complexconjugate(UP12)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_1620 = Coupling(name = 'GC_1620',
	 value = '-1./2.*complex(0,1)*(2*g2*UM21*complexconjugate(UM11)*cmath.cos(TW) + UM22*complexconjugate(UM12)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_1621 = Coupling(name = 'GC_1621',
	 value = '-1./2.*complex(0,1)*(2*g2*UP11*complexconjugate(UP21)*cmath.cos(TW) + UP12*complexconjugate(UP22)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_1622 = Coupling(name = 'GC_1622',
	 value = '-1./2.*complex(0,1)*(2*g2*UM11*complexconjugate(UM21)*cmath.cos(TW) + UM12*complexconjugate(UM22)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_1623 = Coupling(name = 'GC_1623',
	 value = '-1./2.*complex(0,1)*(2*g2*UP21*complexconjugate(UP11)*cmath.cos(TW) + UP22*complexconjugate(UP12)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_1624 = Coupling(name = 'GC_1624',
	 value = '-1./2.*complex(0,1)*(2*g2*UM21*complexconjugate(UM21)*cmath.cos(TW) + UM22*complexconjugate(UM22)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_1625 = Coupling(name = 'GC_1625',
	 value = '-1./2.*complex(0,1)*(2*g2*UP21*complexconjugate(UP21)*cmath.cos(TW) + UP22*complexconjugate(UP22)*(g2*cmath.cos(TW) - g1*cmath.sin(TW)))', 
	 order = {'QED':1} ) 
 
GC_1626 = Coupling(name = 'GC_1626',
	 value = '1./2.*complex(0,1)*(ZN13*complexconjugate(ZN13) - ZN14*complexconjugate(ZN14))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1627 = Coupling(name = 'GC_1627',
	 value = '-1./2.*complex(0,1)*(ZN13*complexconjugate(ZN13) - ZN14*complexconjugate(ZN14))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1628 = Coupling(name = 'GC_1628',
	 value = '1./2.*complex(0,1)*(ZN23*complexconjugate(ZN13) - ZN24*complexconjugate(ZN14))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1629 = Coupling(name = 'GC_1629',
	 value = '-1./2.*complex(0,1)*(ZN13*complexconjugate(ZN23) - ZN14*complexconjugate(ZN24))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1630 = Coupling(name = 'GC_1630',
	 value = '1./2.*complex(0,1)*(ZN33*complexconjugate(ZN13) - ZN34*complexconjugate(ZN14))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1631 = Coupling(name = 'GC_1631',
	 value = '-1./2.*complex(0,1)*(ZN13*complexconjugate(ZN33) - ZN14*complexconjugate(ZN34))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1632 = Coupling(name = 'GC_1632',
	 value = '1./2.*complex(0,1)*(ZN43*complexconjugate(ZN13) - ZN44*complexconjugate(ZN14))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1633 = Coupling(name = 'GC_1633',
	 value = '-1./2.*complex(0,1)*(ZN13*complexconjugate(ZN43) - ZN14*complexconjugate(ZN44))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1634 = Coupling(name = 'GC_1634',
	 value = '1./2.*complex(0,1)*(ZN23*complexconjugate(ZN23) - ZN24*complexconjugate(ZN24))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1635 = Coupling(name = 'GC_1635',
	 value = '-1./2.*complex(0,1)*(ZN23*complexconjugate(ZN23) - ZN24*complexconjugate(ZN24))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1636 = Coupling(name = 'GC_1636',
	 value = '1./2.*complex(0,1)*(ZN33*complexconjugate(ZN23) - ZN34*complexconjugate(ZN24))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1637 = Coupling(name = 'GC_1637',
	 value = '-1./2.*complex(0,1)*(ZN23*complexconjugate(ZN33) - ZN24*complexconjugate(ZN34))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1638 = Coupling(name = 'GC_1638',
	 value = '1./2.*complex(0,1)*(ZN43*complexconjugate(ZN23) - ZN44*complexconjugate(ZN24))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1639 = Coupling(name = 'GC_1639',
	 value = '-1./2.*complex(0,1)*(ZN23*complexconjugate(ZN43) - ZN24*complexconjugate(ZN44))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1640 = Coupling(name = 'GC_1640',
	 value = '1./2.*complex(0,1)*(ZN33*complexconjugate(ZN33) - ZN34*complexconjugate(ZN34))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1641 = Coupling(name = 'GC_1641',
	 value = '-1./2.*complex(0,1)*(ZN33*complexconjugate(ZN33) - ZN34*complexconjugate(ZN34))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1642 = Coupling(name = 'GC_1642',
	 value = '1./2.*complex(0,1)*(ZN43*complexconjugate(ZN33) - ZN44*complexconjugate(ZN34))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1643 = Coupling(name = 'GC_1643',
	 value = '-1./2.*complex(0,1)*(ZN33*complexconjugate(ZN43) - ZN34*complexconjugate(ZN44))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1644 = Coupling(name = 'GC_1644',
	 value = '1./2.*complex(0,1)*(ZN43*complexconjugate(ZN43) - ZN44*complexconjugate(ZN44))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1645 = Coupling(name = 'GC_1645',
	 value = '-1./2.*complex(0,1)*(ZN43*complexconjugate(ZN43) - ZN44*complexconjugate(ZN44))*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1646 = Coupling(name = 'GC_1646',
	 value = '1./2.*complex(0,1)*g2*(2*ZN12*complexconjugate(UM11) + cmath.sqrt(2)*ZN13*complexconjugate(UM12))', 
	 order = {'QED':1} ) 
 
GC_1647 = Coupling(name = 'GC_1647',
	 value = '1./2.*complex(0,1)*g2*(2*UP11*complexconjugate(ZN12) - cmath.sqrt(2)*UP12*complexconjugate(ZN14))', 
	 order = {'QED':1} ) 
 
GC_1648 = Coupling(name = 'GC_1648',
	 value = '1./2.*complex(0,1)*g2*(2*ZN22*complexconjugate(UM11) + cmath.sqrt(2)*ZN23*complexconjugate(UM12))', 
	 order = {'QED':1} ) 
 
GC_1649 = Coupling(name = 'GC_1649',
	 value = '1./2.*complex(0,1)*g2*(2*UP11*complexconjugate(ZN22) - cmath.sqrt(2)*UP12*complexconjugate(ZN24))', 
	 order = {'QED':1} ) 
 
GC_1650 = Coupling(name = 'GC_1650',
	 value = '1./2.*complex(0,1)*g2*(2*ZN32*complexconjugate(UM11) + cmath.sqrt(2)*ZN33*complexconjugate(UM12))', 
	 order = {'QED':1} ) 
 
GC_1651 = Coupling(name = 'GC_1651',
	 value = '1./2.*complex(0,1)*g2*(2*UP11*complexconjugate(ZN32) - cmath.sqrt(2)*UP12*complexconjugate(ZN34))', 
	 order = {'QED':1} ) 
 
GC_1652 = Coupling(name = 'GC_1652',
	 value = '1./2.*complex(0,1)*g2*(2*ZN42*complexconjugate(UM11) + cmath.sqrt(2)*ZN43*complexconjugate(UM12))', 
	 order = {'QED':1} ) 
 
GC_1653 = Coupling(name = 'GC_1653',
	 value = '1./2.*complex(0,1)*g2*(2*UP11*complexconjugate(ZN42) - cmath.sqrt(2)*UP12*complexconjugate(ZN44))', 
	 order = {'QED':1} ) 
 
GC_1654 = Coupling(name = 'GC_1654',
	 value = '1./2.*complex(0,1)*g2*(2*ZN12*complexconjugate(UM21) + cmath.sqrt(2)*ZN13*complexconjugate(UM22))', 
	 order = {'QED':1} ) 
 
GC_1655 = Coupling(name = 'GC_1655',
	 value = '1./2.*complex(0,1)*g2*(2*UP21*complexconjugate(ZN12) - cmath.sqrt(2)*UP22*complexconjugate(ZN14))', 
	 order = {'QED':1} ) 
 
GC_1656 = Coupling(name = 'GC_1656',
	 value = '1./2.*complex(0,1)*g2*(2*ZN22*complexconjugate(UM21) + cmath.sqrt(2)*ZN23*complexconjugate(UM22))', 
	 order = {'QED':1} ) 
 
GC_1657 = Coupling(name = 'GC_1657',
	 value = '1./2.*complex(0,1)*g2*(2*UP21*complexconjugate(ZN22) - cmath.sqrt(2)*UP22*complexconjugate(ZN24))', 
	 order = {'QED':1} ) 
 
GC_1658 = Coupling(name = 'GC_1658',
	 value = '1./2.*complex(0,1)*g2*(2*ZN32*complexconjugate(UM21) + cmath.sqrt(2)*ZN33*complexconjugate(UM22))', 
	 order = {'QED':1} ) 
 
GC_1659 = Coupling(name = 'GC_1659',
	 value = '1./2.*complex(0,1)*g2*(2*UP21*complexconjugate(ZN32) - cmath.sqrt(2)*UP22*complexconjugate(ZN34))', 
	 order = {'QED':1} ) 
 
GC_1660 = Coupling(name = 'GC_1660',
	 value = '1./2.*complex(0,1)*g2*(2*ZN42*complexconjugate(UM21) + cmath.sqrt(2)*ZN43*complexconjugate(UM22))', 
	 order = {'QED':1} ) 
 
GC_1661 = Coupling(name = 'GC_1661',
	 value = '1./2.*complex(0,1)*g2*(2*UP21*complexconjugate(ZN42) - cmath.sqrt(2)*UP22*complexconjugate(ZN44))', 
	 order = {'QED':1} ) 
 
GC_1662 = Coupling(name = 'GC_1662',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_1663 = Coupling(name = 'GC_1663',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_1664 = Coupling(name = 'GC_1664',
	 value = '1./6.*complex(0,1)*(g1*cmath.cos(TW) - 3*g2*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1665 = Coupling(name = 'GC_1665',
	 value = '-1./3.*complex(0,1)*g1*cmath.cos(TW)', 
	 order = {'QED':1} ) 
 
GC_1666 = Coupling(name = 'GC_1666',
	 value = '-1./6.*complex(0,1)*(3*g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1667 = Coupling(name = 'GC_1667',
	 value = '1./3.*complex(0,1)*g1*cmath.sin(TW)', 
	 order = {'QED':1} ) 
 
GC_1668 = Coupling(name = 'GC_1668',
	 value = '(1*complex(0,1)*g2)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1669 = Coupling(name = 'GC_1669',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_1670 = Coupling(name = 'GC_1670',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_1671 = Coupling(name = 'GC_1671',
	 value = '1./6.*complex(0,1)*(g1*cmath.cos(TW) + 3*g2*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1672 = Coupling(name = 'GC_1672',
	 value = '2./3.*complex(0,1)*g1*cmath.cos(TW)', 
	 order = {'QED':1} ) 
 
GC_1673 = Coupling(name = 'GC_1673',
	 value = '(1*complex(0,1)*g2)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1674 = Coupling(name = 'GC_1674',
	 value = '1./6.*complex(0,1)*(3*g2*cmath.cos(TW) - g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1675 = Coupling(name = 'GC_1675',
	 value = '-2./3.*complex(0,1)*g1*cmath.sin(TW)', 
	 order = {'QED':1} ) 
 
GC_1676 = Coupling(name = 'GC_1676',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_1677 = Coupling(name = 'GC_1677',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_1678 = Coupling(name = 'GC_1678',
	 value = '1./6.*complex(0,1)*(g1*cmath.cos(TW) - 3*g2*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1679 = Coupling(name = 'GC_1679',
	 value = '-1./3.*complex(0,1)*g1*cmath.cos(TW)', 
	 order = {'QED':1} ) 
 
GC_1680 = Coupling(name = 'GC_1680',
	 value = '-1./6.*complex(0,1)*(3*g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1681 = Coupling(name = 'GC_1681',
	 value = '1./3.*complex(0,1)*g1*cmath.sin(TW)', 
	 order = {'QED':1} ) 
 
GC_1682 = Coupling(name = 'GC_1682',
	 value = '(1*complex(0,1)*g2)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1683 = Coupling(name = 'GC_1683',
	 value = '-1./2.*complex(0,1)*(g1*cmath.cos(TW) + g2*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1684 = Coupling(name = 'GC_1684',
	 value = '-1*complex(0,1)*g1*cmath.cos(TW)', 
	 order = {'QED':1} ) 
 
GC_1685 = Coupling(name = 'GC_1685',
	 value = '-1./2.*complex(0,1)*(g2*cmath.cos(TW) - g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1686 = Coupling(name = 'GC_1686',
	 value = '1*complex(0,1)*g1*cmath.sin(TW)', 
	 order = {'QED':1} ) 
 
GC_1687 = Coupling(name = 'GC_1687',
	 value = '(1*complex(0,1)*g2)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1688 = Coupling(name = 'GC_1688',
	 value = '-1./2.*complex(0,1)*(g1*cmath.cos(TW) + g2*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1689 = Coupling(name = 'GC_1689',
	 value = '-1*complex(0,1)*g1*cmath.cos(TW)', 
	 order = {'QED':1} ) 
 
GC_1690 = Coupling(name = 'GC_1690',
	 value = '-1./2.*complex(0,1)*(g2*cmath.cos(TW) - g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1691 = Coupling(name = 'GC_1691',
	 value = '1*complex(0,1)*g1*cmath.sin(TW)', 
	 order = {'QED':1} ) 
 
GC_1692 = Coupling(name = 'GC_1692',
	 value = '(1*complex(0,1)*g2)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1693 = Coupling(name = 'GC_1693',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_1694 = Coupling(name = 'GC_1694',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_1695 = Coupling(name = 'GC_1695',
	 value = '1./6.*complex(0,1)*(g1*cmath.cos(TW) - 3*g2*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1696 = Coupling(name = 'GC_1696',
	 value = '-1./3.*complex(0,1)*g1*cmath.cos(TW)', 
	 order = {'QED':1} ) 
 
GC_1697 = Coupling(name = 'GC_1697',
	 value = '-1./6.*complex(0,1)*(3*g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1698 = Coupling(name = 'GC_1698',
	 value = '1./3.*complex(0,1)*g1*cmath.sin(TW)', 
	 order = {'QED':1} ) 
 
GC_1699 = Coupling(name = 'GC_1699',
	 value = '(1*complex(0,1)*g2)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1700 = Coupling(name = 'GC_1700',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_1701 = Coupling(name = 'GC_1701',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_1702 = Coupling(name = 'GC_1702',
	 value = '1./6.*complex(0,1)*(g1*cmath.cos(TW) + 3*g2*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1703 = Coupling(name = 'GC_1703',
	 value = '2./3.*complex(0,1)*g1*cmath.cos(TW)', 
	 order = {'QED':1} ) 
 
GC_1704 = Coupling(name = 'GC_1704',
	 value = '(1*complex(0,1)*g2)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1705 = Coupling(name = 'GC_1705',
	 value = '1./6.*complex(0,1)*(3*g2*cmath.cos(TW) - g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1706 = Coupling(name = 'GC_1706',
	 value = '-2./3.*complex(0,1)*g1*cmath.sin(TW)', 
	 order = {'QED':1} ) 
 
GC_1707 = Coupling(name = 'GC_1707',
	 value = '-1./2.*complex(0,1)*(g1*cmath.cos(TW) + g2*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1708 = Coupling(name = 'GC_1708',
	 value = '-1*complex(0,1)*g1*cmath.cos(TW)', 
	 order = {'QED':1} ) 
 
GC_1709 = Coupling(name = 'GC_1709',
	 value = '-1./2.*complex(0,1)*(g2*cmath.cos(TW) - g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1710 = Coupling(name = 'GC_1710',
	 value = '1*complex(0,1)*g1*cmath.sin(TW)', 
	 order = {'QED':1} ) 
 
GC_1711 = Coupling(name = 'GC_1711',
	 value = '(1*complex(0,1)*g2)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1712 = Coupling(name = 'GC_1712',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_1713 = Coupling(name = 'GC_1713',
	 value = '1*complex(0,1)*G', 
	 order = {'QCD':1} ) 
 
GC_1714 = Coupling(name = 'GC_1714',
	 value = '1./6.*complex(0,1)*(g1*cmath.cos(TW) + 3*g2*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1715 = Coupling(name = 'GC_1715',
	 value = '2./3.*complex(0,1)*g1*cmath.cos(TW)', 
	 order = {'QED':1} ) 
 
GC_1716 = Coupling(name = 'GC_1716',
	 value = '(1*complex(0,1)*g2)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1717 = Coupling(name = 'GC_1717',
	 value = '1./6.*complex(0,1)*(3*g2*cmath.cos(TW) - g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1718 = Coupling(name = 'GC_1718',
	 value = '-2./3.*complex(0,1)*g1*cmath.sin(TW)', 
	 order = {'QED':1} ) 
 
GC_1719 = Coupling(name = 'GC_1719',
	 value = '(1*complex(0,1)*g2)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1720 = Coupling(name = 'GC_1720',
	 value = '1./2.*complex(0,1)*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1721 = Coupling(name = 'GC_1721',
	 value = '(1*complex(0,1)*g2)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1722 = Coupling(name = 'GC_1722',
	 value = '1./2.*complex(0,1)*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1723 = Coupling(name = 'GC_1723',
	 value = '(1*complex(0,1)*g2)/cmath.sqrt(2)', 
	 order = {'QED':1} ) 
 
GC_1724 = Coupling(name = 'GC_1724',
	 value = '1./2.*complex(0,1)*(g2*cmath.cos(TW) + g1*cmath.sin(TW))', 
	 order = {'QED':1} ) 
 
GC_1725 = Coupling(name = 'GC_1725',
	 value = '-(G*pG*complexconjugate(pG))', 
	 order = {'QCD':1} ) 
 
GC_1726 = Coupling(name = 'GC_1726',
	 value = '-(G*pG*complexconjugate(pG))', 
	 order = {'QCD':1} ) 
 
GC_1727 = Coupling(name = 'GC_1727',
	 value = 'G', 
	 order = {'QCD':1} ) 
 
GC_1728 = Coupling(name = 'GC_1728',
	 value = '-1*complex(0,1)*g2*cmath.sin(TW)', 
	 order = {'QED':1} ) 
 
GC_1729 = Coupling(name = 'GC_1729',
	 value = '1*complex(0,1)*g2*cmath.cos(TW)', 
	 order = {'QED':1} ) 
 
GC_1730 = Coupling(name = 'GC_1730',
	 value = '-1*complex(0,1)*G**2', 
	 order = {'QCD':2} ) 
 
GC_1731 = Coupling(name = 'GC_1731',
	 value = '-1*complex(0,1)*G**2', 
	 order = {'QCD':2} ) 
 
GC_1732 = Coupling(name = 'GC_1732',
	 value = '1*complex(0,1)*G**2', 
	 order = {'QCD':2} ) 
 
GC_1733 = Coupling(name = 'GC_1733',
	 value = '-1*complex(0,1)*G**2', 
	 order = {'QCD':2} ) 
 
GC_1734 = Coupling(name = 'GC_1734',
	 value = '1*complex(0,1)*G**2', 
	 order = {'QCD':2} ) 
 
GC_1735 = Coupling(name = 'GC_1735',
	 value = '1*complex(0,1)*G**2', 
	 order = {'QCD':2} ) 
 
GC_1736 = Coupling(name = 'GC_1736',
	 value = '1*complex(0,1)*g2**2*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_1737 = Coupling(name = 'GC_1737',
	 value = '1*complex(0,1)*g2**2*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_1738 = Coupling(name = 'GC_1738',
	 value = '-2*complex(0,1)*g2**2*cmath.sin(TW)**2', 
	 order = {'QED':2} ) 
 
GC_1739 = Coupling(name = 'GC_1739',
	 value = '1./2.*complex(0,1)*g2**2*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_1740 = Coupling(name = 'GC_1740',
	 value = '-1*complex(0,1)*g2**2*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_1741 = Coupling(name = 'GC_1741',
	 value = '1./2.*complex(0,1)*g2**2*cmath.sin(2*TW)', 
	 order = {'QED':2} ) 
 
GC_1742 = Coupling(name = 'GC_1742',
	 value = '2*complex(0,1)*g2**2', 
	 order = {'QED':2} ) 
 
GC_1743 = Coupling(name = 'GC_1743',
	 value = '-1*complex(0,1)*g2**2', 
	 order = {'QED':2} ) 
 
GC_1744 = Coupling(name = 'GC_1744',
	 value = '-1*complex(0,1)*g2**2', 
	 order = {'QED':2} ) 
 
GC_1745 = Coupling(name = 'GC_1745',
	 value = '-2*complex(0,1)*g2**2*cmath.cos(TW)**2', 
	 order = {'QED':2} ) 
 
GC_1746 = Coupling(name = 'GC_1746',
	 value = '1*complex(0,1)*g2**2*cmath.cos(TW)**2', 
	 order = {'QED':2} ) 
 
GC_1747 = Coupling(name = 'GC_1747',
	 value = '1*complex(0,1)*g2**2*cmath.cos(TW)**2', 
	 order = {'QED':2} ) 
 
